package com.goodt.dremio.connector.asm;

import org.springframework.stereotype.Component;

import java.util.UUID;

import me.goodt.micro.core.asm.AbstractAsm;
import com.goodt.dremio.connector.dto.ConnectionRes;
import com.goodt.dremio.connector.entities.Adapter;
import com.goodt.dremio.connector.entities.Connection;

@Component
public class ConnectionAsm extends AbstractAsm<Connection, ConnectionRes> {

    @Override
    public ConnectionRes toRes(Connection entity) {
        return new ConnectionRes()
                .setConnectionApi(entity.getConnectionApi())
                .setId(entity.getId())
                .setCode(entity.getCode())
                .setName(entity.getName())
                .setDescription(entity.getDescription())
                .setUsername(entity.getUsername())
                .setServer(entity.getServer())
                .setDatabase(entity.getDatabase())
                .setByDefault(false)
                .setAdapterId(entity.getAdapterId())
                .setSchema(entity.getSchema())
                .setUserUid(entity.getUserUid());

    }

    @Override
    public void create(Connection entity, ConnectionRes res) {
        throw new UnsupportedOperationException();
    }

    public void create(Connection entity, ConnectionRes res, String ownerId) {
        update(entity, res);
        entity.setCode(UUID.randomUUID().toString());
        entity.setOwnerId(ownerId);
    }

    @Override
    public void update(Connection entity, ConnectionRes res) {
        entity.setServer(res.getServer())
                .setConnectionApi(res.getConnectionApi())
                .setName(res.getName())
                .setDescription(res.getDescription())
                .setUsername(res.getUsername())
                .setDatabase(res.getDatabase())
                .setServer(res.getServer())
                .setByDefault(false)
                .setSchema(res.getSchema())
                .setAdapter((Adapter) new Adapter().setId(res.getAdapterId()))
                .setUserUid(res.getUserUid());
        if (res.getPassword() != null && !res.getPassword().isEmpty()) {
            entity.setPassword(res.getPassword());
        }
    }
}
