package com.goodt.dremio.connector.controller;

import com.goodt.dremio.connector.dto.UserInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;

@Slf4j
public abstract class AbstractController {

    @Value("${app-cfg.keyCloak.isEnabled}")
    private Boolean keycloakEnabled;

    public Authentication getAuthentication() {
        return SecurityContextHolder.getContext().getAuthentication();
    }

    protected String getSessionEmployeeId() {
        UserInfo userInfo = (UserInfo) getAuthentication().getPrincipal();
        return userInfo.getEmployeeId() != null ? userInfo.getEmployeeId() : null;
    }

    protected String getSessionId() {
        Object principal = getAuthentication().getPrincipal();
        if (principal instanceof String) {
            return null;
        }
        UserInfo userInfo = (UserInfo) principal;
        return userInfo.getId() != null ? userInfo.getId() : null;
    }

    protected UserInfo getUserInfo() {
        return (UserInfo) getAuthentication().getPrincipal();
    }
}
