package com.goodt.dremio.connector.controller;

import io.swagger.v3.oas.annotations.Hidden;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import me.goodt.micro.core.controller.AbstractCrudController;
import com.goodt.dremio.connector.asm.AdapterAsm;
import com.goodt.dremio.connector.dto.AdapterRes;
import com.goodt.dremio.connector.entities.Adapter;
import com.goodt.dremio.connector.service.AdapterService;

@Slf4j
@RestController
@RequestMapping(value = "/api/v1/adapters", produces = "application/json")
public class AdapterController extends AbstractCrudController<Long, AdapterRes> {

    @Getter
    @Autowired
    AdapterService service;
    @Getter
    @Autowired
    AdapterAsm asm;

    @GetMapping
    public List<AdapterRes> getAll() {
        final List<Adapter> list = getService().getAll();
        return asm.toList(list);
    }

    @Hidden
    @Override
    @PostMapping
    public AdapterRes create(AdapterRes res) {
        throw new UnsupportedOperationException();
    }

    @Hidden
    @Override
    @PutMapping("{id}")
    public AdapterRes update(@PathVariable Long id, AdapterRes res) {
        throw new UnsupportedOperationException();
    }

    @Hidden
    @Override
    @DeleteMapping("{id}")
    public ResponseEntity<Void> delete(@PathVariable Long id) {
        throw new UnsupportedOperationException();
    }
}
