package com.goodt.dremio.connector.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.goodt.dremio.connector.dto.ConnectionCtx;
import com.goodt.dremio.connector.entity.api.OneValueEntity;
import com.goodt.dremio.connector.entity.query.QueryRequest;
import com.goodt.dremio.connector.entity.query.QueryResult;
import com.goodt.dremio.connector.parser.DataLoadFactory;
import com.goodt.dremio.connector.service.ClientPull;
import com.goodt.dremio.connector.service.impl.DremioTokenizer;

@Slf4j
@RestController
@RequestMapping(value = "/api", produces = "application/json")
public class DataController extends AbstractController {

    @Autowired
    DremioTokenizer dremioTokenizer;
    @Autowired
    DataLoadFactory dataLoadFactory;
    @Autowired
    ClientPull clientPull;

    @GetMapping("/v1/authToken")
    public OneValueEntity getAuthToken(@RequestParam(name = "connection", required = false) String cn) {
        final String token = dremioTokenizer.get(clientPull.get(cn));
        return new OneValueEntity(token);
    }

    @PostMapping(value = "/v1/data", consumes = "application/json")
    public QueryResult query(@RequestBody QueryRequest query) {
        final ConnectionCtx ctx = clientPull.get(query.getConnection());
        return dataLoadFactory.get(query).load(ctx);
    }
}
