package com.goodt.dremio.connector.controller;

import com.goodt.dremio.connector.entity.api.CatalogResult;
import com.goodt.dremio.connector.entity.api.RootEntity;
import com.goodt.dremio.connector.entity.query.QueryCatalog;
import com.goodt.dremio.connector.service.ClientPull;
import com.goodt.dremio.connector.service.SchemaProvider;
import com.goodt.dremio.connector.service.SchemaProviderFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@RestController
@RequestMapping(value = "/api", produces = "application/json")
public class SchemaController {

    @Autowired
    ClientPull clientPull;
    @Autowired
    SchemaProviderFactory schemaProviderFactory;

    @GetMapping("/v1/catalog")
    public List<RootEntity> getMainCatalog(@RequestParam(name = "connection", required = false) String connectionCode) {
        log.info("getMainCatalog()");
        final SchemaProvider schemaProvider = schemaProviderFactory.get(clientPull.get(connectionCode), connectionCode);
        return schemaProvider.getMainCatalog();
    }

    @PostMapping(value = "/v1/catalog/by-path", consumes = "application/json")
    public CatalogResult getEntityByPath(@RequestBody QueryCatalog queryCatalog) {
        log.info("getEntityByPath({}})", queryCatalog.toString());
        final SchemaProvider schemaProvider = schemaProviderFactory.get(clientPull.get(queryCatalog.getConnection()), queryCatalog.getConnection());
        return schemaProvider.getEntityByPath(queryCatalog.getPath());
    }
}
