package com.goodt.dremio.connector.dao;

import com.goodt.dremio.connector.entities.Connection;
import com.goodt.dremio.connector.entities.QConnection;

import com.querydsl.core.types.ExpressionUtils;
import com.querydsl.core.types.Predicate;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

import me.goodt.micro.core.dao.AbstractDao;

@Repository
public class ConnectionDao extends AbstractDao<Connection, Long> {

    private static final QConnection meta = QConnection.connection;

    public ConnectionDao(EntityManager em) {
        super(Connection.class, em);
    }

    public Optional<Connection> findById(Long id, String ownerId) {
        List<Predicate> predicates = new ArrayList<>();
        predicates.add(meta.id.eq(id));
        predicates.add(meta.ownerId.eq(ownerId));
        return Optional.ofNullable(query().selectFrom(meta)
                                           .where(ExpressionUtils.allOf(predicates))
                                           .fetchFirst());
    }

    public List<Connection> findAll(String ownerId) {
        List<Predicate> predicates = new ArrayList<>();
        predicates.add(meta.ownerId.eq(ownerId));
        return query().selectFrom(meta)
                .where(ExpressionUtils.allOf(predicates))
                .fetch();
    }
}
