package com.goodt.dremio.connector.dto.err;

public class ConnectorException extends RuntimeException {
    private Integer status = 500;
    private final String code;
    private final Object[] args;

    public static ConnectorException of(String message, Object... args) {
        return new ConnectorException(message, args);
    }

    protected ConnectorException(String code, Object[] args) {
        this.code = code;
        this.args = args;
    }

    public Integer status() {
        return this.status;
    }

    public String code() {
        return this.code;
    }

    public Object[] args() {
        return this.args;
    }

    public ConnectorException status(final Integer status) {
        this.status = status;
        return this;
    }
}
