package com.goodt.dremio.connector.entities;

import lombok.AllArgsConstructor;
import lombok.Getter;

import me.goodt.micro.core.dao.AbstractEnumConverter;
import me.goodt.micro.core.dao.PersistableEnum;

@Getter
@AllArgsConstructor
public enum AdapterCode implements PersistableEnum<String> {

    PG("PG", "org.postgresql.Driver", "jdbc:postgresql://%s:%s/%s?currentSchema=%s"),

    DREMIO("DRM", "com.dremio.jdbc.Driver", "jdbc:dremio:direct=%s:%s"),

    DRILL("DRL", "org.apache.drill.jdbc.Driver", "jdbc:drill:drillbit=%s:%s"),

    CLICK_HOUSE("CH", "com.clickhouse.jdbc.ClickHouseDriver", "jdbc:ch:https://%s:%s");

    private final String value;

    private final String driver;

    private final String conStrFmt;

    public static class Converter extends AbstractEnumConverter<AdapterCode, String> {
        public Converter() {
            super(AdapterCode.class);
        }
    }
}
