package com.goodt.dremio.connector.entities;

import cdjd.org.apache.commons.lang3.BooleanUtils;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import javax.persistence.*;

import me.goodt.micro.core.entity.DomainObject;

@Getter
@Setter
@Entity
@Accessors(chain = true)
@Table(name = "connection")
public class Connection extends DomainObject {

    @Column(name = "by_default")
    private Boolean byDefault;

    @Column(name = "code", nullable = false)
    private String code;

    @Column(name = "name", nullable = false)
    private String name;

    @Column(name = "description", nullable = false)
    private String description;

    @Column(name = "connection_string", nullable = false)
    private String server;

    @Column(name = "database_name", nullable = false)
    private String database;

    @Column(name = "username", nullable = false)
    private String username;

    @Column(name = "password", nullable = false)
    private String password;

    @Column(name = "author_keycloak_user_uuid", nullable = false)
    private String userUid;

    @Column(name = "connection_api", nullable = false)
    private String connectionApi;

    @Column(name = "schema")
    private String schema;

    @ManyToOne
    @JoinColumn(name = "adapter_id", nullable = false)
    private Adapter adapter;

    @Column(name = "adapter_id", insertable = false, updatable = false)
    private Long adapterId;

    @Column(name = "owner_id", nullable = false)
    private String ownerId;

    public boolean isDefault() {
        return BooleanUtils.isTrue(byDefault);
    }

    public Connection setAdapter(Adapter adapter) {
        this.adapter = adapter;
        this.adapterId = adapter.getId();
        return this;
    }
}
