package com.goodt.dremio.connector.entity.query;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
public class QueryResult implements Serializable {

    @JsonInclude(JsonInclude.Include.NON_NULL)
    Long rowCount;

    @JsonProperty("rows")
    @JsonInclude(JsonInclude.Include.NON_NULL)
    List<Map<String, String>> row;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    List<Map<String, String>> schema;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    String error;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    String sql;

    public void addSchema(String name, String type) {
        if (schema == null) {
            schema = new ArrayList<>();
        }

        HashMap<String, String> schemaRow = new HashMap<>();
        schemaRow.put("name", name);
        schemaRow.put("type", type);

        schema.add(schemaRow);
    }

    public void addRow(Map<String, String> values) {
        if (row == null) {
            row = new ArrayList<>();
        }

        row.add(values);
    }

    public void fillEmptyData() {
        schema = new ArrayList<>();
        row = new ArrayList<>();
    }
}
