package com.goodt.dremio.connector.entity.query;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.goodt.dremio.connector.parser.dremio.EFilterType;
import com.goodt.dremio.connector.parser.dremio.AggregateFun;
import com.goodt.dremio.connector.enums.OrderType;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;
import java.util.Map;

@Getter
@Setter
@ToString
public class QuerySchema {
    @JsonProperty("$from")
    List<String> from;

    @JsonProperty("$fields")
    Map<String, String> fields;

    @JsonProperty("$metrics")
    List<Map<String, Map<AggregateFun, String>>> metrics;

    @JsonProperty("$dimensions")
    List<Map<String, String>> dimensions;

    @JsonProperty("$filters")
    List<Map<String, Map<EFilterType, List<String>>>> filters;

    @JsonProperty("$sort")
    List<Map<String, OrderType>> sort;

    @JsonProperty("$diff")
    Diff diff;
}
