package com.goodt.dremio.connector.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import com.goodt.dremio.connector.enums.contracts.ISortSqlOperation;

public enum OrderType implements ISortSqlOperation {
    ASC("asc") {
        @Override
        public String sql() {
            return "ASC NULLS LAST";
        }
    },
    DESC("desc") {
        @Override
        public String sql() {
            return "DESC NULLS LAST";
        }
    };

    OrderType(String key) {
        this.key = key;
    }

    @JsonValue
    public String getKey() {
        return key;
    }

    private final String key;
}
