package com.goodt.dremio.connector.service;

import lombok.Getter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

import me.goodt.micro.core.service.AbstractCrudService;
import com.goodt.dremio.connector.dao.AdapterDao;
import com.goodt.dremio.connector.entities.Adapter;
import com.goodt.dremio.connector.service.clients.PermissionClient;

@Slf4j
@Service
@Transactional
public class AdapterService extends AbstractCrudService<Adapter, Long> {

    @Getter
    @Autowired
    private AdapterDao dao;
    @Autowired
    PermissionClient permissionClient;

    @Transactional(readOnly = true)
    public List<Adapter> getAll() {
        return getDao().findAll();
    }
}
