package com.goodt.dremio.connector.service.clients;

import com.goodt.dremio.connector.dto.DremioCatalogResp;
import com.goodt.dremio.connector.dto.DremioLogin;
import com.goodt.dremio.connector.dto.DremioLoginResp;
import com.goodt.dremio.connector.dto.DremioV3Resp;
import feign.Headers;
import feign.Param;
import feign.RequestLine;

import java.net.URI;

public interface DremioClient {

    @RequestLine("POST /apiv2/login")
    @Headers({"Accept: application/json", "Content-Type: application/json"})
    DremioLoginResp login(URI baseUrl, DremioLogin req);

    @RequestLine("GET /api/v3/catalog")
    @Headers({"Authorization: {token}", "Accept: application/json", "Content-Type: application/json"})
    DremioV3Resp getV3Catalog(URI baseUrl, @Param("token") String token);

    @RequestLine("GET /api/v3/catalog/by-path/{path}")
    @Headers({"Authorization: {token}", "Accept: application/json", "Content-Type: application/json"})
    DremioCatalogResp getPathCatalog(URI baseUrl, @Param("token") String token, @Param("path") String path);
}
