package com.goodt.dremio.connector.service.clients;

import feign.Headers;
import feign.Param;
import feign.RequestLine;

import java.net.URI;
import java.util.List;

import com.goodt.dremio.connector.dto.DrillStorageConfig;
import com.goodt.dremio.connector.dto.DrillStorageResultResp;

public interface DrillClient {

    @RequestLine("GET /storage.json")
    @Headers({"Accept: application/json", "Content-Type: application/json", "Authorization: {authorization}"})
    List<DrillStorageConfig> getStorages(URI baseUrl, @Param("authorization") String authHeader);

    @RequestLine("GET /storage/{name}.json")
    @Headers({"Accept: application/json", "Content-Type: application/json", "Authorization: {authorization}"})
    DrillStorageConfig getStorage(URI baseUrl, @Param("name") String name, @Param("authorization") String authHeader);

    @RequestLine("POST /storage/{name}.json")
    @Headers({"Accept: application/json", "Content-Type: application/json", "Authorization: {authorization}"})
    DrillStorageResultResp createStorage(URI baseUrl, @Param("name") String name, DrillStorageConfig configuration, @Param("authorization") String authHeader);

    @RequestLine("DELETE /storage/{name}.json")
    @Headers({"Accept: application/json", "Content-Type: application/json", "Authorization: {authorization}"})
    DrillStorageResultResp deleteStorage(URI baseUrl, @Param("name") String name, @Param("authorization") String authHeader);
}
