package com.goodt.dremio.connector.service.clients;

import feign.Headers;
import feign.QueryMap;
import feign.RequestLine;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;
import java.util.concurrent.CompletableFuture;

import com.goodt.dremio.connector.dto.ObjectDto;
import com.goodt.dremio.connector.dto.ObjectFindDto;
import com.goodt.dremio.connector.entity.permissions.AttributeValueInputDto;
import com.goodt.dremio.connector.entity.permissions.AttributeValueResponse;

public interface PermissionClient {

    @RequestLine("POST /api/permission/objecta")
    @Headers("Content-Type: application/json")
    List<AttributeValueResponse> getDatasetPermissions(@RequestBody AttributeValueInputDto inputDto);

    @RequestLine("POST /api/object/find")
    @Headers("Content-Type: application/json")
    List<ObjectDto> getObjects(@RequestBody ObjectFindDto dto);

    @RequestLine("GET /api/permission/object")
    CompletableFuture<List<AttributeValueResponse>> getUserAllowedColumns(@QueryMap Map<String, String> params);
}
