package com.goodt.dremio.connector.service.impl;

import cdjd.org.apache.commons.lang3.BooleanUtils;
import com.goodt.dremio.connector.dto.TokenData;
import com.goodt.dremio.connector.utils.TokenUtils;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpHeaders;
import org.springframework.stereotype.Component;

@Component
public class AuthHeaderInterceptor implements RequestInterceptor {

    @Value("${app-cfg.keyCloak.isEnabled}")
    private Boolean keycloakEnabled;

    @Override
    public void apply(RequestTemplate template) {
        final TokenData tokenData = TokenUtils.getUserTokenDataDtoBase(BooleanUtils.isTrue(keycloakEnabled));
        template.header(HttpHeaders.AUTHORIZATION, tokenData.getType() + " " + tokenData.getValue());
    }
}
