package com.goodt.dremio.connector.utils;

import com.goodt.dremio.connector.entity.query.QueryResult;
import com.goodt.dremio.connector.enums.EClientDataType;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import lombok.SneakyThrows;

import java.sql.ResultSet;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public final class DataUtils {

    @SneakyThrows
    public static void getSchema(QueryResult queryRez, ResultSet rs) {
        for (int k = 1; k <= rs.getMetaData().getColumnCount(); k++) {
            final String colName = rs.getMetaData().getColumnName(k);
            final String colType = getTypeByCode(rs.getMetaData().getColumnType(k));
            queryRez.addSchema(colName, colType);
        }
    }

    private static String getTypeByCode(int code) {
        return EClientDataType.getByCode(code);
    }
}
