package com.goodt.dremio.connector.utils;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.filter.Filter;
import ch.qos.logback.core.spi.FilterReply;

public class HibernateLoggingFilter extends Filter<ILoggingEvent> {

    private static final String HIBERNATE_LOGGER_NAME = "org.hibernate.SQL";

    boolean enabled = false;

    @Override
    public FilterReply decide(ILoggingEvent event) {
        if (!enabled) {
            return FilterReply.DENY;
        }

        if (!HIBERNATE_LOGGER_NAME.equals(event.getLoggerName())) {
            return FilterReply.ACCEPT;
        }

        if (event.getMessage().trim().toLowerCase().startsWith("insert")) {
            return FilterReply.ACCEPT;
        }

        if (event.getMessage().trim().toLowerCase().startsWith("update")) {
            return FilterReply.ACCEPT;
        }

        if (event.getMessage().trim().toLowerCase().startsWith("delete")) {
            return FilterReply.ACCEPT;
        }

        return FilterReply.DENY;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }
}
