package com.goodt.dremio.connector.utils;

import lombok.experimental.UtilityClass;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@UtilityClass
public class ResponseErrorMessageUtil {

    public static void setResponseError(HttpServletResponse response, int errorCode, String errorMessage) throws IOException {
        try (PrintWriter writer = response.getWriter()) {
            response.setStatus(errorCode);
            response.setCharacterEncoding("UTF-8");
            writer.write(errorMessage);
        }
    }

    public static void setResponseError(HttpServletResponse resp, int errorCode, Exception e) throws IOException {
        try (PrintWriter writer = resp.getWriter()) {
            resp.setStatus(errorCode);
            resp.setCharacterEncoding("UTF-8");
            writer.println(e.getMessage());
            for (StackTraceElement st : e.getStackTrace()) {
                writer.println(st.toString());
            }
        }
    }
}
