package com.goodt.dremio.connector.utils;

import com.goodt.dremio.connector.dto.TokenData;
import com.goodt.dremio.connector.security.CustomWebAuthenticationDetails;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.oauth2.provider.authentication.OAuth2AuthenticationDetails;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class TokenUtils {

    public static TokenData getUserTokenDataDtoBase(boolean keycloakEnabled) {
        final Object details = SecurityContextHolder.getContext().getAuthentication().getDetails();
        if (keycloakEnabled) {
            final OAuth2AuthenticationDetails oauth = (OAuth2AuthenticationDetails) details;
            return new TokenData().setType(oauth.getTokenType()).setValue(oauth.getTokenValue());
        }
        final CustomWebAuthenticationDetails web = (CustomWebAuthenticationDetails) details;
        return new TokenData().setType(web.getTokenType()).setValue(web.getTokenValue());
    }
}
