--liquibase formatted sql

--changeset iGurkin: 2023_01_09_16_01
create table adapter
(
    id          bigserial primary key,
    code        varchar(20),
    "name"      varchar(200),
    description varchar(1000) not null default ''
);
--rollback drop table adapter;

--changeset iGurkin: 2023_01_10_11_01
create table connection
(
    id                        bigserial primary key,
    date_from                 timestamp              default now(),
    date_to                   timestamp,
    by_default                boolean,
    code                      varchar(256)  not null,
    adapter_id                bigint        not null,
    "name"                    varchar(200)  not null,
    description               varchar(1000) not null default '',
    driver                    varchar(500),
    connection_string         varchar(1024),
    connection_api            varchar(1024),
    username                  varchar(256),
    password                  varchar(256),
    author_keycloak_user_uuid varchar(128)  not null
);
--rollback drop table connection;

--changeset iGurkin: 2023_01_10_11_02
alter table connection
    add constraint connection_adapter_null_fk foreign key (adapter_id) references adapter (id);
-- rollback

--changeset iGurkin: 2023_01_10_11_03
create index connection_adapter_idx on connection (adapter_id);
-- rollback

--changeset iGurkin: 2023_02_14_11_01
insert into adapter (code, "name", description) values ('DRM', 'Dremio', 'Тип подключения для Dremio');
insert into adapter (code, "name", description) values ('PG', 'Postgresql', 'Тип подключения для Postgresql');
-- rollback