package com.goodt.dremio.connector;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;

class SchemaTest {

    private static final File[] dirs = new File[] {
            new File("src/main/resources/liquibase/2023")
    };

    @Test
    void schema() throws IOException {
        for (File dir : dirs) {
            final File[] files = dir.listFiles();
            for (File f : files) {
                final String s = Files.readString(f.toPath());
                Assertions.assertFalse(s.contains("public."), String.format("file %s contain schema public", f.getPath()));
            }
        }
    }

    @Test
    void grants() throws IOException {
        for (File dir : dirs) {
            final File[] files = dir.listFiles();
            for (File f : files) {
                final String s = Files.readString(f.toPath());
                final boolean contains = s.contains("grant.") || s.contains("GRANT.");
                Assertions.assertFalse(contains, String.format("file %s contain grant keyword", f.getPath()));
            }
        }
    }
}