package com.goodt.drive.fileupload.application.configuration;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

@Slf4j
@Data
@Configuration
@ConditionalOnProperty(value = "appConfig.useWebDav", havingValue = "true")
public class WebDavConfig {

    @PostConstruct
    public void init() {
        log.info(String.format("fileSystem: %s", appConfig.isFileSystem()));
        log.info(String.format("useS3: %s", appConfig.isUseS3()));
        log.info(String.format("useWebDav: %s", appConfig.isUseWebDav()));
        log.info("WebDavConfig is created!!!");
    }

    @Value("${appConfig.webDav.url}")
    private String url;
    @Value("${appConfig.webDav.username}")
    private String username;
    @Value("${appConfig.webDav.password}")
    private String password;
    @Value("${appConfig.fileUpload.urn}")
    private String urn;

    @Autowired
    private AppConfig appConfig;
}
