package com.goodt.drive.fileupload.application.controllers.api;

import com.goodt.drive.fileupload.application.data.UserInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.security.oauth2.resource.PrincipalExtractor;
import org.springframework.context.ApplicationContext;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;

public abstract class BaseController {

    public ApplicationContext getContext() {
        return context;
    }

    public PrincipalExtractor getPrincipalExtractor() {
        return context.getBean(PrincipalExtractor.class);
    }

    public Authentication getAuthentication() {
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        return authentication;
    }

    protected String getSessionEmployeeId() {
        UserInfo userInfo = (UserInfo) getAuthentication().getPrincipal();
        return userInfo.getEmployeeId() != null ? userInfo.getEmployeeId() : null;
    }

    @Autowired
    ApplicationContext context;
}

