package com.goodt.drive.supeditor.application.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;


@Configuration
public class KeyCloakConfig {

    @Value("${appConfig.keyCloak.using.baseUrl}")
    private String baseUrl;

    @Value("${appConfig.keyCloak.openidAccessTokenUrl}")
    private String tokenUrl;

    @Value("${appConfig.keyCloak.using.clientId}")
    private String clientId;

    @Value("${appConfig.keyCloak.using.clientSecret}")
    private String clientSecret;

    @Value("${appConfig.keyCloak.using.serviceUsername}")
    private String username;

    @Value("${appConfig.keyCloak.using.servicePassword}")
    private String password;

    @Value("${appConfig.keyCloak.using.api}")
    private String api;
    
    public KeyCloakConfig(){
        
    }
    
    public KeyCloakConfig(String baseUrl, String tokenUrl, 
                          String clientId, String clientSecret, String username, String password,
                          String api) {
        this.baseUrl = baseUrl;
        this.tokenUrl = tokenUrl;
        this.clientId = clientId;
        this.clientSecret = clientSecret;
        this.username = username;
        this.password = password;
        this.api = api;
    }
    
    public String getBaseUrl(){
        return baseUrl;
    }
    
    public void setBaseUrl(String baseUrl){
        this.baseUrl = baseUrl;
    }
    
    public String getTokenUrl(){
        return tokenUrl;
    }
    
    public void setTokenUrl(String tokenUrl){
        this.tokenUrl = tokenUrl;
    }
    
    public String getClientId(){
        return clientId;
    }
    
    public void setClientId(String clientId){
        this.clientId = clientId;
    }
    
    public String getClientSecret(){
        return clientSecret;
    }
    
    public void setClientSecret(String clientSecret){
        this.clientSecret = clientSecret;
    }
    
    public String getUsername(){
        return username;
    }
    
    public void setUsername(String username){
        this.username = username;
    }
    
    public String getPassword(){
        return password;
    }
    
    public void setPassword(String password){
        this.password = password;
    }

    public String getApi() {
        return api;
    }

    public void setApi(String api) {
        this.api = api;
    }
}
