package com.goodt.drive.supeditor.application.dao;

import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import java.util.List;

import com.goodt.drive.supeditor.application.model.entities.ProjectTagEntity;
import com.goodt.drive.supeditor.application.model.entities.ProjectTagId;
import com.goodt.drive.supeditor.application.model.entities.QProjectTagEntity;
import me.goodt.micro.core.dao.AbstractDao;

@Repository
public class ProjectTagDao extends AbstractDao<ProjectTagEntity, ProjectTagId> {

    private static final QProjectTagEntity meta = QProjectTagEntity.projectTagEntity;

    public ProjectTagDao(EntityManager em) {
        super(ProjectTagEntity.class, em);
    }

    public List<ProjectTagEntity> findAllByProjectId(Long projectId) {
        return query().selectFrom(meta)
                .where(meta.project.id.eq(projectId))
                .fetch();
    }

    public List<ProjectTagEntity> findAllByTagId(Long tagId) {
        return query().selectFrom(meta)
                .where(meta.tag.id.eq(tagId))
                .fetch();
    }
}
