package com.goodt.drive.supeditor.application.dao;

import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;

import java.util.Optional;

import com.goodt.drive.supeditor.application.model.entities.ProjectTypeEntity;
import com.goodt.drive.supeditor.application.model.entities.QProjectTypeEntity;
import me.goodt.micro.core.dao.AbstractDao;

@Repository
public class ProjectTypeDao extends AbstractDao<ProjectTypeEntity, Long> {

    private static final QProjectTypeEntity meta = QProjectTypeEntity.projectTypeEntity;

    public ProjectTypeDao(EntityManager em) {
        super(ProjectTypeEntity.class, em);
    }

    public Optional<ProjectTypeEntity> findByName(String name) {
        return Optional.ofNullable(query().selectFrom(meta)
                .where(meta.name.eq(name))
                .fetchFirst());
    }
}
