package com.goodt.drive.supeditor.application.dao;

import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;

import java.util.List;
import java.util.Optional;

import com.goodt.drive.supeditor.application.model.entities.TagEntity;
import com.goodt.drive.supeditor.application.model.entities.QTagEntity;
import me.goodt.micro.core.dao.AbstractDao;

@Repository
public class TagDao extends AbstractDao<TagEntity, Long> {

    private static final QTagEntity meta = QTagEntity.tagEntity;

    public TagDao(EntityManager em) {
        super(TagEntity.class, em);
    }

    public Optional<TagEntity> findByName(String name) {
        return Optional.ofNullable(query().selectFrom(meta)
                .where(meta.name.eq(name))
                .fetchFirst());
    }

    public List<TagEntity> findAllByNameList(List<String> nameList) {
        return query().selectFrom(meta)
                .where(meta.name.in(nameList))
                .fetch();
    }
}
