package com.goodt.drive.supeditor.application.factories;


import com.goodt.drive.supeditor.application.dto.ProjectDto;
import com.goodt.drive.supeditor.application.model.entities.ProjectEntity;

import java.util.ArrayList;

public final class ProjectFactory {

    public static ProjectDto create(ProjectEntity entity) {
        return new ProjectDto(
                entity.getId(),
                entity.getSlug(),
                entity.getTitle(),
                entity.getDescription(),
                entity.getProjectType() == null ? null : entity.getProjectType().getName(),
                entity.getFolder() != null ? entity.getFolder().getId() : null,
                new ArrayList<>(),
                null,
                entity.isSharedGroup(),
                entity.isCanSharedGroupEdit()
        );
    }
}
