package com.goodt.drive.supeditor.application.model.entities;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;

@Entity
@SequenceGenerator(name = BaseEntity.SEQUENCE_BASE_GENERATOR, sequenceName = "data_connector_seq", allocationSize = 1)
@Table(name = "DataConnector")
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class DataConnectorEntity extends BaseEntity {

    @Column(name = "name", nullable = false, length = 256, unique = true)
    private String name;

    @Column(name = "description", nullable = false, length = 1024)
    private String description;

    @Column(name = "url", nullable = false, length = 2048)
    private String url;

    @Column(name = "data_url", nullable = false, length = 2048)
    private String dataUrl;

    @Column(name = "owner_id", nullable = false, length = 128)
    private String ownerId;
}
