package com.goodt.drive.supeditor.application.model.entities;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;


@Entity
@SequenceGenerator(name = BaseEntity.SEQUENCE_BASE_GENERATOR, sequenceName = "folder_seq", allocationSize = 1)
@Table(name = "Folder")
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class FolderEntity extends BaseEntity {

    @ManyToOne(optional = true, fetch = FetchType.LAZY, cascade = {CascadeType.MERGE})
    @JoinColumn(name = "parent_id")
    private FolderEntity parent;

    @ManyToOne(optional = false, fetch = FetchType.LAZY, cascade = {CascadeType.MERGE})
    @JoinColumn(name = "project_type_id")
    private ProjectTypeEntity projectType;

    @Column(name = "name", nullable = false, length = 256, unique = true)
    private String name;

    @Column(name = "owner_id", nullable = false, length = 128)
    private String ownerId;

    @Column(name = "is_shared_group", nullable = false)
    private boolean isSharedGroup;

    @Column(name = "can_shared_group_edit", nullable = false)
    private boolean canSharedGroupEdit;
}
