package com.goodt.drive.supeditor.application.model.entities;

import lombok.NoArgsConstructor;
import org.apache.commons.io.FileUtils;
import org.apache.commons.lang3.StringUtils;

import java.io.File;
import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.file.Files;
import java.util.StringJoiner;

@NoArgsConstructor
public class ProjectContentEntity {

    public ProjectContentEntity(Long projectId, String folder, String filename) {
        this.projectId = projectId;
        this.folder = folder;
        this.filename = filename;
    }

    public String getContent() {
        try {
            return FileUtils.readFileToString(file, Charset.defaultCharset());
        } catch (IOException e) {
            return null;
        }
    }

    public byte[] getByteContent() {
        try {
            return Files.readAllBytes(file.toPath());
        } catch (IOException e) {
            return null;
        }
    }

    public String getRelativeFilepath() {
        StringJoiner result = new StringJoiner(File.separator);
        if (folder != null) {
            result.add(folder);
        }
        result.add(filename);
        return StringUtils.strip(result.toString(), File.separator);
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getFolder() {
        return folder;
    }

    public void setFolder(String folder) {
        this.folder = folder;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public long getLength() {
        return length;
    }

    public void setLength(long length) {
        this.length = length;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public File getFile() {
        return file;
    }

    private Long projectId;
    private String folder;
    private String filename;
    private String contentType;
    private long length;
    private File file;
}
