package com.goodt.drive.supeditor.application.model.entities;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;

@Entity
@SequenceGenerator(name = BaseEntity.SEQUENCE_BASE_GENERATOR, sequenceName = "project_seq", allocationSize = 1)
@Table(name = "Project")
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class ProjectEntity extends BaseEntity {

    @ManyToOne(fetch = FetchType.LAZY, cascade = {CascadeType.MERGE})
    @JoinColumn(name = "folder_id")
    private FolderEntity folder;

    @ManyToOne(optional = false, fetch = FetchType.LAZY, cascade = {CascadeType.MERGE})
    @JoinColumn(name = "project_type_id")
    private ProjectTypeEntity projectType;

    @Column(name = "slug", length = 256, unique = true)
    private String slug;

    @Column(name = "title", nullable = false, length = 128)
    private String title;

    @Column(name = "description", nullable = false, length = 1024)
    private String description;

    @Column(name = "owner_id", nullable = false)
    private String ownerId;

    @Column(name = "is_shared_group", nullable = false)
    private boolean isSharedGroup;

    @Column(name = "can_shared_group_edit", nullable = false)
    private boolean canSharedGroupEdit;
}
