package com.goodt.drive.supeditor.application.model.entities;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;

import me.goodt.micro.core.entity.AbstractEntity;

@Entity
@IdClass(ProjectTagId.class)
@Table(name = "ProjectTag")
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
public class ProjectTagEntity extends AbstractEntity<ProjectTagId> {

    @Id
    @ManyToOne(optional = false, fetch = FetchType.LAZY, cascade={CascadeType.MERGE})
    @JoinColumn(name="project_id")
    private ProjectEntity project;

    @Id
    @ManyToOne(optional = false, fetch = FetchType.EAGER, cascade={CascadeType.MERGE})
    @JoinColumn(name="tag_id")
    private TagEntity tag;

    @Override
    public ProjectTagId getId() {
        return new ProjectTagId(project, tag);
    }
}
