package com.goodt.drive.supeditor.application.model.entities;

import java.io.Serializable;
import java.util.Objects;

public class ProjectTagId implements Serializable {
    public ProjectTagId() {
    }

    public ProjectTagId(ProjectEntity project, TagEntity tag) {
        this.project = project.getId();
        this.tag = tag.getId();
    }

    @Override
    public boolean equals(Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof ProjectTagEntity)) {
            return false;
        }
        ProjectTagEntity projectTag = (ProjectTagEntity) o;
        return Objects.equals(project, projectTag.getProject().getId()) &&
                Objects.equals(tag, projectTag.getTag().getId());
    }

    @Override
    public int hashCode() {
        return Objects.hash(project, tag);
    }

    private Long project;
    private Long tag;
}
