package com.goodt.drive.supeditor.application.services;

import com.goodt.drive.supeditor.application.dto.FolderDto;
import com.goodt.drive.supeditor.application.dto.SharedGroupPermissionDto;
import com.goodt.drive.supeditor.application.model.entities.FolderEntity;

import javassist.NotFoundException;

import java.util.List;
import java.util.Set;


public interface IFolderService {

    FolderEntity find(Long id) throws NotFoundException;
    List<FolderEntity> findAll(String ownerId, Long parentId, Long projectTypeId, List<Long> idList, Set<String> ownerIdList);
    FolderEntity create(FolderDto dto, String ownerId) throws NotFoundException;
    FolderEntity update(FolderDto dto) throws NotFoundException;
    FolderEntity shareGroup(Long id, SharedGroupPermissionDto sharedGroupPermissionDto) throws NotFoundException;
    FolderEntity unshareGroup(Long id) throws NotFoundException;
    void delete(Long id) throws NotFoundException;
}
