package com.goodt.drive.supeditor.application.services;

import com.goodt.drive.supeditor.application.dao.ProjectTypeDao;
import com.goodt.drive.supeditor.application.model.entities.ProjectTypeEntity;
import javassist.NotFoundException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ProjectTypeServiceImpl implements IProjectTypeService {

    @Override
    public ProjectTypeEntity find(Long id) throws NotFoundException {
        return projectTypeDao.findById(id).orElseThrow(() ->
                new NotFoundException(String.format("ProjectTypeEntity with id \"%d\" not found", id)));
    }

    @Override
    public ProjectTypeEntity findByName(String name) throws NotFoundException {
        return projectTypeDao.findByName(name).orElseThrow(() ->
                new NotFoundException(String.format("ProjectTypeEntity with name \"%s\" not found", name)));
    }

    @Autowired
    private ProjectTypeDao projectTypeDao;

    private final Logger logger = LoggerFactory.getLogger(this.getClass());

}
