package com.goodt.drive.supeditor.application.services;

import javassist.NotFoundException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

import com.goodt.drive.supeditor.application.dao.TagDao;
import com.goodt.drive.supeditor.application.model.entities.TagEntity;

@Service
public class TagServiceImpl implements ITagService {

    @Override
    public TagEntity findByName(String name) throws NotFoundException {
        return tagDao.findByName(name).orElseThrow(() ->
                new NotFoundException(String.format("FolderEntity with name \"%s\" not found", name)));
    }

    @Override
    public List<TagEntity> findAllByNameList(List<String> nameList) {
        return tagDao.findAllByNameList(nameList);
    }

    @Override
    public List<TagEntity> findAll() {
        return tagDao.findAll();
    }

    @Override
    public TagEntity create(String name) throws NotFoundException {
        TagEntity tagEntity = new TagEntity();
        tagEntity.setName(name);
        tagEntity.setDateFrom(new Date());
        return tagDao.save(tagEntity);
    }

    @Autowired
    private TagDao tagDao;

    private final Logger logger = LoggerFactory.getLogger(this.getClass());

}
