package com.goodt.drive.supeditor.application.services.clients;

import feign.Headers;
import feign.Param;
import feign.RequestLine;

import java.net.URI;
import java.util.List;

import com.goodt.drive.supeditor.application.dto.keycloak.GroupDto;
import com.goodt.drive.supeditor.application.dto.keycloak.TokenDataDto;
import com.goodt.drive.supeditor.application.dto.keycloak.UserDto;

public interface KeyCloakApi {

    @RequestLine("GET /users/{user_id}/groups?max=10000")
    @Headers({"Authorization: {token}"})
    List<GroupDto> getGroupAll(@Param("user_id") String userId, @Param("token") String token);

    @RequestLine("GET /groups/{group_id}/members?max=10000")
    @Headers({"Authorization: {token}"})
    List<UserDto> getGroupMemberAll(@Param("group_id") String groupId, @Param("token") String token);

    @RequestLine("POST /protocol/openid-connect/token")
    @Headers({"Content-Type: application/x-www-form-urlencoded"})
    TokenDataDto auth(URI baseUrl,
                      @Param("client_id") String clientId,
                      @Param("client_secret") String clientSecret,
                      @Param("grant_type") String grantType,
                      @Param("username") String username,
                      @Param("password") String password
    );
}
