package com.goodt.drive.supeditor.application.services.clients;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.List;

import com.goodt.drive.supeditor.application.configuration.KeyCloakConfig;
import com.goodt.drive.supeditor.application.dto.keycloak.GroupDto;
import com.goodt.drive.supeditor.application.dto.keycloak.TokenDataDto;
import com.goodt.drive.supeditor.application.dto.keycloak.UserDto;

@Slf4j
@Component
@SuppressWarnings("ALL")
public class KeyCloakServiceClientImpl implements IKeyCloakServiceClient {

    @Autowired
    private KeyCloakApi keyCloakApi;

    @Autowired
    private KeyCloakConfig keyCloakConfig;

    @Override
    public List<GroupDto> getGroupAll(String userId) {
        try {
            TokenDataDto auth = keyCloakApi.auth(new URI(keyCloakConfig.getBaseUrl()), keyCloakConfig.getClientId(), keyCloakConfig.getClientSecret(), "password", keyCloakConfig.getUsername(), keyCloakConfig.getPassword());
            return keyCloakApi.getGroupAll(userId, String.format("%s %s", auth.getTokenType(), auth.getAccessToken()));
        } catch (URISyntaxException e) {
            return null;
        }
    }

    @Override
    public List<UserDto> getGroupMemberAll(String groupId) {
        try {
            TokenDataDto auth = keyCloakApi.auth(new URI(keyCloakConfig.getBaseUrl()), keyCloakConfig.getClientId(), keyCloakConfig.getClientSecret(), "password", keyCloakConfig.getUsername(), keyCloakConfig.getPassword());
            return keyCloakApi.getGroupMemberAll(groupId, String.format("%s %s", auth.getTokenType(), auth.getAccessToken()));
        } catch (URISyntaxException e) {
            return null;
        }
    }

}
