package com.goodt.drive.supeditor.application.services.users;

import com.goodt.drive.supeditor.application.data.UserInfo;
import java.util.Map;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.security.oauth2.resource.PrincipalExtractor;


public class KeyCloakUserInfoExtractorService implements PrincipalExtractor{

    @Override
    public Object extractPrincipal(Map<String, Object> map) {
        UserInfo userInfo = new UserInfo();
        if(map.containsKey(KEYCLOAK_ID_TAG)){
            logger.debug(String.format("principal \"id\": %s", map.get(KEYCLOAK_ID_TAG)));
            userInfo.setId(map.get(KEYCLOAK_ID_TAG).toString());
        }

        if(map.containsKey(KEYCLOAK_NAME_TAG)){
            logger.debug(String.format("principal \"name\": %s", map.get(KEYCLOAK_NAME_TAG)));
            userInfo.setName(map.get(KEYCLOAK_NAME_TAG).toString());
        }
        
        if(map.containsKey(KEYCLOAK_USERNAME_TAG)){
            logger.debug(String.format("principal \"user_name\": %s", map.get(KEYCLOAK_USERNAME_TAG)));
            userInfo.setUserName(map.get(KEYCLOAK_USERNAME_TAG).toString());
        }
        
        if(map.containsKey(KEYCLOAK_EMPLOYEE_ID_TAG)){
            logger.debug(String.format("principal \"employee_id\": %s", map.get(KEYCLOAK_EMPLOYEE_ID_TAG)));
            userInfo.setEmployeeId(map.get(KEYCLOAK_EMPLOYEE_ID_TAG).toString());
        }

        if(map.containsKey(KEYCLOAK_EMAIL_TAG)){
            logger.debug(String.format("principal \"email\": %s", map.get(KEYCLOAK_EMAIL_TAG)));
            userInfo.setEmail(map.get(KEYCLOAK_EMAIL_TAG).toString());
        }
        return userInfo;
    }
    
    private final String KEYCLOAK_ID_TAG = "sub";
    private final String KEYCLOAK_NAME_TAG = "name";
    private final String KEYCLOAK_USERNAME_TAG = "user_name";
    private final String KEYCLOAK_EMPLOYEE_ID_TAG = "employee_id";
    private final String KEYCLOAK_EMAIL_TAG = "email";

    private final Logger logger = LoggerFactory.getLogger(this.getClass());
}
