-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: C:/Users/michael/Projects/ABC/LUKOIL/orgStructure/goodt-drive-monitor/src/main/resources/db/changelog/newChangelog.xml
-- Ran at: 09.09.2020, 16:05
-- Against: developer@jdbc:postgresql://localhost:5432/monitor
-- Liquibase version: 3.8.1
-- *********************************************************************

-- Lock Database
UPDATE public.databasechangeloglock SET LOCKED = TRUE, LOCKEDBY = 'MIKE_A_LENOVO_15 (192.168.60.1)', LOCKGRANTED = '2020-09-09 16:05:06.325' WHERE ID = 1 AND LOCKED = FALSE;

CREATE TABLE public.project_type (
    id BIGINT GENERATED BY DEFAULT AS IDENTITY NOT NULL,
    name varchar(32) NOT NULL,
    date_from TIMESTAMP WITHOUT TIME ZONE DEFAULT NOW() NOT NULL,
    date_to TIMESTAMP WITHOUT TIME ZONE DEFAULT NULL,
    CONSTRAINT "project_typePK" PRIMARY KEY (id)
);
CREATE SEQUENCE IF NOT EXISTS public.project_type_seq START WITH 1 INCREMENT BY 1;
ALTER TABLE public.project_type ADD CONSTRAINT UC_PROJECT_TYPE_NAME_COL UNIQUE (name);

CREATE TABLE public.tag (
    id BIGINT GENERATED BY DEFAULT AS IDENTITY NOT NULL,
    name varchar(32) NOT NULL,
    date_from TIMESTAMP WITHOUT TIME ZONE DEFAULT NOW() NOT NULL,
    date_to TIMESTAMP WITHOUT TIME ZONE DEFAULT NULL,
    CONSTRAINT "tagPK" PRIMARY KEY (id)
);
CREATE SEQUENCE IF NOT EXISTS public.tag_seq START WITH 1 INCREMENT BY 1;
ALTER TABLE public.tag ADD CONSTRAINT UC_TAG_NAME_COL UNIQUE (name);

CREATE TABLE public.folder (
    id BIGINT GENERATED BY DEFAULT AS IDENTITY NOT NULL,
    parent_id BIGINT,
    project_type_id BIGINT NOT NULL,
    name varchar(256) NOT NULL,
    owner_id varchar(128) NOT NULL,
    date_from TIMESTAMP WITHOUT TIME ZONE DEFAULT NOW() NOT NULL,
    date_to TIMESTAMP WITHOUT TIME ZONE DEFAULT NULL,
    CONSTRAINT "folderPK" PRIMARY KEY (id)
);
CREATE SEQUENCE IF NOT EXISTS public.folder_seq START WITH 1 INCREMENT BY 1;
ALTER TABLE public.folder ADD CONSTRAINT "FKnl657nvs23nf6n87lk4ndckjn" FOREIGN KEY (parent_id) REFERENCES public.folder (id);
ALTER TABLE public.folder ADD CONSTRAINT "FKiu3e2kn2c3j2asd4n5q7fa7js" FOREIGN KEY (project_type_id) REFERENCES public.project_type (id);

CREATE TABLE public.project (
    id BIGINT GENERATED BY DEFAULT AS IDENTITY NOT NULL,
    folder_id BIGINT,
    project_type_id BIGINT NOT NULL,
    slug varchar(256),
    title varchar(128) NOT NULL,
    description varchar(1024) NOT NULL,
    owner_id varchar(128) NOT NULL,
    date_from TIMESTAMP WITHOUT TIME ZONE DEFAULT NOW() NOT NULL,
    date_to TIMESTAMP WITHOUT TIME ZONE DEFAULT NULL,
    CONSTRAINT "projectPK" PRIMARY KEY (id)
);
CREATE SEQUENCE IF NOT EXISTS public.project_seq START WITH 1 INCREMENT BY 1;
ALTER TABLE public.project ADD CONSTRAINT "FKs12dkj22alfnv17ht456dfsgi" FOREIGN KEY (project_type_id) REFERENCES public.project_type (id);
ALTER TABLE public.project ADD CONSTRAINT "FKrvn12lnl765lfwn234lq45dsx" FOREIGN KEY (folder_id) REFERENCES public.folder (id);
ALTER TABLE public.project ADD CONSTRAINT UC_PROJECT_SLUG_COL UNIQUE (slug);

CREATE TABLE public.project_tag (
    project_id BIGINT NOT NULL,
    tag_id BIGINT NOT NULL,
    CONSTRAINT "project_tagPK" PRIMARY KEY (project_id, tag_id)
);
ALTER TABLE public.project_tag ADD CONSTRAINT "FKaiu435ainvc3a7vc82kr2f8wx" FOREIGN KEY (project_id) REFERENCES public.project (id);
ALTER TABLE public.project_tag ADD CONSTRAINT "FK122nfv465fa8i8i2an54e5fne" FOREIGN KEY (tag_id) REFERENCES public.tag (id);

insert into public.project_type (id, name)
values (1, 'app'),
       (2, 'template');
select setval('project_type_seq', 2, true);

-- Release Database Lock
UPDATE public.databasechangeloglock SET LOCKED = FALSE, LOCKEDBY = NULL, LOCKGRANTED = NULL WHERE ID = 1;

