truncate table project_tag cascade;
truncate table project cascade;
truncate table folder cascade;
truncate table tag cascade;
truncate table data_connector cascade;

insert into tag (id, name)
values (1, 'tag 1 name'),
       (2, 'tag 2 name'),
       (3, 'tag 3 name');
select setval('tag_seq', 3, true);

insert into folder (id, parent_id, project_type_id, name, owner_id, is_shared_group, can_shared_group_edit)
values (1, null, 1, 'folder 1 name', 'test-owner-id', false, false),
       (2, 1, 1, 'folder 2 name', 'test-owner-id', false, false),
       (3, null, 2, 'folder 3 name', 'test-owner-id', false, false),
       (4, null, 1, 'folder 4 name', 'test-owner-id-2', false, false),
       (5, 4, 1, 'folder 5 name', 'test-owner-id-2', false, false),
       (6, null, 1, 'folder 6 name', 'test-owner-id', false, false),
       (7, 1, 1, 'folder 7 name', 'test-owner-id', false, false),
       (8, null, 1, 'folder 8 name', 'test-owner-id-2', true, false),
       (9, 2, 1, 'folder 9 name', 'test-owner-id', false, false),
       (10, null, 1, 'folder 10 name', 'test-owner-id-2', true, false),
       (11, null, 1, 'folder 11 name', 'test-owner-id-2', true, true);
select setval('folder_seq', 11, true);

insert into project (id, folder_id, project_type_id, slug, title, description, owner_id, is_shared_group, can_shared_group_edit, date_from)
values (1, null, 1, 'conf-1-slug', 'conf 1 title', 'conf 1 description', 'test-owner-id', false, false, to_timestamp('2029-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (2, 1, 1, 'conf 2 slug', 'conf 2 title', 'conf 2 description', 'test-owner-id', false, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (3, 2, 1, null, 'conf 3 title', 'conf 3 description', 'test-owner-id', false, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (4, null, 1, null, 'conf 4 title', 'conf 4 description', 'test-owner-id-2', false, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (5, 4, 1, null, 'conf 5 title', 'conf 5 description', 'test-owner-id-2', false, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (6, null, 1, null, 'conf title', 'conf description', 'test-owner-id', false, false, to_timestamp('2000-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (7, 1, 1, null, 'conf title', 'conf description', 'test-owner-id', false, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (8, null, 1, null, 'conf title', 'conf description', 'test-owner-2', false, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (9, null, 1, null, 'conf 9 title', 'conf 9 description', 'test-owner-id-2', true, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (10, 9, 1, null, 'conf 10 title', 'conf 10 description', 'other-owner', true, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (11, null, 1, null, 'conf 11 title', 'conf 11 description', 'test-owner-id-2', true, false, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (12, null, 1, null, 'conf 12 title', 'conf 12 description', 'test-owner-id-2', true, true, to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (13, null, 1, 'conf-13-slug', 'conf 13 title', 'conf 13 description', 'test-owner-id', false, false, to_timestamp('2029-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS'));
select setval('project_seq', 13, true);

insert into project_tag (project_id, tag_id)
values (1, 1),
       (1, 2),
       (2, 1),
       (3, 1);

insert into data_connector (id, name, description, url, owner_id, date_from, date_to)
values (1, 'dc 1 name', 'dc 1 description', 'dc_1_url', 'test-owner-id', to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS'), null),
       (2, 'dc 2 name', 'dc 2 description', 'dc_2_url', 'test-owner-id', to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS'), null),
       (3, 'dc 3 name', 'dc 3 description', 'dc_3_url', 'test-owner-id', to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS'), null),
       (4, 'dc 3 name', 'dc 4 description', 'dc_4_url', 'test-owner-id', to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS'), to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (5, 'dc 3 name', 'dc 5 description', 'dc_5_url', 'test-owner-id', to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS'), to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS')),
       (6, 'dc 6 name', 'dc 6 description', 'dc_6_url', 'test-owner-id-2', to_timestamp('2020-01-01 00:00:01.44', 'YYYY-MM-DD HH24:MI:SS.MS'), null);
select setval('data_connector_seq', 6, true);