package com.goodt.drive.supeditor.application.model.dao;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Optional;

import com.goodt.drive.supeditor.application.dao.DataConnectorDao;
import com.goodt.drive.supeditor.application.model.entities.DataConnectorEntity;
import com.goodt.drive.supeditor.utils.FunctionalTestBase;

public class TestDataConnectorDao extends FunctionalTestBase {

    @Autowired
    private DataConnectorDao dataConnectorDao;

    @Test
    public void testFindById() {
        Optional<DataConnectorEntity> entity = dataConnectorDao.findById(1L);
        Assertions.assertTrue(entity.isPresent());
        Assertions.assertEquals("dc 1 name", entity.get().getName());
    }

    @Test
    public void testFindAll_Actual() {
        List<DataConnectorEntity> entities = dataConnectorDao.findAll("test-owner-id", false);
        Assertions.assertTrue(entities.size() > 0);
        Assertions.assertTrue(entities.stream().allMatch(dataConnectorEntity -> dataConnectorEntity.getDateTo() == null));
    }

    @Test
    public void testFindAll_Closed() {
        List<DataConnectorEntity> entities = dataConnectorDao.findAll("test-owner-id", true);
        Assertions.assertTrue(entities.size() > 0);
        Assertions.assertTrue(entities.stream().allMatch(dataConnectorEntity -> dataConnectorEntity.getDateTo() != null));
    }
}
