package com.goodt.drive.supeditor.application.model.dao;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Optional;

import com.goodt.drive.supeditor.application.dao.FolderDao;
import com.goodt.drive.supeditor.application.model.entities.FolderEntity;
import com.goodt.drive.supeditor.utils.FunctionalTestBase;

public class TestFolderDao extends FunctionalTestBase {

    @Autowired
    private FolderDao folderDao;

    @Test
    public void testFindById() {
        Optional<FolderEntity> entity = folderDao.findById(1L);
        Assertions.assertTrue(entity.isPresent());
        Assertions.assertEquals("folder 1 name", entity.get().getName());
        Assertions.assertEquals(false, entity.get().isSharedGroup());
        Assertions.assertEquals(false, entity.get().isCanSharedGroupEdit());
    }

    @Test
    public void testFindAll() {
        List<FolderEntity> entities = folderDao.findAll();
        Assertions.assertTrue(entities.size() > 0);
    }
}
