package com.goodt.drive.supeditor.application.model.dao;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Optional;

import com.goodt.drive.supeditor.application.dao.ProjectTagDao;
import com.goodt.drive.supeditor.application.model.entities.ProjectEntity;
import com.goodt.drive.supeditor.application.model.entities.ProjectTagEntity;
import com.goodt.drive.supeditor.application.model.entities.ProjectTagId;
import com.goodt.drive.supeditor.application.model.entities.TagEntity;
import com.goodt.drive.supeditor.utils.FunctionalTestBase;

public class TestProjectTagDao extends FunctionalTestBase {

    @Autowired
    private ProjectTagDao projectTagDao;

    @Test
    public void testFindById() {
        ProjectEntity project = new ProjectEntity();
        project.setId(1L);
        TagEntity tag = new TagEntity();
        tag.setId(1L);
        Optional<ProjectTagEntity> entity = projectTagDao.findById(new ProjectTagId(project, tag));
        Assertions.assertTrue(entity.isPresent());
    }

    @Test
    public void testFindAllByProjectId() {
        List<ProjectTagEntity> entities = projectTagDao.findAllByProjectId(1L);
        Assertions.assertTrue(entities.size() > 0);
        Assertions.assertTrue(entities.stream().allMatch(projectTagEntity -> projectTagEntity.getProject().getId().equals(1L)));
    }

    @Test
    public void testFindAllByTagId() {
        List<ProjectTagEntity> entities = projectTagDao.findAllByTagId(1L);
        Assertions.assertTrue(entities.size() > 0);
        Assertions.assertTrue(entities.stream().allMatch(projectTagEntity -> projectTagEntity.getTag().getId().equals(1L)));
    }

    @Test
    public void testFindAll() {
        List<ProjectTagEntity> entities = projectTagDao.findAll();
        Assertions.assertTrue(entities.size() > 0);
    }
}
