package com.goodt.drive.supeditor.application.model.dao;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Optional;

import com.goodt.drive.supeditor.application.dao.ProjectTypeDao;
import com.goodt.drive.supeditor.application.model.entities.ProjectTypeEntity;
import com.goodt.drive.supeditor.utils.FunctionalTestBase;

public class TestProjectTypeDao extends FunctionalTestBase {

    @Autowired
    private ProjectTypeDao projectTypeDao;

    @Test
    public void testFindById() {
        Optional<ProjectTypeEntity> entity = projectTypeDao.findById(1L);
        Assertions.assertTrue(entity.isPresent());
        Assertions.assertEquals("app", entity.get().getName());
    }

    @Test
    public void testFindByName() {
        Optional<ProjectTypeEntity> entity = projectTypeDao.findByName("app");
        Assertions.assertTrue(entity.isPresent());
        Assertions.assertEquals("app", entity.get().getName());
    }

    @Test
    public void testFindAll() {
        List<ProjectTypeEntity> entities = projectTypeDao.findAll();
        Assertions.assertTrue(entities.size() > 0);
    }
}
