package com.goodt.drive.supeditor.application.model.dao;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Optional;

import com.goodt.drive.supeditor.application.dao.TagDao;
import com.goodt.drive.supeditor.application.model.entities.TagEntity;
import com.goodt.drive.supeditor.utils.FunctionalTestBase;

public class TestTagDao extends FunctionalTestBase {

    @Autowired
    private TagDao tagDao;

    @Test
    public void testFindById() {
        Optional<TagEntity> entity = tagDao.findById(1L);
        Assertions.assertTrue(entity.isPresent());
        Assertions.assertEquals("tag 1 name", entity.get().getName());
    }

    @Test
    public void testFindByName() {
        Optional<TagEntity> entity = tagDao.findByName("tag 1 name");
        Assertions.assertTrue(entity.isPresent());
        Assertions.assertEquals("tag 1 name", entity.get().getName());
    }

    @Test
    public void testFindAll() {
        List<TagEntity> entities = tagDao.findAll();
        Assertions.assertTrue(entities.size() > 0);
    }

    @Test
    public void testFindAllByNameList() {
        List<TagEntity> entities = tagDao.findAllByNameList(List.of("tag 1 name", "tag 2 name", "tag 99999 name"));
        Assertions.assertEquals(2, entities.size());
    }
}
