package com.goodt.drive.supeditor.application.model.services;

import com.goodt.drive.supeditor.application.model.entities.ProjectTagEntity;
import com.goodt.drive.supeditor.application.services.IProjectTagService;
import com.goodt.drive.supeditor.utils.FunctionalTestBase;
import javassist.NotFoundException;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import java.util.List;

@SpringBootTest
@ActiveProfiles("functests")
public class TestProjectTagService extends FunctionalTestBase  {

    @Test
    public void testFindAllByProjectId() {
        List<ProjectTagEntity> entities = projectTagService.findAllByProjectId(1L);
        Assertions.assertTrue(entities.size() > 0);
        Assertions.assertTrue(entities.stream().anyMatch(projectTagEntity -> projectTagEntity.getProject().getId().equals(1L)));
    }

    @Autowired
    private IProjectTagService projectTagService;
}
