package com.goodt.drive.supeditor.application.model.services;

import com.goodt.drive.supeditor.application.model.entities.ProjectTypeEntity;
import com.goodt.drive.supeditor.application.services.IProjectTypeService;
import com.goodt.drive.supeditor.utils.FunctionalTestBase;
import javassist.NotFoundException;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

@SpringBootTest
@ActiveProfiles("functests")
public class TestProjectTypeService extends FunctionalTestBase  {

    @Test
    public void testFind() throws NotFoundException {
        ProjectTypeEntity entity = projectTypeService.find(1L);
        Assertions.assertNotNull(entity);
    }

    @Test
    public void testFind_NotFound() {
        Assertions.assertThrows(NotFoundException.class, () -> projectTypeService.find(9999L));
    }

    @Test
    public void testFindByName() throws NotFoundException {
        ProjectTypeEntity entity = projectTypeService.findByName("app");
        Assertions.assertNotNull(entity);
    }

    @Autowired
    private IProjectTypeService projectTypeService;
}
