type Reason = string | Record<string, any> | null | undefined;
/**
 * @class
 * @extends Error
 */
export class SDKError extends Error {
    code: number;
    data: Reason;
    reason: Reason;

    constructor(message: string, { reason, code, data }: { reason: Reason, code: number, data: Reason  });
}
/**
 * @class
 * @extends SDKError
 */
export class SDKValidationError extends SDKError {
    constructor(message: string);
}

export class SDKCancelRequestError extends Error {
    isCancel: boolean;
    constructor()
}
