import { BaseApiService } from '@goodt-common/api';
import { SafeResult } from '@goodt-common/utils';

export class FileUploadApiService extends BaseApiService {
    /**
     *
     * @param {File} file
     * @return {Promise<SafeResult>}
     */
    uploadFile(file): Promise<SafeResult>;

    /**
     * @description Скачивание файла
     * @link https://goodt-dev.goodt.me:8499/swagger-ui/index.html?configUrl=/v3/api-docs/swagger-config#/fileupload/getUrl
     *
     * @param { string } fileName
     * @return {Promise<SafeResult<Blob, Error>>}
     */
    getFile(fileName: string): Promise<SafeResult<Blob, Error>>;
}
