import { useApiServiceMixin } from '@goodt-common/api';
import { FileUploadApiService } from './FileUploadApiService';
import { FileUploadApiServiceSymbol } from './meta';

/**
 *
 * @param {import('@goodt-common/api').IApiServiceOptions} [serviceOptions={ apiBaseURL: 'fileUploadApiUrl' }]
 * @param {import('@goodt-common/api').IApiServiceMixinOptions} [mixinOptions={ name: 'fileUploadApiService' }]
 * @return {import('@goodt-common/api').IApiServiceMixinInstance}
 */
export const useFileUploadApiServiceMixin = (
    { apiBaseURL = 'fileUploadApiUrl', methods = {} } = {},
    { name = 'fileUploadApiService' } = {}
) => useApiServiceMixin(FileUploadApiService, { apiBaseURL }, { name, serviceId: FileUploadApiServiceSymbol });
