import { useApiServiceMixin } from '@goodt-common/api';
import { createLearningCourseApiService } from './LearningCourseApiService';
import { LearningCourseApiServiceSymbol } from './meta';

/**
 *
 * @param {import('@goodt-common/api').IApiServiceOptions} [serviceOptions={ apiBaseURL: 'learningApiUrl' }]
 * @param {import('@goodt-common/api').IApiServiceMixinOptions} [mixinOptions={ name: 'learningApiService' }]
 * @return {import('@goodt-common/api').IApiServiceMixinInstance}
 */
export const useLearningApiServiceMixin = (
    { apiBaseURL = 'learningApiUrl', methods = {} } = {},
    { name = 'learningApiService' } = {}
) => {
    const create = (options) => createLearningCourseApiService({ options }, methods);
    return useApiServiceMixin(create, { apiBaseURL }, { name, serviceId: LearningCourseApiServiceSymbol });
};
