// eslint-disable-next-line max-classes-per-file
import { BaseDto } from '@goodt-common/infra';

export class DivisionTeamAssignmentDto extends BaseDto {
    id: number;
    employee: EmployeeInfoDto;
    abbreviation: string;
    status: AssignmentStatusDto;
    full_name: string;
    short_name: string;
    division_team_assignment_rotations: BaseDto[];
    external_id: string;
    division_team_role: DivisionTeamRoleDto;
    division_team: DivisionTeamDto;
}

export class DivisionTeamDto extends BaseDto {}

export class EmployeeExtendedInfoDto extends BaseDto {}

export class EmployeeConditionInfoDto extends BaseDto {}
export class LegalEntityTeamAssignmentDto extends BaseDto {}

export class AssignmentStatusDto extends BaseDto {}
export class DivisionShortInfoDto extends BaseDto {}
export class DivisionInfoDto extends BaseDto {}
export class DivisionPositionDto extends BaseDto {}
export class PositionExtendedDto extends BaseDto {}

export class RoleInfoDto extends BaseDto {}

export class SystemRoleDto extends BaseDto {
    id: number;
    name: string;
    is_assignable: 0 | 1;
}

export class RoleDto extends BaseDto {
    id: number;
    abbreviation: string;
    system_role: SystemRoleDto;
    full_name: string;
    short_name: string;
}

export class DivisionTeamRoleContainerDto extends BaseDto {}
export class DivisionTeamRoleRawDto extends BaseDto {}
export class DivisionTeamRoleDto extends BaseDto {
    id: number;
    role: RoleDto;
    abbreviation: string;
    system_role: SystemRoleDto;
    full_name: string;
    short_name: string;
    importance: BaseDto;
    division_team: DivisionTeamDto;
    external_id: string;
}

export class DivisionTeamAssignmentRotationDto extends BaseDto {}
export class DivisionTeamSuccessorDto extends BaseDto {}
export class AssignmentReadinessDto extends BaseDto {}
export class AssignmentRotationDto extends BaseDto {}
export class DivisionTeamSuccessorReadinessDto extends BaseDto {}

export class LegalEntityDto extends BaseDto {}

export class EmployeeInfoDto extends BaseDto {}

export class PositionRankDto extends BaseDto {}
export class PositionCategoryDto extends BaseDto {}
export class ReasonDto extends BaseDto {}

export class ImportanceCriteriaGroupDto extends BaseDto {}
export class PositionImportanceCriteriaDto extends BaseDto {}
export class ImportanceCriteriaDto extends BaseDto {}
export class RecalculatePositionImportanceCriteriaDto extends BaseDto {
    value: number;
    importance_criteria_id: number;
    position_id: number;
}

export class CreatePositionImportanceCriteriaInputDto extends BaseDto {
    weight: number;
    value: number;
    position_id: number;
    importance_criteria_id: number;
}
export class UpdatePositionImportanceCriteriaInputDto extends BaseDto {
    weight: number;
    value: number;
    position_id: number;
    importance_criteria_id: number;
}
export class CreatePositionSuccessorInputDto extends BaseDto {
    date_commit_hr: string;
    date_priority: string;
    employee_id: number;
    position_id: number;
    position_group_id: number;
    reason_id_inclusion: number;
    reason_id_exclusion: number;
    comment_inclusion: string;
    comment_exclusion: string;
    document_url_inclusion: string;
    document_url_exclusion: string;
}
export class UpdatePositionSuccessorInputDto extends BaseDto {
    date_commit_hr: string;
    date_priority: string;
    employee_id: number;
    position_id: number;
    position_group_id: number;
    reason_id_inclusion: number;
    reason_id_exclusion: number;
    comment_inclusion: string;
    comment_exclusion: string;
    document_url_inclusion: string;
    document_url_exclusion: string;
}
export class CreatePositionSuccessorReadinessInputDto extends BaseDto {
    position_successor_id: number;
    readiness_id: number;
}
export class UpdatePositionSuccessorReadinessInputDto extends BaseDto {
    position_successor_id: number;
    readiness_id: number;
}
export class PositionImportanceDto extends BaseDto {
    id: number;
    name: string;
    successorCountMax: number;
    successorCountRec: number;
    description: string;
    index: number;
}
export class PositionImportanceBindingDto extends BaseDto {
    id: number;
    position: number;
    position_importance_id: number;
    ruk_position_importance_id: number;
    hr_position_importance_id: number;
    date_from: string;
    date_to: string;
}

export type CreatePositionImportanceBindingInputDto extends BaseDto {
    position: number;
    position_importance_id: number;
    system_role_id: number;
}

export class PositionAssignmentDto extends BaseDto {}
export class DivisionGroupDto extends BaseDto {}


