import { useApiServiceMixin } from '@goodt-common/api';
import { OrgStructureApiService } from './OrgStructureApiService';
import { OrgStructureApiServiceSymbol } from './meta';

/**
 *
 * @param {import('@goodt-common/api').IApiServiceOptions} [serviceOptions={ apiBaseURL: 'orgStructureApiUrl' }]
 * @param {import('@goodt-common/api').IApiServiceMixinOptions} [mixinOptions={ name: 'orgStructureApiService' }]
 * @return {import('@goodt-common/api').IApiServiceMixinInstance}
 */
export const useOrgStructureApiServiceMixin = (
    { apiBaseURL = 'orgStructureApiUrl' } = {},
    { name = 'orgStructureApiService' } = {}
) => useApiServiceMixin(OrgStructureApiService, { apiBaseURL }, { name, serviceId: OrgStructureApiServiceSymbol });
