import { ApiClientMethod } from '@goodt-common/api';

/* eslint-disable id-length */
export const ServiceAction = {
    // GET REQUESTS
    KPI_GROUP_LIST_GET: {
        url: 'kpigroup/list'
    },
    KPI_LIST_GET: {
        url: 'kpi/list'
    },
    KPI_DATA_LIST_GET: {
        url: 'kpidata/list'
    },
    KPI_METRIC_LIST_GET: {
        url: 'kpimetric/list'
    },
    EMPLOYEE_WORK_EXPERIENCE_FIND_GET: {
        url: 'employeeworkexperience/find'
    },
    WORKER_PROJECT_LIST_GET: {
        url: 'workerproject/list'
    },
    WORKER_PROJECT_ACTIVITY_LIST_GET: {
        url: 'workerprojectactivity/list'
    },
    WORKER_PROJECT_ROLE_LIST_GET: {
        url: 'workerprojectrole/list'
    },
    COMPETENCE_DIVISION_LIST_GET: {
        url: 'competence/divisionlist'
    },
    COMPETENCE_CATALOG_LIST_GET: {
        url: 'competence/cataloglist'
    },
    DEVELOPMENT_GOAL_LIST_GET: {
        url: 'developmentgoal/list'
    },
    SCALE_TYPE_GET: {
        url: 'scaletype/:id'
    },
    EVALUATION_EVENT_GET: {
        url: 'evaluation/event/:id'
    },
    COMPETENCE_PROFILE_COMPETENCE_COMPETENCE_LIST_GET: {
        url: 'competenceprofilecompetence/competencelist'
    },
    COMPETENCE_LIST_GET: {
        url: 'competence/list'
    },
    DEVELOPMENT_FORM_LIST_GET: {
        url: 'developmentform/list'
    },
    DEVELOPMENT_FORM_CATALOG_LIST_GET: {
        url: 'developmentform/cataloglist'
    },
    EVALUATION_EVENT_TYPE_EVALUATION_ROLE_GET: {
        url: 'evaluationeventtypeevaluationrole'
    },
    EVALUATION_EVENT_TYPE_GET: {
        url: 'evaluation/eventtype/:id'
    },
    ONBOARDING_TASK_FILE_DOWNLOAD_GET: {
        url: 'onboarding/taskfile/download/:id',
        options: {
            responseType: 'blob',
            // eslint-disable-next-line no-restricted-syntax
            transformResponse: [
                (data, headers) => ({
                    headers,
                    data
                })
            ]
        }
    },
    COMPETENCE_PROFILE_LINK_GET: {
        url: 'competenceprofilelink/:id'
    },
    COMPETENCE_PROFILE_LINK_TYPE_GET: {
        url: 'competenceprofilelinktype'
    },
    COMPETENCE_PROFILE_POSITION_BY_ID_GET: {
        url: 'competenceprofileposition/:id'
    },
    COMPETENCE_PROFILE_BY_ID_GET: {
        url: 'competenceprofile/:id'
    },
    SCALE_LEVEL_GET: {
        url: 'scalelevel'
    },
    REASON_LIST_GET: {
        url: 'reason/list'
    },
    COMPETENCE_ASSIGNMENT_ACCORDANCE_GET: {
        url: 'competence/assignmentaccordance'
    },
    DEVELOPMENT_GOAL_COMPETENCE_LIST_GET: {
        url: 'developmentgoalcompetence/list'
    },
    COMPETENCE_BY_ID_GET: {
        url: 'competence/:id'
    },
    RECEIVER_SYSTEM_NOTIFICATION_GET: {
        url: 'notification-receiver-system'
    },
    NOTIFICATION_DYNAMIC_RECIPIENT_GET: {
        url: 'notification-recipient/dynamic'
    },
    NOTIFICATION_TOKEN_GET: {
        url: 'notification-token'
    },
    SUBSTITUTE_NOTIFICATION_CONTENT_TEMPLATE_GET: {
        url: 'notification-template-content/substitute'
    },
    NOTIFICATION_TEMPLATE_CONTENT_BY_ID_GET: {
        url: 'notification-template-content/:id'
    },
    NOTIFICATION_LOG_BY_ID_GET: {
        url: 'notification-log/:id'
    },

    // POST REQUESTS
    UEPPC_SET_PROGRESS_POST: {
        url: 'ueppc/setprogress',
        options: {
            method: ApiClientMethod.POST,
            headers: {
                'content-type': 'application/json'
            }
        }
    },
    WORKER_PROJECT_UPDATE_POST: {
        url: 'workerproject/update',
        options: {
            method: ApiClientMethod.POST
        }
    },
    WORKER_PROJECT_ACTIVITY_UPDATE_POST: {
        url: 'workerprojectactivity/update',
        options: {
            method: ApiClientMethod.POST
        }
    },
    WORKER_PROJECT_ROLE_UPDATE_POST: {
        url: 'workerprojectrole/update',
        options: {
            method: ApiClientMethod.POST
        }
    },
    EVENT_CUSTOM_EMAIL_EVENT_CODE_POST: {
        url: 'event/customemailevent_code',
        options: {
            method: ApiClientMethod.POST
        }
    },
    COMPETENCE_UPDATE_POST: {
        url: 'competence/update',
        options: {
            method: ApiClientMethod.POST
        }
    },
    COMPETENCE_FIND_NEW_POST: {
        url: 'competence/find/new',
        options: {
            method: ApiClientMethod.POST
        }
    },
    COMPETENCE_DIVISION_DELETE_POST: {
        url: 'competence/divisiondelete',
        options: {
            method: ApiClientMethod.POST
        }
    },
    EVENT_CREATE_UPDATED_TA_ROTATION_POST: {
        url: 'event/create/updatedtarotation',
        options: {
            method: ApiClientMethod.POST,
            headers: {
                'content-type': 'application/json'
            }
        }
    },
    EVALUATION_BFF_POLL_RESULT_POST: {
        url: 'evaluation/bff/pollresult',
        options: {
            method: ApiClientMethod.POST
        }
    },
    COMPETENCE_PROFILE_LINK_POST: {
        url: 'competenceprofilelink',
        options: {
            method: ApiClientMethod.POST
        }
    },
    EVENT_CREATE_UPDATED_TA_ROTATION_COMPLETED_POST: {
        url: 'event/create/updatedtarotationcompleted',
        options: {
            method: ApiClientMethod.POST
        }
    },
    EVENT_CREATE_TASK_ACHIEVEMENT_POST: {
        url: 'event/create/taskachievement',
        options: {
            method: ApiClientMethod.POST
        }
    },
    EVENT_CREATE_KR_ACHIEVEMENT_POST: {
        url: 'event/create/krachievement',
        options: {
            method: ApiClientMethod.POST
        }
    },
    EVENT_CREATE_KR_PROGRESS_POST: {
        url: 'event/create/krprogress',
        options: {
            method: ApiClientMethod.POST
        }
    },
    NOTIFICATION_TEMPLATE_CONTENT_CREATE: {
        url: 'notification-template-content',
        options: {
            method: ApiClientMethod.POST
        }
    },

    // PUT REQUESTS
    COMPETENCE_UPDATE_PUT: {
        url: 'competence/update/:id',
        options: {
            method: ApiClientMethod.PUT
        }
    },
    COMPETENCE_PROFILE_POSITION_UPDATE_PUT: {
        url: 'competenceprofileposition/update/:id',
        options: {
            method: ApiClientMethod.PUT
        }
    },
    COMPETENCE_PROFILE_PUT: {
        url: 'competenceprofile/:id',
        options: {
            method: ApiClientMethod.PUT
        }
    },
    NOTIFICATION_TEMPLATE_CONTENT_PUT: {
        url: 'notification-template-content/:id',
        options: {
            method: ApiClientMethod.PUT
        }
    },

    // DELETE REQUEST
    COMPETENCE_EVALUATION_EVENT_DELETE: {
        url: 'competenceevaluationevent/:evaluation_event_id/:competence_id',
        options: {
            method: ApiClientMethod.DELETE
        }
    },
    EVALUATION_EVENT_DELETE: {
        url: 'evaluation/event/:id',
        options: {
            method: ApiClientMethod.DELETE
        }
    },
    COMPETENCE_PROFILE_LINK_DELETE: {
        url: 'competenceprofilelink/:id',
        options: {
            method: ApiClientMethod.DELETE
        }
    }
};
