import { useApiServiceMixin } from '@goodt-common/api';
import { RostalentApiService } from './RostalentApiService';
import { RostalentApiServiceSymbol } from './meta';

/**
 *
 * @param {import('@goodt-common/api').IApiServiceOptions} [serviceOptions={ apiBaseURL: 'rostalentApiUrl' }]
 * @param {import('@goodt-common/api').IApiServiceMixinOptions} [mixinOptions={ name: 'rostalentApiService' }]
 * @return {import('@goodt-common/api').IApiServiceMixinInstance}
 */
export const useRostalentApiServiceMixin = (
    { apiBaseURL = 'rostalentApiUrl' } = {},
    { name = 'rostalentApiService' } = {}
) => useApiServiceMixin(RostalentApiService, { apiBaseURL }, { name, serviceId: RostalentApiServiceSymbol });
