import { ApiClientMethod } from '@goodt-common/api';

export const ServiceAction = {
    POSITION_ASSIGNMENTS_MANAGED_GET: {
        url: 'position-assignment/managed'
    },
    KPI_GOAL_TASK_CREATE: {
        url: 'kpigoal/task-create',
        options: {
            method: ApiClientMethod.POST,
            headers: {
                'Content-Type': 'multipart/form-data'
            }
        }
    },
    KPI_GOAL_TASK_FIND_GET: {
        url: 'kpi-goal/task-find',
        options: { method: ApiClientMethod.GET }
    },
    KPI_GOAL_CHECK_NUMBERS_POST: {
        url: 'kpigoal/check-numbers',
        options: {
            method: ApiClientMethod.POST,
            headers: {
                'Content-Type': 'multipart/form-data'
            }
        }
    },
    KPI_GOAL_CHECK_NUMBERS_EXCEL_POST: {
        url: 'kpigoal/check-numbers-excel',
        options: {
            method: ApiClientMethod.POST,
            headers: {
                'Content-Type': 'multipart/form-data'
            },
            responseType: 'blob'
        }
    },
    TASK_FIND_BY_FIELD_POST: {
        url: 'task/findByField',
        options: { method: ApiClientMethod.POST }
    },
    POSITION_FIND_GET: {
        url: 'position/find'
    },
    DIVISION_FIND_POST: {
        url: 'division/find',
        options: { method: ApiClientMethod.POST }
    },
    EMPLOYEE_DEPUTY_GET: {
        url: 'employee-deputy'
    },
    EMPLOYEE_DEPUTY_POST: {
        url: 'employee-deputy',
        options: { method: ApiClientMethod.POST }
    },
    EMPLOYEE_DEPUTY_BY_ID_GET: {
        url: 'employee-deputy/:id'
    },
    EMPLOYEE_DEPUTY_PUT: {
        url: 'employee-deputy/:id',
        options: { method: ApiClientMethod.PUT }
    },
    EMPLOYEE_DEPUTY_DELETE: {
        url: 'employee-deputy/:id',
        options: { method: ApiClientMethod.DELETE }
    },
    POSITION_ASSIGNMENT_GET: {
        url: 'positionassignment'
    }
};
