import { useApiServiceMixin } from '@goodt-common/api';
import { TaskOrgApiService } from './TaskOrgApiService';
import { TaskOrgApiServiceSymbol } from './meta';

/**
 *
 * @param {import('@goodt-common/api').IApiServiceOptions} [serviceOptions={ apiBaseURL: 'taskOrgApiUrl' }]
 * @param {import('@goodt-common/api').IApiServiceMixinOptions} [mixinOptions={ name: 'taskOrgApiService' }]
 * @return {import('@goodt-common/api').IApiServiceMixinInstance}
 */
export const useTaskOrgApiServiceMixin = (
    { apiBaseURL = 'taskOrgApiUrl', methods } = {},
    { name = 'taskOrgApiService' } = {}
) => useApiServiceMixin(TaskOrgApiService, { apiBaseURL }, { name, serviceId: TaskOrgApiServiceSymbol });
