import { useTaskSettingsApiServiceMixin as v1Mixin } from './v1';
import { useTaskSettingsApiServiceMixin as v2Mixin } from './v2';
import { TaskSettingsApiVersion } from './constants';

/**
 *
 * @param {import('@goodt-common/api').IApiServiceOptions} [serviceOptions={ apiBaseURL: 'taskSettingsApiUrl' }]
 * @param {import('@goodt-common/api').IApiServiceMixinOptions} [mixinOptions={ name: 'taskSettingsApiService' }]
 * @return {import('@goodt-common/api').IApiServiceMixinInstance}
 */
export const useTaskSettingsApiServiceMixin = (
    { apiBaseURL = 'taskSettingsApiUrl' } = {},
    { name = 'taskSettingsApiService', version = TaskSettingsApiVersion.V1 } = {}
) => (version === TaskSettingsApiVersion.V1 ? v1Mixin({ apiBaseURL }, { name }) : v2Mixin({ apiBaseURL }, { name }));
