import { BaseDto } from '@goodt-common/infra';
import { ITaskDto } from '/types';

export class UserTaskTreeDto extends BaseDto {}
export class TaskDto extends BaseDto implements ITaskDto {}
export class TaskRawExtendedDto extends BaseDto {}
export class TaskLinkDto extends BaseDto {}
export class TaskTypeDto extends BaseDto {}
export class ModuleDto extends BaseDto {}
export class AccessTypeDto extends BaseDto {}
export class UserTypeDto extends BaseDto {}
export class TaskTypeFieldGroupDto extends BaseDto {}
export class TaskTypeFieldTypeDto extends BaseDto {}
export class ComponentTaskTypeFieldDto extends BaseDto {}
export class CompetenceCommentDto extends BaseDto {}

export class TaskHistoryResultDto extends BaseDto {
    task_history: TaskDto[];
    field_history: Record<string, TaskFieldDto[]>;
}

type TaskConditionCheckDto = {
    name: string;
    success: boolean;
};

export class TaskConditionsDto extends BaseDto {
    name: string;
    isRequired: boolean;
    conditions: TaskConditionCheckDto[];
    is_required: boolean;
}

export class ProcessDto extends BaseDto {}
export class ProcessStageShortDto extends BaseDto {}

export class ProcessInfoDto extends BaseDto {
    process: ProcessDto;
    process_stages: ProcessStageShortDto[];
}

export class ProcessStageDto extends BaseDto {}

export class ProcessTypeDto extends BaseDto {}
export class ProcessStageTypeDto extends BaseDto {}
export class ProcessTaskBindingDto extends BaseDto {
    process: ProcessDto;
    task: TaskRawExtendedDto;
}

// Input classes

export class TaskFieldTaskInput {
    type: number;
    value: any;
}

export class TaskMutateInput {
    id?: number;
    type: number;
    user: number;
    fields?: TaskFieldTaskInput[];
    comment: string;
    parent?: number;
    status?: number;
}

export type ProcessMutateInput = {};

export class TaskMutateTaskFieldInput {
    type: {
        id: number;
    };
    value: any;
}

export class TaskBatchUpdateInput {
    fields: TaskMutateTaskFieldInput[];
    comment: string;
    id: number;
}

export class TaskTypeFieldInputDto {
    name: string;
    params: string;
    description: string;
    is_required: number;
    index: number;
    type_field_type: number;
    type_field_group: number;
    component_id: number;
}

export class TaskTypeInputDto {
    name: string;
    parent: number;
    description: string;
    module: number;
    access_type: number;
    user_type: number;
    task_type_fields: TaskTypeFieldInput;
}
