import { BaseDto } from '@goodt-common/infra';

export interface ITaskDto {
    id: number;
    type: BaseDto;
    status: BaseDto;
    comment: string;
    fields: BaseDto[];
    role: BaseDto;
    parent_id: number;
    date_from: string;
    date_to: string;
    user_id: number;
    author_employee_id: number;
}

type TaskFilterInputTaskField = {
    value: string;
    typeId: number;
};

export type TaskFieldFilterInput = {
    value: number;
    type_id: number;
};

export type TaskFilterInput = {
    taskIds?: number[];
    taskTypeIds?: number;
    userIds?: number[];
    parentIds?: number[];
    processId?: number;
    processTypeId?: number;
    taskFieldTypeId?: number;
    taskFieldValue?: string;
    taskField?: TaskFieldFilterInput;
    rootId?: number
};

export type ProcessTaskBindingFilterInput = {
    taskId?: number;
    processId?: number;
};
