import { BaseDto, TaskRawDataDto } from '@goodt-common/infra';

export interface ITaskDto {
    id: number;
    type: BaseDto;
    status: BaseDto;
    comment: string;
    fields: BaseDto[];
    role: BaseDto;
    parent_id: number;
    date_from: string;
    date_to: string;
    user_id: number;
    author_employee_id: number;
}

type TaskFilterInputTaskField = {
    value: string;
    typeId: number;
};

export type TaskFieldFilterInput = {
    value: number;
    type_id: number;
};

export type TaskFilterInput = {
    taskIds?: number[];
    taskTypeIds?: number;
    userIds?: number[];
    parentIds?: number[];
    processId?: number;
    processTypeId?: number;
    taskFieldTypeId?: number;
    taskFieldValue?: string;
    taskField?: TaskFieldFilterInput;
    rootId?: number;
    taskTypeRoleId?: number | string;
};

export type ProcessTaskBindingFilterInput = {
    taskId?: number;
    processId?: number;
};

export type CustomDictionaryColumnRowsFilterInput = {
    tableId: number;
    tableName: string;
    columnIds: number[];
    columnNames: string[];
};

export type CustomDictionaryColumnRowsOptionsInput = {
    page: number;
    size: number;
    sort: string[];
};

export type CustomDictionaryColumnsFilterInput = Pick<CustomDictionaryColumnRowsFilterInput, 'tableId'>;

export type ProcessInfosFilterInput = {
    typeCode: string;
    externalId: string;
    date: string;
    stageDate: string;
};

export type TaskStatusUpdateInput = {
    statusChangeRuleId: number;
    ids: number[];
    comment: string;
};

export type TaskRawDataInput = Omit<TaskRawDataDto, 'id'>;

export type MemberGroupInput = {
    name: string;
    description: string;
};
export type StatusChangeRuleInput = {
    description: string;
    task_type_role_id: number;
    status_from_id: number;
    status_to_id: number;
    is_commentable: boolean;
    is_comment_required: boolean;
};
