import { useApiServiceMixin } from '@goodt-common/api';
import { TaskSettingsApiService } from './TaskSettingsApiService';

/**
 *
 * @param {import('@goodt-common/api').IApiServiceOptions} [serviceOptions={ apiBaseURL: 'taskSettingsApiUrl' }]
 * @param {import('@goodt-common/api').IApiServiceMixinOptions} [mixinOptions={ name: 'taskSettingsApiService' }]
 * @return {import('@goodt-common/api').IApiServiceMixinInstance}
 */
export const useTaskSettingsApiServiceMixin = (
    { apiBaseURL = 'taskSettingsApiUrl' } = {},
    { name = 'taskSettingsApiService' } = {}
) => useApiServiceMixin(TaskSettingsApiService, { apiBaseURL }, { name });
