```vue
<template>
    <div class="pad-l5">
        <div class="p">
            <!-- default -->
            <ui-avatar v-bind="props" @load="onLoad" @error="onError"></ui-avatar>
            
            <!-- custom slots -->
            <ui-avatar v-bind="props">
                <template v-slot="{abbr}">
                    <code>{{abbr}}</code>
                </template>
                <template #loading>loading</template>
            </ui-avatar>
        </div>
        <div class="row">
            <div class="col">
                <template v-for="key in Object.keys(props)">
                    <label class="text-small " v-if="isBool(key)">                
                        <input class="checkbox checkbox-small" type="checkbox" v-model="props[key]">
                        <span class="v-mid">{{key}}</span>
                    </label>
                    <div :key="key" v-else>
                        <label class="text-xsmall">{{key}}</label>
                        <input class="input input-small d-block" type="text" v-model="props[key]">
                    </div>
                </template>
            </div>
            <div class="col">
                <pre class="text-xsmall" style="max-height:10rem">{{logStr}}</pre>
            </div>
        </div>
    </div>
</template>
<script>
import UiAvatar from './Avatar.vue';

export default {
    components: { UiAvatar },
    data() {
        return { 
            props: { 
                round: true,
                src:'https://picsum.photos/150/150',
                size: '4rem',
                alt: 'John Wick', 
                color: '#ffffff',
                background:'#fca522',
            },
            log:[]
        }
    },
    computed: {
        logStr() {
            return this.log.reverse().join("\n")
        }
    },
    methods: {
        isBool(key) {
            return key === 'round'
        },
        addLog(n,e) { this.log.push(`event: ${n}`) },
        onLoad(e) { this.addLog('load') },
        onError(e) { this.addLog('error') },
    }
};
</script>
```
