```vue
<template>
    <div class="pad-l5">
        <div class="p">
            <div class="row">
                <div class="col">
                    <div>String:</div>
                    <input
                        class="input input-small w-12-12 v-top"
                        type="text"
                        v-model="props.src"
                    />
                </div>
                <div class="col">
                    <div>File:</div>
                    <ui-file-selector accept="image/*" @change="onFilesChange">
                        <div class="btn btn-primary btn-small">select local image</div>
                    </ui-file-selector>
                </div>
                <div class="col">
                    <div>Promise:</div>
                    <div class="btn btn-primary btn-small" @click="onImportImage">
                        import() image
                    </div>
                </div>
            </div>
        </div>
        <ui-image v-bind="props" style="max-height:3rem">
            <i class="preloader"></i>
        </ui-image>
    </div>
</template>
<script>
import UiFileSelector from './FileSelector.vue';
import UiImage from './Image.vue';

export default {
    components: { UiFileSelector, UiImage },
    data() {
        return {
            props: {
                src: 'https://vuejs.org/images/logo.svg',
            },
        };
    },
    methods: {
        onImportImage() {
            // @NOTE async import() not working in demo previews
            this.props.src = Promise.resolve(require('/public/js.png'));
        },
        onFilesChange(files) {
            if (files.length) {
                this.props.src = files[0];
            }
        },
    },
};
</script>
```
