Simple example

```vue
<template>
    <div class="pad-l5">
        <p>value: {{ model }}</p>
        <input-color-picker class="w-6-12" v-model="model" v-bind="props"></input-color-picker>
    </div>
</template>
<script>
export default {
    data() {
        return {
            model: '#f00',
            props: {
                placeholder: 'Pick a color',
            },
        };
    },
};
</script>
```

Advanced example. Slots

```vue
<template>
    <div class="pad-l5">
        <p>value: {{ model }}</p>
        <input-color-picker class="w-6-12" v-model="model" v-bind="props">
            <template #icon="{ toggle, value }">
                <div class="icon cursor-pointer" @click="toggle">
                    <i class="mdi mdi-palette mdi-18px"></i>
                </div>
            </template>
        </input-color-picker>
    </div>
</template>
<script>
export default {
    data() {
        return {
            model: '#f00',
            props: {
                placeholder: 'Pick a color',
            },
        };
    },
};
</script>
```
