Simple example

```vue
<template>
    <div class="pad-l5">
        <p>value: {{ model }}</p>
        <input-tags class="w-6-12" v-model="model" v-bind="props"></input-tags>
    </div>
</template>
<script>
export default {
    data() {
        return {
            model: ['hello', 'world'],
            props: {
                placeholder: 'Add a tag...',
            },
        };
    },
};
</script>
```

Advanced example. Slots

```vue
<template>
    <div class="pad-l5">
        <p>value: {{ model }}</p>
        <input-tags class="w-6-12" v-model="model" v-bind="props">
            <template #tag="{ tag, remove }">
                <code class="pull-left mar-1">
                    {{ tag }} <b class="cursor-pointer" @click="remove(tag)">[x]</b>
                </code>
            </template>
        </input-tags>
    </div>
</template>
<script>
export default {
    data() {
        return {
            model: ['hello', 'world'],
            props: {
                placeholder: 'Add a tag...',
            },
        };
    },
};
</script>
```
