```vue
<template>
    <div class="pad-l5">
        <p>Lazy list: {{ numItems }} items (see devtools)</p>
        <div id="lazy-container" class="tile">
            <ui-lazy v-bind="props" v-for="i in numItems" :key="`lazy` + i">
                <test-component>lazy #{{ i }}</test-component>
            </ui-lazy>
        </div>
    </div>
</template>
<script>
import UiLazy from './Lazy.vue';

const TestComponent = {
    template: `<div class="pad-h-l1 pad-v-3"><slot></slot></div>`,
};
export default {
    components: { UiLazy, TestComponent },
    data() {
        return {
            props: {
                root: '#lazy-container',
                minHeight: '2rem',
            },
            numItems: 1000,
        };
    },
};
</script>
<style scoped>
#lazy-container {
    overflow: auto;
    max-height: 10rem;
}
</style>
```
