```vue
<template>
    <div class="pad-l5">
        <ui-paginator v-bind="props">
            <template #default="{ page, pages, pageData, setPage }">
                <div class="mar-bot-l3">
                    <div class="tile" v-for="item in pageData" :key="item.index">
                        <div class="tile-body">{{ item.index + 1 }}. {{ item.label }}</div>
                    </div>
                </div>
                <ui-pagination v-bind="{ page, pages }" @change="n => setPage(n)"></ui-pagination>
            </template>
        </ui-paginator>
    </div>
</template>
<script>
import UiPagination from './Pagination.vue';
import UiPaginator from './Paginator.vue';

export default {
    components: { UiPagination, UiPaginator },
    data() {
        return {
            props: {
                data: 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Veritatis quos corporis obcaecati dolorum distinctio accusantium sapiente, earum non dignissimos quia officia voluptatum, sunt rem voluptate a commodi test'
                    .split(' ')
                    .map((label, index) => ({ label, index })),
                perPage: 5,
            },
        };
    },
};
</script>
```
