Simple example

```vue
<template>
    <div class="pad-l5">
        <ui-popup :visible.sync="visible" v-bind="props">
            <template #body>
                <div style="height:100%; max-width:30vw">
                    <h3>Popup title</h3>
                    <div>
                        Lorem ipsum dolor sit amet consectetur adipisicing elit. Totam nesciunt
                        suscipit porro alias rem consequuntur veritatis iusto accusantium cumque
                        assumenda.
                    </div>
                </div>
            </template>
            <template #footer="{ close }">
                <div class="text-right">
                    <div class="btn btn-primary" @click="close">close</div>
                </div>
            </template>
        </ui-popup>
        <div class="p" v-for="k in bools" :key="k">
            <label>
                <input class="checkbox checkbox-small" type="checkbox" v-model="props[k]" />
                <span class="pad-left-2 v-mid">{{ k }}</span>
            </label>
        </div>
        <div class="btn btn-primary" @click="visible = true">open popup</div>
    </div>
</template>
<script>
import UiPopup from './Popup.vue';

export default {
    components: { UiPopup },
    data() {
        return {
            visible: false,
            props: {
                modal: false,
                fullscreen: false,
                usePadding: true,
                showCloseButton: true,
                dialog: {
                    class: {},
                    style: {},
                },
            },
        };
    },
    computed: {
        bools() {
            return Object.keys(this.props).filter(p => typeof this.props[p] == 'boolean');
        },
    },
};
</script>
```
