```vue
<template>
    <div class="pad-l5">
        <div class="p">
            <div class="form-label form-label-small">Tile width:</div>
            <input class="input input-small" type="number" min="0" step="10" v-model.number="tileWidth">
        </div>

        <ui-responsive-container v-bind="binds" v-slot="{ breakpoint, width, height }">
            <!-- {demo-tile} -->
            <div class="tile" :class="[`tile--${breakpoint}`]" :style="tileStyle">
                <div class="tile-body">
                    <div class="row">
                        <div class="col col-auto tile__avatar">
                            <img class="avatar avatar-4 round" src="https://picsum.photos/150/150" >
                        </div>
                        <div class="col">
                            <div class="text-bold">John Wick</div> 
                            <div class="text-xsmall">john.wick@site.com</div>
                            <code>{{breakpoint}}</code> | <code>{{width}}&times;{{height}}</code>
                        </div>
                    </div>
                </div>
                <!-- {/demo-tile} -->
            </div>
        </ui-responsive-container>
    </div>
</template>
<script>
import UiResponsiveContainer from './ResponsiveContainer.vue';

export default {
    components: { UiResponsiveContainer },
    data: () => ({ 
        binds: {
            breakpoints: {
                's': 450,
                'm': 550,
                'l': 650,
            }
        },
        tileWidth: ''
    }),
    computed: {
        tileStyle() {
            return { width: `${this.tileWidth}px` }
        }
    }
};
</script>
<style scoped>
.tile { min-width: 150px; }
.tile--s { color: red; }
.tile--s .tile__avatar { display:none; }
.tile--m { color: orange; }
.tile--l { color: green; }
</style>
```
