Simple example

```vue
<template>
    <div class="pad-l5">
        <p>
            <input
                class="input input-small"
                type="number"
                v-model.number="model.h"
                v-bind="inputs.h"
                style="width:4rem"
            />
            <span>:</span>
            <input
                class="input input-small"
                type="number"
                v-model.number="model.m"
                v-bind="inputs.m"
                style="width:4rem"
            />
        </p>
        <p>value: {{ model }}</p>
        <time-picker v-model="model" v-bind="props" style="width:10rem"></time-picker>
    </div>
</template>
<script>
export default {
    data() {
        return {
            model: { h: 18, m: 50 },
            props: {
                step: { h: 1, m: 10 },
                min: { h: 10, m: 0 },
                max: { h: 18, m: 59 },
            },
        };
    },
    computed: {
        inputs() {
            const { step, min, max } = this.props;
            return {
                h: { step: step.h, min: min.h, max: max.h },
                m: { step: step.m, min: min.m, max: max.m },
            };
        },
    },
};
</script>
```
