```vue
<template>
    <div class="pos-rel pad-l5">
        <ui-select
            class="pos-abs pos-top-left"
            v-model="position"
            v-bind="{ options, size: 'small' }"
        ></ui-select>
        <ui-tooltip :position="position">
            <template #target="{ events, binds }">
                <div
                    class="pad-l2 bg-green color-white radius text-center"
                    v-on="events"
                    v-bind="binds"
                >
                    hover me
                </div>
            </template>
            <div>Title</div>
            <div>
                I'm on the <code>{{ position }}</code> side
            </div>
        </ui-tooltip>
    </div>
</template>
<script>
import UiSelect from './Select.vue';
import UiTooltip from './Tooltip.vue';
export default {
    components: { UiSelect, UiTooltip },
    data() {
        return {
            position: 'top',
            options: [
                'left',
                'left-start',
                'left-end',
                'top',
                'top-start',
                'top-end',
                'bottom',
                'bottom-start',
                'bottom-end',
                'right',
                'right-start',
                'right-end',
            ],
        };
    },
};
</script>
```
