import { ServiceProvider, HttpTransportCacheServiceSymbol } from '@goodt-common/services';
import { CoreError } from '@goodt-wcore/errors';

const CacheServiceFactoriesMap = {
    get http() {
        return ServiceProvider.get(HttpTransportCacheServiceSymbol);
    }
};

export class ApiCacheServiceProvider {
    get(cacheServiceId = 'http') {
        if (cacheServiceId in CacheServiceFactoriesMap === false) {
            throw new CoreError(`${cacheServiceId} cache service not found`);
        }
        return CacheServiceFactoriesMap[cacheServiceId];
    }
}
