const workerSend = (type, details = {}) => {
    navigator.serviceWorker?.controller?.postMessage({ type, details });
}

const CacheEvent = {
    SET_ASSETS_CACHE_ENABLED: 'setAssetsCacheEnabled',
    CLEAR_ASSETS_CACHE: 'clearAssetsCache'
};

const CacheActions = {
    setAssetsCacheEnabled: (isEnabled) => {
        workerSend(CacheEvent.SET_ASSETS_CACHE_ENABLED, { isEnabled });
    },
    clearAssetsCache: () => {
        workerSend(CacheEvent.CLEAR_ASSETS_CACHE);
    }
};

export const use = () => {
    return CacheActions;
};

export const buildWorkerQueryParams = ({ appVersion, cacheAssets }) => ({
    appVersion,
    cacheAssets: cacheAssets ? 1 : 0,
})
