/**
 * @typedef {Object} FileOptions
 * @property {string} hash          hash
 * @property {string} url           url
 * @property {string} name          name
 * @property {string} type          mime-type
 * @property {number} size          size in bytes
 * @property {number} lastModified  last-mod in unix
 */
const defaultProps = {
    hash: '',
    url: '',
    name: '',
    type: '',
    size: 0,
    lastModified: 0
};

export default class FileInfo {
    /**
     * Constructor
     * @param {FileOptions} props
     */
    constructor(props = defaultProps) {
        for (const name in { ...defaultProps, ...props }) {
            this[name] = props[name];
        }
    }
}
