import Service from './Service';

export default class AuthService extends Service {
    /**
     * @typedef {Object} ServiceInfo
     * @property {String} apiVersion
     * @property {URL} baseKeyCloakUrl
     * @property {String} databaseDriver
     * @property {URL} databaseUrl
     * @property {String} environment
     */
    /**
     * @typedef {Object} UserInfo
     * @property {String} id
     * @property {String|null} email
     * @property {String|null} employeeId
     * @property {String|null} name
     * @property {String|null} userName
     */
    /**
     * Возвращает базовую информацию о сервисе
     * @returns {Promise.<ServiceInfo|Error>}
     */
    serviceInfo() {
        return this.transport.request('info', {}, ({ data }) => data);
    }
    /**
     * Возвращает информацию о пользователе тек. сессии
     * @returns {Promise.<UserInfo|Error>}
     */
    userInfo() {
        return this.transport.request('info/me', {}, ({ data }) => data);
    }
}
