import * as ServiceWorkerClient from '@goodt/editor-common/sw/clients/ServiceWorkerClient';

/**
 * @typedef {?object} KeycloakAuth
 * @property {({ username:string, password:String }) => Promise} login
 * @property {() => Promise} logout
 * @property {() => Promise<{ type:string, details: { token:string }}>} token
 * @property {() => Promise} onLogin
 * @property {() => Promise} onLogout
 * @property {({ isDebugMode }) => Promise} init
 */
/**
 * @type {KeycloakAuth}
 */
let keycloakAuthApi = null;

/**
 * @return {Promise.<KeycloakAuth>}
 */
export const useKeycloakCustom = () =>
    new Promise(async (resolve) => {
        if (keycloakAuthApi == null) {
            const { auth }  = await ServiceWorkerClient.init();
            keycloakAuthApi = auth;
        }
        resolve(keycloakAuthApi);
    });
