import {
    ErrorService,
    DefaultErrorHandlers
} from '@goodt-wcore/managers/ErrorManager';

import { init as initAppErrorManager } from './error-manager';
import { init as initErrorTrackingManager } from './error-tracker';

/**
 *
 */
export const init = () => {
    const { instance: errorService } = ErrorService;
    DefaultErrorHandlers.forEach((h) => errorService.addHandler(h));

    return {
        errorService
    }
};

export const startErrorHandle = ({ errorService }) => {
    const { errorManager: appErrorManager } = initAppErrorManager({ errorService });

    return {
        appErrorManager
    }
};

export const startErrorTracking = ({ errorService }) => {
    if (process.env.VUE_APP_SENTRY_DSN?.length > 0 === false) {
        return null;
    }

    console.log('start error tracking');
    const { errorManager: errorTrackingManager } = initErrorTrackingManager({ errorService });

    return {
        errorTrackingManager
    }
};

