const mixin = cssNs => ({
    mounted() {
        const { _scopeId } = this.$options;
        if (!_scopeId) {
            return;
        }
        const id = _scopeId.replace('data-v-', '');
        const doc = this.$el.ownerDocument;
        if (doc.getElementById(id)) {
            return;
        }
        const css = doc.createElement('style');
        css.setAttribute('id', id);
        css.innerHTML = window[cssNs][id];
        doc.head.append(css);
    }
});

export default cssNs => asyncComponent =>
    asyncComponent.then(m => {
        if (!m.default.mixins) {
            m.default.mixins = [];
        }
        m.default.mixins.push(mixin(cssNs));
        return m;
    });
