hljs.initHighlightingOnLoad();
$(function () {
    // <demo>
    $('[data-offcanvas]').on('click', e => {
        let $e = $(e.currentTarget);
        $($e.data('offcanvas')).addClass('active');
        $('body').addClass('noscroll');
    });
    $('.offcanvas').on('click', '[data-close]', e => {
        $(e.currentTarget).closest('.offcanvas').removeClass('active');
        $('body').removeClass('noscroll');
    });
    $('body').on('click', '.tabs a', e => {
        e.preventDefault();
        let $e = $(e.target).closest('li');
        let $p = $e.closest('.tabs');
        let $li = $p.children('li');
        $li.removeClass('active');
        $e.addClass('active');
        let $c = $p.parent().children('.tabs-container');
        $c.hide();
        $c.eq($e.index()).fadeIn('fast');
    });
    // </demo>

    // <nav>
    let defaultSectionId = 'about';
    let notFoundSectionId = '404';
    let title = document.title;
    let $mainNav = $('#main-nav');
    let $offcanvasNav = $('#offcanvas-nav');
    let $sections = $('section');
    let showSection = id => {
        $sections.hide();
        let $el = $('#' + id);
        if (!$el.length) {
            return null;
        }
        $el.show();
        selectNavItem('#' + id);
        $(window).scrollTop(0);
        return $el;
    };
    let showSectionSub = id => {
        let $el = $('#' + id);
        if (!$el.length) {
            return;
        }
        $(document).scrollTop($el.offset().top);
        return $el;
    };
    let selectNavItem = url => {
        $mainNav.find('li').removeClass('active');
        let $el = $mainNav
            .find('a[href=' + url + ']')
            .parent()
            .addClass('active');
        $offcanvasNav.find('li').removeClass('active');
        $offcanvasNav
            .find('a[href=' + url + ']')
            .parent()
            .addClass('active');
        document.title = title + ' / ' + $el.text();
    };
    let hashChangeHandler = e => {
        let urlParts = location.hash.replace('#', '').split('/');
        let sectionId = urlParts[0] || defaultSectionId;
        let sectionSubId = urlParts.length > 1 ? urlParts[1] : null;
        let $section = showSection(sectionId);
        if (!$section) {
            showSection(notFoundSectionId);
            return;
        }
        if (sectionSubId) {
            showSectionSub(sectionSubId);
        }
    };
    $('input[indeterminate]').each((i,el) => el.indeterminate = true)
    $('.demo-code').each((i,el) => {
        let c = $(el).children('.tabs-container');
        let code = $(c[0]).html().split('\n').filter(el => el != false);
        let s = code[0].replace(/(\s+)(.+)/, '$1');
        code = code.map(row => row.replace(s, ''));
        $(c[1]).find('.html').text(code.join('\n'));
    })
    $('body').on('click', '.go-top', e => {
        e.preventDefault();
        location.hash = location.hash.replace('#', '').split('/')[0];
    });
    fetch('version').then(r => r.text()).then(t => $('#version').text(t))
    $(window).on('hashchange', hashChangeHandler);
    hashChangeHandler();
    // </nav>
});
