import Vue from 'vue';

const consoleLogOriginal = window.console.log;
const consoleLogDebug = consoleLogOriginal.bind(consoleLogOriginal, '%cSANDBOX', 'background:#1b73e8;font-weight:bold;border-radius:999px;padding: 1px 5px;');
const toggleConsoleLogger = (isDebugMode) => {
    window.console.log = isDebugMode ? consoleLogDebug : consoleLogOriginal;
};

export const setDebugMode = (isDebugMode) => {
    toggleConsoleLogger(isDebugMode);
    consoleLogDebug(`setting "isDebugMode": isDebugMode = ${isDebugMode}`);

    Vue.config.productionTip = false;
    Vue.config.silent = !isDebugMode;
    Vue.config.performance = isDebugMode;
};