import {
  __commonJS,
  __name,
  init_define_process
} from "./chunk-AFVLOATJ.js";

// node_modules/class-mixins/index.js
var require_class_mixins = __commonJS({
  "node_modules/class-mixins/index.js"(exports) {
    "use strict";
    init_define_process();
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Mixed = exports.mix = exports.mixin = void 0;
    function mixin(ctor, ...mixins) {
      for (let _mixin of mixins) {
        if (_mixin && typeof _mixin == "object") {
          mergeIfNotExists(ctor.prototype, _mixin);
        } else if (typeof _mixin == "function") {
          mergeHierarchy(ctor, _mixin);
        } else {
          throw new TypeError("A mixin must be either an object or a function");
        }
      }
    }
    __name(mixin, "mixin");
    exports.mixin = mixin;
    function mix(...mixins) {
      return function(ctor) {
        mixin(ctor, ...mixins);
      };
    }
    __name(mix, "mix");
    exports.mix = mix;
    function Mixed(base, ...mixins) {
      let ctor = /* @__PURE__ */ __name(class extends base {
      }, "ctor");
      mixin(ctor, ...mixins);
      return ctor;
    }
    __name(Mixed, "Mixed");
    exports.Mixed = Mixed;
    function mergeIfNotExists(proto, source, mergeSuper = false) {
      let props = Reflect.ownKeys(source);
      for (let prop of props) {
        if (prop == "constructor") {
          continue;
        } else if (mergeSuper) {
          if (!(prop in proto)) {
            setProp(proto, source, prop);
          }
        } else if (!proto.hasOwnProperty(prop)) {
          setProp(proto, source, prop);
        }
      }
      return proto;
    }
    __name(mergeIfNotExists, "mergeIfNotExists");
    function mergeHierarchy(ctor, mixin2, mergeSuper = false) {
      mergeIfNotExists(ctor.prototype, mixin2.prototype, mergeSuper);
      let _super = Object.getPrototypeOf(mixin2);
      if (_super.name) {
        mergeHierarchy(ctor, _super, true);
      }
    }
    __name(mergeHierarchy, "mergeHierarchy");
    function setProp(proto, source, prop) {
      let desc = Object.getOwnPropertyDescriptor(source, prop);
      if (desc) {
        Object.defineProperty(proto, prop, desc);
      } else {
        proto[prop] = source[prop];
      }
    }
    __name(setProp, "setProp");
  }
});

export {
  require_class_mixins
};
//# sourceMappingURL=chunk-XSCDCVG3.js.map
