import {
  __commonJS,
  __esm,
  __export,
  __name,
  __toCommonJS,
  init_define_process
} from "./chunk-AFVLOATJ.js";

// browser-external:path
var path_exports = {};
__export(path_exports, {
  default: () => path_default
});
var path_default;
var init_path = __esm({
  "browser-external:path"() {
    init_define_process();
    path_default = new Proxy({}, {
      get() {
        throw new Error('Module "path" has been externalized for browser compatibility and cannot be accessed in client code.');
      }
    });
  }
});

// node_modules/error-stack-filter/lib/error-stack-filter.js
var require_error_stack_filter = __commonJS({
  "node_modules/error-stack-filter/lib/error-stack-filter.js"(exports, module) {
    init_define_process();
    var path = (init_path(), __toCommonJS(path_exports));
    var errorStackFilterInstance;
    function ErrorStackFilter() {
      var IGNORE_FILES, limit;
      IGNORE_FILES = [];
      limit = 20;
      Object.defineProperties(this, {
        IGNORE_FILES: { get: function() {
          return IGNORE_FILES.slice();
        } },
        STACK_LIMIT: { get: function() {
          return limit;
        } }
      });
      ErrorStackFilter.prototype.addIgnoreFiles = function(files) {
        var files = files instanceof Array ? files : Array.prototype.slice.call(arguments);
        IGNORE_FILES = IGNORE_FILES.concat(files);
      };
      ErrorStackFilter.prototype.removeIgnoreFiles = function(files) {
        if (files instanceof Array) {
          this.removeIgnoreFiles.apply(this, files);
          return;
        }
        var files = Array.prototype.slice.call(arguments);
        IGNORE_FILES = IGNORE_FILES.filter(function(ignoreCase) {
          return files.indexOf(ignoreCase) < 0;
        });
      };
      ErrorStackFilter.prototype.setIgnoreFiles = function(files) {
        if (!files instanceof Array) {
          throw new Exception("Files should be an array");
        }
        IGNORE_FILES = files.slice();
      };
      ErrorStackFilter.prototype.setLimit = function(setLimit) {
        limit = parseInt(setLimit);
      };
      this.prepareStackTrace();
    }
    __name(ErrorStackFilter, "ErrorStackFilter");
    ErrorStackFilter.prototype.prepareStackTrace = function() {
      var self = this;
      Error.stackTraceLimit = self.STACK_LIMIT;
      Error.prepareStackTrace = /* @__PURE__ */ __name(function prepareFilteredStackTrace(error, structuredStackTrace) {
        var result = "Error: " + error.message + "\n";
        structuredStackTrace.forEach(function(frame) {
          var filename = frame.getFileName(), path2 = filename ? filename : "<anonymous>", ignore = false;
          for (var i = 0; i < self.IGNORE_FILES.length; i++) {
            var ignoreCase = self.IGNORE_FILES[i];
            if (typeof ignoreCase === "string") {
              var match = ignoreCase.match(path2);
              if (match !== null && match.index === 0) {
                ignore = true;
                break;
              }
            } else if (ignoreCase instanceof RegExp) {
              if (ignoreCase.test(path2)) {
                ignore = true;
                break;
              }
            }
          }
          if (!ignore) {
            result += "	" + self.formatStackFrame(frame) + "\n";
          }
        });
        return result;
      }, "prepareFilteredStackTrace");
    };
    ErrorStackFilter.prototype.formatLocation = function(frame) {
      var column, file, line;
      if (frame.isNative()) {
        return "native";
      }
      if (frame.isEval()) {
        return "eval at " + frame.getEvalOrigin();
      }
      file = frame.getFileName();
      file = frame.getFileName() || "<anonymous>";
      line = frame.getLineNumber();
      column = frame.getColumnNumber();
      column = column != null ? ":" + column : "";
      line = line != null ? ":" + line : "";
      return file + line + column;
    };
    ErrorStackFilter.prototype.formatMethod = function(frame) {
      var function_name, method, type;
      function_name = frame.getFunctionName();
      if (!(frame.isToplevel() || frame.isConstructor())) {
        method = frame.getMethodName();
        type = frame.getTypeName();
        if (function_name == null) {
          return "" + type + "." + (method != null ? method : "<anonymous>");
        }
        if (method === function_name) {
          return "" + type + "." + function_name;
        }
        return "" + type + "." + function_name + " [as " + method + "]";
      }
      if (frame.isConstructor()) {
        return "new " + (function_name != null ? function_name : "<anonymous>");
      }
      if (function_name != null) {
        return function_name;
      }
      return null;
    };
    ErrorStackFilter.prototype.formatStackFrame = function(frame) {
      var location, method;
      method = this.formatMethod(frame);
      location = this.formatLocation(frame);
      if (method == null) {
        return " at " + location;
      }
      return " at " + method + " (" + location + ")";
    };
    module.exports = exports = /* @__PURE__ */ __name(function(IGNORE_FILES, limit) {
      if (!errorStackFilterInstance) {
        errorStackFilterInstance = new ErrorStackFilter();
      }
      if (IGNORE_FILES && IGNORE_FILES instanceof Array) {
        errorStackFilterInstance.setIgnoreFiles(IGNORE_FILES);
      }
      if (IGNORE_FILES && !IGNORE_FILES instanceof Array) {
        limit = IGNORE_FILES;
      }
      if (limit) {
        errorStackFilterInstance.setLimit(limit);
      }
      return errorStackFilterInstance;
    }, "exports");
  }
});

// node_modules/error-stack-filter/index.js
var require_error_stack_filter2 = __commonJS({
  "node_modules/error-stack-filter/index.js"(exports, module) {
    init_define_process();
    module.exports = require_error_stack_filter();
  }
});

// dep:error-stack-filter
init_define_process();
var error_stack_filter_default = require_error_stack_filter2();
export {
  error_stack_filter_default as default
};
//# sourceMappingURL=error-stack-filter.js.map
