import {
  __commonJS,
  __name,
  __require,
  define_process_default,
  init_define_process
} from "./chunk-AFVLOATJ.js";

// node_modules/js-sha256/src/sha256.js
var require_sha256 = __commonJS({
  "node_modules/js-sha256/src/sha256.js"(exports, module) {
    init_define_process();
    (function() {
      "use strict";
      var ERROR = "input is invalid type";
      var WINDOW = typeof window === "object";
      var root = WINDOW ? window : {};
      if (root.JS_SHA256_NO_WINDOW) {
        WINDOW = false;
      }
      var WEB_WORKER = !WINDOW && typeof self === "object";
      var NODE_JS = !root.JS_SHA256_NO_NODE_JS && typeof define_process_default === "object" && define_process_default.versions && define_process_default.versions.node;
      if (NODE_JS) {
        root = global;
      } else if (WEB_WORKER) {
        root = self;
      }
      var COMMON_JS = !root.JS_SHA256_NO_COMMON_JS && typeof module === "object" && module.exports;
      var AMD = typeof define === "function" && define.amd;
      var ARRAY_BUFFER = !root.JS_SHA256_NO_ARRAY_BUFFER && typeof ArrayBuffer !== "undefined";
      var HEX_CHARS = "0123456789abcdef".split("");
      var EXTRA = [-2147483648, 8388608, 32768, 128];
      var SHIFT = [24, 16, 8, 0];
      var K = [
        1116352408,
        1899447441,
        3049323471,
        3921009573,
        961987163,
        1508970993,
        2453635748,
        2870763221,
        3624381080,
        310598401,
        607225278,
        1426881987,
        1925078388,
        2162078206,
        2614888103,
        3248222580,
        3835390401,
        4022224774,
        264347078,
        604807628,
        770255983,
        1249150122,
        1555081692,
        1996064986,
        2554220882,
        2821834349,
        2952996808,
        3210313671,
        3336571891,
        3584528711,
        113926993,
        338241895,
        666307205,
        773529912,
        1294757372,
        1396182291,
        1695183700,
        1986661051,
        2177026350,
        2456956037,
        2730485921,
        2820302411,
        3259730800,
        3345764771,
        3516065817,
        3600352804,
        4094571909,
        275423344,
        430227734,
        506948616,
        659060556,
        883997877,
        958139571,
        1322822218,
        1537002063,
        1747873779,
        1955562222,
        2024104815,
        2227730452,
        2361852424,
        2428436474,
        2756734187,
        3204031479,
        3329325298
      ];
      var OUTPUT_TYPES = ["hex", "array", "digest", "arrayBuffer"];
      var blocks = [];
      if (root.JS_SHA256_NO_NODE_JS || !Array.isArray) {
        Array.isArray = function(obj) {
          return Object.prototype.toString.call(obj) === "[object Array]";
        };
      }
      if (ARRAY_BUFFER && (root.JS_SHA256_NO_ARRAY_BUFFER_IS_VIEW || !ArrayBuffer.isView)) {
        ArrayBuffer.isView = function(obj) {
          return typeof obj === "object" && obj.buffer && obj.buffer.constructor === ArrayBuffer;
        };
      }
      var createOutputMethod = /* @__PURE__ */ __name(function(outputType, is2242) {
        return function(message) {
          return new Sha256(is2242, true).update(message)[outputType]();
        };
      }, "createOutputMethod");
      var createMethod = /* @__PURE__ */ __name(function(is2242) {
        var method2 = createOutputMethod("hex", is2242);
        if (NODE_JS) {
          method2 = nodeWrap(method2, is2242);
        }
        method2.create = function() {
          return new Sha256(is2242);
        };
        method2.update = function(message) {
          return method2.create().update(message);
        };
        for (var i2 = 0; i2 < OUTPUT_TYPES.length; ++i2) {
          var type = OUTPUT_TYPES[i2];
          method2[type] = createOutputMethod(type, is2242);
        }
        return method2;
      }, "createMethod");
      var nodeWrap = /* @__PURE__ */ __name(function(method, is224) {
        var crypto = eval("require('crypto')");
        var Buffer = eval("require('buffer').Buffer");
        var algorithm = is224 ? "sha224" : "sha256";
        var nodeMethod = /* @__PURE__ */ __name(function(message) {
          if (typeof message === "string") {
            return crypto.createHash(algorithm).update(message, "utf8").digest("hex");
          } else {
            if (message === null || message === void 0) {
              throw new Error(ERROR);
            } else if (message.constructor === ArrayBuffer) {
              message = new Uint8Array(message);
            }
          }
          if (Array.isArray(message) || ArrayBuffer.isView(message) || message.constructor === Buffer) {
            return crypto.createHash(algorithm).update(new Buffer(message)).digest("hex");
          } else {
            return method(message);
          }
        }, "nodeMethod");
        return nodeMethod;
      }, "nodeWrap");
      var createHmacOutputMethod = /* @__PURE__ */ __name(function(outputType, is2242) {
        return function(key, message) {
          return new HmacSha256(key, is2242, true).update(message)[outputType]();
        };
      }, "createHmacOutputMethod");
      var createHmacMethod = /* @__PURE__ */ __name(function(is2242) {
        var method2 = createHmacOutputMethod("hex", is2242);
        method2.create = function(key) {
          return new HmacSha256(key, is2242);
        };
        method2.update = function(key, message) {
          return method2.create(key).update(message);
        };
        for (var i2 = 0; i2 < OUTPUT_TYPES.length; ++i2) {
          var type = OUTPUT_TYPES[i2];
          method2[type] = createHmacOutputMethod(type, is2242);
        }
        return method2;
      }, "createHmacMethod");
      function Sha256(is2242, sharedMemory) {
        if (sharedMemory) {
          blocks[0] = blocks[16] = blocks[1] = blocks[2] = blocks[3] = blocks[4] = blocks[5] = blocks[6] = blocks[7] = blocks[8] = blocks[9] = blocks[10] = blocks[11] = blocks[12] = blocks[13] = blocks[14] = blocks[15] = 0;
          this.blocks = blocks;
        } else {
          this.blocks = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
        }
        if (is2242) {
          this.h0 = 3238371032;
          this.h1 = 914150663;
          this.h2 = 812702999;
          this.h3 = 4144912697;
          this.h4 = 4290775857;
          this.h5 = 1750603025;
          this.h6 = 1694076839;
          this.h7 = 3204075428;
        } else {
          this.h0 = 1779033703;
          this.h1 = 3144134277;
          this.h2 = 1013904242;
          this.h3 = 2773480762;
          this.h4 = 1359893119;
          this.h5 = 2600822924;
          this.h6 = 528734635;
          this.h7 = 1541459225;
        }
        this.block = this.start = this.bytes = this.hBytes = 0;
        this.finalized = this.hashed = false;
        this.first = true;
        this.is224 = is2242;
      }
      __name(Sha256, "Sha256");
      Sha256.prototype.update = function(message) {
        if (this.finalized) {
          return;
        }
        var notString, type = typeof message;
        if (type !== "string") {
          if (type === "object") {
            if (message === null) {
              throw new Error(ERROR);
            } else if (ARRAY_BUFFER && message.constructor === ArrayBuffer) {
              message = new Uint8Array(message);
            } else if (!Array.isArray(message)) {
              if (!ARRAY_BUFFER || !ArrayBuffer.isView(message)) {
                throw new Error(ERROR);
              }
            }
          } else {
            throw new Error(ERROR);
          }
          notString = true;
        }
        var code, index = 0, i2, length = message.length, blocks2 = this.blocks;
        while (index < length) {
          if (this.hashed) {
            this.hashed = false;
            blocks2[0] = this.block;
            blocks2[16] = blocks2[1] = blocks2[2] = blocks2[3] = blocks2[4] = blocks2[5] = blocks2[6] = blocks2[7] = blocks2[8] = blocks2[9] = blocks2[10] = blocks2[11] = blocks2[12] = blocks2[13] = blocks2[14] = blocks2[15] = 0;
          }
          if (notString) {
            for (i2 = this.start; index < length && i2 < 64; ++index) {
              blocks2[i2 >> 2] |= message[index] << SHIFT[i2++ & 3];
            }
          } else {
            for (i2 = this.start; index < length && i2 < 64; ++index) {
              code = message.charCodeAt(index);
              if (code < 128) {
                blocks2[i2 >> 2] |= code << SHIFT[i2++ & 3];
              } else if (code < 2048) {
                blocks2[i2 >> 2] |= (192 | code >> 6) << SHIFT[i2++ & 3];
                blocks2[i2 >> 2] |= (128 | code & 63) << SHIFT[i2++ & 3];
              } else if (code < 55296 || code >= 57344) {
                blocks2[i2 >> 2] |= (224 | code >> 12) << SHIFT[i2++ & 3];
                blocks2[i2 >> 2] |= (128 | code >> 6 & 63) << SHIFT[i2++ & 3];
                blocks2[i2 >> 2] |= (128 | code & 63) << SHIFT[i2++ & 3];
              } else {
                code = 65536 + ((code & 1023) << 10 | message.charCodeAt(++index) & 1023);
                blocks2[i2 >> 2] |= (240 | code >> 18) << SHIFT[i2++ & 3];
                blocks2[i2 >> 2] |= (128 | code >> 12 & 63) << SHIFT[i2++ & 3];
                blocks2[i2 >> 2] |= (128 | code >> 6 & 63) << SHIFT[i2++ & 3];
                blocks2[i2 >> 2] |= (128 | code & 63) << SHIFT[i2++ & 3];
              }
            }
          }
          this.lastByteIndex = i2;
          this.bytes += i2 - this.start;
          if (i2 >= 64) {
            this.block = blocks2[16];
            this.start = i2 - 64;
            this.hash();
            this.hashed = true;
          } else {
            this.start = i2;
          }
        }
        if (this.bytes > 4294967295) {
          this.hBytes += this.bytes / 4294967296 << 0;
          this.bytes = this.bytes % 4294967296;
        }
        return this;
      };
      Sha256.prototype.finalize = function() {
        if (this.finalized) {
          return;
        }
        this.finalized = true;
        var blocks2 = this.blocks, i2 = this.lastByteIndex;
        blocks2[16] = this.block;
        blocks2[i2 >> 2] |= EXTRA[i2 & 3];
        this.block = blocks2[16];
        if (i2 >= 56) {
          if (!this.hashed) {
            this.hash();
          }
          blocks2[0] = this.block;
          blocks2[16] = blocks2[1] = blocks2[2] = blocks2[3] = blocks2[4] = blocks2[5] = blocks2[6] = blocks2[7] = blocks2[8] = blocks2[9] = blocks2[10] = blocks2[11] = blocks2[12] = blocks2[13] = blocks2[14] = blocks2[15] = 0;
        }
        blocks2[14] = this.hBytes << 3 | this.bytes >>> 29;
        blocks2[15] = this.bytes << 3;
        this.hash();
      };
      Sha256.prototype.hash = function() {
        var a2 = this.h0, b2 = this.h1, c2 = this.h2, d2 = this.h3, e2 = this.h4, f2 = this.h5, g = this.h6, h2 = this.h7, blocks2 = this.blocks, j, s0, s1, maj, t1, t2, ch, ab, da, cd, bc;
        for (j = 16; j < 64; ++j) {
          t1 = blocks2[j - 15];
          s0 = (t1 >>> 7 | t1 << 25) ^ (t1 >>> 18 | t1 << 14) ^ t1 >>> 3;
          t1 = blocks2[j - 2];
          s1 = (t1 >>> 17 | t1 << 15) ^ (t1 >>> 19 | t1 << 13) ^ t1 >>> 10;
          blocks2[j] = blocks2[j - 16] + s0 + blocks2[j - 7] + s1 << 0;
        }
        bc = b2 & c2;
        for (j = 0; j < 64; j += 4) {
          if (this.first) {
            if (this.is224) {
              ab = 300032;
              t1 = blocks2[0] - 1413257819;
              h2 = t1 - 150054599 << 0;
              d2 = t1 + 24177077 << 0;
            } else {
              ab = 704751109;
              t1 = blocks2[0] - 210244248;
              h2 = t1 - 1521486534 << 0;
              d2 = t1 + 143694565 << 0;
            }
            this.first = false;
          } else {
            s0 = (a2 >>> 2 | a2 << 30) ^ (a2 >>> 13 | a2 << 19) ^ (a2 >>> 22 | a2 << 10);
            s1 = (e2 >>> 6 | e2 << 26) ^ (e2 >>> 11 | e2 << 21) ^ (e2 >>> 25 | e2 << 7);
            ab = a2 & b2;
            maj = ab ^ a2 & c2 ^ bc;
            ch = e2 & f2 ^ ~e2 & g;
            t1 = h2 + s1 + ch + K[j] + blocks2[j];
            t2 = s0 + maj;
            h2 = d2 + t1 << 0;
            d2 = t1 + t2 << 0;
          }
          s0 = (d2 >>> 2 | d2 << 30) ^ (d2 >>> 13 | d2 << 19) ^ (d2 >>> 22 | d2 << 10);
          s1 = (h2 >>> 6 | h2 << 26) ^ (h2 >>> 11 | h2 << 21) ^ (h2 >>> 25 | h2 << 7);
          da = d2 & a2;
          maj = da ^ d2 & b2 ^ ab;
          ch = h2 & e2 ^ ~h2 & f2;
          t1 = g + s1 + ch + K[j + 1] + blocks2[j + 1];
          t2 = s0 + maj;
          g = c2 + t1 << 0;
          c2 = t1 + t2 << 0;
          s0 = (c2 >>> 2 | c2 << 30) ^ (c2 >>> 13 | c2 << 19) ^ (c2 >>> 22 | c2 << 10);
          s1 = (g >>> 6 | g << 26) ^ (g >>> 11 | g << 21) ^ (g >>> 25 | g << 7);
          cd = c2 & d2;
          maj = cd ^ c2 & a2 ^ da;
          ch = g & h2 ^ ~g & e2;
          t1 = f2 + s1 + ch + K[j + 2] + blocks2[j + 2];
          t2 = s0 + maj;
          f2 = b2 + t1 << 0;
          b2 = t1 + t2 << 0;
          s0 = (b2 >>> 2 | b2 << 30) ^ (b2 >>> 13 | b2 << 19) ^ (b2 >>> 22 | b2 << 10);
          s1 = (f2 >>> 6 | f2 << 26) ^ (f2 >>> 11 | f2 << 21) ^ (f2 >>> 25 | f2 << 7);
          bc = b2 & c2;
          maj = bc ^ b2 & d2 ^ cd;
          ch = f2 & g ^ ~f2 & h2;
          t1 = e2 + s1 + ch + K[j + 3] + blocks2[j + 3];
          t2 = s0 + maj;
          e2 = a2 + t1 << 0;
          a2 = t1 + t2 << 0;
        }
        this.h0 = this.h0 + a2 << 0;
        this.h1 = this.h1 + b2 << 0;
        this.h2 = this.h2 + c2 << 0;
        this.h3 = this.h3 + d2 << 0;
        this.h4 = this.h4 + e2 << 0;
        this.h5 = this.h5 + f2 << 0;
        this.h6 = this.h6 + g << 0;
        this.h7 = this.h7 + h2 << 0;
      };
      Sha256.prototype.hex = function() {
        this.finalize();
        var h0 = this.h0, h1 = this.h1, h2 = this.h2, h3 = this.h3, h4 = this.h4, h5 = this.h5, h6 = this.h6, h7 = this.h7;
        var hex = HEX_CHARS[h0 >> 28 & 15] + HEX_CHARS[h0 >> 24 & 15] + HEX_CHARS[h0 >> 20 & 15] + HEX_CHARS[h0 >> 16 & 15] + HEX_CHARS[h0 >> 12 & 15] + HEX_CHARS[h0 >> 8 & 15] + HEX_CHARS[h0 >> 4 & 15] + HEX_CHARS[h0 & 15] + HEX_CHARS[h1 >> 28 & 15] + HEX_CHARS[h1 >> 24 & 15] + HEX_CHARS[h1 >> 20 & 15] + HEX_CHARS[h1 >> 16 & 15] + HEX_CHARS[h1 >> 12 & 15] + HEX_CHARS[h1 >> 8 & 15] + HEX_CHARS[h1 >> 4 & 15] + HEX_CHARS[h1 & 15] + HEX_CHARS[h2 >> 28 & 15] + HEX_CHARS[h2 >> 24 & 15] + HEX_CHARS[h2 >> 20 & 15] + HEX_CHARS[h2 >> 16 & 15] + HEX_CHARS[h2 >> 12 & 15] + HEX_CHARS[h2 >> 8 & 15] + HEX_CHARS[h2 >> 4 & 15] + HEX_CHARS[h2 & 15] + HEX_CHARS[h3 >> 28 & 15] + HEX_CHARS[h3 >> 24 & 15] + HEX_CHARS[h3 >> 20 & 15] + HEX_CHARS[h3 >> 16 & 15] + HEX_CHARS[h3 >> 12 & 15] + HEX_CHARS[h3 >> 8 & 15] + HEX_CHARS[h3 >> 4 & 15] + HEX_CHARS[h3 & 15] + HEX_CHARS[h4 >> 28 & 15] + HEX_CHARS[h4 >> 24 & 15] + HEX_CHARS[h4 >> 20 & 15] + HEX_CHARS[h4 >> 16 & 15] + HEX_CHARS[h4 >> 12 & 15] + HEX_CHARS[h4 >> 8 & 15] + HEX_CHARS[h4 >> 4 & 15] + HEX_CHARS[h4 & 15] + HEX_CHARS[h5 >> 28 & 15] + HEX_CHARS[h5 >> 24 & 15] + HEX_CHARS[h5 >> 20 & 15] + HEX_CHARS[h5 >> 16 & 15] + HEX_CHARS[h5 >> 12 & 15] + HEX_CHARS[h5 >> 8 & 15] + HEX_CHARS[h5 >> 4 & 15] + HEX_CHARS[h5 & 15] + HEX_CHARS[h6 >> 28 & 15] + HEX_CHARS[h6 >> 24 & 15] + HEX_CHARS[h6 >> 20 & 15] + HEX_CHARS[h6 >> 16 & 15] + HEX_CHARS[h6 >> 12 & 15] + HEX_CHARS[h6 >> 8 & 15] + HEX_CHARS[h6 >> 4 & 15] + HEX_CHARS[h6 & 15];
        if (!this.is224) {
          hex += HEX_CHARS[h7 >> 28 & 15] + HEX_CHARS[h7 >> 24 & 15] + HEX_CHARS[h7 >> 20 & 15] + HEX_CHARS[h7 >> 16 & 15] + HEX_CHARS[h7 >> 12 & 15] + HEX_CHARS[h7 >> 8 & 15] + HEX_CHARS[h7 >> 4 & 15] + HEX_CHARS[h7 & 15];
        }
        return hex;
      };
      Sha256.prototype.toString = Sha256.prototype.hex;
      Sha256.prototype.digest = function() {
        this.finalize();
        var h0 = this.h0, h1 = this.h1, h2 = this.h2, h3 = this.h3, h4 = this.h4, h5 = this.h5, h6 = this.h6, h7 = this.h7;
        var arr = [
          h0 >> 24 & 255,
          h0 >> 16 & 255,
          h0 >> 8 & 255,
          h0 & 255,
          h1 >> 24 & 255,
          h1 >> 16 & 255,
          h1 >> 8 & 255,
          h1 & 255,
          h2 >> 24 & 255,
          h2 >> 16 & 255,
          h2 >> 8 & 255,
          h2 & 255,
          h3 >> 24 & 255,
          h3 >> 16 & 255,
          h3 >> 8 & 255,
          h3 & 255,
          h4 >> 24 & 255,
          h4 >> 16 & 255,
          h4 >> 8 & 255,
          h4 & 255,
          h5 >> 24 & 255,
          h5 >> 16 & 255,
          h5 >> 8 & 255,
          h5 & 255,
          h6 >> 24 & 255,
          h6 >> 16 & 255,
          h6 >> 8 & 255,
          h6 & 255
        ];
        if (!this.is224) {
          arr.push(h7 >> 24 & 255, h7 >> 16 & 255, h7 >> 8 & 255, h7 & 255);
        }
        return arr;
      };
      Sha256.prototype.array = Sha256.prototype.digest;
      Sha256.prototype.arrayBuffer = function() {
        this.finalize();
        var buffer = new ArrayBuffer(this.is224 ? 28 : 32);
        var dataView = new DataView(buffer);
        dataView.setUint32(0, this.h0);
        dataView.setUint32(4, this.h1);
        dataView.setUint32(8, this.h2);
        dataView.setUint32(12, this.h3);
        dataView.setUint32(16, this.h4);
        dataView.setUint32(20, this.h5);
        dataView.setUint32(24, this.h6);
        if (!this.is224) {
          dataView.setUint32(28, this.h7);
        }
        return buffer;
      };
      function HmacSha256(key, is2242, sharedMemory) {
        var i2, type = typeof key;
        if (type === "string") {
          var bytes = [], length = key.length, index = 0, code;
          for (i2 = 0; i2 < length; ++i2) {
            code = key.charCodeAt(i2);
            if (code < 128) {
              bytes[index++] = code;
            } else if (code < 2048) {
              bytes[index++] = 192 | code >> 6;
              bytes[index++] = 128 | code & 63;
            } else if (code < 55296 || code >= 57344) {
              bytes[index++] = 224 | code >> 12;
              bytes[index++] = 128 | code >> 6 & 63;
              bytes[index++] = 128 | code & 63;
            } else {
              code = 65536 + ((code & 1023) << 10 | key.charCodeAt(++i2) & 1023);
              bytes[index++] = 240 | code >> 18;
              bytes[index++] = 128 | code >> 12 & 63;
              bytes[index++] = 128 | code >> 6 & 63;
              bytes[index++] = 128 | code & 63;
            }
          }
          key = bytes;
        } else {
          if (type === "object") {
            if (key === null) {
              throw new Error(ERROR);
            } else if (ARRAY_BUFFER && key.constructor === ArrayBuffer) {
              key = new Uint8Array(key);
            } else if (!Array.isArray(key)) {
              if (!ARRAY_BUFFER || !ArrayBuffer.isView(key)) {
                throw new Error(ERROR);
              }
            }
          } else {
            throw new Error(ERROR);
          }
        }
        if (key.length > 64) {
          key = new Sha256(is2242, true).update(key).array();
        }
        var oKeyPad = [], iKeyPad = [];
        for (i2 = 0; i2 < 64; ++i2) {
          var b2 = key[i2] || 0;
          oKeyPad[i2] = 92 ^ b2;
          iKeyPad[i2] = 54 ^ b2;
        }
        Sha256.call(this, is2242, sharedMemory);
        this.update(iKeyPad);
        this.oKeyPad = oKeyPad;
        this.inner = true;
        this.sharedMemory = sharedMemory;
      }
      __name(HmacSha256, "HmacSha256");
      HmacSha256.prototype = new Sha256();
      HmacSha256.prototype.finalize = function() {
        Sha256.prototype.finalize.call(this);
        if (this.inner) {
          this.inner = false;
          var innerHash = this.array();
          Sha256.call(this, this.is224, this.sharedMemory);
          this.update(this.oKeyPad);
          this.update(innerHash);
          Sha256.prototype.finalize.call(this);
        }
      };
      var exports = createMethod();
      exports.sha256 = exports;
      exports.sha224 = createMethod(true);
      exports.sha256.hmac = createHmacMethod();
      exports.sha224.hmac = createHmacMethod(true);
      if (COMMON_JS) {
        module.exports = exports;
      } else {
        root.sha256 = exports.sha256;
        root.sha224 = exports.sha224;
        if (AMD) {
          define(function() {
            return exports;
          });
        }
      }
    })();
  }
});

// node_modules/base64-js/index.js
var require_base64_js = __commonJS({
  "node_modules/base64-js/index.js"(exports2) {
    "use strict";
    init_define_process();
    exports2.byteLength = byteLength;
    exports2.toByteArray = toByteArray;
    exports2.fromByteArray = fromByteArray;
    var lookup = [];
    var revLookup = [];
    var Arr = typeof Uint8Array !== "undefined" ? Uint8Array : Array;
    var code = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
    for (i2 = 0, len = code.length; i2 < len; ++i2) {
      lookup[i2] = code[i2];
      revLookup[code.charCodeAt(i2)] = i2;
    }
    var i2;
    var len;
    revLookup["-".charCodeAt(0)] = 62;
    revLookup["_".charCodeAt(0)] = 63;
    function getLens(b64) {
      var len2 = b64.length;
      if (len2 % 4 > 0) {
        throw new Error("Invalid string. Length must be a multiple of 4");
      }
      var validLen = b64.indexOf("=");
      if (validLen === -1)
        validLen = len2;
      var placeHoldersLen = validLen === len2 ? 0 : 4 - validLen % 4;
      return [validLen, placeHoldersLen];
    }
    __name(getLens, "getLens");
    function byteLength(b64) {
      var lens = getLens(b64);
      var validLen = lens[0];
      var placeHoldersLen = lens[1];
      return (validLen + placeHoldersLen) * 3 / 4 - placeHoldersLen;
    }
    __name(byteLength, "byteLength");
    function _byteLength(b64, validLen, placeHoldersLen) {
      return (validLen + placeHoldersLen) * 3 / 4 - placeHoldersLen;
    }
    __name(_byteLength, "_byteLength");
    function toByteArray(b64) {
      var tmp;
      var lens = getLens(b64);
      var validLen = lens[0];
      var placeHoldersLen = lens[1];
      var arr = new Arr(_byteLength(b64, validLen, placeHoldersLen));
      var curByte = 0;
      var len2 = placeHoldersLen > 0 ? validLen - 4 : validLen;
      var i3;
      for (i3 = 0; i3 < len2; i3 += 4) {
        tmp = revLookup[b64.charCodeAt(i3)] << 18 | revLookup[b64.charCodeAt(i3 + 1)] << 12 | revLookup[b64.charCodeAt(i3 + 2)] << 6 | revLookup[b64.charCodeAt(i3 + 3)];
        arr[curByte++] = tmp >> 16 & 255;
        arr[curByte++] = tmp >> 8 & 255;
        arr[curByte++] = tmp & 255;
      }
      if (placeHoldersLen === 2) {
        tmp = revLookup[b64.charCodeAt(i3)] << 2 | revLookup[b64.charCodeAt(i3 + 1)] >> 4;
        arr[curByte++] = tmp & 255;
      }
      if (placeHoldersLen === 1) {
        tmp = revLookup[b64.charCodeAt(i3)] << 10 | revLookup[b64.charCodeAt(i3 + 1)] << 4 | revLookup[b64.charCodeAt(i3 + 2)] >> 2;
        arr[curByte++] = tmp >> 8 & 255;
        arr[curByte++] = tmp & 255;
      }
      return arr;
    }
    __name(toByteArray, "toByteArray");
    function tripletToBase64(num) {
      return lookup[num >> 18 & 63] + lookup[num >> 12 & 63] + lookup[num >> 6 & 63] + lookup[num & 63];
    }
    __name(tripletToBase64, "tripletToBase64");
    function encodeChunk(uint8, start, end) {
      var tmp;
      var output = [];
      for (var i3 = start; i3 < end; i3 += 3) {
        tmp = (uint8[i3] << 16 & 16711680) + (uint8[i3 + 1] << 8 & 65280) + (uint8[i3 + 2] & 255);
        output.push(tripletToBase64(tmp));
      }
      return output.join("");
    }
    __name(encodeChunk, "encodeChunk");
    function fromByteArray(uint8) {
      var tmp;
      var len2 = uint8.length;
      var extraBytes = len2 % 3;
      var parts = [];
      var maxChunkLength = 16383;
      for (var i3 = 0, len22 = len2 - extraBytes; i3 < len22; i3 += maxChunkLength) {
        parts.push(encodeChunk(
          uint8,
          i3,
          i3 + maxChunkLength > len22 ? len22 : i3 + maxChunkLength
        ));
      }
      if (extraBytes === 1) {
        tmp = uint8[len2 - 1];
        parts.push(
          lookup[tmp >> 2] + lookup[tmp << 4 & 63] + "=="
        );
      } else if (extraBytes === 2) {
        tmp = (uint8[len2 - 2] << 8) + uint8[len2 - 1];
        parts.push(
          lookup[tmp >> 10] + lookup[tmp >> 4 & 63] + lookup[tmp << 2 & 63] + "="
        );
      }
      return parts.join("");
    }
    __name(fromByteArray, "fromByteArray");
  }
});

// node_modules/keycloak-js/dist/keycloak.js
var require_keycloak = __commonJS({
  "node_modules/keycloak-js/dist/keycloak.js"(exports, module) {
    init_define_process();
    (function(root, factory) {
      if (typeof exports === "object") {
        if (typeof module === "object") {
          module.exports = factory(require_sha256(), require_base64_js());
        } else {
          exports["keycloak"] = factory(require_sha256(), require_base64_js());
        }
      } else {
        !function() {
          "use strict";
          function t(t2, i2) {
            i2 ? (d[0] = d[16] = d[1] = d[2] = d[3] = d[4] = d[5] = d[6] = d[7] = d[8] = d[9] = d[10] = d[11] = d[12] = d[13] = d[14] = d[15] = 0, this.blocks = d) : this.blocks = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], t2 ? (this.h0 = 3238371032, this.h1 = 914150663, this.h2 = 812702999, this.h3 = 4144912697, this.h4 = 4290775857, this.h5 = 1750603025, this.h6 = 1694076839, this.h7 = 3204075428) : (this.h0 = 1779033703, this.h1 = 3144134277, this.h2 = 1013904242, this.h3 = 2773480762, this.h4 = 1359893119, this.h5 = 2600822924, this.h6 = 528734635, this.h7 = 1541459225), this.block = this.start = this.bytes = this.hBytes = 0, this.finalized = this.hashed = false, this.first = true, this.is224 = t2;
          }
          __name(t, "t");
          function i(i2, r2, s2) {
            var e2, n2 = typeof i2;
            if ("string" === n2) {
              var o2, a2 = [], u2 = i2.length, c2 = 0;
              for (e2 = 0; e2 < u2; ++e2)
                (o2 = i2.charCodeAt(e2)) < 128 ? a2[c2++] = o2 : o2 < 2048 ? (a2[c2++] = 192 | o2 >> 6, a2[c2++] = 128 | 63 & o2) : o2 < 55296 || o2 >= 57344 ? (a2[c2++] = 224 | o2 >> 12, a2[c2++] = 128 | o2 >> 6 & 63, a2[c2++] = 128 | 63 & o2) : (o2 = 65536 + ((1023 & o2) << 10 | 1023 & i2.charCodeAt(++e2)), a2[c2++] = 240 | o2 >> 18, a2[c2++] = 128 | o2 >> 12 & 63, a2[c2++] = 128 | o2 >> 6 & 63, a2[c2++] = 128 | 63 & o2);
              i2 = a2;
            } else {
              if ("object" !== n2)
                throw new Error(h);
              if (null === i2)
                throw new Error(h);
              if (f && i2.constructor === ArrayBuffer)
                i2 = new Uint8Array(i2);
              else if (!(Array.isArray(i2) || f && ArrayBuffer.isView(i2)))
                throw new Error(h);
            }
            i2.length > 64 && (i2 = new t(r2, true).update(i2).array());
            var y2 = [], p2 = [];
            for (e2 = 0; e2 < 64; ++e2) {
              var l2 = i2[e2] || 0;
              y2[e2] = 92 ^ l2, p2[e2] = 54 ^ l2;
            }
            t.call(this, r2, s2), this.update(p2), this.oKeyPad = y2, this.inner = true, this.sharedMemory = s2;
          }
          __name(i, "i");
          var h = "input is invalid type", r = "object" == typeof window, s = r ? window : {};
          s.JS_SHA256_NO_WINDOW && (r = false);
          var e = !r && "object" == typeof self, n = !s.JS_SHA256_NO_NODE_JS && "object" == typeof define_process_default && define_process_default.versions && define_process_default.versions.node;
          n ? s = global : e && (s = self);
          var o = !s.JS_SHA256_NO_COMMON_JS && "object" == typeof module && module.exports, a = "function" == typeof define && define.amd, f = !s.JS_SHA256_NO_ARRAY_BUFFER && "undefined" != typeof ArrayBuffer, u = "0123456789abcdef".split(""), c = [-2147483648, 8388608, 32768, 128], y = [24, 16, 8, 0], p = [1116352408, 1899447441, 3049323471, 3921009573, 961987163, 1508970993, 2453635748, 2870763221, 3624381080, 310598401, 607225278, 1426881987, 1925078388, 2162078206, 2614888103, 3248222580, 3835390401, 4022224774, 264347078, 604807628, 770255983, 1249150122, 1555081692, 1996064986, 2554220882, 2821834349, 2952996808, 3210313671, 3336571891, 3584528711, 113926993, 338241895, 666307205, 773529912, 1294757372, 1396182291, 1695183700, 1986661051, 2177026350, 2456956037, 2730485921, 2820302411, 3259730800, 3345764771, 3516065817, 3600352804, 4094571909, 275423344, 430227734, 506948616, 659060556, 883997877, 958139571, 1322822218, 1537002063, 1747873779, 1955562222, 2024104815, 2227730452, 2361852424, 2428436474, 2756734187, 3204031479, 3329325298], l = ["hex", "array", "digest", "arrayBuffer"], d = [];
          !s.JS_SHA256_NO_NODE_JS && Array.isArray || (Array.isArray = function(t2) {
            return "[object Array]" === Object.prototype.toString.call(t2);
          }), !f || !s.JS_SHA256_NO_ARRAY_BUFFER_IS_VIEW && ArrayBuffer.isView || (ArrayBuffer.isView = function(t2) {
            return "object" == typeof t2 && t2.buffer && t2.buffer.constructor === ArrayBuffer;
          });
          var A = /* @__PURE__ */ __name(function(i2, h2) {
            return function(r2) {
              return new t(h2, true).update(r2)[i2]();
            };
          }, "A"), w = /* @__PURE__ */ __name(function(i2) {
            var h2 = A("hex", i2);
            n && (h2 = b(h2, i2)), h2.create = function() {
              return new t(i2);
            }, h2.update = function(t2) {
              return h2.create().update(t2);
            };
            for (var r2 = 0; r2 < l.length; ++r2) {
              var s2 = l[r2];
              h2[s2] = A(s2, i2);
            }
            return h2;
          }, "w"), b = /* @__PURE__ */ __name(function(t, i) {
            var r = eval("require('crypto')"), s = eval("require('buffer').Buffer"), e = i ? "sha224" : "sha256", n = /* @__PURE__ */ __name(function(i2) {
              if ("string" == typeof i2)
                return r.createHash(e).update(i2, "utf8").digest("hex");
              if (null === i2 || void 0 === i2)
                throw new Error(h);
              return i2.constructor === ArrayBuffer && (i2 = new Uint8Array(i2)), Array.isArray(i2) || ArrayBuffer.isView(i2) || i2.constructor === s ? r.createHash(e).update(new s(i2)).digest("hex") : t(i2);
            }, "n");
            return n;
          }, "b"), v = /* @__PURE__ */ __name(function(t2, h2) {
            return function(r2, s2) {
              return new i(r2, h2, true).update(s2)[t2]();
            };
          }, "v"), _ = /* @__PURE__ */ __name(function(t2) {
            var h2 = v("hex", t2);
            h2.create = function(h3) {
              return new i(h3, t2);
            }, h2.update = function(t3, i2) {
              return h2.create(t3).update(i2);
            };
            for (var r2 = 0; r2 < l.length; ++r2) {
              var s2 = l[r2];
              h2[s2] = v(s2, t2);
            }
            return h2;
          }, "_");
          t.prototype.update = function(t2) {
            if (!this.finalized) {
              var i2, r2 = typeof t2;
              if ("string" !== r2) {
                if ("object" !== r2)
                  throw new Error(h);
                if (null === t2)
                  throw new Error(h);
                if (f && t2.constructor === ArrayBuffer)
                  t2 = new Uint8Array(t2);
                else if (!(Array.isArray(t2) || f && ArrayBuffer.isView(t2)))
                  throw new Error(h);
                i2 = true;
              }
              for (var s2, e2, n2 = 0, o2 = t2.length, a2 = this.blocks; n2 < o2; ) {
                if (this.hashed && (this.hashed = false, a2[0] = this.block, a2[16] = a2[1] = a2[2] = a2[3] = a2[4] = a2[5] = a2[6] = a2[7] = a2[8] = a2[9] = a2[10] = a2[11] = a2[12] = a2[13] = a2[14] = a2[15] = 0), i2)
                  for (e2 = this.start; n2 < o2 && e2 < 64; ++n2)
                    a2[e2 >> 2] |= t2[n2] << y[3 & e2++];
                else
                  for (e2 = this.start; n2 < o2 && e2 < 64; ++n2)
                    (s2 = t2.charCodeAt(n2)) < 128 ? a2[e2 >> 2] |= s2 << y[3 & e2++] : s2 < 2048 ? (a2[e2 >> 2] |= (192 | s2 >> 6) << y[3 & e2++], a2[e2 >> 2] |= (128 | 63 & s2) << y[3 & e2++]) : s2 < 55296 || s2 >= 57344 ? (a2[e2 >> 2] |= (224 | s2 >> 12) << y[3 & e2++], a2[e2 >> 2] |= (128 | s2 >> 6 & 63) << y[3 & e2++], a2[e2 >> 2] |= (128 | 63 & s2) << y[3 & e2++]) : (s2 = 65536 + ((1023 & s2) << 10 | 1023 & t2.charCodeAt(++n2)), a2[e2 >> 2] |= (240 | s2 >> 18) << y[3 & e2++], a2[e2 >> 2] |= (128 | s2 >> 12 & 63) << y[3 & e2++], a2[e2 >> 2] |= (128 | s2 >> 6 & 63) << y[3 & e2++], a2[e2 >> 2] |= (128 | 63 & s2) << y[3 & e2++]);
                this.lastByteIndex = e2, this.bytes += e2 - this.start, e2 >= 64 ? (this.block = a2[16], this.start = e2 - 64, this.hash(), this.hashed = true) : this.start = e2;
              }
              return this.bytes > 4294967295 && (this.hBytes += this.bytes / 4294967296 << 0, this.bytes = this.bytes % 4294967296), this;
            }
          }, t.prototype.finalize = function() {
            if (!this.finalized) {
              this.finalized = true;
              var t2 = this.blocks, i2 = this.lastByteIndex;
              t2[16] = this.block, t2[i2 >> 2] |= c[3 & i2], this.block = t2[16], i2 >= 56 && (this.hashed || this.hash(), t2[0] = this.block, t2[16] = t2[1] = t2[2] = t2[3] = t2[4] = t2[5] = t2[6] = t2[7] = t2[8] = t2[9] = t2[10] = t2[11] = t2[12] = t2[13] = t2[14] = t2[15] = 0), t2[14] = this.hBytes << 3 | this.bytes >>> 29, t2[15] = this.bytes << 3, this.hash();
            }
          }, t.prototype.hash = function() {
            var t2, i2, h2, r2, s2, e2, n2, o2, a2, f2 = this.h0, u2 = this.h1, c2 = this.h2, y2 = this.h3, l2 = this.h4, d2 = this.h5, A2 = this.h6, w2 = this.h7, b2 = this.blocks;
            for (t2 = 16; t2 < 64; ++t2)
              i2 = ((s2 = b2[t2 - 15]) >>> 7 | s2 << 25) ^ (s2 >>> 18 | s2 << 14) ^ s2 >>> 3, h2 = ((s2 = b2[t2 - 2]) >>> 17 | s2 << 15) ^ (s2 >>> 19 | s2 << 13) ^ s2 >>> 10, b2[t2] = b2[t2 - 16] + i2 + b2[t2 - 7] + h2 << 0;
            for (a2 = u2 & c2, t2 = 0; t2 < 64; t2 += 4)
              this.first ? (this.is224 ? (e2 = 300032, w2 = (s2 = b2[0] - 1413257819) - 150054599 << 0, y2 = s2 + 24177077 << 0) : (e2 = 704751109, w2 = (s2 = b2[0] - 210244248) - 1521486534 << 0, y2 = s2 + 143694565 << 0), this.first = false) : (i2 = (f2 >>> 2 | f2 << 30) ^ (f2 >>> 13 | f2 << 19) ^ (f2 >>> 22 | f2 << 10), r2 = (e2 = f2 & u2) ^ f2 & c2 ^ a2, w2 = y2 + (s2 = w2 + (h2 = (l2 >>> 6 | l2 << 26) ^ (l2 >>> 11 | l2 << 21) ^ (l2 >>> 25 | l2 << 7)) + (l2 & d2 ^ ~l2 & A2) + p[t2] + b2[t2]) << 0, y2 = s2 + (i2 + r2) << 0), i2 = (y2 >>> 2 | y2 << 30) ^ (y2 >>> 13 | y2 << 19) ^ (y2 >>> 22 | y2 << 10), r2 = (n2 = y2 & f2) ^ y2 & u2 ^ e2, A2 = c2 + (s2 = A2 + (h2 = (w2 >>> 6 | w2 << 26) ^ (w2 >>> 11 | w2 << 21) ^ (w2 >>> 25 | w2 << 7)) + (w2 & l2 ^ ~w2 & d2) + p[t2 + 1] + b2[t2 + 1]) << 0, i2 = ((c2 = s2 + (i2 + r2) << 0) >>> 2 | c2 << 30) ^ (c2 >>> 13 | c2 << 19) ^ (c2 >>> 22 | c2 << 10), r2 = (o2 = c2 & y2) ^ c2 & f2 ^ n2, d2 = u2 + (s2 = d2 + (h2 = (A2 >>> 6 | A2 << 26) ^ (A2 >>> 11 | A2 << 21) ^ (A2 >>> 25 | A2 << 7)) + (A2 & w2 ^ ~A2 & l2) + p[t2 + 2] + b2[t2 + 2]) << 0, i2 = ((u2 = s2 + (i2 + r2) << 0) >>> 2 | u2 << 30) ^ (u2 >>> 13 | u2 << 19) ^ (u2 >>> 22 | u2 << 10), r2 = (a2 = u2 & c2) ^ u2 & y2 ^ o2, l2 = f2 + (s2 = l2 + (h2 = (d2 >>> 6 | d2 << 26) ^ (d2 >>> 11 | d2 << 21) ^ (d2 >>> 25 | d2 << 7)) + (d2 & A2 ^ ~d2 & w2) + p[t2 + 3] + b2[t2 + 3]) << 0, f2 = s2 + (i2 + r2) << 0;
            this.h0 = this.h0 + f2 << 0, this.h1 = this.h1 + u2 << 0, this.h2 = this.h2 + c2 << 0, this.h3 = this.h3 + y2 << 0, this.h4 = this.h4 + l2 << 0, this.h5 = this.h5 + d2 << 0, this.h6 = this.h6 + A2 << 0, this.h7 = this.h7 + w2 << 0;
          }, t.prototype.hex = function() {
            this.finalize();
            var t2 = this.h0, i2 = this.h1, h2 = this.h2, r2 = this.h3, s2 = this.h4, e2 = this.h5, n2 = this.h6, o2 = this.h7, a2 = u[t2 >> 28 & 15] + u[t2 >> 24 & 15] + u[t2 >> 20 & 15] + u[t2 >> 16 & 15] + u[t2 >> 12 & 15] + u[t2 >> 8 & 15] + u[t2 >> 4 & 15] + u[15 & t2] + u[i2 >> 28 & 15] + u[i2 >> 24 & 15] + u[i2 >> 20 & 15] + u[i2 >> 16 & 15] + u[i2 >> 12 & 15] + u[i2 >> 8 & 15] + u[i2 >> 4 & 15] + u[15 & i2] + u[h2 >> 28 & 15] + u[h2 >> 24 & 15] + u[h2 >> 20 & 15] + u[h2 >> 16 & 15] + u[h2 >> 12 & 15] + u[h2 >> 8 & 15] + u[h2 >> 4 & 15] + u[15 & h2] + u[r2 >> 28 & 15] + u[r2 >> 24 & 15] + u[r2 >> 20 & 15] + u[r2 >> 16 & 15] + u[r2 >> 12 & 15] + u[r2 >> 8 & 15] + u[r2 >> 4 & 15] + u[15 & r2] + u[s2 >> 28 & 15] + u[s2 >> 24 & 15] + u[s2 >> 20 & 15] + u[s2 >> 16 & 15] + u[s2 >> 12 & 15] + u[s2 >> 8 & 15] + u[s2 >> 4 & 15] + u[15 & s2] + u[e2 >> 28 & 15] + u[e2 >> 24 & 15] + u[e2 >> 20 & 15] + u[e2 >> 16 & 15] + u[e2 >> 12 & 15] + u[e2 >> 8 & 15] + u[e2 >> 4 & 15] + u[15 & e2] + u[n2 >> 28 & 15] + u[n2 >> 24 & 15] + u[n2 >> 20 & 15] + u[n2 >> 16 & 15] + u[n2 >> 12 & 15] + u[n2 >> 8 & 15] + u[n2 >> 4 & 15] + u[15 & n2];
            return this.is224 || (a2 += u[o2 >> 28 & 15] + u[o2 >> 24 & 15] + u[o2 >> 20 & 15] + u[o2 >> 16 & 15] + u[o2 >> 12 & 15] + u[o2 >> 8 & 15] + u[o2 >> 4 & 15] + u[15 & o2]), a2;
          }, t.prototype.toString = t.prototype.hex, t.prototype.digest = function() {
            this.finalize();
            var t2 = this.h0, i2 = this.h1, h2 = this.h2, r2 = this.h3, s2 = this.h4, e2 = this.h5, n2 = this.h6, o2 = this.h7, a2 = [t2 >> 24 & 255, t2 >> 16 & 255, t2 >> 8 & 255, 255 & t2, i2 >> 24 & 255, i2 >> 16 & 255, i2 >> 8 & 255, 255 & i2, h2 >> 24 & 255, h2 >> 16 & 255, h2 >> 8 & 255, 255 & h2, r2 >> 24 & 255, r2 >> 16 & 255, r2 >> 8 & 255, 255 & r2, s2 >> 24 & 255, s2 >> 16 & 255, s2 >> 8 & 255, 255 & s2, e2 >> 24 & 255, e2 >> 16 & 255, e2 >> 8 & 255, 255 & e2, n2 >> 24 & 255, n2 >> 16 & 255, n2 >> 8 & 255, 255 & n2];
            return this.is224 || a2.push(o2 >> 24 & 255, o2 >> 16 & 255, o2 >> 8 & 255, 255 & o2), a2;
          }, t.prototype.array = t.prototype.digest, t.prototype.arrayBuffer = function() {
            this.finalize();
            var t2 = new ArrayBuffer(this.is224 ? 28 : 32), i2 = new DataView(t2);
            return i2.setUint32(0, this.h0), i2.setUint32(4, this.h1), i2.setUint32(8, this.h2), i2.setUint32(12, this.h3), i2.setUint32(16, this.h4), i2.setUint32(20, this.h5), i2.setUint32(24, this.h6), this.is224 || i2.setUint32(28, this.h7), t2;
          }, i.prototype = new t(), i.prototype.finalize = function() {
            if (t.prototype.finalize.call(this), this.inner) {
              this.inner = false;
              var i2 = this.array();
              t.call(this, this.is224, this.sharedMemory), this.update(this.oKeyPad), this.update(i2), t.prototype.finalize.call(this);
            }
          };
          var B = w();
          B.sha256 = B, B.sha224 = w(true), B.sha256.hmac = _(), B.sha224.hmac = _(true), o ? module.exports = B : (s.sha256 = B.sha256, s.sha224 = B.sha224, a && define(function() {
            return B;
          }));
        }();
        (function(r2) {
          if (typeof exports === "object" && typeof module !== "undefined") {
            module.exports = r2();
          } else if (typeof define === "function" && define.amd) {
            define([], r2);
          } else {
            var e2;
            if (typeof window !== "undefined") {
              e2 = window;
            } else if (typeof global !== "undefined") {
              e2 = global;
            } else if (typeof self !== "undefined") {
              e2 = self;
            } else {
              e2 = this;
            }
            e2.base64js = r2();
          }
        })(function() {
          var r2, e2, n2;
          return function() {
            function r3(e3, n3, t2) {
              function o2(f3, i2) {
                if (!n3[f3]) {
                  if (!e3[f3]) {
                    var u2 = "function" == typeof __require && __require;
                    if (!i2 && u2)
                      return u2(f3, true);
                    if (a2)
                      return a2(f3, true);
                    var v2 = new Error("Cannot find module '" + f3 + "'");
                    throw v2.code = "MODULE_NOT_FOUND", v2;
                  }
                  var d2 = n3[f3] = { exports: {} };
                  e3[f3][0].call(d2.exports, function(r4) {
                    var n4 = e3[f3][1][r4];
                    return o2(n4 || r4);
                  }, d2, d2.exports, r3, e3, n3, t2);
                }
                return n3[f3].exports;
              }
              __name(o2, "o");
              for (var a2 = "function" == typeof __require && __require, f2 = 0; f2 < t2.length; f2++)
                o2(t2[f2]);
              return o2;
            }
            __name(r3, "r");
            return r3;
          }()({ "/": [function(r3, e3, n3) {
            "use strict";
            n3.byteLength = d2;
            n3.toByteArray = h2;
            n3.fromByteArray = p2;
            var t2 = [];
            var o2 = [];
            var a2 = typeof Uint8Array !== "undefined" ? Uint8Array : Array;
            var f2 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
            for (var i2 = 0, u2 = f2.length; i2 < u2; ++i2) {
              t2[i2] = f2[i2];
              o2[f2.charCodeAt(i2)] = i2;
            }
            o2["-".charCodeAt(0)] = 62;
            o2["_".charCodeAt(0)] = 63;
            function v2(r4) {
              var e4 = r4.length;
              if (e4 % 4 > 0) {
                throw new Error("Invalid string. Length must be a multiple of 4");
              }
              var n4 = r4.indexOf("=");
              if (n4 === -1)
                n4 = e4;
              var t3 = n4 === e4 ? 0 : 4 - n4 % 4;
              return [n4, t3];
            }
            __name(v2, "v");
            function d2(r4) {
              var e4 = v2(r4);
              var n4 = e4[0];
              var t3 = e4[1];
              return (n4 + t3) * 3 / 4 - t3;
            }
            __name(d2, "d");
            function c2(r4, e4, n4) {
              return (e4 + n4) * 3 / 4 - n4;
            }
            __name(c2, "c");
            function h2(r4) {
              var e4;
              var n4 = v2(r4);
              var t3 = n4[0];
              var f3 = n4[1];
              var i3 = new a2(c2(r4, t3, f3));
              var u3 = 0;
              var d3 = f3 > 0 ? t3 - 4 : t3;
              for (var h3 = 0; h3 < d3; h3 += 4) {
                e4 = o2[r4.charCodeAt(h3)] << 18 | o2[r4.charCodeAt(h3 + 1)] << 12 | o2[r4.charCodeAt(h3 + 2)] << 6 | o2[r4.charCodeAt(h3 + 3)];
                i3[u3++] = e4 >> 16 & 255;
                i3[u3++] = e4 >> 8 & 255;
                i3[u3++] = e4 & 255;
              }
              if (f3 === 2) {
                e4 = o2[r4.charCodeAt(h3)] << 2 | o2[r4.charCodeAt(h3 + 1)] >> 4;
                i3[u3++] = e4 & 255;
              }
              if (f3 === 1) {
                e4 = o2[r4.charCodeAt(h3)] << 10 | o2[r4.charCodeAt(h3 + 1)] << 4 | o2[r4.charCodeAt(h3 + 2)] >> 2;
                i3[u3++] = e4 >> 8 & 255;
                i3[u3++] = e4 & 255;
              }
              return i3;
            }
            __name(h2, "h");
            function s2(r4) {
              return t2[r4 >> 18 & 63] + t2[r4 >> 12 & 63] + t2[r4 >> 6 & 63] + t2[r4 & 63];
            }
            __name(s2, "s");
            function l2(r4, e4, n4) {
              var t3;
              var o3 = [];
              for (var a3 = e4; a3 < n4; a3 += 3) {
                t3 = (r4[a3] << 16 & 16711680) + (r4[a3 + 1] << 8 & 65280) + (r4[a3 + 2] & 255);
                o3.push(s2(t3));
              }
              return o3.join("");
            }
            __name(l2, "l");
            function p2(r4) {
              var e4;
              var n4 = r4.length;
              var o3 = n4 % 3;
              var a3 = [];
              var f3 = 16383;
              for (var i3 = 0, u3 = n4 - o3; i3 < u3; i3 += f3) {
                a3.push(l2(r4, i3, i3 + f3 > u3 ? u3 : i3 + f3));
              }
              if (o3 === 1) {
                e4 = r4[n4 - 1];
                a3.push(t2[e4 >> 2] + t2[e4 << 4 & 63] + "==");
              } else if (o3 === 2) {
                e4 = (r4[n4 - 2] << 8) + r4[n4 - 1];
                a3.push(t2[e4 >> 10] + t2[e4 >> 4 & 63] + t2[e4 << 2 & 63] + "=");
              }
              return a3.join("");
            }
            __name(p2, "p");
          }, {}] }, {}, [])("/");
        });
        !function(e2, n2) {
          "object" == typeof exports && "undefined" != typeof module ? n2() : "function" == typeof define && define.amd ? define(n2) : n2();
        }(0, function() {
          "use strict";
          function e2(e3) {
            var n3 = this.constructor;
            return this.then(function(t3) {
              return n3.resolve(e3()).then(function() {
                return t3;
              });
            }, function(t3) {
              return n3.resolve(e3()).then(function() {
                return n3.reject(t3);
              });
            });
          }
          __name(e2, "e");
          function n2(e3) {
            return !(!e3 || "undefined" == typeof e3.length);
          }
          __name(n2, "n");
          function t2() {
          }
          __name(t2, "t");
          function o2(e3) {
            if (!(this instanceof o2))
              throw new TypeError("Promises must be constructed via new");
            if ("function" != typeof e3)
              throw new TypeError("not a function");
            this._state = 0, this._handled = false, this._value = void 0, this._deferreds = [], c2(e3, this);
          }
          __name(o2, "o");
          function r2(e3, n3) {
            for (; 3 === e3._state; )
              e3 = e3._value;
            0 !== e3._state ? (e3._handled = true, o2._immediateFn(function() {
              var t3 = 1 === e3._state ? n3.onFulfilled : n3.onRejected;
              if (null !== t3) {
                var o3;
                try {
                  o3 = t3(e3._value);
                } catch (r3) {
                  return void f2(n3.promise, r3);
                }
                i2(n3.promise, o3);
              } else
                (1 === e3._state ? i2 : f2)(n3.promise, e3._value);
            })) : e3._deferreds.push(n3);
          }
          __name(r2, "r");
          function i2(e3, n3) {
            try {
              if (n3 === e3)
                throw new TypeError("A promise cannot be resolved with itself.");
              if (n3 && ("object" == typeof n3 || "function" == typeof n3)) {
                var t3 = n3.then;
                if (n3 instanceof o2)
                  return e3._state = 3, e3._value = n3, void u2(e3);
                if ("function" == typeof t3)
                  return void c2(function(e4, n4) {
                    return function() {
                      e4.apply(n4, arguments);
                    };
                  }(t3, n3), e3);
              }
              e3._state = 1, e3._value = n3, u2(e3);
            } catch (r3) {
              f2(e3, r3);
            }
          }
          __name(i2, "i");
          function f2(e3, n3) {
            e3._state = 2, e3._value = n3, u2(e3);
          }
          __name(f2, "f");
          function u2(e3) {
            2 === e3._state && 0 === e3._deferreds.length && o2._immediateFn(function() {
              e3._handled || o2._unhandledRejectionFn(e3._value);
            });
            for (var n3 = 0, t3 = e3._deferreds.length; t3 > n3; n3++)
              r2(e3, e3._deferreds[n3]);
            e3._deferreds = null;
          }
          __name(u2, "u");
          function c2(e3, n3) {
            var t3 = false;
            try {
              e3(function(e4) {
                t3 || (t3 = true, i2(n3, e4));
              }, function(e4) {
                t3 || (t3 = true, f2(n3, e4));
              });
            } catch (o3) {
              if (t3)
                return;
              t3 = true, f2(n3, o3);
            }
          }
          __name(c2, "c");
          var a2 = setTimeout;
          o2.prototype["catch"] = function(e3) {
            return this.then(null, e3);
          }, o2.prototype.then = function(e3, n3) {
            var o3 = new this.constructor(t2);
            return r2(this, new function(e4, n4, t3) {
              this.onFulfilled = "function" == typeof e4 ? e4 : null, this.onRejected = "function" == typeof n4 ? n4 : null, this.promise = t3;
            }(e3, n3, o3)), o3;
          }, o2.prototype["finally"] = e2, o2.all = function(e3) {
            return new o2(function(t3, o3) {
              function r3(e4, n3) {
                try {
                  if (n3 && ("object" == typeof n3 || "function" == typeof n3)) {
                    var u4 = n3.then;
                    if ("function" == typeof u4)
                      return void u4.call(n3, function(n4) {
                        r3(e4, n4);
                      }, o3);
                  }
                  i3[e4] = n3, 0 == --f3 && t3(i3);
                } catch (c3) {
                  o3(c3);
                }
              }
              __name(r3, "r");
              if (!n2(e3))
                return o3(new TypeError("Promise.all accepts an array"));
              var i3 = Array.prototype.slice.call(e3);
              if (0 === i3.length)
                return t3([]);
              for (var f3 = i3.length, u3 = 0; i3.length > u3; u3++)
                r3(u3, i3[u3]);
            });
          }, o2.resolve = function(e3) {
            return e3 && "object" == typeof e3 && e3.constructor === o2 ? e3 : new o2(function(n3) {
              n3(e3);
            });
          }, o2.reject = function(e3) {
            return new o2(function(n3, t3) {
              t3(e3);
            });
          }, o2.race = function(e3) {
            return new o2(function(t3, r3) {
              if (!n2(e3))
                return r3(new TypeError("Promise.race accepts an array"));
              for (var i3 = 0, f3 = e3.length; f3 > i3; i3++)
                o2.resolve(e3[i3]).then(t3, r3);
            });
          }, o2._immediateFn = "function" == typeof setImmediate && function(e3) {
            setImmediate(e3);
          } || function(e3) {
            a2(e3, 0);
          }, o2._unhandledRejectionFn = function(e3) {
            void 0 !== console && console && console.warn("Possible Unhandled Promise Rejection:", e3);
          };
          var l2 = function() {
            if ("undefined" != typeof self)
              return self;
            if ("undefined" != typeof window)
              return window;
            if ("undefined" != typeof global)
              return global;
            throw Error("unable to locate global object");
          }();
          "Promise" in l2 ? l2.Promise.prototype["finally"] || (l2.Promise.prototype["finally"] = e2) : l2.Promise = o2;
        });
        var Keycloak = factory(root["sha256"], root["base64js"]);
        root["Keycloak"] = Keycloak;
        if (typeof define === "function" && define.amd) {
          define("keycloak", [], function() {
            return Keycloak;
          });
        }
      }
    })(window, function(sha256_imported, base64js_imported) {
      if (typeof Promise === "undefined") {
        throw Error("Keycloak requires an environment that supports Promises. Make sure that you include the appropriate polyfill.");
      }
      var loggedPromiseDeprecation = false;
      function logPromiseDeprecation() {
        if (!loggedPromiseDeprecation) {
          loggedPromiseDeprecation = true;
          console.warn("[KEYCLOAK] Usage of legacy style promise methods such as `.error()` and `.success()` has been deprecated and support will be removed in future versions. Use standard style promise methods such as `.then() and `.catch()` instead.");
        }
      }
      __name(logPromiseDeprecation, "logPromiseDeprecation");
      function toKeycloakPromise(promise) {
        promise.__proto__ = KeycloakPromise.prototype;
        return promise;
      }
      __name(toKeycloakPromise, "toKeycloakPromise");
      function KeycloakPromise(executor) {
        return toKeycloakPromise(new Promise(executor));
      }
      __name(KeycloakPromise, "KeycloakPromise");
      KeycloakPromise.prototype = Object.create(Promise.prototype);
      KeycloakPromise.prototype.constructor = KeycloakPromise;
      KeycloakPromise.prototype.success = function(callback) {
        logPromiseDeprecation();
        var promise = this.then(/* @__PURE__ */ __name(function handleSuccess(value) {
          callback(value);
        }, "handleSuccess"));
        return toKeycloakPromise(promise);
      };
      KeycloakPromise.prototype.error = function(callback) {
        logPromiseDeprecation();
        var promise = this.catch(/* @__PURE__ */ __name(function handleError(error) {
          callback(error);
        }, "handleError"));
        return toKeycloakPromise(promise);
      };
      function Keycloak2(config) {
        if (!(this instanceof Keycloak2)) {
          return new Keycloak2(config);
        }
        var kc = this;
        var adapter;
        var refreshQueue = [];
        var callbackStorage;
        var loginIframe = {
          enable: true,
          callbackList: [],
          interval: 5
        };
        var scripts = document.getElementsByTagName("script");
        for (var i2 = 0; i2 < scripts.length; i2++) {
          if ((scripts[i2].src.indexOf("keycloak.js") !== -1 || scripts[i2].src.indexOf("keycloak.min.js") !== -1) && scripts[i2].src.indexOf("version=") !== -1) {
            kc.iframeVersion = scripts[i2].src.substring(scripts[i2].src.indexOf("version=") + 8).split("&")[0];
          }
        }
        var useNonce = true;
        var logInfo = createLogger(console.info);
        var logWarn = createLogger(console.warn);
        kc.init = function(initOptions) {
          kc.authenticated = false;
          callbackStorage = createCallbackStorage();
          var adapters = ["default", "cordova", "cordova-native"];
          if (initOptions && adapters.indexOf(initOptions.adapter) > -1) {
            adapter = loadAdapter(initOptions.adapter);
          } else if (initOptions && typeof initOptions.adapter === "object") {
            adapter = initOptions.adapter;
          } else {
            if (window.Cordova || window.cordova) {
              adapter = loadAdapter("cordova");
            } else {
              adapter = loadAdapter();
            }
          }
          if (initOptions) {
            if (typeof initOptions.useNonce !== "undefined") {
              useNonce = initOptions.useNonce;
            }
            if (typeof initOptions.checkLoginIframe !== "undefined") {
              loginIframe.enable = initOptions.checkLoginIframe;
            }
            if (initOptions.checkLoginIframeInterval) {
              loginIframe.interval = initOptions.checkLoginIframeInterval;
            }
            if (initOptions.onLoad === "login-required") {
              kc.loginRequired = true;
            }
            if (initOptions.responseMode) {
              if (initOptions.responseMode === "query" || initOptions.responseMode === "fragment") {
                kc.responseMode = initOptions.responseMode;
              } else {
                throw "Invalid value for responseMode";
              }
            }
            if (initOptions.flow) {
              switch (initOptions.flow) {
                case "standard":
                  kc.responseType = "code";
                  break;
                case "implicit":
                  kc.responseType = "id_token token";
                  break;
                case "hybrid":
                  kc.responseType = "code id_token token";
                  break;
                default:
                  throw "Invalid value for flow";
              }
              kc.flow = initOptions.flow;
            }
            if (initOptions.timeSkew != null) {
              kc.timeSkew = initOptions.timeSkew;
            }
            if (initOptions.redirectUri) {
              kc.redirectUri = initOptions.redirectUri;
            }
            if (initOptions.silentCheckSsoRedirectUri) {
              kc.silentCheckSsoRedirectUri = initOptions.silentCheckSsoRedirectUri;
            }
            if (initOptions.pkceMethod) {
              if (initOptions.pkceMethod !== "S256") {
                throw "Invalid value for pkceMethod";
              }
              kc.pkceMethod = initOptions.pkceMethod;
            }
            if (typeof initOptions.enableLogging === "boolean") {
              kc.enableLogging = initOptions.enableLogging;
            } else {
              kc.enableLogging = false;
            }
          }
          if (!kc.responseMode) {
            kc.responseMode = "fragment";
          }
          if (!kc.responseType) {
            kc.responseType = "code";
            kc.flow = "standard";
          }
          var promise = createPromise();
          var initPromise = createPromise();
          initPromise.promise.then(function() {
            kc.onReady && kc.onReady(kc.authenticated);
            promise.setSuccess(kc.authenticated);
          }).catch(function(errorData) {
            promise.setError(errorData);
          });
          var configPromise = loadConfig(config);
          function onLoad() {
            var doLogin = /* @__PURE__ */ __name(function(prompt) {
              if (!prompt) {
                options.prompt = "none";
              }
              kc.login(options).then(function() {
                initPromise.setSuccess();
              }).catch(function() {
                initPromise.setError();
              });
            }, "doLogin");
            var checkSsoSilently = /* @__PURE__ */ __name(function() {
              var ifrm = document.createElement("iframe");
              var src = kc.createLoginUrl({ prompt: "none", redirectUri: kc.silentCheckSsoRedirectUri });
              ifrm.setAttribute("src", src);
              ifrm.setAttribute("title", "keycloak-silent-check-sso");
              ifrm.style.display = "none";
              document.body.appendChild(ifrm);
              var messageCallback = /* @__PURE__ */ __name(function(event) {
                if (event.origin !== window.location.origin || ifrm.contentWindow !== event.source) {
                  return;
                }
                var oauth = parseCallback(event.data);
                processCallback(oauth, initPromise);
                document.body.removeChild(ifrm);
                window.removeEventListener("message", messageCallback);
              }, "messageCallback");
              window.addEventListener("message", messageCallback);
            }, "checkSsoSilently");
            var options = {};
            switch (initOptions.onLoad) {
              case "check-sso":
                if (loginIframe.enable) {
                  setupCheckLoginIframe().then(function() {
                    checkLoginIframe().then(function(unchanged) {
                      if (!unchanged) {
                        kc.silentCheckSsoRedirectUri ? checkSsoSilently() : doLogin(false);
                      } else {
                        initPromise.setSuccess();
                      }
                    }).catch(function() {
                      initPromise.setError();
                    });
                  });
                } else {
                  kc.silentCheckSsoRedirectUri ? checkSsoSilently() : doLogin(false);
                }
                break;
              case "login-required":
                doLogin(true);
                break;
              default:
                throw "Invalid value for onLoad";
            }
          }
          __name(onLoad, "onLoad");
          function processInit() {
            var callback = parseCallback(window.location.href);
            if (callback) {
              window.history.replaceState(window.history.state, null, callback.newUrl);
            }
            if (callback && callback.valid) {
              return setupCheckLoginIframe().then(function() {
                processCallback(callback, initPromise);
              }).catch(function(e2) {
                initPromise.setError();
              });
            } else if (initOptions) {
              if (initOptions.token && initOptions.refreshToken) {
                setToken(initOptions.token, initOptions.refreshToken, initOptions.idToken);
                if (loginIframe.enable) {
                  setupCheckLoginIframe().then(function() {
                    checkLoginIframe().then(function(unchanged) {
                      if (unchanged) {
                        kc.onAuthSuccess && kc.onAuthSuccess();
                        initPromise.setSuccess();
                        scheduleCheckIframe();
                      } else {
                        initPromise.setSuccess();
                      }
                    }).catch(function() {
                      initPromise.setError();
                    });
                  });
                } else {
                  kc.updateToken(-1).then(function() {
                    kc.onAuthSuccess && kc.onAuthSuccess();
                    initPromise.setSuccess();
                  }).catch(function() {
                    kc.onAuthError && kc.onAuthError();
                    if (initOptions.onLoad) {
                      onLoad();
                    } else {
                      initPromise.setError();
                    }
                  });
                }
              } else if (initOptions.onLoad) {
                onLoad();
              } else {
                initPromise.setSuccess();
              }
            } else {
              initPromise.setSuccess();
            }
          }
          __name(processInit, "processInit");
          configPromise.then(processInit);
          configPromise.catch(function() {
            promise.setError();
          });
          return promise.promise;
        };
        kc.login = function(options) {
          return adapter.login(options);
        };
        function generateRandomData(len) {
          var array = null;
          var crypto2 = window.crypto || window.msCrypto;
          if (crypto2 && crypto2.getRandomValues && window.Uint8Array) {
            array = new Uint8Array(len);
            crypto2.getRandomValues(array);
            return array;
          }
          array = new Array(len);
          for (var j = 0; j < array.length; j++) {
            array[j] = Math.floor(256 * Math.random());
          }
          return array;
        }
        __name(generateRandomData, "generateRandomData");
        function generateCodeVerifier(len) {
          return generateRandomString(len, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789");
        }
        __name(generateCodeVerifier, "generateCodeVerifier");
        function generateRandomString(len, alphabet) {
          var randomData = generateRandomData(len);
          var chars = new Array(len);
          for (var i3 = 0; i3 < len; i3++) {
            chars[i3] = alphabet.charCodeAt(randomData[i3] % alphabet.length);
          }
          return String.fromCharCode.apply(null, chars);
        }
        __name(generateRandomString, "generateRandomString");
        function generatePkceChallenge(pkceMethod, codeVerifier) {
          switch (pkceMethod) {
            case "S256":
              var hashBytes = new Uint8Array(sha256_imported.arrayBuffer(codeVerifier));
              var encodedHash = base64js_imported.fromByteArray(hashBytes).replace(/\+/g, "-").replace(/\//g, "_").replace(/\=/g, "");
              return encodedHash;
            default:
              throw "Invalid value for pkceMethod";
          }
        }
        __name(generatePkceChallenge, "generatePkceChallenge");
        kc.createLoginUrl = function(options) {
          var state = createUUID();
          var nonce = createUUID();
          var redirectUri = adapter.redirectUri(options);
          var callbackState = {
            state,
            nonce,
            redirectUri: encodeURIComponent(redirectUri)
          };
          if (options && options.prompt) {
            callbackState.prompt = options.prompt;
          }
          var baseUrl;
          if (options && options.action == "register") {
            baseUrl = kc.endpoints.register();
          } else {
            baseUrl = kc.endpoints.authorize();
          }
          var scope;
          if (options && options.scope) {
            if (options.scope.indexOf("openid") != -1) {
              scope = options.scope;
            } else {
              scope = "openid " + options.scope;
            }
          } else {
            scope = "openid";
          }
          var url = baseUrl + "?client_id=" + encodeURIComponent(kc.clientId) + "&redirect_uri=" + encodeURIComponent(redirectUri) + "&state=" + encodeURIComponent(state) + "&response_mode=" + encodeURIComponent(kc.responseMode) + "&response_type=" + encodeURIComponent(kc.responseType) + "&scope=" + encodeURIComponent(scope);
          if (useNonce) {
            url = url + "&nonce=" + encodeURIComponent(nonce);
          }
          if (options && options.prompt) {
            url += "&prompt=" + encodeURIComponent(options.prompt);
          }
          if (options && options.maxAge) {
            url += "&max_age=" + encodeURIComponent(options.maxAge);
          }
          if (options && options.loginHint) {
            url += "&login_hint=" + encodeURIComponent(options.loginHint);
          }
          if (options && options.idpHint) {
            url += "&kc_idp_hint=" + encodeURIComponent(options.idpHint);
          }
          if (options && options.action && options.action != "register") {
            url += "&kc_action=" + encodeURIComponent(options.action);
          }
          if (options && options.locale) {
            url += "&ui_locales=" + encodeURIComponent(options.locale);
          }
          if (kc.pkceMethod) {
            var codeVerifier = generateCodeVerifier(96);
            callbackState.pkceCodeVerifier = codeVerifier;
            var pkceChallenge = generatePkceChallenge(kc.pkceMethod, codeVerifier);
            url += "&code_challenge=" + pkceChallenge;
            url += "&code_challenge_method=" + kc.pkceMethod;
          }
          callbackStorage.add(callbackState);
          return url;
        };
        kc.logout = function(options) {
          return adapter.logout(options);
        };
        kc.createLogoutUrl = function(options) {
          var url = kc.endpoints.logout() + "?redirect_uri=" + encodeURIComponent(adapter.redirectUri(options, false));
          return url;
        };
        kc.register = function(options) {
          return adapter.register(options);
        };
        kc.createRegisterUrl = function(options) {
          if (!options) {
            options = {};
          }
          options.action = "register";
          return kc.createLoginUrl(options);
        };
        kc.createAccountUrl = function(options) {
          var realm = getRealmUrl();
          var url = void 0;
          if (typeof realm !== "undefined") {
            url = realm + "/account?referrer=" + encodeURIComponent(kc.clientId) + "&referrer_uri=" + encodeURIComponent(adapter.redirectUri(options));
          }
          return url;
        };
        kc.accountManagement = function() {
          return adapter.accountManagement();
        };
        kc.hasRealmRole = function(role) {
          var access = kc.realmAccess;
          return !!access && access.roles.indexOf(role) >= 0;
        };
        kc.hasResourceRole = function(role, resource) {
          if (!kc.resourceAccess) {
            return false;
          }
          var access = kc.resourceAccess[resource || kc.clientId];
          return !!access && access.roles.indexOf(role) >= 0;
        };
        kc.loadUserProfile = function() {
          var url = getRealmUrl() + "/account";
          var req = new XMLHttpRequest();
          req.open("GET", url, true);
          req.setRequestHeader("Accept", "application/json");
          req.setRequestHeader("Authorization", "bearer " + kc.token);
          var promise = createPromise();
          req.onreadystatechange = function() {
            if (req.readyState == 4) {
              if (req.status == 200) {
                kc.profile = JSON.parse(req.responseText);
                promise.setSuccess(kc.profile);
              } else {
                promise.setError();
              }
            }
          };
          req.send();
          return promise.promise;
        };
        kc.loadUserInfo = function() {
          var url = kc.endpoints.userinfo();
          var req = new XMLHttpRequest();
          req.open("GET", url, true);
          req.setRequestHeader("Accept", "application/json");
          req.setRequestHeader("Authorization", "bearer " + kc.token);
          var promise = createPromise();
          req.onreadystatechange = function() {
            if (req.readyState == 4) {
              if (req.status == 200) {
                kc.userInfo = JSON.parse(req.responseText);
                promise.setSuccess(kc.userInfo);
              } else {
                promise.setError();
              }
            }
          };
          req.send();
          return promise.promise;
        };
        kc.isTokenExpired = function(minValidity) {
          if (!kc.tokenParsed || !kc.refreshToken && kc.flow != "implicit") {
            throw "Not authenticated";
          }
          if (kc.timeSkew == null) {
            logInfo("[KEYCLOAK] Unable to determine if token is expired as timeskew is not set");
            return true;
          }
          var expiresIn = kc.tokenParsed["exp"] - Math.ceil(new Date().getTime() / 1e3) + kc.timeSkew;
          if (minValidity) {
            if (isNaN(minValidity)) {
              throw "Invalid minValidity";
            }
            expiresIn -= minValidity;
          }
          return expiresIn < 0;
        };
        kc.updateToken = function(minValidity) {
          var promise = createPromise();
          if (!kc.refreshToken) {
            promise.setError();
            return promise.promise;
          }
          minValidity = minValidity || 5;
          var exec = /* @__PURE__ */ __name(function() {
            var refreshToken = false;
            if (minValidity == -1) {
              refreshToken = true;
              logInfo("[KEYCLOAK] Refreshing token: forced refresh");
            } else if (!kc.tokenParsed || kc.isTokenExpired(minValidity)) {
              refreshToken = true;
              logInfo("[KEYCLOAK] Refreshing token: token expired");
            }
            if (!refreshToken) {
              promise.setSuccess(false);
            } else {
              var params = "grant_type=refresh_token&refresh_token=" + kc.refreshToken;
              var url = kc.endpoints.token();
              refreshQueue.push(promise);
              if (refreshQueue.length == 1) {
                var req = new XMLHttpRequest();
                req.open("POST", url, true);
                req.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                req.withCredentials = true;
                params += "&client_id=" + encodeURIComponent(kc.clientId);
                var timeLocal = new Date().getTime();
                req.onreadystatechange = function() {
                  if (req.readyState == 4) {
                    if (req.status == 200) {
                      logInfo("[KEYCLOAK] Token refreshed");
                      timeLocal = (timeLocal + new Date().getTime()) / 2;
                      var tokenResponse = JSON.parse(req.responseText);
                      setToken(tokenResponse["access_token"], tokenResponse["refresh_token"], tokenResponse["id_token"], timeLocal);
                      kc.onAuthRefreshSuccess && kc.onAuthRefreshSuccess();
                      for (var p2 = refreshQueue.pop(); p2 != null; p2 = refreshQueue.pop()) {
                        p2.setSuccess(true);
                      }
                    } else {
                      logWarn("[KEYCLOAK] Failed to refresh token");
                      if (req.status == 400) {
                        kc.clearToken();
                      }
                      kc.onAuthRefreshError && kc.onAuthRefreshError();
                      for (var p2 = refreshQueue.pop(); p2 != null; p2 = refreshQueue.pop()) {
                        p2.setError(true);
                      }
                    }
                  }
                };
                req.send(params);
              }
            }
          }, "exec");
          if (loginIframe.enable) {
            var iframePromise = checkLoginIframe();
            iframePromise.then(function() {
              exec();
            }).catch(function() {
              promise.setError();
            });
          } else {
            exec();
          }
          return promise.promise;
        };
        kc.clearToken = function() {
          if (kc.token) {
            setToken(null, null, null);
            kc.onAuthLogout && kc.onAuthLogout();
            if (kc.loginRequired) {
              kc.login();
            }
          }
        };
        function getRealmUrl() {
          if (typeof kc.authServerUrl !== "undefined") {
            if (kc.authServerUrl.charAt(kc.authServerUrl.length - 1) == "/") {
              return kc.authServerUrl + "realms/" + encodeURIComponent(kc.realm);
            } else {
              return kc.authServerUrl + "/realms/" + encodeURIComponent(kc.realm);
            }
          } else {
            return void 0;
          }
        }
        __name(getRealmUrl, "getRealmUrl");
        function getOrigin() {
          if (!window.location.origin) {
            return window.location.protocol + "//" + window.location.hostname + (window.location.port ? ":" + window.location.port : "");
          } else {
            return window.location.origin;
          }
        }
        __name(getOrigin, "getOrigin");
        function processCallback(oauth, promise) {
          var code = oauth.code;
          var error = oauth.error;
          var prompt = oauth.prompt;
          var timeLocal = new Date().getTime();
          if (oauth["kc_action_status"]) {
            kc.onActionUpdate && kc.onActionUpdate(oauth["kc_action_status"]);
          }
          if (error) {
            if (prompt != "none") {
              var errorData = { error, error_description: oauth.error_description };
              kc.onAuthError && kc.onAuthError(errorData);
              promise && promise.setError(errorData);
            } else {
              promise && promise.setSuccess();
            }
            return;
          } else if (kc.flow != "standard" && (oauth.access_token || oauth.id_token)) {
            authSuccess(oauth.access_token, null, oauth.id_token, true);
          }
          if (kc.flow != "implicit" && code) {
            var params = "code=" + code + "&grant_type=authorization_code";
            var url = kc.endpoints.token();
            var req = new XMLHttpRequest();
            req.open("POST", url, true);
            req.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            params += "&client_id=" + encodeURIComponent(kc.clientId);
            params += "&redirect_uri=" + oauth.redirectUri;
            if (oauth.pkceCodeVerifier) {
              params += "&code_verifier=" + oauth.pkceCodeVerifier;
            }
            req.withCredentials = true;
            req.onreadystatechange = function() {
              if (req.readyState == 4) {
                if (req.status == 200) {
                  var tokenResponse = JSON.parse(req.responseText);
                  authSuccess(tokenResponse["access_token"], tokenResponse["refresh_token"], tokenResponse["id_token"], kc.flow === "standard");
                  scheduleCheckIframe();
                } else {
                  kc.onAuthError && kc.onAuthError();
                  promise && promise.setError();
                }
              }
            };
            req.send(params);
          }
          function authSuccess(accessToken, refreshToken, idToken, fulfillPromise) {
            timeLocal = (timeLocal + new Date().getTime()) / 2;
            setToken(accessToken, refreshToken, idToken, timeLocal);
            if (useNonce && (kc.tokenParsed && kc.tokenParsed.nonce != oauth.storedNonce || kc.refreshTokenParsed && kc.refreshTokenParsed.nonce != oauth.storedNonce || kc.idTokenParsed && kc.idTokenParsed.nonce != oauth.storedNonce)) {
              logInfo("[KEYCLOAK] Invalid nonce, clearing token");
              kc.clearToken();
              promise && promise.setError();
            } else {
              if (fulfillPromise) {
                kc.onAuthSuccess && kc.onAuthSuccess();
                promise && promise.setSuccess();
              }
            }
          }
          __name(authSuccess, "authSuccess");
        }
        __name(processCallback, "processCallback");
        function loadConfig(url) {
          var promise = createPromise();
          var configUrl;
          if (!config) {
            configUrl = "keycloak.json";
          } else if (typeof config === "string") {
            configUrl = config;
          }
          function setupOidcEndoints(oidcConfiguration) {
            if (!oidcConfiguration) {
              kc.endpoints = {
                authorize: function() {
                  return getRealmUrl() + "/protocol/openid-connect/auth";
                },
                token: function() {
                  return getRealmUrl() + "/protocol/openid-connect/token";
                },
                logout: function() {
                  return getRealmUrl() + "/protocol/openid-connect/logout";
                },
                checkSessionIframe: function() {
                  var src = getRealmUrl() + "/protocol/openid-connect/login-status-iframe.html";
                  if (kc.iframeVersion) {
                    src = src + "?version=" + kc.iframeVersion;
                  }
                  return src;
                },
                register: function() {
                  return getRealmUrl() + "/protocol/openid-connect/registrations";
                },
                userinfo: function() {
                  return getRealmUrl() + "/protocol/openid-connect/userinfo";
                }
              };
            } else {
              kc.endpoints = {
                authorize: function() {
                  return oidcConfiguration.authorization_endpoint;
                },
                token: function() {
                  return oidcConfiguration.token_endpoint;
                },
                logout: function() {
                  if (!oidcConfiguration.end_session_endpoint) {
                    throw "Not supported by the OIDC server";
                  }
                  return oidcConfiguration.end_session_endpoint;
                },
                checkSessionIframe: function() {
                  if (!oidcConfiguration.check_session_iframe) {
                    throw "Not supported by the OIDC server";
                  }
                  return oidcConfiguration.check_session_iframe;
                },
                register: function() {
                  throw 'Redirection to "Register user" page not supported in standard OIDC mode';
                },
                userinfo: function() {
                  if (!oidcConfiguration.userinfo_endpoint) {
                    throw "Not supported by the OIDC server";
                  }
                  return oidcConfiguration.userinfo_endpoint;
                }
              };
            }
          }
          __name(setupOidcEndoints, "setupOidcEndoints");
          if (configUrl) {
            var req = new XMLHttpRequest();
            req.open("GET", configUrl, true);
            req.setRequestHeader("Accept", "application/json");
            req.onreadystatechange = function() {
              if (req.readyState == 4) {
                if (req.status == 200 || fileLoaded(req)) {
                  var config2 = JSON.parse(req.responseText);
                  kc.authServerUrl = config2["auth-server-url"];
                  kc.realm = config2["realm"];
                  kc.clientId = config2["resource"];
                  setupOidcEndoints(null);
                  promise.setSuccess();
                } else {
                  promise.setError();
                }
              }
            };
            req.send();
          } else {
            if (!config.clientId) {
              throw "clientId missing";
            }
            kc.clientId = config.clientId;
            var oidcProvider = config["oidcProvider"];
            if (!oidcProvider) {
              if (!config["url"]) {
                var scripts2 = document.getElementsByTagName("script");
                for (var i3 = 0; i3 < scripts2.length; i3++) {
                  if (scripts2[i3].src.match(/.*keycloak\.js/)) {
                    config.url = scripts2[i3].src.substr(0, scripts2[i3].src.indexOf("/js/keycloak.js"));
                    break;
                  }
                }
              }
              if (!config.realm) {
                throw "realm missing";
              }
              kc.authServerUrl = config.url;
              kc.realm = config.realm;
              setupOidcEndoints(null);
              promise.setSuccess();
            } else {
              if (typeof oidcProvider === "string") {
                var oidcProviderConfigUrl;
                if (oidcProvider.charAt(oidcProvider.length - 1) == "/") {
                  oidcProviderConfigUrl = oidcProvider + ".well-known/openid-configuration";
                } else {
                  oidcProviderConfigUrl = oidcProvider + "/.well-known/openid-configuration";
                }
                var req = new XMLHttpRequest();
                req.open("GET", oidcProviderConfigUrl, true);
                req.setRequestHeader("Accept", "application/json");
                req.onreadystatechange = function() {
                  if (req.readyState == 4) {
                    if (req.status == 200 || fileLoaded(req)) {
                      var oidcProviderConfig = JSON.parse(req.responseText);
                      setupOidcEndoints(oidcProviderConfig);
                      promise.setSuccess();
                    } else {
                      promise.setError();
                    }
                  }
                };
                req.send();
              } else {
                setupOidcEndoints(oidcProvider);
                promise.setSuccess();
              }
            }
          }
          return promise.promise;
        }
        __name(loadConfig, "loadConfig");
        function fileLoaded(xhr) {
          return xhr.status == 0 && xhr.responseText && xhr.responseURL.startsWith("file:");
        }
        __name(fileLoaded, "fileLoaded");
        function setToken(token, refreshToken, idToken, timeLocal) {
          if (kc.tokenTimeoutHandle) {
            clearTimeout(kc.tokenTimeoutHandle);
            kc.tokenTimeoutHandle = null;
          }
          if (refreshToken) {
            kc.refreshToken = refreshToken;
            kc.refreshTokenParsed = decodeToken(refreshToken);
          } else {
            delete kc.refreshToken;
            delete kc.refreshTokenParsed;
          }
          if (idToken) {
            kc.idToken = idToken;
            kc.idTokenParsed = decodeToken(idToken);
          } else {
            delete kc.idToken;
            delete kc.idTokenParsed;
          }
          if (token) {
            kc.token = token;
            kc.tokenParsed = decodeToken(token);
            kc.sessionId = kc.tokenParsed.session_state;
            kc.authenticated = true;
            kc.subject = kc.tokenParsed.sub;
            kc.realmAccess = kc.tokenParsed.realm_access;
            kc.resourceAccess = kc.tokenParsed.resource_access;
            if (timeLocal) {
              kc.timeSkew = Math.floor(timeLocal / 1e3) - kc.tokenParsed.iat;
            }
            if (kc.timeSkew != null) {
              logInfo("[KEYCLOAK] Estimated time difference between browser and server is " + kc.timeSkew + " seconds");
              if (kc.onTokenExpired) {
                var expiresIn = (kc.tokenParsed["exp"] - new Date().getTime() / 1e3 + kc.timeSkew) * 1e3;
                logInfo("[KEYCLOAK] Token expires in " + Math.round(expiresIn / 1e3) + " s");
                if (expiresIn <= 0) {
                  kc.onTokenExpired();
                } else {
                  kc.tokenTimeoutHandle = setTimeout(kc.onTokenExpired, expiresIn);
                }
              }
            }
          } else {
            delete kc.token;
            delete kc.tokenParsed;
            delete kc.subject;
            delete kc.realmAccess;
            delete kc.resourceAccess;
            kc.authenticated = false;
          }
        }
        __name(setToken, "setToken");
        function decodeToken(str) {
          str = str.split(".")[1];
          str = str.replace("/-/g", "+");
          str = str.replace("/_/g", "/");
          switch (str.length % 4) {
            case 0:
              break;
            case 2:
              str += "==";
              break;
            case 3:
              str += "=";
              break;
            default:
              throw "Invalid token";
          }
          str = (str + "===").slice(0, str.length + str.length % 4);
          str = str.replace(/-/g, "+").replace(/_/g, "/");
          str = decodeURIComponent(escape(atob(str)));
          str = JSON.parse(str);
          return str;
        }
        __name(decodeToken, "decodeToken");
        function createUUID() {
          var hexDigits = "0123456789abcdef";
          var s2 = generateRandomString(36, hexDigits).split("");
          s2[14] = "4";
          s2[19] = hexDigits.substr(s2[19] & 3 | 8, 1);
          s2[8] = s2[13] = s2[18] = s2[23] = "-";
          var uuid = s2.join("");
          return uuid;
        }
        __name(createUUID, "createUUID");
        function parseCallback(url) {
          var oauth = parseCallbackUrl(url);
          if (!oauth) {
            return;
          }
          var oauthState = callbackStorage.get(oauth.state);
          if (oauthState) {
            oauth.valid = true;
            oauth.redirectUri = oauthState.redirectUri;
            oauth.storedNonce = oauthState.nonce;
            oauth.prompt = oauthState.prompt;
            oauth.pkceCodeVerifier = oauthState.pkceCodeVerifier;
          }
          return oauth;
        }
        __name(parseCallback, "parseCallback");
        function parseCallbackUrl(url) {
          var supportedParams;
          switch (kc.flow) {
            case "standard":
              supportedParams = ["code", "state", "session_state", "kc_action_status"];
              break;
            case "implicit":
              supportedParams = ["access_token", "token_type", "id_token", "state", "session_state", "expires_in", "kc_action_status"];
              break;
            case "hybrid":
              supportedParams = ["access_token", "id_token", "code", "state", "session_state", "kc_action_status"];
              break;
          }
          supportedParams.push("error");
          supportedParams.push("error_description");
          supportedParams.push("error_uri");
          var queryIndex = url.indexOf("?");
          var fragmentIndex = url.indexOf("#");
          var newUrl;
          var parsed;
          if (kc.responseMode === "query" && queryIndex !== -1) {
            newUrl = url.substring(0, queryIndex);
            parsed = parseCallbackParams(url.substring(queryIndex + 1, fragmentIndex !== -1 ? fragmentIndex : url.length), supportedParams);
            if (parsed.paramsString !== "") {
              newUrl += "?" + parsed.paramsString;
            }
            if (fragmentIndex !== -1) {
              newUrl += url.substring(fragmentIndex);
            }
          } else if (kc.responseMode === "fragment" && fragmentIndex !== -1) {
            newUrl = url.substring(0, fragmentIndex);
            parsed = parseCallbackParams(url.substring(fragmentIndex + 1), supportedParams);
            if (parsed.paramsString !== "") {
              newUrl += "#" + parsed.paramsString;
            }
          }
          if (parsed && parsed.oauthParams) {
            if (kc.flow === "standard" || kc.flow === "hybrid") {
              if ((parsed.oauthParams.code || parsed.oauthParams.error) && parsed.oauthParams.state) {
                parsed.oauthParams.newUrl = newUrl;
                return parsed.oauthParams;
              }
            } else if (kc.flow === "implicit") {
              if ((parsed.oauthParams.access_token || parsed.oauthParams.error) && parsed.oauthParams.state) {
                parsed.oauthParams.newUrl = newUrl;
                return parsed.oauthParams;
              }
            }
          }
        }
        __name(parseCallbackUrl, "parseCallbackUrl");
        function parseCallbackParams(paramsString, supportedParams) {
          var p2 = paramsString.split("&");
          var result = {
            paramsString: "",
            oauthParams: {}
          };
          for (var i3 = 0; i3 < p2.length; i3++) {
            var split = p2[i3].indexOf("=");
            var key = p2[i3].slice(0, split);
            if (supportedParams.indexOf(key) !== -1) {
              result.oauthParams[key] = p2[i3].slice(split + 1);
            } else {
              if (result.paramsString !== "") {
                result.paramsString += "&";
              }
              result.paramsString += p2[i3];
            }
          }
          return result;
        }
        __name(parseCallbackParams, "parseCallbackParams");
        function createPromise() {
          var p2 = {
            setSuccess: function(result) {
              p2.resolve(result);
            },
            setError: function(result) {
              p2.reject(result);
            }
          };
          p2.promise = new KeycloakPromise(function(resolve, reject) {
            p2.resolve = resolve;
            p2.reject = reject;
          });
          return p2;
        }
        __name(createPromise, "createPromise");
        function setupCheckLoginIframe() {
          var promise = createPromise();
          if (!loginIframe.enable) {
            promise.setSuccess();
            return promise.promise;
          }
          if (loginIframe.iframe) {
            promise.setSuccess();
            return promise.promise;
          }
          var iframe = document.createElement("iframe");
          loginIframe.iframe = iframe;
          iframe.onload = function() {
            var authUrl = kc.endpoints.authorize();
            if (authUrl.charAt(0) === "/") {
              loginIframe.iframeOrigin = getOrigin();
            } else {
              loginIframe.iframeOrigin = authUrl.substring(0, authUrl.indexOf("/", 8));
            }
            promise.setSuccess();
          };
          var src = kc.endpoints.checkSessionIframe();
          iframe.setAttribute("src", src);
          iframe.setAttribute("title", "keycloak-session-iframe");
          iframe.style.display = "none";
          document.body.appendChild(iframe);
          var messageCallback = /* @__PURE__ */ __name(function(event) {
            if (event.origin !== loginIframe.iframeOrigin || loginIframe.iframe.contentWindow !== event.source) {
              return;
            }
            if (!(event.data == "unchanged" || event.data == "changed" || event.data == "error")) {
              return;
            }
            if (event.data != "unchanged") {
              kc.clearToken();
            }
            var callbacks = loginIframe.callbackList.splice(0, loginIframe.callbackList.length);
            for (var i3 = callbacks.length - 1; i3 >= 0; --i3) {
              var promise2 = callbacks[i3];
              if (event.data == "error") {
                promise2.setError();
              } else {
                promise2.setSuccess(event.data == "unchanged");
              }
            }
          }, "messageCallback");
          window.addEventListener("message", messageCallback, false);
          return promise.promise;
        }
        __name(setupCheckLoginIframe, "setupCheckLoginIframe");
        function scheduleCheckIframe() {
          if (loginIframe.enable) {
            if (kc.token) {
              setTimeout(function() {
                checkLoginIframe().then(function(unchanged) {
                  if (unchanged) {
                    scheduleCheckIframe();
                  }
                });
              }, loginIframe.interval * 1e3);
            }
          }
        }
        __name(scheduleCheckIframe, "scheduleCheckIframe");
        function checkLoginIframe() {
          var promise = createPromise();
          if (loginIframe.iframe && loginIframe.iframeOrigin) {
            var msg = kc.clientId + " " + (kc.sessionId ? kc.sessionId : "");
            loginIframe.callbackList.push(promise);
            var origin = loginIframe.iframeOrigin;
            if (loginIframe.callbackList.length == 1) {
              loginIframe.iframe.contentWindow.postMessage(msg, origin);
            }
          } else {
            promise.setSuccess();
          }
          return promise.promise;
        }
        __name(checkLoginIframe, "checkLoginIframe");
        function loadAdapter(type) {
          if (!type || type == "default") {
            return {
              login: function(options) {
                window.location.replace(kc.createLoginUrl(options));
                return createPromise().promise;
              },
              logout: function(options) {
                window.location.replace(kc.createLogoutUrl(options));
                return createPromise().promise;
              },
              register: function(options) {
                window.location.replace(kc.createRegisterUrl(options));
                return createPromise().promise;
              },
              accountManagement: function() {
                var accountUrl = kc.createAccountUrl();
                if (typeof accountUrl !== "undefined") {
                  window.location.href = accountUrl;
                } else {
                  throw "Not supported by the OIDC server";
                }
                return createPromise().promise;
              },
              redirectUri: function(options, encodeHash) {
                if (arguments.length == 1) {
                  encodeHash = true;
                }
                if (options && options.redirectUri) {
                  return options.redirectUri;
                } else if (kc.redirectUri) {
                  return kc.redirectUri;
                } else {
                  return location.href;
                }
              }
            };
          }
          if (type == "cordova") {
            loginIframe.enable = false;
            var cordovaOpenWindowWrapper = /* @__PURE__ */ __name(function(loginUrl, target, options) {
              if (window.cordova && window.cordova.InAppBrowser) {
                return window.cordova.InAppBrowser.open(loginUrl, target, options);
              } else {
                return window.open(loginUrl, target, options);
              }
            }, "cordovaOpenWindowWrapper");
            var shallowCloneCordovaOptions = /* @__PURE__ */ __name(function(userOptions) {
              if (userOptions && userOptions.cordovaOptions) {
                return Object.keys(userOptions.cordovaOptions).reduce(function(options, optionName) {
                  options[optionName] = userOptions.cordovaOptions[optionName];
                  return options;
                }, {});
              } else {
                return {};
              }
            }, "shallowCloneCordovaOptions");
            var formatCordovaOptions = /* @__PURE__ */ __name(function(cordovaOptions) {
              return Object.keys(cordovaOptions).reduce(function(options, optionName) {
                options.push(optionName + "=" + cordovaOptions[optionName]);
                return options;
              }, []).join(",");
            }, "formatCordovaOptions");
            var createCordovaOptions = /* @__PURE__ */ __name(function(userOptions) {
              var cordovaOptions = shallowCloneCordovaOptions(userOptions);
              cordovaOptions.location = "no";
              if (userOptions && userOptions.prompt == "none") {
                cordovaOptions.hidden = "yes";
              }
              return formatCordovaOptions(cordovaOptions);
            }, "createCordovaOptions");
            return {
              login: function(options) {
                var promise = createPromise();
                var cordovaOptions = createCordovaOptions(options);
                var loginUrl = kc.createLoginUrl(options);
                var ref = cordovaOpenWindowWrapper(loginUrl, "_blank", cordovaOptions);
                var completed = false;
                var closed = false;
                var closeBrowser = /* @__PURE__ */ __name(function() {
                  closed = true;
                  ref.close();
                }, "closeBrowser");
                ref.addEventListener("loadstart", function(event) {
                  if (event.url.indexOf("http://localhost") == 0) {
                    var callback = parseCallback(event.url);
                    processCallback(callback, promise);
                    closeBrowser();
                    completed = true;
                  }
                });
                ref.addEventListener("loaderror", function(event) {
                  if (!completed) {
                    if (event.url.indexOf("http://localhost") == 0) {
                      var callback = parseCallback(event.url);
                      processCallback(callback, promise);
                      closeBrowser();
                      completed = true;
                    } else {
                      promise.setError();
                      closeBrowser();
                    }
                  }
                });
                ref.addEventListener("exit", function(event) {
                  if (!closed) {
                    promise.setError({
                      reason: "closed_by_user"
                    });
                  }
                });
                return promise.promise;
              },
              logout: function(options) {
                var promise = createPromise();
                var logoutUrl = kc.createLogoutUrl(options);
                var ref = cordovaOpenWindowWrapper(logoutUrl, "_blank", "location=no,hidden=yes");
                var error;
                ref.addEventListener("loadstart", function(event) {
                  if (event.url.indexOf("http://localhost") == 0) {
                    ref.close();
                  }
                });
                ref.addEventListener("loaderror", function(event) {
                  if (event.url.indexOf("http://localhost") == 0) {
                    ref.close();
                  } else {
                    error = true;
                    ref.close();
                  }
                });
                ref.addEventListener("exit", function(event) {
                  if (error) {
                    promise.setError();
                  } else {
                    kc.clearToken();
                    promise.setSuccess();
                  }
                });
                return promise.promise;
              },
              register: function(options) {
                var promise = createPromise();
                var registerUrl = kc.createRegisterUrl();
                var cordovaOptions = createCordovaOptions(options);
                var ref = cordovaOpenWindowWrapper(registerUrl, "_blank", cordovaOptions);
                ref.addEventListener("loadstart", function(event) {
                  if (event.url.indexOf("http://localhost") == 0) {
                    ref.close();
                    var oauth = parseCallback(event.url);
                    processCallback(oauth, promise);
                  }
                });
                return promise.promise;
              },
              accountManagement: function() {
                var accountUrl = kc.createAccountUrl();
                if (typeof accountUrl !== "undefined") {
                  var ref = cordovaOpenWindowWrapper(accountUrl, "_blank", "location=no");
                  ref.addEventListener("loadstart", function(event) {
                    if (event.url.indexOf("http://localhost") == 0) {
                      ref.close();
                    }
                  });
                } else {
                  throw "Not supported by the OIDC server";
                }
              },
              redirectUri: function(options) {
                return "http://localhost";
              }
            };
          }
          if (type == "cordova-native") {
            loginIframe.enable = false;
            return {
              login: function(options) {
                var promise = createPromise();
                var loginUrl = kc.createLoginUrl(options);
                universalLinks.subscribe("keycloak", function(event) {
                  universalLinks.unsubscribe("keycloak");
                  window.cordova.plugins.browsertab.close();
                  var oauth = parseCallback(event.url);
                  processCallback(oauth, promise);
                });
                window.cordova.plugins.browsertab.openUrl(loginUrl);
                return promise.promise;
              },
              logout: function(options) {
                var promise = createPromise();
                var logoutUrl = kc.createLogoutUrl(options);
                universalLinks.subscribe("keycloak", function(event) {
                  universalLinks.unsubscribe("keycloak");
                  window.cordova.plugins.browsertab.close();
                  kc.clearToken();
                  promise.setSuccess();
                });
                window.cordova.plugins.browsertab.openUrl(logoutUrl);
                return promise.promise;
              },
              register: function(options) {
                var promise = createPromise();
                var registerUrl = kc.createRegisterUrl(options);
                universalLinks.subscribe("keycloak", function(event) {
                  universalLinks.unsubscribe("keycloak");
                  window.cordova.plugins.browsertab.close();
                  var oauth = parseCallback(event.url);
                  processCallback(oauth, promise);
                });
                window.cordova.plugins.browsertab.openUrl(registerUrl);
                return promise.promise;
              },
              accountManagement: function() {
                var accountUrl = kc.createAccountUrl();
                if (typeof accountUrl !== "undefined") {
                  window.cordova.plugins.browsertab.openUrl(accountUrl);
                } else {
                  throw "Not supported by the OIDC server";
                }
              },
              redirectUri: function(options) {
                if (options && options.redirectUri) {
                  return options.redirectUri;
                } else if (kc.redirectUri) {
                  return kc.redirectUri;
                } else {
                  return "http://localhost";
                }
              }
            };
          }
          throw "invalid adapter type: " + type;
        }
        __name(loadAdapter, "loadAdapter");
        var LocalStorage = /* @__PURE__ */ __name(function() {
          if (!(this instanceof LocalStorage)) {
            return new LocalStorage();
          }
          localStorage.setItem("kc-test", "test");
          localStorage.removeItem("kc-test");
          var cs = this;
          function clearExpired() {
            var time = new Date().getTime();
            for (var i3 = 0; i3 < localStorage.length; i3++) {
              var key = localStorage.key(i3);
              if (key && key.indexOf("kc-callback-") == 0) {
                var value = localStorage.getItem(key);
                if (value) {
                  try {
                    var expires = JSON.parse(value).expires;
                    if (!expires || expires < time) {
                      localStorage.removeItem(key);
                    }
                  } catch (err) {
                    localStorage.removeItem(key);
                  }
                }
              }
            }
          }
          __name(clearExpired, "clearExpired");
          cs.get = function(state) {
            if (!state) {
              return;
            }
            var key = "kc-callback-" + state;
            var value = localStorage.getItem(key);
            if (value) {
              localStorage.removeItem(key);
              value = JSON.parse(value);
            }
            clearExpired();
            return value;
          };
          cs.add = function(state) {
            clearExpired();
            var key = "kc-callback-" + state.state;
            state.expires = new Date().getTime() + 60 * 60 * 1e3;
            localStorage.setItem(key, JSON.stringify(state));
          };
        }, "LocalStorage");
        var CookieStorage = /* @__PURE__ */ __name(function() {
          if (!(this instanceof CookieStorage)) {
            return new CookieStorage();
          }
          var cs = this;
          cs.get = function(state) {
            if (!state) {
              return;
            }
            var value = getCookie("kc-callback-" + state);
            setCookie("kc-callback-" + state, "", cookieExpiration(-100));
            if (value) {
              return JSON.parse(value);
            }
          };
          cs.add = function(state) {
            setCookie("kc-callback-" + state.state, JSON.stringify(state), cookieExpiration(60));
          };
          cs.removeItem = function(key) {
            setCookie(key, "", cookieExpiration(-100));
          };
          var cookieExpiration = /* @__PURE__ */ __name(function(minutes) {
            var exp = new Date();
            exp.setTime(exp.getTime() + minutes * 60 * 1e3);
            return exp;
          }, "cookieExpiration");
          var getCookie = /* @__PURE__ */ __name(function(key) {
            var name = key + "=";
            var ca = document.cookie.split(";");
            for (var i3 = 0; i3 < ca.length; i3++) {
              var c2 = ca[i3];
              while (c2.charAt(0) == " ") {
                c2 = c2.substring(1);
              }
              if (c2.indexOf(name) == 0) {
                return c2.substring(name.length, c2.length);
              }
            }
            return "";
          }, "getCookie");
          var setCookie = /* @__PURE__ */ __name(function(key, value, expirationDate) {
            var cookie = key + "=" + value + "; expires=" + expirationDate.toUTCString() + "; ";
            document.cookie = cookie;
          }, "setCookie");
        }, "CookieStorage");
        function createCallbackStorage() {
          try {
            return new LocalStorage();
          } catch (err) {
          }
          return new CookieStorage();
        }
        __name(createCallbackStorage, "createCallbackStorage");
        function createLogger(fn) {
          return function() {
            if (kc.enableLogging) {
              fn.apply(console, Array.prototype.slice.call(arguments));
            }
          };
        }
        __name(createLogger, "createLogger");
      }
      __name(Keycloak2, "Keycloak");
      return Keycloak2;
    });
  }
});

// dep:keycloak-js
init_define_process();
var keycloak_js_default = require_keycloak();
export {
  keycloak_js_default as default
};
/**
 * [base64-js]{@link https://github.com/beatgammit/base64-js}
 *
 * @version v1.3.0 
 * @author Kirill, Fomichev
 * @copyright Kirill, Fomichev 2014
 * @license MIT
 */
/**
 * [js-sha256]{@link https://github.com/emn178/js-sha256}
 *
 * @version 0.9.0
 * @author Chen, Yi-Cyuan [emn178@gmail.com]
 * @copyright Chen, Yi-Cyuan 2014-2017
 * @license MIT
 */
/**
 * [promise-polyfill]{@link https://github.com/taylorhakes/promise-polyfill}
 *
 * @version v8.1.3 
 * @author Hakes, Taylor
 * @copyright Hakes, Taylor 2014
 * @license MIT
 */
/**
* [js-sha256]{@link https://github.com/emn178/js-sha256}
*
* @version 0.9.0
* @author Chen, Yi-Cyuan [emn178@gmail.com]
* @copyright Chen, Yi-Cyuan 2014-2017
* @license MIT
*/
//# sourceMappingURL=keycloak-js.js.map
