import {
  baseKeys_default,
  getTag_default,
  isArguments_default,
  isArrayLike_default,
  isBuffer_default,
  isPrototype_default,
  isTypedArray_default
} from "./chunk-RGBUFX4D.js";
import {
  isArray_default
} from "./chunk-SYAYK443.js";
import "./chunk-U5OY6ZJN.js";
import {
  __name,
  init_define_process
} from "./chunk-AFVLOATJ.js";

// dep:lodash-es_isEmpty
init_define_process();

// node_modules/lodash-es/isEmpty.js
init_define_process();
var mapTag = "[object Map]";
var setTag = "[object Set]";
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function isEmpty(value) {
  if (value == null) {
    return true;
  }
  if (isArrayLike_default(value) && (isArray_default(value) || typeof value == "string" || typeof value.splice == "function" || isBuffer_default(value) || isTypedArray_default(value) || isArguments_default(value))) {
    return !value.length;
  }
  var tag = getTag_default(value);
  if (tag == mapTag || tag == setTag) {
    return !value.size;
  }
  if (isPrototype_default(value)) {
    return !baseKeys_default(value).length;
  }
  for (var key in value) {
    if (hasOwnProperty.call(value, key)) {
      return false;
    }
  }
  return true;
}
__name(isEmpty, "isEmpty");
var isEmpty_default = isEmpty;

// dep:lodash-es_isEmpty
var lodash_es_isEmpty_default = isEmpty_default;
export {
  lodash_es_isEmpty_default as default
};
//# sourceMappingURL=lodash-es_isEmpty.js.map
