import {
  __name,
  init_define_process
} from "./chunk-AFVLOATJ.js";

// dep:portal-vue
init_define_process();

// node_modules/portal-vue/dist/portal-vue.esm.js
init_define_process();
import Vue from "vue";
function _typeof(obj) {
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = /* @__PURE__ */ __name(function(obj2) {
      return typeof obj2;
    }, "_typeof");
  } else {
    _typeof = /* @__PURE__ */ __name(function(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    }, "_typeof");
  }
  return _typeof(obj);
}
__name(_typeof, "_typeof");
function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
}
__name(_toConsumableArray, "_toConsumableArray");
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) {
    for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++)
      arr2[i] = arr[i];
    return arr2;
  }
}
__name(_arrayWithoutHoles, "_arrayWithoutHoles");
function _iterableToArray(iter) {
  if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]")
    return Array.from(iter);
}
__name(_iterableToArray, "_iterableToArray");
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance");
}
__name(_nonIterableSpread, "_nonIterableSpread");
var inBrowser = typeof window !== "undefined";
function freeze(item) {
  if (Array.isArray(item) || _typeof(item) === "object") {
    return Object.freeze(item);
  }
  return item;
}
__name(freeze, "freeze");
function combinePassengers(transports2) {
  var slotProps = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  return transports2.reduce(function(passengers2, transport) {
    var temp = transport.passengers[0];
    var newPassengers = typeof temp === "function" ? temp(slotProps) : transport.passengers;
    return passengers2.concat(newPassengers);
  }, []);
}
__name(combinePassengers, "combinePassengers");
function stableSort(array, compareFn) {
  return array.map(function(v, idx) {
    return [idx, v];
  }).sort(function(a, b) {
    return compareFn(a[1], b[1]) || a[0] - b[0];
  }).map(function(c) {
    return c[1];
  });
}
__name(stableSort, "stableSort");
function pick(obj, keys) {
  return keys.reduce(function(acc, key) {
    if (obj.hasOwnProperty(key)) {
      acc[key] = obj[key];
    }
    return acc;
  }, {});
}
__name(pick, "pick");
var transports = {};
var targets = {};
var sources = {};
var Wormhole = Vue.extend({
  data: /* @__PURE__ */ __name(function data() {
    return {
      transports,
      targets,
      sources,
      trackInstances: inBrowser
    };
  }, "data"),
  methods: {
    open: /* @__PURE__ */ __name(function open(transport) {
      if (!inBrowser)
        return;
      var to2 = transport.to, from = transport.from, passengers2 = transport.passengers, _transport$order = transport.order, order = _transport$order === void 0 ? Infinity : _transport$order;
      if (!to2 || !from || !passengers2)
        return;
      var newTransport = {
        to: to2,
        from,
        passengers: freeze(passengers2),
        order
      };
      var keys = Object.keys(this.transports);
      if (keys.indexOf(to2) === -1) {
        Vue.set(this.transports, to2, []);
      }
      var currentIndex = this.$_getTransportIndex(newTransport);
      var newTransports = this.transports[to2].slice(0);
      if (currentIndex === -1) {
        newTransports.push(newTransport);
      } else {
        newTransports[currentIndex] = newTransport;
      }
      this.transports[to2] = stableSort(newTransports, function(a, b) {
        return a.order - b.order;
      });
    }, "open"),
    close: /* @__PURE__ */ __name(function close(transport) {
      var force = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : false;
      var to2 = transport.to, from = transport.from;
      if (!to2 || !from && force === false)
        return;
      if (!this.transports[to2]) {
        return;
      }
      if (force) {
        this.transports[to2] = [];
      } else {
        var index2 = this.$_getTransportIndex(transport);
        if (index2 >= 0) {
          var newTransports = this.transports[to2].slice(0);
          newTransports.splice(index2, 1);
          this.transports[to2] = newTransports;
        }
      }
    }, "close"),
    registerTarget: /* @__PURE__ */ __name(function registerTarget(target, vm, force) {
      if (!inBrowser)
        return;
      if (this.trackInstances && !force && this.targets[target]) {
        console.warn("[portal-vue]: Target ".concat(target, " already exists"));
      }
      this.$set(this.targets, target, Object.freeze([vm]));
    }, "registerTarget"),
    unregisterTarget: /* @__PURE__ */ __name(function unregisterTarget(target) {
      this.$delete(this.targets, target);
    }, "unregisterTarget"),
    registerSource: /* @__PURE__ */ __name(function registerSource(source, vm, force) {
      if (!inBrowser)
        return;
      if (this.trackInstances && !force && this.sources[source]) {
        console.warn("[portal-vue]: source ".concat(source, " already exists"));
      }
      this.$set(this.sources, source, Object.freeze([vm]));
    }, "registerSource"),
    unregisterSource: /* @__PURE__ */ __name(function unregisterSource(source) {
      this.$delete(this.sources, source);
    }, "unregisterSource"),
    hasTarget: /* @__PURE__ */ __name(function hasTarget(to2) {
      return !!(this.targets[to2] && this.targets[to2][0]);
    }, "hasTarget"),
    hasSource: /* @__PURE__ */ __name(function hasSource(to2) {
      return !!(this.sources[to2] && this.sources[to2][0]);
    }, "hasSource"),
    hasContentFor: /* @__PURE__ */ __name(function hasContentFor(to2) {
      return !!this.transports[to2] && !!this.transports[to2].length;
    }, "hasContentFor"),
    $_getTransportIndex: /* @__PURE__ */ __name(function $_getTransportIndex(_ref) {
      var to2 = _ref.to, from = _ref.from;
      for (var i in this.transports[to2]) {
        if (this.transports[to2][i].from === from) {
          return +i;
        }
      }
      return -1;
    }, "$_getTransportIndex")
  }
});
var wormhole = new Wormhole(transports);
var _id = 1;
var Portal = Vue.extend({
  name: "portal",
  props: {
    disabled: {
      type: Boolean
    },
    name: {
      type: String,
      default: /* @__PURE__ */ __name(function _default() {
        return String(_id++);
      }, "_default")
    },
    order: {
      type: Number,
      default: 0
    },
    slim: {
      type: Boolean
    },
    slotProps: {
      type: Object,
      default: /* @__PURE__ */ __name(function _default2() {
        return {};
      }, "_default")
    },
    tag: {
      type: String,
      default: "DIV"
    },
    to: {
      type: String,
      default: /* @__PURE__ */ __name(function _default3() {
        return String(Math.round(Math.random() * 1e7));
      }, "_default")
    }
  },
  created: /* @__PURE__ */ __name(function created() {
    var _this = this;
    this.$nextTick(function() {
      wormhole.registerSource(_this.name, _this);
    });
  }, "created"),
  mounted: /* @__PURE__ */ __name(function mounted() {
    if (!this.disabled) {
      this.sendUpdate();
    }
  }, "mounted"),
  updated: /* @__PURE__ */ __name(function updated() {
    if (this.disabled) {
      this.clear();
    } else {
      this.sendUpdate();
    }
  }, "updated"),
  beforeDestroy: /* @__PURE__ */ __name(function beforeDestroy() {
    wormhole.unregisterSource(this.name);
    this.clear();
  }, "beforeDestroy"),
  watch: {
    to: /* @__PURE__ */ __name(function to(newValue, oldValue) {
      oldValue && oldValue !== newValue && this.clear(oldValue);
      this.sendUpdate();
    }, "to")
  },
  methods: {
    clear: /* @__PURE__ */ __name(function clear(target) {
      var closer = {
        from: this.name,
        to: target || this.to
      };
      wormhole.close(closer);
    }, "clear"),
    normalizeSlots: /* @__PURE__ */ __name(function normalizeSlots() {
      return this.$scopedSlots.default ? [this.$scopedSlots.default] : this.$slots.default;
    }, "normalizeSlots"),
    normalizeOwnChildren: /* @__PURE__ */ __name(function normalizeOwnChildren(children2) {
      return typeof children2 === "function" ? children2(this.slotProps) : children2;
    }, "normalizeOwnChildren"),
    sendUpdate: /* @__PURE__ */ __name(function sendUpdate() {
      var slotContent = this.normalizeSlots();
      if (slotContent) {
        var transport = {
          from: this.name,
          to: this.to,
          passengers: _toConsumableArray(slotContent),
          order: this.order
        };
        wormhole.open(transport);
      } else {
        this.clear();
      }
    }, "sendUpdate")
  },
  render: /* @__PURE__ */ __name(function render(h) {
    var children2 = this.$slots.default || this.$scopedSlots.default || [];
    var Tag = this.tag;
    if (children2 && this.disabled) {
      return children2.length <= 1 && this.slim ? this.normalizeOwnChildren(children2)[0] : h(Tag, [this.normalizeOwnChildren(children2)]);
    } else {
      return this.slim ? h() : h(Tag, {
        class: {
          "v-portal": true
        },
        style: {
          display: "none"
        },
        key: "v-portal-placeholder"
      });
    }
  }, "render")
});
var PortalTarget = Vue.extend({
  name: "portalTarget",
  props: {
    multiple: {
      type: Boolean,
      default: false
    },
    name: {
      type: String,
      required: true
    },
    slim: {
      type: Boolean,
      default: false
    },
    slotProps: {
      type: Object,
      default: /* @__PURE__ */ __name(function _default4() {
        return {};
      }, "_default")
    },
    tag: {
      type: String,
      default: "div"
    },
    transition: {
      type: [String, Object, Function]
    }
  },
  data: /* @__PURE__ */ __name(function data2() {
    return {
      transports: wormhole.transports,
      firstRender: true
    };
  }, "data"),
  created: /* @__PURE__ */ __name(function created2() {
    var _this = this;
    this.$nextTick(function() {
      wormhole.registerTarget(_this.name, _this);
    });
  }, "created"),
  watch: {
    ownTransports: /* @__PURE__ */ __name(function ownTransports() {
      this.$emit("change", this.children().length > 0);
    }, "ownTransports"),
    name: /* @__PURE__ */ __name(function name(newVal, oldVal) {
      wormhole.unregisterTarget(oldVal);
      wormhole.registerTarget(newVal, this);
    }, "name")
  },
  mounted: /* @__PURE__ */ __name(function mounted2() {
    var _this2 = this;
    if (this.transition) {
      this.$nextTick(function() {
        _this2.firstRender = false;
      });
    }
  }, "mounted"),
  beforeDestroy: /* @__PURE__ */ __name(function beforeDestroy2() {
    wormhole.unregisterTarget(this.name);
  }, "beforeDestroy"),
  computed: {
    ownTransports: /* @__PURE__ */ __name(function ownTransports2() {
      var transports2 = this.transports[this.name] || [];
      if (this.multiple) {
        return transports2;
      }
      return transports2.length === 0 ? [] : [transports2[transports2.length - 1]];
    }, "ownTransports"),
    passengers: /* @__PURE__ */ __name(function passengers() {
      return combinePassengers(this.ownTransports, this.slotProps);
    }, "passengers")
  },
  methods: {
    children: /* @__PURE__ */ __name(function children() {
      return this.passengers.length !== 0 ? this.passengers : this.$scopedSlots.default ? this.$scopedSlots.default(this.slotProps) : this.$slots.default || [];
    }, "children"),
    noWrapper: /* @__PURE__ */ __name(function noWrapper() {
      var noWrapper2 = this.slim && !this.transition;
      if (noWrapper2 && this.children().length > 1) {
        console.warn("[portal-vue]: PortalTarget with `slim` option received more than one child element.");
      }
      return noWrapper2;
    }, "noWrapper")
  },
  render: /* @__PURE__ */ __name(function render2(h) {
    var noWrapper2 = this.noWrapper();
    var children2 = this.children();
    var Tag = this.transition || this.tag;
    return noWrapper2 ? children2[0] : this.slim && !Tag ? h() : h(Tag, {
      props: {
        tag: this.transition && this.tag ? this.tag : void 0
      },
      class: {
        "vue-portal-target": true
      }
    }, children2);
  }, "render")
});
var _id$1 = 0;
var portalProps = ["disabled", "name", "order", "slim", "slotProps", "tag", "to"];
var targetProps = ["multiple", "transition"];
var MountingPortal = Vue.extend({
  name: "MountingPortal",
  inheritAttrs: false,
  props: {
    append: {
      type: [Boolean, String]
    },
    bail: {
      type: Boolean
    },
    mountTo: {
      type: String,
      required: true
    },
    disabled: {
      type: Boolean
    },
    name: {
      type: String,
      default: /* @__PURE__ */ __name(function _default5() {
        return "mounted_" + String(_id$1++);
      }, "_default")
    },
    order: {
      type: Number,
      default: 0
    },
    slim: {
      type: Boolean
    },
    slotProps: {
      type: Object,
      default: /* @__PURE__ */ __name(function _default6() {
        return {};
      }, "_default")
    },
    tag: {
      type: String,
      default: "DIV"
    },
    to: {
      type: String,
      default: /* @__PURE__ */ __name(function _default7() {
        return String(Math.round(Math.random() * 1e7));
      }, "_default")
    },
    multiple: {
      type: Boolean,
      default: false
    },
    targetSlim: {
      type: Boolean
    },
    targetSlotProps: {
      type: Object,
      default: /* @__PURE__ */ __name(function _default8() {
        return {};
      }, "_default")
    },
    targetTag: {
      type: String,
      default: "div"
    },
    transition: {
      type: [String, Object, Function]
    }
  },
  created: /* @__PURE__ */ __name(function created3() {
    if (typeof document === "undefined")
      return;
    var el = document.querySelector(this.mountTo);
    if (!el) {
      console.error("[portal-vue]: Mount Point '".concat(this.mountTo, "' not found in document"));
      return;
    }
    var props = this.$props;
    if (wormhole.targets[props.name]) {
      if (props.bail) {
        console.warn("[portal-vue]: Target ".concat(props.name, " is already mounted.\n        Aborting because 'bail: true' is set"));
      } else {
        this.portalTarget = wormhole.targets[props.name];
      }
      return;
    }
    var append = props.append;
    if (append) {
      var type = typeof append === "string" ? append : "DIV";
      var mountEl = document.createElement(type);
      el.appendChild(mountEl);
      el = mountEl;
    }
    var _props = pick(this.$props, targetProps);
    _props.slim = this.targetSlim;
    _props.tag = this.targetTag;
    _props.slotProps = this.targetSlotProps;
    _props.name = this.to;
    this.portalTarget = new PortalTarget({
      el,
      parent: this.$parent || this,
      propsData: _props
    });
  }, "created"),
  beforeDestroy: /* @__PURE__ */ __name(function beforeDestroy3() {
    var target = this.portalTarget;
    if (this.append) {
      var el = target.$el;
      el.parentNode.removeChild(el);
    }
    target.$destroy();
  }, "beforeDestroy"),
  render: /* @__PURE__ */ __name(function render3(h) {
    if (!this.portalTarget) {
      console.warn("[portal-vue] Target wasn't mounted");
      return h();
    }
    if (!this.$scopedSlots.manual) {
      var props = pick(this.$props, portalProps);
      return h(Portal, {
        props,
        attrs: this.$attrs,
        on: this.$listeners,
        scopedSlots: this.$scopedSlots
      }, this.$slots.default);
    }
    var content = this.$scopedSlots.manual({
      to: this.to
    });
    if (Array.isArray(content)) {
      content = content[0];
    }
    if (!content)
      return h();
    return content;
  }, "render")
});
function install(Vue$$1) {
  var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  Vue$$1.component(options.portalName || "Portal", Portal);
  Vue$$1.component(options.portalTargetName || "PortalTarget", PortalTarget);
  Vue$$1.component(options.MountingPortalName || "MountingPortal", MountingPortal);
}
__name(install, "install");
var index = {
  install
};
var portal_vue_esm_default = index;

// dep:portal-vue
var portal_vue_default = portal_vue_esm_default;
export {
  MountingPortal,
  Portal,
  PortalTarget,
  wormhole as Wormhole,
  portal_vue_default as default
};
/*! 
 * portal-vue © Thorsten Lünborg, 2019 
 * 
 * Version: 2.1.7
 * 
 * LICENCE: MIT 
 * 
 * https://github.com/linusborg/portal-vue
 * 
*/
//# sourceMappingURL=portal-vue.js.map
