/* eslint-disable no-restricted-syntax */
import panels from '[[{panelPath}]]';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Events = Object.freeze({
    [[#tips]]
    /*
    OPEN: 'open',
    CLOSE: 'close'
    */
    [[/tips]]
});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
    [[#hasTransport]]
        [[#tips]]
        apiBaseUrl: {
            type: String,
            default: 'https://reqres.in',
            hasConst: true
        },
        [[/tips]]
        orgStructureApiUrl: {
            type: String,
            default: 'https://goodt-dev.goodt.me:8480',
            hasConst: true
        },
    [[/hasTransport]]
        events: {
            type: Object,
            default: () => ({
            [[#tips]]
                /*
                [Events.OPEN]: 'someName',
                [Events.CLOSE]: 'closeEvent'
                */
            [[/tips]]
            })
        }
    },
    vars: Object.values(Vars).reduce(
        (acc, varName) => ({ ...acc, [varName]: { description: varName } }),
        {}
    ),
    events: {
        /*
        [Events.OPEN]: {
            listen: `events['${Events.OPEN}']`
        },
        [Events.CLOSE]: {
            trigger: `events['${Events.CLOSE}']`
        }
        */
    }
    /*
    // This section is deprecated in descriptor and moved in
    // `meta` ComponentOption
    cssVars: {}
    */
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
    [[#tips]]
    /*
    cssVars,
    slotNames: ['default']
    */
    [[/tips]]
}

export default descriptor;
