[[#hasTransport]]
import { useApiServiceMixin } from '@goodt-common/api';
import { useOrgStructureApiServiceMixin } from '@goodt-widgets-rostalent/api';
import { ApiService } from './ApiService';

/**
[[#tips]]
 * Миксин для использования ApiService вместе с компонентом
[[/tips]]
 * @type {import('@goodt-common/api').IApiServiceMixinInstance}
 */
// prettier-ignore
const ApiServiceMixin = useApiServiceMixin(
    ApiService,
    { apiBaseURL: 'props.apiBaseUrl' },
    { name: 'apiService' }
);
/**
 * @type {{ apiService: import('./ApiService').ApiService }}
 */
export const ApiServiceMixinTypeDescriptor = undefined;

/**
[[#tips]]
 * Миксин для использования OrgStructureApiService вместе с компонентом
[[/tips]]
 * @type {import('@goodt-common/api').IApiServiceMixinInstance}
 */
const OrgStructureApiServiceMixin = useOrgStructureApiServiceMixin({
    apiBaseURL: 'props.orgStructureApiUrl'
});

/**
 * @type {{ orgStructureApiService: import('@goodt-common/api').OrgStructureApiService }}
 */
export const OrgStructureApiServiceMixinTypeDescriptor = undefined;

export const ApiMixins = [
    ApiServiceMixin,
    OrgStructureApiServiceMixin
];

export const ApiMixinsTypeDescriptor = {
    ...ApiServiceMixinTypeDescriptor,
    ...OrgStructureApiServiceMixinTypeDescriptor
};
[[/hasTransport]]

