/* eslint-disable no-restricted-syntax */
import panels from '[[{panelPath}]]';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
    /*
    // This section is deprecated in descriptor and moved in
    // meta
    cssVars: {}
    */
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
    /*
    cssVars,
    slotNames: ['default']
    */
};

export default descriptor;
