export interface IProjectDataProvider {
    id: string;
    name: string;
    description: string;
    connector: IProjectDataProviderConnector;
    connection: IProjectDataProviderConnection;
    isDefault: boolean;
}

export interface IProjectDataProviderConnector {
    id: string | number;
    name: string;
    url: string;
}

export interface IProjectDataProviderConnection {
    id: string | number;
    name: string;
    code: string;
}

export class ProjectDataProviderRepositoryClass {
    set(dataProviders: IProjectDataProvider[])

    get(): IProjectDataProvider[];

    getById(connectionId: IProjectDataProvider['id']): IProjectDataProvider;

    getDefault(): IProjectDataProvider;
}

export const ProjectDataProviderRepository: ProjectDataProviderRepositoryClass = undefined;