import { Errors } from 'goodt-dremio-sdk';
import { InfrastructureError, PresentableError } from '@goodt-wcore/errors';

export class DremioError extends InfrastructureError {
    context: any;

    static createFromSDKError(sdkError: Errors.SDKError): DremioError;
}

export class DremioPresentableError extends PresentableError {
    readonly reason: DremioError | null;

    setContext(context: any);

    toDebugString(): string;

    static createFromDremioError(
        dremioError: DremioError,
        { message }: { message: string }
    ): DremioPresentableError;
}

export const DremioErrorMessages: {
    CANCEL: string,
    COMMON: string
};