export type ModifierEnum = Readonly<{ COMPACT: 'c'; PERCENT: '%'; FIXED: 'f' }>;

export type Modifier = ModifierEnum['COMPACT'] | ModifierEnum['PERCENT'] | ModifierEnum['FIXED'];
export type NumberFormatPatternConstructorOptions = { digits?: number; unit?: string; modifiers?: Modifier[] };

export default class NumberFormatPattern {
    public digits: number;
    public unit: string;
    public modifiers: Modifier[];

    static Modifier: ModifierEnum;
    static DIGITS_MAX: number;

    /**
     * @param {{ digits: number, unit: string, modifiers: Modifier[] }} [options={}]
     */
    constructor({ digits, unit, modifiers }?: NumberFormatPatternConstructorOptions);

    /**
     * @return {string}
     */
    toString(): string;

    /**
     * @param {string} patternString
     * @return {NumberFormatPattern}
     */
    static fromString(patternString: string): NumberFormatPattern;
}
