/**
 * Parse int safe with a fallback
 * @param {string} numberlike
 * @param {number} fallback
 * @return {number}
 */
export const parseIntSafe: (numberlike: string, fallback: number) => number;

/**
 * Returns integer part of number described in compact notation
 * @param {number} num
 * @param {boolean} [isPercent=false]
 * @return {number}
 */
export const getCompactIntegerPartLength: (num: number, isPercent: boolean = false) => number;
