import { ValueObjectMeta } from '@goodt-wcore/managers';
import { PropOptions } from 'vue';
import { IElemInstance } from './Elem';

declare global {
    import { PropOptions } from 'vue';

    export interface ElemDescriptorPropMeta extends PropOptions {
        type: String | Boolean | Number | Object | Array | Function;
        default?: String | Boolean | Number | Object | Array | Function;
        enum?: string[];
        options?: { value: unknown; label: string }[] | Record<string, any>;
        hasConst?: boolean;
    }

    export type ElemDescriptorPropMetasMap = Record<string, ElemDescriptorPropMeta>;

    export type ElemDescriptorVarAliasMeta = {
        description?: string;
        sortIndex?: number;
        type?: function | Number | String | Boolean | Array;
    };

    export type ElemDescriptorVarMetasMap = Record<string, ElemDescriptorVarAliasMeta | string>;

    export type ElemDescriptorVarAliasMeta = {
        listen?: string;
        trigger?: string;
        meta?: ValueObjectMeta;
    };

    export type ElemDescriptorVarAliasesMap = Record<string, ElemDescriptorVarAliasMeta>;

    export type ElemDescriptorEventMeta = {
        listen?: string;
        trigger?: string;
    } | ['listen'] | ['trigger'] | ['listen', 'trigger'];

    export type ElemDescriptorEventsMap = Record<string, ElemDescriptorEventMeta>;

    export interface ElemDescriptor {
        readonly props?: ElemDescriptorPropMetasMap;
        readonly vars?: ElemDescriptorVarMetasMap;
        readonly events?: ElemDescriptorEventsMap;
    }
}
