import { IElemInstance } from '../Elem';
import { IPanelInstance } from '../../Panel';

// eslint-disable-next-line no-shadow
export enum StoreOperation  {
    ALL = ['listen', 'trigger'],
    READ = ['listen'],
    WRITE = ['trigger']
};

/**
 *
 * @param vm
 */
export function createElemStoreMeta(vm: IElemInstance | IPanelInstance): {
    vars: {
        read: string[];
        write: string[];
        readMap: Record<string, any>;
        writeMap: Record<string, any>;
    }
};

export function createPanelStoreMeta(vm: IPanelInstance): {
    setVar({
        varAlias,
        storeVar = varAlias,
        operation = StoreOperation.ALL
    }: {
        varAlias: string;
        storeVar?: string;
        operation?: StoreOperation.ALL | StoreOperation.READ | StoreOperation.WRITE;
    });
    deleteVar({
        varAlias,
        operation = StoreOperation.ALL
    }: {
        varAlias: string;
        operation?: StoreOperation.ALL | StoreOperation.READ | StoreOperation.WRITE;
    });
    saveVars(): void;
} & ReturnType<typeof createElemStoreMeta>;

/**
 * @type {{ $storeMeta: ReturnType<typeof $storeMeta> }}
 */
export const InjectedTypesDefinitions = undefined;
