import { SafeResult } from '@goodt-common/utils';
import { StoreGlobalState, StoreElemState, ValueObject, ValueObjectMeta } from '@goodt-wcore/managers';
export function buildInternalStateFromExternal(
    {
        externalState,
        varAliases,
        varsDescriptor
    }: {
        externalState: StoreGlobalState;
        varAliases?: Record<string, AliasMapMeta>;
        varsDescriptor?: Record<string, VarDescriptor>;
    },
    {
        unwrapStoreValue,
        onInvalidType
    }?: {
        unwrapStoreValue?: <T = any>(valueObject: ValueObject) => T;
        onInvalidType?: (error: CoreWarning) => void;
    }
): StoreElemState;

export function buildExternalStateFromInternal(
    {
        internalState,
        varAliases,
        varsDescriptor
    }: {
        internalState: StoreElemState;
        varAliases?: Record<string, AliasMapMeta>;
        varsDescriptor?: Record<string, VarDescriptor>;
    },
    {
        buildStoreValue,
        onInvalidType
    }?: {
        buildStoreValue?: (value: any, meta: ValueObjectMeta) => ValueObject;
        onInvalidType?: (error: CoreWarning) => void;
    }
): StoreGlobalState;

export function ensureStateTypes(
    widgetState: StoreElemState,
    { varsDescriptor }: { varsDescriptor: Record<string, VarDescriptor> }
): StoreElemState;
import { ValueObject } from './ValueObject';

export function validateStateTypes(
    originalState: StoreElemState,
    ensuredState: StoreElemState
): SafeResult<null, CoreWarning[]>;

export { useWatchStore } from './WatchStore';
