import Vue, { AsyncComponent } from 'vue';

export interface DescriptorProps {
    slot: string;
    position: string;
    display: string;
    width: string;
    widthUnit: string;
    height: string;
    heightUnit: string;
    marginT: string;
    marginR: string;
    marginB: string;
    marginL: string;
    paddingT: string;
    paddingR: string;
    paddingB: string;
    paddingL: string;
    cssClass: string;
    cssStyle: string;
    slotData: Record<string, any>;
}

export type CssVarsMapping<T extends Record<string, any>> = Record<
    string,
    | string
    | ((props?: T) => string | number)
    | [string, string | number]
    | [(props?: T) => string | number, string | number]
>;

export type WidgetMetaComponentOption = {
    readonly panels?: AsyncComponent[];
    readonly cssVars?: CssVarsMapping;
    readonly isChildAllowed?: boolean | ((type: string, vm: Vue) => boolean);
    readonly slotNames?: string[] | ((vm: Vue) => string[]);
    readonly descriptor?: () => ElemDescriptor;
};

export interface ISubscribeEventBusDefinition {
    event: string|string[]|((vm: Vue) => string|string[]);
    handler(event: string, data?: any): void;
    once?: boolean;
}
