import Vue from 'vue';
import { WidgetMetaComponentOption } from './types';

/**
 * Dispatches Elem Vue Component LC-specific Event
 * via Vue emit mechanism and also DOM events mechanism.
 */
export function dispatchEventByName(eventName: string);

/**
 * Patches vue component instance root dom element with runtime prop
 * __elem__ refers to self component instance and set constructor-specific extra attributes
 */
export function patchComponentRootDomElement(context: Vue);

/**
 * Returns descriptor props hash with default values
 */
export function getDescriptorDefaultProps(descriptor: ElemDescriptor);

/**
 * Returns generated Constructor-specific dom id
 */
export function getElemDomId(elemId: string): string;

/**
 * Remove watchers information from  object, replacing __ob__
 */
export function unobserve(object: Record<string, any> | Array<Record<string, any>>): void;

/**
 *
 * @param args
 */
export function $c(args: any): any;

/**
 *
 * @param props
 */
export function processPropsConst<T = Record<string, any>>(props: T): T;

/**
 *
 * @param {WidgetMetaComponentOption} fromOptions
 * @param {WidgetMetaComponentOption} toOptions
 */
export function mergeWidgetMetaComponentOptionsStrategy(
    fromOptions: WidgetMetaComponentOption,
    toOptions: WidgetMetaComponentOption
): WidgetMetaComponentOption;

/**
 * Apply transformations to build actual descriptor format
 * For back-compatibility purposes and shorthand descriptor format to be used in code
 *
 * @param {ElemDescriptor} descriptor
 * @returns {ElemDescriptor}
 */
export function normalizeDescriptorFormat(descriptor: ElemDescriptor): ElemDescriptor;

export function setReadonlyProp(object: object, propName: string, propValue: any): void;
