export default EventBusEvent;

/**
 * EventBusEvent class
 */
declare class EventBusEvent {
    static EVENT_NAVIGATE: string;
    static EVENT_STATE_CHANGE: string;

    /**
     * EventBusEvent
     * @param {string} type     event type
     * @param {string} ns       event namespace @default '''
     * @param context
     */
    constructor(type: string, ns?: string, context: Record<string, any>);

    /**
     * @type string
     */
    ns: string;
    /**
     * @type string
     */
    type: string;
    /**
     * @type {Record<string, any>}
     */
    context: Record<string, any>;
    /**
     * @type {string}
     */
    fullType: string;

    static create(typeOrEvent: string | EventBusEvent): EventBusEvent;
}
