export interface ValueObjectMeta {
    /**
     * global flag
     */
    global: boolean;
}

/**
 * ValueObject factory method

 */
export function createValueObject<T = any>(value: T, meta?: ValueObjectMeta | null): ValueObject;


/**
 * @typedef {object} ValueObjectMeta
 * @property {boolean} global   global flag
 */
/**
 * ValueObject class
 */
export class ValueObject {
    static defaultMeta(): ValueObjectMeta;

    static getValue(valueObject: any): any;

    /**
     * Constructor
     *
     * @param {any} value
     * @param {?ValueObjectMeta} [meta=null]
     */
    constructor(value: any, meta?: ValueObjectMeta | null);

    /**
     * @member {any} value
     */
    value: any;

    /**
     * @member {ValueObjectMeta} meta
     */
    meta: ValueObjectMeta;
}

