import { ValueObject, ValueObjectMeta } from './ValueObject';

/**
 * Builds store value (ValueObject) to keep in state
 * Encapsulates store value type and structure.
 *
 * @param {any} value
 * @param {?ValueObjectMeta} [meta=null]
 * @return {ValueObject}
 */
export function buildStoreValue(value: any, meta?: any): ValueObject;

/**
 * Unwraps value from Store Value (ValueObject)
 *
 * @param {ValueObject} valueObject
 * @return {*}
 */
export function unwrapStoreValue(valueObject: ValueObject): any;

/**
 *
 * @param {Record<string, unknown>} object
 * @param {function([string, unknown]): boolean} filterFn
 * @return {Record<string, unknown>}
 */
export function filterObject<T extends Record<string, unknown>>(
    object: T,
    filterFn: ([key, value]: [string, unknown]) => boolean
): T;
