/**
 * Attaches an event listener to event target
 * and returns dispose function
 *
 * @param {EventTarget} target
 * @param {string} type
 * @param {EventListenerOrEventListenerObject} handler
 * @param {boolean | AddEventListenerOptions} [options]
 * @return {function} dispose function
 */
export function addEventListener(
    target: EventTarget,
    type: string,
    handler: () => void,
    options?: AddEventListenerOptions
): () => void;
