import { ComponentOptions } from 'vue/types/options';
import { WhenCondition } from './watch-when';
import Vue from 'vue';


interface IComputedWhen {
    resolveComputedDescriptor({ context }: { context: Vue }): ComponentOptions<Vue>['computed'];
    assignStaticProperties({ context }: { context: Vue }): void;
}

export function computedWhen(computed: ComponentOptions<Vue>['computed'], when?: WhenCondition): IComputedWhen;

export function useComputedWhenMixin({ name, when }: { name: string; when: WhenCondition } = {}): {
    beforeCreate(): void;
};
