import { EventBusWrapper } from '@goodt-wcore/managers';
import { StoreElemState } from '@goodt-wcore/managers';
import { RouteObject } from '@goodt-wcore/managers/RouteManager';
import { Component } from 'vue';
import { StoreMeta } from './Elem';
import { CssVarsMapping } from './infra/types';
import { EventBusEvent, EventHandler } from '../managers/EventBus';

export interface Widget {
    props: Record<string, string>;
    cssVarsStyle: Record<string, string>;
    storeState: StoreElemState;
    storeCommit: (state: Record<string, any>) => void;
    routeCurrent: RouteObject;
    routeNavigate: (options: { path: string; query: Record<string, any> }) => void;
    eventBus: EventBusWrapper;
    eventTrigger(eventType: string | EventBusEvent, data?: object): void;
    eventListen(eventType: string | EventBusEvent, handler: EventHandler, once?: boolean): () => void;
    eventCount(eventType: string | EventBusEvent): number;
    watchStore: (def: WatchStoreDefinition) => function;
    isEditorMode: boolean;
    genCssVarsStyle(cssVars: Record<string, string>): Record<string, string>;
    buildCssVarsStyle<P = Record<string, any>>(cssVarsMapping: CssVarsMapping<P>, props?: P): Record<string, string>;
    handleError(error: Error): void;
    debugMessage(message, { type = 'warning', scope = 'method' }: { type: 'warning' | 'error' | 'info', scope: string }): void;
    storeMeta: StoreMeta;
}

export const widget: (vm: Component) => Widget;
