import { ValidationErrorItem } from "joi";

export enum ClientEventEnum {
    APP_JOIN = 'app:join',
    APP_LEAVE = 'app:leave',
    HANDSHAKE = 'handshake',
    DISCONNECT = 'disconnect'
}

export enum ServerEventEnum {
    APP_JOINED = 'app:joined',
    APP_LEFT = 'app:left'
}

export enum ErrorsEnum {
    INVALID_PAYLOAD = "invalid payload"
}

export const mapErrorDetails = (details: ValidationErrorItem[]) =>
    details.map(({ message, path, type }) => ({
        message,
        path,
        type
    }));
