const DEFAULT_PROPS = { name: 'animate-page', mode: 'out-in' };

export const Transition = {
    functional: true,
    render: (h, { children = [], ...restContext }) => {
        const {
            data: { scopedSlots: scopedSlotsData, ...restData }
        } = restContext;
        const props = { ...DEFAULT_PROPS, ...restData.props };
        const renderData = {
            ...restData,
            props
        };
        const childrenResolved = children.concat(scopedSlotsData?.default(props) ?? []);

        return h('transition', renderData, childrenResolved);
    }
};
