let keycloakAuth = null;

export const useKeycloakCustom = () =>
    new Promise(async (resolve, reject) => {
        if (keycloakAuth != null) {
            resolve(keycloakAuth);
            return;
        }
        try {
            const { init: serviceWorkerInit } = await import('@goodt/editor-common/sw/clients/ServiceWorkerClient');
            const { auth: { login, logout, token, redirect } } = await serviceWorkerInit();
            keycloakAuth = { login, logout, token, redirect };
            resolve(keycloakAuth);
        } catch (error) {
            reject(error);
        }
    });


export default useKeycloakCustom;
