/* eslint-disable no-restricted-syntax */
export const LAYER_NAME_PREFIX = 'Слой-';

/**
 * @type {import('./descriptor').LayerItem}
 * @param {string} name
 * @param {boolean} [withExtra=true]
 * @return LayerItem
 */
export const LayerFactory = ({ name }, withExtra = true) =>
    withExtra
        ? {
              name,
              isVisible: true,
              width: '40%',
              height: '20%',
              position: '0 0 0 0'
          }
        : {
              name,
              isVisible: true
          };

export const LayerCssVarsMap = {
    layer_width: ['width', '100%'],
    layer_height: ['height', '100%'],
    layer_top: ['position.top', 0],
    layer_left: ['position.left', 0],
    'layer_offset-x': ['position.offsetX', 0],
    'layer_offset-y': ['position.offsetY', 0]
};
