/* eslint-disable no-restricted-syntax */
import panels from './panels';
import { Target } from './constants';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @typedef {object} FilterItem
 * @property {string} name
 * @property {string} data
 */
export const descriptor = () => ({
    props: {
        href: {
            default: '',
            type: String,
            hasConst: true
        },
        target: {
            default: Target.SELF,
            type: String
        },
        eventName: {
            type: String,
            default: ''
        },
        cssClass: {
            type: Array,
            default() {
                return ['d-inline-block'];
            }
        },
        enableLink: {
            type: Boolean,
            default: true
        },
        cutStateParams: {
            type: Array,
            default() {
                return [];
            }
        },
        filters: {
            type: Array,
            default() {
                return [];
            },
            /** @return {FilterItem[]} */
            factory() {
                return { name: '', data: '' };
            }
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {}),
    cssVars: {}
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: (type, vm) => type !== vm.type
};

export default descriptor;
