/**
 * @typedef {object} RuleCondition
 * @property {string} value
 * @property {number} type
 */
/**
 * @typedef {object} State
 * @property {string} name
 * @property {Object.<string, RuleCondition>[]} rules
 */
export const RuleConditionType = {
    VALUE: 0,
    STATE_KEY: 1
};
/**
 * @return {State}
 */
export const StateFactory = ({ name = '', rules = [] } = {}) => ({
    name,
    rules
});
/**
 * @return {RuleCondition}
 */
export const RuleConditionFactory = ({ value = '', type = RuleConditionType.VALUE } = {}) => ({
    value,
    type
});
export const ReservedSlots = {
    DEFAULT: 'default',
    LOADING: 'loading'
};
export const ReservedSlotsNamesOptions = [
    { value: ReservedSlots.DEFAULT, label: 'По умолчанию' },
    { value: ReservedSlots.LOADING, label: 'Загрузка' }
];

export const isDevMode = process.env.NODE_ENV !== 'production';
