/* eslint-disable no-restricted-syntax */
import panels from './panels';
import { actionFactory } from './utils';
import { LabelMap } from './config';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        socketUrl: {
            type: String,
            default: '',
            label: LabelMap.socketUrl
        },
        shouldRefreshInEditor: {
            type: Boolean,
            default: false,
            label: LabelMap.shouldRefreshInEditor
        },
        refreshTimeout: {
            type: String,
            default: '60sec',
            label: LabelMap.refreshTimeout
        },
        actions: {
            type: Array,
            default: () => [],
            factory: actionFactory,
            label: LabelMap.actions
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};

export default descriptor;
