const http = require('http');
const { Server } = require('socket.io');

const server = http.createServer();

const SocketEvents = {
    CONNECTION: 'connection',
    MESSAGES: 'messages',
    NOTIFY: 'notify'
};

const messages = ['foo', 'bar', 'baz'];

const INTERVAL_DELAY = 5000;

const io = new Server(server, {
    cors: {
        origin: '*'
    }
});

io.on(SocketEvents.CONNECTION, (socket) => {
    console.log('A user connected');

    socket.emit(SocketEvents.MESSAGES, messages);

    setInterval(() => {
        socket.emit(SocketEvents.NOTIFY, messages[Math.floor(Math.random() * messages.length)]);
    }, INTERVAL_DELAY);
});

const port = 8080;
server.listen(port, () => {
    console.log(`Server listening on port ${port}`);
});
