/* eslint-disable id-length */
import { TriggerOn } from '../constants';

const MI = 'menuItems';
const MB = 'menuButton';

export const LabelMap = {
    menu: {
        menu: 'Отображение списка',
        'menu.isAlwaysOpen': 'Список всегда раскрыт',
        'menu.dropdownPosition': 'Позиция содержимого',
        'menu.triggerOn': 'Анимация появления',
        'menu.gapBetweenItems': 'Отступ между пунктами',
        'menu.hoveredItemStyle': 'Наведение на пункт',
        'menu.hoveredItemStyle.textColor': 'Цвет подписей',
        'menu.hoveredItemStyle.iconColor': 'Цвет иконки',
        'menu.hoveredItemStyle.bgColor': 'Цвет фона строки'
    },
    menuItems: {
        [`${MI}.event`]: 'События для отправки',
        [`${MI}.title`]: 'Стилизация подписи',
        [`${MI}.title.text`]: 'Наименование',
        [`${MI}.title.color`]: 'Цвет текста',
        [`${MI}.title.fontSize`]: 'Размер текста',
        [`${MI}.title.fontWeight`]: 'Насыщенность',
        [`${MI}.title.fontFamily`]: 'Шрифт',
        [`${MI}.title.offset`]: 'Отступ от иконки',
        [`${MI}.icon`]: 'Иконка',
        [`${MI}.icon.name`]: 'Название иконки',
        [`${MI}.icon.color`]: 'Цвет иконки',
        [`${MI}.icon.size`]: 'Размер иконки'
    },
    menuButton: {
        [MB]: 'Кнопка',
        [`${MB}.position`]: 'Расположение кнопки',
        ...['defaultStyle', 'activeStyle'].reduce(
            (acc, style) => ({
                ...acc,
                [`${MB}.${style}.title.text`]: 'Текст',
                [`${MB}.${style}.title.color`]: 'Цвет текста',
                [`${MB}.${style}.title.fontSize`]: 'Размер текста',
                [`${MB}.${style}.title.fontWeight`]: 'Насыщенность',
                [`${MB}.${style}.title.fontFamily`]: 'Шрифт',
                [`${MB}.${style}.icon.name`]: 'Название иконки',
                [`${MB}.${style}.icon.color`]: 'Цвет иконки',
                [`${MB}.${style}.icon.size`]: 'Размер иконки'
            }),
            {}
        )
    }
};

export const TriggerOnOptions = [
    { value: TriggerOn.CLICK, label: 'При нажатии' },
    { value: TriggerOn.HOVER, label: 'При наведении' }
];

export const MenuPositionOptions = [
    { value: 'top', label: 'Сверху (центр)' },
    { value: 'top-start', label: 'Сверху (начало)' },
    { value: 'top-end', label: 'Сверху (конец)' },
    { value: 'left', label: 'Слева (центр)' },
    { value: 'left-start', label: 'Слева (начало)' },
    { value: 'left-end', label: 'Слева (конец)' },
    { value: 'right', label: 'Справа (центр)' },
    { value: 'right-start', label: 'Справа (начало)' },
    { value: 'right-end', label: 'Справа (конец)' },
    { value: 'bottom', label: 'Снизу (центр)' },
    { value: 'bottom-start', label: 'Снизу (начало)' },
    { value: 'bottom-end', label: 'Снизу (конец)' }
];

export const buttonPositionOptions = [
    { value: 'start', label: 'Слева' },
    { value: 'center', label: 'По центру' },
    { value: 'end', label: 'Справа' }
];
