/* eslint-disable no-restricted-syntax */
import panels from './panels';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @typedef {object} FilterItem
 * @property {string} name
 * @property {string} data
 */
export const descriptor = () => ({
    props: {
        html: {
            default: 'Text...',
            type: String,
            hasConst: true
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {}),
    cssVars: {}
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};

export default descriptor;
