import { BaseApiService, buildRequest } from '@goodt-common/api';

/**
 * Service actions metadata
 */
const ServiceAction = {
    GET_COMPETENCE_PROFILE_COMPETENCE_LIST: {
        url: 'competenceprofilecompetence/competencelist'
    }
};

/**
 * RostalentApiService class
 */
export class RostalentApiService extends BaseApiService {
    /**
     * Get competence profile competence list
     *
     * @return {Promise<import('@goodt-common/utils').ISafeResult<*, Error>>} result
     */
    getCompetenceProfileCompetenceList(id) {
        const params = { competence_profile_id: id };
        const request = buildRequest({
            action: ServiceAction.GET_COMPETENCE_PROFILE_COMPETENCE_LIST,
            params
        });

        return this.request(request);
    }
}
