import { useApiServiceMixin } from '@goodt-common/api';
import { useTaskSettingsApiServiceMixin } from '@goodt-widgets-rostalent/api';
import { RostalentApiService } from './ApiService';

/**
 * Миксин для использования RostalentApiService вместе с компонентом
 * @type {import('@goodt-common/api').IApiServiceMixinInstance}
 */
const RostalentApiServiceMixin = useApiServiceMixin(
    RostalentApiService,
    { apiBaseURL: 'props.rostalentApiUrl' },
    { name: 'rostalentApiService' }
);
/**
 * @type {{  apiService: import('./api/ApiService').ApiService }}
 */
export const RostalentApiServiceMixinTypeDescriptor = undefined;

/**
 * @type {import('@goodt-common/api').IApiServiceMixin}
 */
const TaskSettingsApiServiceMixin = useTaskSettingsApiServiceMixin({
    apiBaseURL: 'props.taskSettingsApiUrl'
});
/**
 * @type {{  apiService: import('./api/ApiService').ApiService }}
 */
export const TaskSettingsApiServiceMixinTypeDescriptor = undefined;

export const ApiMixins = [RostalentApiServiceMixin, TaskSettingsApiServiceMixin];

export const ApiMixinsTypeDescriptor = {
    ...RostalentApiServiceMixinTypeDescriptor,
    ...TaskSettingsApiServiceMixinTypeDescriptor
};
