/* place render data: texts, ui control settings, options lists, css class and styles map here */
export const resolveStyles = (styles) => {
    const style = {};
    styles.forEach((item) => {
        const tempItem = item.split(': ');
        style[tempItem[0]] = tempItem[1];
    });

    return style;
};

export const sliceWordsTitleSegment = (title, titleWidth) => {
    const words = title.split(' ');
    const slicedWords = [];
    let currentLineLength = 0;
    let index = -1;

    words.forEach((word, idx) => {
        const currentLineText = slicedWords[index];
        if (currentLineLength + 1 + word.length <= titleWidth) {
            if (currentLineText != null) {
                slicedWords[index] = [currentLineText, word].join(' ');
            } else {
                slicedWords.push(word);
            }
            if (idx === 0) {
                index++;
            }

            currentLineLength = slicedWords[index].length;
        } else {
            slicedWords.push(word);
            currentLineLength = word.length;
            index++;
        }
    });

    return slicedWords;
};
