import { BaseApiService, buildRequest } from '@goodt-common/api';

const ServiceAction = {
    GET_PRODUCTION_CALENDAR_BY_FILTER: {
        url: 'getdata?delimeter=/&sd=0$pre=1'
    }
};

// https://www.isdayoff.ru/
export class IsDayOffService extends BaseApiService {
    getProductionCalendarForMonth({ year, month }) {
        const request = buildRequest({
            action: ServiceAction.GET_PRODUCTION_CALENDAR_BY_FILTER,
            params: {
                year,
                month
            }
        });

        return this.request(request);
    }

    getProductionCalendarByWeek({ dateFrom, dateEnd }) {
        const request = buildRequest({
            action: ServiceAction.GET_PRODUCTION_CALENDAR_BY_FILTER,
            params: {
                date1: dateFrom,
                date2: dateEnd
            }
        });

        return this.request(request);
    }
}
