import { useOrgStructureApiServiceMixin, useTaskSettingsApiServiceMixin } from '@goodt-widgets-rostalent/api';
import { useApiServiceMixin } from '@goodt-common/api';
import { IsDayOffService } from './IsDayOffService';

/**
 * Миксин для использования ApiService вместе с компонентом
 * @type {import('@goodt-common/api').IApiServiceMixin}
 */
const TaskSettingsApiServiceMixin = useTaskSettingsApiServiceMixin({
    apiBaseURL: 'props.taskSettingsApiUrl'
});

/**
 * @type {{  apiService: import('./api/ApiService').ApiService }}
 */
export const TaskSettingsApiServiceMixinTypeDescriptor = undefined;

/**
 * Миксин для использования OrgStructureApiService вместе с компонентом
 * @type {import('@goodt-common/api').IApiServiceMixin}
 */
const OrgStructureApiServiceMixin = useOrgStructureApiServiceMixin({
    apiBaseURL: 'props.orgStructureApiUrl'
});

const OrgStructureApiServiceMixinTypeDescriptor = undefined;

const IsDayOffApiServiceMixin = useApiServiceMixin(
    IsDayOffService,
    { apiBaseURL: 'props.isDayOffApiUrl' },
    { name: 'isDayOffService' }
);

const IsDayOffApiServiceMixinTypeDescriptor = undefined;

export const ApiMixins = [TaskSettingsApiServiceMixin, OrgStructureApiServiceMixin, IsDayOffApiServiceMixin];

export const ApiMixinsTypeDescriptor = {
    ...TaskSettingsApiServiceMixinTypeDescriptor,
    ...OrgStructureApiServiceMixinTypeDescriptor,
    ...IsDayOffApiServiceMixinTypeDescriptor
};
