import { MONTH, WEEK } from '../utils/constants';
import { FilterFormatNames } from '../config';
import { getDaysInMonth } from '../utils/date-utils';

export const ScheduleMixin = {
    computed: {
        columnsCount() {
            if (this.isYearFormat) {
                return MONTH;
            }

            if (this.isMonthFormat) {
                return getDaysInMonth({ month: this.settings.month + 1, year: this.settings.year });
            }

            return WEEK;
        },
        isYearFormat() {
            return this.settings.format === FilterFormatNames.YEAR;
        },
        isMonthFormat() {
            return this.settings.format === FilterFormatNames.MONTH;
        },
        isWeekFormat() {
            return this.settings.format === FilterFormatNames.WEEK;
        },
        currentFilterFormat() {
            const { format } = this.settings;
            return format.charAt(0).toUpperCase() + format.slice(1);
        }
    }
};
