/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        headerChecked: {
            type: Boolean,
            default: false
        },
        headerText: {
            type: String
        },
        headerPosition: {
            type: String,
            default: 'row'
        },
        headerAlign: {
            type: String
        },
        headerFontFamily: {
            type: String,
            default: 'Roboto'
        },
        headerFontSize: {
            type: String
        },
        headerColor: {
            type: String
        },
        headerStyles: {
            type: String
        },
        rowLengthChecked: {
            type: Boolean,
            default: false
        },
        rowLengthSize: {
            type: Number,
            default: null
        },
        mainWayDimension: {
            type: String
        },
        mainWayMetric: {
            type: String
        },
        mainWayPaintingCondition: {
            type: Array,
            default: []
        },
        secondWay: {
            type: Boolean,
            default: false
        },
        secondWayChecked: {
            type: Boolean,
            default: false
        },
        secondWayStep: {
            type: String
        },
        metricPlanName: {
            type: String
        },
        metricPlanColor: {
            type: String
        },
        metricRealName: {
            type: String
        },
        metricRealColor: {
            type: String
        },
        iconName: {
            type: String
        },
        iconSize: {
            type: String,
            default: '1rem'
        },
        iconDistance: {
            type: String,
            default: '0.25rem'
        },
        iconVerticalDistance: {
            type: String,
            default: '0.25rem'
        },
        blockWidth: {
            type: String,
            default: '6px'
        },
        blockHeight: {
            type: String,
            default: '20px'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {}),
    cssVars: {}
});

export default descriptor;
