export const GeoLayersNames = {
    RUSSIAN: 'russian',
    BORDER_MO: 'border_mo',
    FAP: 'fap',
    TBO: 'tbo',
    ROAD: 'road'
};

export const TooltipViewNames = Object.freeze({
    ALL: 'all',
    CLICK: 'click',
    HOVER: 'hover',
    POPUP: 'popup'
});

export const TooltipViewOptions = [
    { value: 'all', label: 'Всегда' },
    { value: 'click', label: 'При нажатии' },
    { value: 'hover', label: 'При наведении' },
    { value: 'popup', label: 'В попапе' }
];

export const TextAlignOptions = [
    { value: 'left', label: 'Слева' },
    { value: 'right', label: 'Справа' },
    { value: 'center', label: 'По центру' }
];

export const TooltipAlignOptions = [
    { value: 'right', label: 'Справа' },
    { value: 'left', label: 'Слева' },
    { value: 'top', label: 'Сверху' },
    { value: 'bottom', label: 'Снизу' },
    { value: 'center', label: 'По центру' },
    { value: 'auto', label: 'Авто по горизонтали' }
];

export const FIX_MIN_RANGE = 0.01;
export const MIN_COLOR_GRADIENT_DEFAULT = 'rgba(255,255,255,1.0)';
export const MAX_COLOR_GRADIENT_DEFAULT = 'rgba(0,0,255,1.0)';
export const GRADIENT_SMOOTH_DEFAULT = 12;
export const DEFAULT_LAN_CENTER_RUSSIAN = 66.25;
export const DEFAULT_LON_CENTER_RUSSIAN = 94.15;
export const DEFAULT_REGION_MESSAGE = 'Выберите регион';
export const DEFAULT_MO_MESSAGE = 'Выберите МО';
export const CONTENT_METRIC_DEFAULT = 'tooltip';
export const MIN_FILL_OPACITY_LAYER = 0.4;
export const DEFAULT_RADIUS_MARKER = 20;
export const DEFAULT_SIZE_MARKER = 15;
export const DEFAULT_DRAG = 200;
export const MIN_RADIUS = 250;
export const RECALCULATION_ZOOM_POINT = 10;
export const DEFAULT_SIZE_POINT = 30;
export const DEFAULT_CONTROL_SCALE = 150;
export const DEFAULT_FILL_OPACITY = 0.7;
export const DEFAULT_OPTIMIZATION_SIZE = 50;
export const AVAILABLE_FORMATS_DOZEN = 2;
export const DEFAULT_RADIUS = 5;
export const MAX_SIZE_POINT = 3000;
export const FILL_OPACITY_DEFAULT = 0.8;
export const LABELS_INDEX = 650;
export const Layers = [
    {
        label: 'Стандартная',
        value: 'https://tile.openstreetmap.org/{z}/{x}/{y}.png'
    },
    {
        label: 'cartocdn',
        value: 'https://{s}.basemaps.cartocdn.com/light_nolabels/{z}/{x}/{y}.png'
    },
    {
        label: 'Темная',
        value: 'http://{s}.basemaps.cartocdn.com/dark_all/{z}/{x}/{y}.png'
    },
    {
        label: 'CycIOSM',
        value: 'https://{s}.tile-cyclosm.openstreetmap.fr/cyclosm/{z}/{x}/{y}.png'
    },
    {
        label: 'Гуманитарная',
        value: 'https://tile-{s}.openstreetmap.fr/hot/{z}/{x}/{y}.png'
    },
    {
        label: 'Велосипедная карта',
        value: 'https://{s}.tile.thunderforest.com/cycle/{z}/{x}/{y}{r}.png?apikey={apikey}'
    },
    {
        label: 'Карта транспорта',
        value: 'https://{s}.tile.thunderforest.com/transport/{z}/{x}/{y}{r}.png?apikey={apikey}'
    },
    {
        label: 'OPNVKarte',
        value: 'https://tileserver.memomaps.de/tilegen/{z}/{x}/{y}.png'
    },
    {
        label: 'JawgLight',
        value: 'https://{s}.tile.jawg.io/jawg-light/{z}/{x}/{y}{r}.png?access-token=oGgmSiICFSzRjjrUzoH0mqVYpvFFI1z6HakEGoXpCzdUJxlIoIyrb52U8NRAaULx'
    }
    //     {
    //     label: 'Streets ',
    //     value: 'http://{s}.google.com/vt/lyrs=m&x={x}&y={y}&z={z}'
    // }, {
    //     label: 'Hybrid',
    //     value: 'http://{s}.google.com/vt/lyrs=s&x={x}&y={y}&z={z}'
    // }, {
    //     label: 'Satellite',
    //     value: 'http://{s}.google.com/vt/lyrs=s,h&x={x}&y={y}&z={z}'
    // }, {
    //     label: 'Terrain',
    //     value: 'http://{s}.google.com/vt/lyrs=p&x={x}&y={y}&z={z}'
    // }
];

export const LayerOptions = [
    {
        label: 'Отключить',
        value: null
    },
    {
        label: 'cartocdn',
        value: 'https://{s}.basemaps.cartocdn.com/light_only_labels/{z}/{x}/{y}.png',
        settings: {
            pane: 'labels'
        }
    }
];
