import { cssVars } from './css-vars';
import panels from './panels';

export const Vars = {
    ORGUNIT_ID: 'orgunitID',
    ORGUNIT_SELECT: 'orgunit-select'
};

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default() {
                return null;
            }
        },
        clearEnable: {
            type: Boolean,
            default: true
        },
        badgeActive: {
            type: Boolean,
            default: true
        },
        hrActive: {
            type: Boolean,
            default: true
        },
        dimensions: {
            type: Array,
            default() {
                return [];
            }
        },
        selectedDimension: {
            type: String,
            default: ''
        },
        selectedDimensionPlaceholder: {
            type: String,
            default: ''
        },
        showDimensionPlaceholder: {
            type: Boolean,
            default: false
        },
        defaultDimension: {
            type: String,
            default: 'Измерение'
        },
        dimensionColor: {
            type: String,
            default: '#000000'
        },
        dimensionFontSize: {
            type: Number,
            default: 14
        },
        dimensionFontSizeUnit: {
            type: String,
            default: 'px'
        },
        dimensionFontFamily: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        metrics: {
            type: Array,
            default() {
                return [];
            }
        },
        selectedMetric: {
            type: String,
            default: ''
        },
        metricValueColor: {
            type: Boolean,
            default: false
        },
        metricColor: {
            type: String,
            default: '#000000'
        },
        metricTextColor: {
            type: String,
            default: '#fff'
        },
        metricFontSize: {
            type: Number,
            default: 14
        },
        metricFontSizeUnit: {
            type: String,
            default: 'px'
        },
        metricFontFamily: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        selectedValue: {
            type: String,
            default: ''
        },
        valueColorByCondition: {
            type: Boolean,
            default: false
        },
        valueColor: {
            type: String,
            default: '#000000'
        },
        valueColorLessNumber: {
            type: Number,
            default: 100
        },
        valueColorLess: {
            type: String,
            default: '#000000'
        },
        valueColorMoreNumber: {
            type: Number,
            default: 100
        },
        valueColorMore: {
            type: String,
            default: '#000000'
        },
        valueFontSize: {
            type: Number,
            default: 14
        },
        valueFontSizeUnit: {
            type: String,
            default: 'px'
        },
        valueFontFamily: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        valueFormat: {
            type: String,
            default: 'n'
        },
        valueDigitCapacity: {
            type: String,
            default: '0'
        },
        height: {
            type: String,
            default: '100'
        },
        heightUnit: {
            type: String,
            default: '%'
        },
        width: {
            type: String,
            default: ''
        },
        widthUnit: {
            type: String,
            default: ''
        },
        qFilterMaxHeight: {
            type: Number,
            default: 500
        },
        qFilterMaxHeightUnit: {
            type: String,
            default: 'px'
        },
        qFilterMinHeight: {
            type: Number,
            default: 50
        },
        qFilterMinHeightUnit: {
            type: String,
            default: 'px'
        },
        qFilterBackgroundColor: {
            type: String,
            default: '#ffffff'
        },
        valuePrefix: {
            type: String,
            default: 'Префикс'
        },
        valuePostfix: {
            type: String,
            default: 'постфикс'
        },
        prefixStyle: {
            type: Object,
            default: () => ({
                color: '',
                fontSize: '',
                fontFamily: '',
                fontWeight: '400',
                margin: '5px'
            })
        },
        postfixStyle: {
            type: Object,
            default: () => ({
                color: '',
                fontSize: '',
                fontFamily: '',
                fontWeight: '400',
                margin: '5px'
            })
        },
        conditionValueStyle: {
            type: Object,
            default() {
                // eslint-disable-next-line no-restricted-syntax
                return { type: null, value: '', style: [] };
            },
            hasConst: true
        }
    },
    vars: {}
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false,
    slotNames: [],
    cssVars
};

export default descriptor;
