export const createSlotName = (id) => `slot-${id}`;

export const resolveDefaultBackground = ({
    sectionGradientBackgroundColor: { direction, firstColor, secondColor },
    sectionGradientEnable,
    sectionBackgroundColor
}) => (sectionGradientEnable ? `linear-gradient(${direction}, ${firstColor}, ${secondColor})` : sectionBackgroundColor);

export const resolveHoverBackground = ({
    sectionHoverEnable,
    sectionHoverGradientBackgroundColor,
    sectionHoverGradientEnable,
    sectionHoverBackground,
    sectionGradientEnable,
    sectionBackgroundColor,
    sectionGradientBackgroundColor
}) => {
    if (sectionHoverEnable === false) {
        return resolveDefaultBackground({
            sectionGradientBackgroundColor,
            sectionGradientEnable,
            sectionBackgroundColor
        });
    }

    const { direction, firstColor, secondColor } = sectionHoverGradientBackgroundColor;
    return sectionHoverGradientEnable
        ? `linear-gradient(${direction}, ${firstColor}, ${secondColor})`
        : sectionHoverBackground;
};

export const resolveActiveBackground = ({
    sectionActiveBackground,
    sectionActiveGradientEnable,
    sectionActiveGradientBackgroundColor: { direction, firstColor, secondColor }
}) =>
    sectionActiveGradientEnable
        ? `linear-gradient(${direction}, ${firstColor}, ${secondColor})`
        : sectionActiveBackground;
