/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 */
const SWIPE_LENGTH = 15;

export const descriptor = () => ({
    props: {
        swipeLength: {
            type: [String, Number],
            default: SWIPE_LENGTH
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export default descriptor;
