/**
 * @param {string} fileName
 * @param {boolean} withCurrentDate
 * @return {string}
 */
export const getFileName = (fileName, withCurrentDate = false) => {
    if (withCurrentDate === false) {
        return fileName;
    }

    const currentDate = new Date().toLocaleString('ru-RU', { dateStyle: 'short' });
    const [name, type] = fileName.split('.');
    return `${name}_(${currentDate}).${type}`;
};
