import { ButtonStates } from './constants';

export const ButtonsColumnProps = Object.freeze({
    UNIQUE_ROW_METRIC: 'uniqueRowMetric',
    DISPLAY_CONDITION_METRIC: 'displayConditionMetric',
    METRICS_TO_STORE: 'metricsToStore'
});

export const createSkeletonButton = () => ({
    style: {
        fontSize: '0.75rem',
        fontFamily: '',
        fontStyle: 'normal',
        fontWeight: '400',
        borderRadius: '0.25rem',
        color: '#888',
        background: '#f5f5f5',
        boxShadow: '0 0.125rem 0.5rem #e1e1e1',
        flexDirection: 'row',
        height: '1.5rem'
    },
    caption: '',
    isCaptionShown: true,
    mdi: {
        show: true,
        class: 'mdi-pencil-outline',
        style: { fontSize: '1rem', color: '', marginRight: '0rem', marginLeft: '0rem' }
    },
    order: 0,
    route: {
        shouldNavigate: false,
        path: '/some-url'
    },
    events: { canSend: false, list: [] }
});

export const createMainButton = () => ({
    uid: Math.random(),
    displayCriteria: {
        isShownAlways: false,
        isShownByCondition: false,
        metricValue: '',
        delimiter: ','
    },
    isActive: false,
    [ButtonStates.NORMAL]: { ...createSkeletonButton() },
    [ButtonStates.ACTIVE]: { isSet: false, ...createSkeletonButton() }
});

export const MdiPositions = [
    { value: 'row', label: 'Слева' },
    { value: 'row-reverse', label: 'Справа' }
];

export const AppearanceGroups = [
    { name: 'Надпись', slot: 'caption-options' },
    { name: 'Иконка', slot: 'mdi-options' },
    { name: 'Прочее', slot: 'misc-options' }
];
