import { cssVars } from './css-vars';
import panels from './panels';
/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Array,
            default() {
                return [];
            }
        },
        filterList: {
            type: Array
        },
        background: {
            type: String,
            default: '#fff'
        },
        fontFamily: {
            type: String,
            default: 'Roboto'
        },
        section: {
            type: Object,
            default() {
                return {
                    interval: '1rem',
                    headerHeight: '2rem',
                    borderRadius: '0.25rem',
                    boxShadow: '0.0625rem 0.0625rem 0.25rem #ccc'
                };
            }
        },
        scroll: {
            type: Object,
            default() {
                return {
                    active: false,
                    maxHeight: '10rem'
                };
            }
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    cssVars,
    panels,
    slotNames: ['default']
};
