export const RADIUS = 120;
export const SPLIT_NUMBER = 9;
export const TITLE_FONT_SIZE = '20px';
export const TITLE_FONT_WEIGHT = '400';
export const LEGEND_GAP = 10;
export const LEGEND_FONT_SIZE = '14';
export const LEGEND_FONT_WEIGHT = '400';
export const LEGEND_BORDER_RADIUS = 2;
export const NAME_FONT_SIZE = '14';
export const AXIS_LABEL_FONT_SIZE = '12';

export const RadarTypeOptions = Object.freeze([
    {
        label: 'окружность',
        value: 'circle'
    },
    {
        label: 'полигон',
        value: ''
    }
]);

export const GradientPositionOptions = Object.freeze([
    { value: '0 1 0 0', label: '↑' },
    { value: '1 0 0 0', label: '←' },
    { value: '0 0 1 0', label: '→' },
    { value: '0 0 0 1', label: '↓' },
    { value: '1 1 0 0', label: '↖' },
    { value: '0 1 1 0', label: '↗' },
    { value: '0 0 1 1', label: '↘' },
    { value: '1 0 0 1', label: '↙' }
]);

export const LegendOrientOptions = Object.freeze([
    {
        label: 'горизонтальная',
        value: 'horizontal'
    },
    {
        label: 'вертикальная',
        value: 'vertical'
    }
]);

export const MarkerPositionOptions = Object.freeze([
    {
        label: 'слева',
        value: 'left'
    },
    {
        label: 'справа',
        value: 'right'
    }
]);

export const FormatOptions = Object.freeze([
    { value: '0', label: '1000' },
    { value: '1', label: '1000,1' },
    { value: '2', label: '1000,12' },
    { value: '0%', label: '12%' },
    { value: '1%', label: '12,3%' },
    { value: '2%', label: '12,34%' }
]);

export const SeparatorOptions = Object.freeze([
    { value: '0', label: '10000' },
    { value: '1', label: '10 000' },
    { value: '2', label: '10.000' },
    { value: '3', label: '10,000' }
]);

export const AxisLabelAlignOptions = Object.freeze([
    {
        label: 'слева',
        value: 'right'
    },
    {
        label: 'по центру',
        value: 'center'
    },
    {
        label: 'справа',
        value: 'left'
    }
]);

export const AxisLabelVerticalAlignOptions = Object.freeze([
    {
        label: 'сверху',
        value: 'bottom'
    },
    {
        label: 'по центру',
        value: 'middle'
    },
    {
        label: 'снизу',
        value: 'top'
    }
]);

export const AxisLineSymbolOptions = Object.freeze([
    {
        label: 'Круг',
        value: 'circle'
    },
    {
        label: 'Прямоугольник',
        value: 'rect'
    },
    {
        label: 'Скругленный прямоугольник',
        value: 'roundRect'
    },
    {
        label: 'Треугольник',
        value: 'triangle'
    },
    {
        label: 'Ромб',
        value: 'diamond'
    },
    {
        label: 'Капля',
        value: 'pin'
    },
    {
        label: 'Стрела',
        value: 'arrow'
    },
    {
        label: 'Без иконки',
        value: 'none'
    }
]);

export const SymbolOptions = Object.freeze([
    {
        label: 'квадрат',
        value: 'rect'
    },
    {
        label: 'скругленный квадрат',
        value: 'roundRect'
    },
    {
        label: 'окружность',
        value: 'circle'
    },
    {
        label: 'пустая окружность',
        value: 'path://M 12 20 A 8 8 0 0 1 4 12 A 8 8 0 0 1 12 4 A 8 8 0 0 1 20 12 A 8 8 0 0 1 12 20 M 12 2 A 10 10 0 0 0 2 12 A 10 10 0 0 0 12 22 A 10 10 0 0 0 22 12 A 10 10 0 0 0 12 2 Z'
    },
    {
        label: 'треугольник',
        value: 'triangle'
    },
    {
        label: 'ромб',
        value: 'diamond'
    }
]);

export const LineOptions = Object.freeze([
    {
        label: 'сплошная',
        value: 'solid'
    },
    {
        label: 'пунктир',
        value: 'dashed'
    },
    {
        label: 'точки',
        value: 'dotted'
    }
]);

export const AxisLineFactory = Object.freeze({
    symbol: 'none',
    symbolOffset: 0,
    symbolSize: 10,
    lineStyle: {
        color: '#bbbbbb',
        width: 1
    }
});

export const AlignOptions = [
    { label: 'Слева', value: 'left' },
    { label: 'По центру', value: 'center' },
    { label: 'Справа', value: 'right' }
];
