export const migrate = ({
    nameOptions: { fontSize: nameOptionsFontSize, ...nameOpts },
    title: {
        textStyle: { fontSize: titleTextStyleFontSize, ...titleTextStyleOptions },
        ...titleOpts
    },
    legendOptions: {
        textStyle: { fontSize: textStyleFontSize, ...textStyleOptions },
        ...legendOpts
    },
    customTooltip: { fontSize: customTooltipFontSize, ...customTooltipOptions },
    axisLabelSettings: { fontSize: axisLabelSettingsFontSize, ...axisLabelSettingsOptions },
    ...options
}) => ({
    ...options,
    nameOptions: {
        ...nameOpts,
        fontSize: `${nameOptionsFontSize}`
    },
    title: {
        ...titleOpts,
        textStyle: {
            ...titleTextStyleOptions,
            fontSize: `${titleTextStyleFontSize}`
        }
    },
    legendOptions: {
        ...legendOpts,
        textStyle: {
            ...textStyleOptions,
            fontSize: `${textStyleFontSize}`
        }
    },
    customTooltip: {
        ...customTooltipOptions,
        fontSize: `${customTooltipFontSize}`
    },
    axisLabelSettings: {
        ...axisLabelSettingsOptions,
        fontSize: `${axisLabelSettingsFontSize}`,
        rich: {}
    }
});
