import { PLACEHOLDER_IMAGE } from './constants';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        url: {
            type: String,
            default: '',
            hasConst: true
        },
        queryParams: {
            type: Array,
            default: () => []
        },
        previewImage: {
            type: String,
            default: PLACEHOLDER_IMAGE,
            hasConst: true
        },
        errorImage: {
            type: String,
            default: PLACEHOLDER_IMAGE,
            hasConst: true
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {}),
    cssVars: {}
});

export default descriptor;
