/* eslint-disable no-restricted-syntax */
import { useFormButtonDescriptor } from '@goodt-common/form';
import panels from './panels';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        label: {
            type: String,
            default: 'button'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor: useFormButtonDescriptor(descriptor),
    panels,
    isChildAllowed: true
};

export default descriptor;
