export default {
    data: {
        schema: {
            types: [
                {
                    kind: 'OBJECT',
                    name: 'Query',
                    description: null,
                    inputFields: null,
                    fields: [
                        {
                            name: 'User',
                            description: null,
                            args: [
                                {
                                    name: 'id',
                                    type: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'SCALAR',
                                            name: 'ID',
                                            ofType: null
                                        }
                                    }
                                }
                            ],
                            type: {
                                kind: 'OBJECT',
                                name: 'User',
                                ofType: null
                            }
                        },
                        {
                            name: 'UserLangList',
                            description: null,
                            args: [],
                            type: {
                                kind: 'LIST',
                                name: null,
                                ofType: {
                                    kind: 'OBJECT',
                                    name: 'Lang',
                                    ofType: null
                                }
                            }
                        }
                    ]
                },
                {
                    kind: 'SCALAR',
                    name: 'ID',
                    description:
                        'The `ID` scalar type represents a unique identifier, often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as `"4"`) or integer (such as `4`) input value will be accepted as an ID.',
                    inputFields: null,
                    fields: null
                },
                {
                    kind: 'OBJECT',
                    name: 'Mutation',
                    description: null,
                    inputFields: null,
                    fields: [
                        {
                            name: 'UserCreate',
                            description: 'creates a new User',
                            args: [
                                {
                                    name: 'input',
                                    type: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'INPUT_OBJECT',
                                            name: 'UserCreate',
                                            ofType: null
                                        }
                                    }
                                }
                            ],
                            type: {
                                kind: 'OBJECT',
                                name: 'User',
                                ofType: null
                            }
                        },
                        {
                            name: 'UserUpdate',
                            description: 'updates existed User',
                            args: [
                                {
                                    name: 'input',
                                    type: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'INPUT_OBJECT',
                                            name: 'UserUpdate',
                                            ofType: null
                                        }
                                    }
                                }
                            ],
                            type: {
                                kind: 'OBJECT',
                                name: 'User',
                                ofType: null
                            }
                        },
                        {
                            name: 'LangCreate',
                            description: 'creates a new Lang',
                            args: [
                                {
                                    name: 'input',
                                    type: {
                                        kind: 'INPUT_OBJECT',
                                        name: 'LangCreate',
                                        ofType: null
                                    }
                                }
                            ],
                            type: {
                                kind: 'OBJECT',
                                name: 'Lang',
                                ofType: null
                            }
                        }
                    ]
                },
                {
                    kind: 'OBJECT',
                    name: 'User',
                    description: null,
                    inputFields: null,
                    fields: [
                        {
                            name: 'id',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'ID',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'login',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'email',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'name',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'lang',
                            description: null,
                            args: [],
                            type: {
                                kind: 'OBJECT',
                                name: 'Lang',
                                ofType: null
                            }
                        },
                        {
                            name: 'langs',
                            description: null,
                            args: [],
                            type: {
                                kind: 'LIST',
                                name: null,
                                ofType: {
                                    kind: 'OBJECT',
                                    name: 'Lang',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'createdAt',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        }
                    ]
                },
                {
                    kind: 'SCALAR',
                    name: 'String',
                    description:
                        'The `String` scalar type represents textual data, represented as UTF-8 character sequences. The String type is most often used by GraphQL to represent free-form human-readable text.',
                    inputFields: null,
                    fields: null
                },
                {
                    kind: 'OBJECT',
                    name: 'Lang',
                    description: null,
                    inputFields: null,
                    fields: [
                        {
                            name: 'id',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'ID',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'name',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        }
                    ]
                },
                {
                    kind: 'INPUT_OBJECT',
                    name: 'UserCreate',
                    description: null,
                    inputFields: [
                        {
                            name: 'login',
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'email',
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'name',
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'lang',
                            type: {
                                kind: 'INPUT_OBJECT',
                                name: 'UserLang',
                                ofType: null
                            }
                        }
                    ],
                    fields: null
                },
                {
                    kind: 'INPUT_OBJECT',
                    name: 'UserUpdate',
                    description: null,
                    inputFields: [
                        {
                            name: 'id',
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'ID',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'name',
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'lang',
                            type: {
                                kind: 'INPUT_OBJECT',
                                name: 'UserLang',
                                ofType: null
                            }
                        }
                    ],
                    fields: null
                },
                {
                    kind: 'INPUT_OBJECT',
                    name: 'UserLang',
                    description: null,
                    inputFields: [
                        {
                            name: 'id',
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'ID',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'name',
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        }
                    ],
                    fields: null
                },
                {
                    kind: 'INPUT_OBJECT',
                    name: 'LangCreate',
                    description: null,
                    inputFields: [
                        {
                            name: 'name',
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        }
                    ],
                    fields: null
                },
                {
                    kind: 'SCALAR',
                    name: 'Boolean',
                    description: 'The `Boolean` scalar type represents `true` or `false`.',
                    inputFields: null,
                    fields: null
                },
                {
                    kind: 'OBJECT',
                    name: '__Schema',
                    description:
                        'A GraphQL Schema defines the capabilities of a GraphQL server. It exposes all available types and directives on the server, as well as the entry points for query, mutation, and subscription operations.',
                    inputFields: null,
                    fields: [
                        {
                            name: 'description',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'types',
                            description: 'A list of all types supported by this server.',
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'LIST',
                                    name: null,
                                    ofType: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'OBJECT',
                                            name: '__Type',
                                            ofType: null
                                        }
                                    }
                                }
                            }
                        },
                        {
                            name: 'queryType',
                            description: 'The type that query operations will be rooted at.',
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'OBJECT',
                                    name: '__Type',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'mutationType',
                            description:
                                'If this server supports mutation, the type that mutation operations will be rooted at.',
                            args: [],
                            type: {
                                kind: 'OBJECT',
                                name: '__Type',
                                ofType: null
                            }
                        },
                        {
                            name: 'subscriptionType',
                            description:
                                'If this server support subscription, the type that subscription operations will be rooted at.',
                            args: [],
                            type: {
                                kind: 'OBJECT',
                                name: '__Type',
                                ofType: null
                            }
                        },
                        {
                            name: 'directives',
                            description: 'A list of all directives supported by this server.',
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'LIST',
                                    name: null,
                                    ofType: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'OBJECT',
                                            name: '__Directive',
                                            ofType: null
                                        }
                                    }
                                }
                            }
                        }
                    ]
                },
                {
                    kind: 'OBJECT',
                    name: '__Type',
                    description:
                        'The fundamental unit of any GraphQL Schema is the type. There are many kinds of types in GraphQL as represented by the `__TypeKind` enum.\n\nDepending on the kind of a type, certain fields describe information about that type. Scalar types provide no information beyond a name, description and optional `specifiedByUrl`, while Enum types provide their values. Object and Interface types provide the fields they describe. Abstract types, Union and Interface, provide the Object types possible at runtime. List and NonNull types compose other types.',
                    inputFields: null,
                    fields: [
                        {
                            name: 'kind',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'ENUM',
                                    name: '__TypeKind',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'name',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'description',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'specifiedByUrl',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'fields',
                            description: null,
                            args: [
                                {
                                    name: 'includeDeprecated',
                                    type: {
                                        kind: 'SCALAR',
                                        name: 'Boolean',
                                        ofType: null
                                    }
                                }
                            ],
                            type: {
                                kind: 'LIST',
                                name: null,
                                ofType: {
                                    kind: 'NON_NULL',
                                    name: null,
                                    ofType: {
                                        kind: 'OBJECT',
                                        name: '__Field',
                                        ofType: null
                                    }
                                }
                            }
                        },
                        {
                            name: 'interfaces',
                            description: null,
                            args: [],
                            type: {
                                kind: 'LIST',
                                name: null,
                                ofType: {
                                    kind: 'NON_NULL',
                                    name: null,
                                    ofType: {
                                        kind: 'OBJECT',
                                        name: '__Type',
                                        ofType: null
                                    }
                                }
                            }
                        },
                        {
                            name: 'possibleTypes',
                            description: null,
                            args: [],
                            type: {
                                kind: 'LIST',
                                name: null,
                                ofType: {
                                    kind: 'NON_NULL',
                                    name: null,
                                    ofType: {
                                        kind: 'OBJECT',
                                        name: '__Type',
                                        ofType: null
                                    }
                                }
                            }
                        },
                        {
                            name: 'enumValues',
                            description: null,
                            args: [
                                {
                                    name: 'includeDeprecated',
                                    type: {
                                        kind: 'SCALAR',
                                        name: 'Boolean',
                                        ofType: null
                                    }
                                }
                            ],
                            type: {
                                kind: 'LIST',
                                name: null,
                                ofType: {
                                    kind: 'NON_NULL',
                                    name: null,
                                    ofType: {
                                        kind: 'OBJECT',
                                        name: '__EnumValue',
                                        ofType: null
                                    }
                                }
                            }
                        },
                        {
                            name: 'inputFields',
                            description: null,
                            args: [
                                {
                                    name: 'includeDeprecated',
                                    type: {
                                        kind: 'SCALAR',
                                        name: 'Boolean',
                                        ofType: null
                                    }
                                }
                            ],
                            type: {
                                kind: 'LIST',
                                name: null,
                                ofType: {
                                    kind: 'NON_NULL',
                                    name: null,
                                    ofType: {
                                        kind: 'OBJECT',
                                        name: '__InputValue',
                                        ofType: null
                                    }
                                }
                            }
                        },
                        {
                            name: 'ofType',
                            description: null,
                            args: [],
                            type: {
                                kind: 'OBJECT',
                                name: '__Type',
                                ofType: null
                            }
                        }
                    ]
                },
                {
                    kind: 'ENUM',
                    name: '__TypeKind',
                    description: 'An enum describing what kind of type a given `__Type` is.',
                    inputFields: null,
                    fields: null
                },
                {
                    kind: 'OBJECT',
                    name: '__Field',
                    description:
                        'Object and Interface types are described by a list of Fields, each of which has a name, potentially a list of arguments, and a return type.',
                    inputFields: null,
                    fields: [
                        {
                            name: 'name',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'description',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'args',
                            description: null,
                            args: [
                                {
                                    name: 'includeDeprecated',
                                    type: {
                                        kind: 'SCALAR',
                                        name: 'Boolean',
                                        ofType: null
                                    }
                                }
                            ],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'LIST',
                                    name: null,
                                    ofType: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'OBJECT',
                                            name: '__InputValue',
                                            ofType: null
                                        }
                                    }
                                }
                            }
                        },
                        {
                            name: 'type',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'OBJECT',
                                    name: '__Type',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'isDeprecated',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'Boolean',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'deprecationReason',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        }
                    ]
                },
                {
                    kind: 'OBJECT',
                    name: '__InputValue',
                    description:
                        'Arguments provided to Fields or Directives and the input fields of an InputObject are represented as Input Values which describe their type and optionally a default value.',
                    inputFields: null,
                    fields: [
                        {
                            name: 'name',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'description',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'type',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'OBJECT',
                                    name: '__Type',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'defaultValue',
                            description:
                                'A GraphQL-formatted string representing the default value for this input value.',
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'isDeprecated',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'Boolean',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'deprecationReason',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        }
                    ]
                },
                {
                    kind: 'OBJECT',
                    name: '__EnumValue',
                    description:
                        'One possible value for a given Enum. Enum values are unique values, not a placeholder for a string or numeric value. However an Enum value is returned in a JSON response as a string.',
                    inputFields: null,
                    fields: [
                        {
                            name: 'name',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'description',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'isDeprecated',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'Boolean',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'deprecationReason',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        }
                    ]
                },
                {
                    kind: 'OBJECT',
                    name: '__Directive',
                    description:
                        "A Directive provides a way to describe alternate runtime execution and type validation behavior in a GraphQL document.\n\nIn some cases, you need to provide options to alter GraphQL's execution behavior in ways field arguments will not suffice, such as conditionally including or skipping a field. Directives provide this by describing additional information to the executor.",
                    inputFields: null,
                    fields: [
                        {
                            name: 'name',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'String',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'description',
                            description: null,
                            args: [],
                            type: {
                                kind: 'SCALAR',
                                name: 'String',
                                ofType: null
                            }
                        },
                        {
                            name: 'isRepeatable',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'SCALAR',
                                    name: 'Boolean',
                                    ofType: null
                                }
                            }
                        },
                        {
                            name: 'locations',
                            description: null,
                            args: [],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'LIST',
                                    name: null,
                                    ofType: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'ENUM',
                                            name: '__DirectiveLocation',
                                            ofType: null
                                        }
                                    }
                                }
                            }
                        },
                        {
                            name: 'args',
                            description: null,
                            args: [
                                {
                                    name: 'includeDeprecated',
                                    type: {
                                        kind: 'SCALAR',
                                        name: 'Boolean',
                                        ofType: null
                                    }
                                }
                            ],
                            type: {
                                kind: 'NON_NULL',
                                name: null,
                                ofType: {
                                    kind: 'LIST',
                                    name: null,
                                    ofType: {
                                        kind: 'NON_NULL',
                                        name: null,
                                        ofType: {
                                            kind: 'OBJECT',
                                            name: '__InputValue',
                                            ofType: null
                                        }
                                    }
                                }
                            }
                        }
                    ]
                },
                {
                    kind: 'ENUM',
                    name: '__DirectiveLocation',
                    description:
                        'A Directive can be adjacent to many parts of the GraphQL language, a __DirectiveLocation describes one such possible adjacencies.',
                    inputFields: null,
                    fields: null
                }
            ]
        }
    }
};