/* eslint-disable no-restricted-syntax */
import { useFormDescriptor } from '@goodt-common/form';
import panels from './panels';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        action: {
            type: String,
            default: null,
            label: 'Действие'
        },
        apiUrl: {
            type: String,
            default: '',
            label: 'Form Service',
            hasConst: true
        },
        toast: {
            type: Object,
            default() {
                return { enabled: true, text: 'Изменения сохранены' };
            },
            label: 'Тост'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor: useFormDescriptor(descriptor),
    panels,
    isChildAllowed: true
    /*
    cssVars,
    slotNames: ['default']
    */
};

export default descriptor;
