/* eslint-disable no-restricted-syntax */
import { useFormElemDescriptor } from '../shared';
import panels from './panels';
import { Type } from './constants';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {},
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor: useFormElemDescriptor(descriptor),
    panels,
    isChildAllowed: true
    /*
    cssVars,
    slotNames: ['default']
    */
};

export default descriptor;
