/* place constant values, magic number semantic explanations here */

export const InputType = {
    TEXT: 'text',
    NUMBER: 'number',
    EMAIL: 'email',
    PASSWORD: 'password'
};

export const Type = {
    NUMBER: 'number',
    DOUBLE: 'double',
    INTEGER: 'int'
};

export const typeToInputType = ({ type, field = '' }) => {
    const fieldLower = field ? field.toLowerCase() : '';
    if ([Type.NUMBER, Type.INTEGER, Type.DOUBLE].includes(type)) {
        return InputType.NUMBER;
    }
    if (fieldLower.includes('email')) {
        return InputType.EMAIL;
    }
    if (fieldLower.includes('password')) {
        return InputType.PASSWORD;
    }
    return InputType.TEXT;
};

export const convertInputValue = (value, inputType) => {
    if (inputType === InputType.NUMBER) {
        const num = Number(value);
        return Number.isNaN(num) ? value : num;
    }
    return value;
};
