export const WFormElem = {
    functional: true,
    props: {
        tag: {
            type: String,
            default: 'div'
        }
    },
    render(h, { props, parent, scopedSlots }) {
        const { tag } = props;
        const { cssClass, cssStyle, type, isEditorMode, $form } = parent;
        const slot = scopedSlots.default ? scopedSlots.default() : null;
        const typePlaceholder = h('code', type);
        const ctxPlaceholder = h('pre', 'Добавьте этот виджет в форму ввода');
        const children = $form == null && isEditorMode ? [typePlaceholder, ctxPlaceholder] : slot;
        return h(tag, { class: cssClass, style: cssStyle }, children);
    }
};
