import { eventPrompt, formatNumber, formatSpace, horizontLocatIcon } from '../utils/constants';

export const PositionOptions = [
    { label: 'Слева', value: 'left' },
    { label: 'По центру', value: 'center' },
    { label: 'Справа', value: 'right' }
];

export const Percents = ['%'];

export const FormatNumberOptions = [
    { label: '1000', value: formatNumber.Without },
    { label: '1000,1', value: formatNumber.PointOne },
    { label: '1000,12', value: formatNumber.PointTwo },
    { label: '12%', value: formatNumber.Percent },
    { label: '12,3%', value: formatNumber.PercentPointOne },
    { label: '12,34%', value: formatNumber.PercentPointTwo }
];

export const FormatSpaceOptions = [
    { label: '10000', value: formatSpace.Without },
    { label: '10 000', value: formatSpace.Space },
    { label: '10.000', value: formatSpace.SpacePoint },
    { label: '10,000', value: formatSpace.SpaceComma }
];

export const IconLocations = [
    { label: 'Слева', value: horizontLocatIcon.Left },
    { label: 'Справа', value: horizontLocatIcon.Right }
];
export const IconPositions = [
    { label: 'Сверху', value: 'pos-top' },
    { label: 'Снизу', value: 'pos-bot' }
];

export const SignaturePositions = [
    { label: 'Сверху', value: 'pos-top' },
    { label: 'Снизу', value: 'pos-bot' },
    { label: 'Слева', value: 'pos-left' },
    { label: 'Справа', value: 'pos-right' }
];

export const GradientDirections = [
    {
        label: '↑',
        value: 'to top'
    },
    {
        label: '←',
        value: 'to left'
    },
    {
        label: '→',
        value: 'to right'
    },
    {
        label: '↓',
        value: 'to bottom'
    },
    {
        label: '↖',
        value: 'to top left'
    },
    {
        label: '↗',
        value: 'to top right'
    },
    {
        label: '↘',
        value: 'to bottom right'
    },
    {
        label: '↙',
        value: 'to bottom left'
    }
];

export const IconEvents = [
    { label: 'По наведению', value: eventPrompt.Mousemove },
    { label: 'По нажатию', value: eventPrompt.Click }
];

export const ItemPromptPositions = [
    { label: 'Сверху', value: 'start' },
    { label: 'По центру', value: 'center' },
    { label: 'Снизу', value: 'end' }
];

export const ItemSignaturePositions = [
    { label: 'Слева', value: 'start' },
    { label: 'По центру', value: 'center' },
    { label: 'Справа', value: 'end' }
];

export const PositionTags = [
    { label: 'Сверху', value: '0' },
    { label: 'Снизу', value: 'auto' }
];
export const PositionItemTags = [
    { label: 'Сверху', value: 'start' },
    { label: 'По центру', value: 'center' },
    { label: 'Снизу', value: 'end' }
];
