/**
 * Получает свойство объекта независимо от регистра
 * @param {object} obj Объект 
 * @param {string} key Название свойства
 * @param {Function} [transformer] Функция, применяемая к полученному значению
 */
export function property(obj, key, transformer = x => x) {
    const propertyName = Object.keys(obj).find(item => item.toLowerCase() === key.toLowerCase());
    return transformer(obj[propertyName]);
}