export const DIMENSION_SAMPLE = Object.freeze({
    name: null,
    marker: null,
    isMajor: true,
    style: {
        color: '#333',
        fontFamily: 'sans-serif',
        fontSize: 16,
        fontWeight: '400',
        sizeUnit: 'px'
    }
});

export const METRICS_SAMPLE = Object.freeze({
    isUsedConditionalColor: false,
    isUsedCustomColors: false,
    isUsedListCustomColors: false,
    colorByMetric: 'M1',
    name: '',
    view: 'text',
    format: '0',
    separator: '1',
    prefix: '',
    postfix: '',
    style: {
        color: '#333',
        background: null,
        fontFamily: 'sans-serif',
        fontSize: 16,
        fontWeight: '400',
        sizeUnit: 'px',
        lessNumber: 100,
        lessColor: '#ff0000',
        moreNumber: 100,
        moreColor: '#0eb73e',
        lessTextColor: null,
        moreTextColor: null
    },
    customColors: []
});

export const BADGE_SAMPLE = Object.freeze({
    name: null,
    isUsedConditionalColor: false,
    colorByMetric: null,
    view: 'badge',
    style: {
        color: '#333',
        fontFamily: 'sans-serif',
        fontSize: 16,
        sizeUnit: 'px',
        fontWeight: '400',
        background: null,
        lessNumber: null,
        moreNumber: null,
        lessColor: null,
        moreColor: null,
        lessTextColor: null,
        moreTextColor: null
    },
    iconSettings: {
        isConditional: false,
        hasIcon: false,
        iconName: null,
        iconSize: '16',
        iconColor: '#333',
        iconPosition: '',
        rules: [],
        metric: null,
        iconUnit: 'px'
    },
    position: {
        hasPositioning: false,
        left: null,
        right: null,
        top: null,
        bottom: null
    },
    customColors: [],
    isUsedCustomColors: false,
    isUsedListCustomColors: false
});

export const BENCHMARK_SAMPLE = Object.freeze({
    name: null,
    type: 'usual',
    style: {
        colorPositive: null,
        colorNegative: null,
        fontSize: '16'
    }
});

export const TITLE_SAMPLE = Object.freeze({
    show: false,
    text: null,
    style: {
        color: '#333',
        fontFamily: 'sans-serif',
        fontSize: 16,
        sizeUnit: 'px',
        fontWeight: '400',
        textAlign: 'center'
    }
});

export const SELECT_SAMPLE = Object.freeze({
    type: 'none',
    url: null,
    borderColor: null,
    borderWidth: null,
    metric: null
});

export const METRICS = Object.freeze({
    baseMetric: METRICS_SAMPLE,
    additionalMetrics: [],
    badgeMetric: BADGE_SAMPLE,
    benchmark: BENCHMARK_SAMPLE
});

export const BACKGROUND_SAMPLE = Object.freeze({
    gradient: {
        show: false,
        color1: null,
        color2: null,
        position: 'to top'
    },
    color: null
});

export const IconDirections = [
    { value: '', label: 'Справа' },
    { value: 'left', label: 'Слева' }
];
