import cloneDeep from 'lodash/cloneDeep';
import panels from './panels';
import { METRICS, SELECT_SAMPLE, TITLE_SAMPLE, BACKGROUND_SAMPLE, DIMENSION_SAMPLE } from './constants';

const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: () => null
        },
        dimensions: {
            type: Array,
            default: () => [cloneDeep(DIMENSION_SAMPLE), { ...cloneDeep(DIMENSION_SAMPLE), isMajor: false }]
        },
        metrics: {
            type: Object,
            default: () => cloneDeep(METRICS)
        },
        title: {
            type: Object,
            default: () => cloneDeep(TITLE_SAMPLE)
        },
        select: {
            type: Object,
            default: () => cloneDeep(SELECT_SAMPLE)
        },
        showTile: {
            type: Boolean,
            default: false
        },
        background: {
            type: Object,
            default: () => cloneDeep(BACKGROUND_SAMPLE)
        },
        position: {
            type: String,
            default: 'pos-rel'
        },
        width: {
            type: String,
            default: '500'
        },
        widthUnit: {
            type: String,
            default: 'px'
        },
        height: {
            type: String,
            default: '600'
        },
        heightUnit: {
            type: String,
            default: 'px'
        }
    },
    vars: {}
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};
