import { cssVars } from './css-vars';
import panels from './panels';

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default() {
                return null;
            }
        },
        height: {
            type: String,
            default: '100'
        },
        heightUnit: {
            type: String,
            default: '%'
        },
        metricFirstName: {
            type: String,
            default: ''
        },
        metricLastName: {
            type: String,
            default: ''
        },
        metricPatronymicName: {
            type: String,
            default: ''
        },
        isInitials: {
            type: Boolean,
            default: false
        },
        metricJobPosition: {
            type: String,
            default: ''
        },
        metricPhotoUrl: {
            type: String,
            default: ''
        },
        photoSize: {
            type: String,
            default: '50px'
        },
        photoPosition: {
            type: String,
            default: 'left'
        },
        photoAlign: {
            type: String,
            default: 'center'
        },
        photoRadius: {
            type: String,
            default: '50%'
        },
        photoBorderColor: {
            type: String,
            default: ''
        },
        photoBorderWidth: {
            type: Number,
            default: ''
        },
        photoMargin: {
            type: String,
            default: '0px'
        },
        photoShadow: {
            type: Object,
            default: () => ({
                color: '',
                blur: 0,
                offsetX: 0,
                offsetY: 0
            })
        },
        dimensions: {
            type: Array,
            default() {
                return [];
            }
        },
        fullNameColor: {
            type: String,
            default: '#f7c844'
        },
        fullNameFontSize: {
            type: String,
            default: '24px'
        },
        fullNameFont: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        fullNameFontWeight: {
            type: String,
            default: ''
        },
        fullNameAlign: {
            type: String,
            default: ''
        },
        jobPositionColor: {
            type: String,
            default: '#dcdcdc'
        },
        jobPositionFontSize: {
            type: String,
            default: '12px'
        },
        jobPositionFont: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        jobPositionFontWeight: {
            type: String,
            default: ''
        },
        jobPositionMargin: {
            type: String,
            default: '0px'
        }
    },
    vars: {}
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false,
    slotNames: [],
    cssVars
};

export default descriptor;
