import { BaseApiService, buildRequest } from '@goodt-common/api';

export class CommonApiService extends BaseApiService {
    getToken({ username, password }) {
        const { apiBaseURL: baseUrl } = this;
        const request = buildRequest({
            action: {
                url: `https://:username::password@:baseUrl`,
                options: {
                    auth: {
                        username,
                        password
                    }
                }
            },
            pathParams: {
                baseUrl,
                username,
                password
            }
        });

        return this.request(request);
    }
}
