import { BaseApiService, buildRequest } from '@goodt-common/api';

export class RotationApiService extends BaseApiService {
    async rotateCamera({ username, password, presetId, cameraId, extLogin }) {
        const { apiBaseURL: baseUrl } = this;
        const request = buildRequest({
            action: {
                url: `https://:username::password@:baseUrl/camera/movePosition`,
                options: {
                    method: 'POST',
                    auth: {
                        username,
                        password
                    }
                }
            },
            pathParams: {
                baseUrl,
                username,
                password
            },
            queryParams: {
                presetId,
                cameraId,
                extLogin
            }
        });

        return this.request(request);
    }
}
