import { useApiServiceMixin } from '@goodt-common/api';

import { RotationApiService } from './RotationApiServiceMixin';
import { CommonApiService } from './CommonApiServiceMixin';

const RotationServiceMixin = useApiServiceMixin(
    RotationApiService,
    { apiBaseURL: `props.rotationApi`, apiBaseURLConfig: { path: 'cctv/api' } },
    { name: `rotationApiService` }
);

export const RotationServiceMixinTypeDescriptor = undefined;

const CommonServiceMixin = useApiServiceMixin(
    CommonApiService,
    { apiBaseURL: `props.commonApi`, apiBaseURLConfig: { path: 'key' } },
    { name: `commonApiService` }
);

export const CommonServiceMixinTypeDescriptor = undefined;

export const ApiMixins = [RotationServiceMixin, CommonServiceMixin];

export const ApiMixinsTypeDescriptor = {
    RotationServiceMixinTypeDescriptor,
    CommonServiceMixinTypeDescriptor
};
