/* eslint-disable no-restricted-syntax */
import panels from './panels';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        shouldSaveDataInLocalStorage: {
            type: Boolean,
            default: false
        },
        storeStateVars: {
            type: Array,
            default: []
        },
        shouldSaveAllStoreState: {
            type: Boolean,
            default: false
        },
        maxReloadSeconds: {
            type: Number,
            default: 10
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};
