import panels from './panels';
import { GradientOptions, SearchInputOptions } from './constants';
import { cssVars } from './css-vars';

const descriptor = () => ({
    props: {
        menu: {
            type: Array,
            default() {
                return [];
            }
        },
        categoryTextColor: {
            type: String,
            default: 'rgb(0, 0, 0)'
        },
        categoryTextFontSize: {
            type: String,
            default: '1rem'
        },
        categoryBackgroundColor: {
            type: String,
            default: 'rgb(255, 255, 255)'
        },
        categoryGradientBackgroundColor: {
            type: Object,
            default: GradientOptions
        },
        categoryGradientEnable: {
            type: Boolean,
            default: false
        },
        categoryIconFontSize: {
            type: String,
            default: '1rem'
        },
        categoryMultipleOpen: {
            type: Boolean,
            default: false
        },
        shouldOpenAllCategories: {
            type: Boolean,
            default: false
        },
        categoryHoverEnable: {
            type: Boolean,
            default: false
        },
        categoryHoverBorderColor: {
            type: String,
            default: 'rgb(0, 0, 0)'
        },
        categoryHoverTextColor: {
            type: String,
            default: 'rgb(0, 0, 0)'
        },
        categoryHoverBackground: {
            type: String,
            default: 'rgba(0, 0, 0, 0.4)'
        },
        categoryHoverGradientEnable: {
            type: Boolean,
            default: false
        },
        categoryHoverGradientBackgroundColor: {
            type: Object,
            default: GradientOptions
        },
        categoryHoverBorderEnable: {
            type: Boolean,
            default: false
        },
        sectionBackgroundColor: {
            type: String,
            default: 'rgb(255, 255, 255)'
        },
        sectionGradientBackgroundColor: {
            type: Object,
            default: GradientOptions
        },
        sectionGradientEnable: {
            type: Boolean,
            default: false
        },
        sectionMaxHeight: {
            type: String,
            default: '300px'
        },
        sectionHoverEnable: {
            type: Boolean,
            default: false
        },
        sectionHoverBorderColor: {
            type: String,
            default: 'rgb(0, 0, 0)'
        },
        sectionHoverIconColor: {
            type: String,
            default: 'rgb(0, 0, 0)'
        },
        sectionHoverTextColor: {
            type: String,
            default: 'rgb(0, 0, 0)'
        },
        sectionHoverBackground: {
            type: String,
            default: 'rgba(0, 0, 0, 0.4)'
        },
        sectionHoverGradientEnable: {
            type: Boolean,
            default: false
        },
        sectionHoverGradientBackgroundColor: {
            type: Object,
            default: GradientOptions
        },
        sectionHoverBorderEnable: {
            type: Boolean,
            default: false
        },
        sectionActiveBackground: {
            type: String,
            default: 'rgb(0,0,0, 0.3)'
        },
        sectionActiveGradientEnable: {
            type: Boolean,
            default: false
        },
        sectionActiveGradientBackgroundColor: {
            type: Object,
            default: GradientOptions
        },
        sectionActiveColor: {
            type: String,
            default: 'rgb(0, 0, 0)'
        },
        menuAnimation: {
            type: String,
            default: '.5s ease-in-out'
        },
        searchSettings: {
            type: Object,
            default: SearchInputOptions
        }
    },
    vars: {}
});

export const meta = {
    descriptor,
    panels,
    cssVars,
    isChildAllowed: false
};
