export function filterMenu(menuData, query) {
    return menuData.reduce((filteredMenu, category) => {
        if (category.name.toLowerCase().includes(query.toLowerCase())) {
            filteredMenu.push(category);
        } else {
            const filteredSections = category.sections.filter(
                (section) => section.name && section.name.toLowerCase().includes(query.toLowerCase())
            );
            if (filteredSections.length > 0) {
                filteredMenu.push({ ...category, sections: filteredSections });
            }
        }
        return filteredMenu;
    }, []);
}
