const NumberFormattingType = {
    EXACT: 'n',
    EXACT_PERCENT: '%',
    NUM_INT: '0',
    NUM_DECIMAL: '1',
    NUM_HUNDRED: '2',
    PERCENT_INT: '0%',
    PERCENT_DECIMAL: '1%',
    PERCENT_HUNDRED: '2%'
};

const DEFAULT_FONT_SIZE = '0.875rem';

const NO_FORMATTING = 'n';

export const ConditionalValueType = {
    METRIC: 'm',
    VALUE: 'v'
};

export const Operation = Object.freeze({
    '*': {
        label: 'Всегда',
        value: '*',
        pass: (checkingValue, conditionalValue) => true
    },
    '=': {
        label: '=',
        value: '=',
        pass: (checkingValue, conditionalValue) => checkingValue === conditionalValue
    },
    '!=': {
        label: '!=',
        value: '!=',
        pass: (checkingValue, conditionalValue) => checkingValue !== conditionalValue
    },
    '>=': {
        label: '>=',
        value: '>=',
        pass: (checkingValue, conditionalValue) => Number(checkingValue) >= Number(conditionalValue)
    },
    '<=': {
        label: '<=',
        value: '<=',
        pass: (checkingValue, conditionalValue) => Number(checkingValue) <= Number(conditionalValue)
    },
    '>': {
        label: '>',
        value: '>',
        pass: (checkingValue, conditionalValue) => Number(checkingValue) > Number(conditionalValue)
    },
    '<': {
        label: '<',
        value: '<',
        pass: (checkingValue, conditionalValue) => Number(checkingValue) < Number(conditionalValue)
    }
});

const Position = {
    TOP: 'Сверху',
    BOTTOM: 'Снизу'
};

const Alignment = {
    LEFT: 'Слева',
    CENTER: 'По центру',
    RIGHT: 'Справа'
};

export { NumberFormattingType, DEFAULT_FONT_SIZE, NO_FORMATTING, Position, Alignment };
