import { ConditionalValueType, DEFAULT_FONT_SIZE, Position, NO_FORMATTING } from './constants';
import { cssVars } from './css-vars';
import panels from './panels';

export const Vars = Object.freeze({});

export const Events = Object.freeze({
    UPDATE: 'eventUpdate'
});

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default() {
                return null;
            }
        },
        otherMetrics: {
            type: Array,
            default() {
                return [];
            }
        },
        metricFact: {
            type: String,
            default: ''
        },
        metricPlan: {
            type: String,
            default: ''
        },
        showTitle: {
            type: Boolean,
            default: false
        },
        title: {
            type: String,
            default: ''
        },
        titleColor: {
            type: String,
            default: '#000000'
        },
        titleFontSize: {
            type: String,
            default: DEFAULT_FONT_SIZE
        },
        titleFont: {
            type: String,
            default: ''
        },
        titleLocation: {
            type: String,
            default: 'start'
        },
        titlePosition: {
            type: String,
            default: Position.TOP
        },
        titleMargin: {
            type: String,
            default: '0.25rem'
        },
        progressBarHeight: {
            type: String,
            default: '0.75rem'
        },
        showGradientPlan: {
            type: Boolean,
            default: false
        },
        planColor: {
            type: String,
            default: '#c3c3c3'
        },
        planColor1: {
            type: String,
            default: '#c3c3c3'
        },
        planColor2: {
            type: String,
            default: '#c3c3c3'
        },
        planColorDirection: {
            type: String,
            default: 'to top'
        },
        showGradientFact: {
            type: Boolean,
            default: false
        },
        factColor: {
            type: String,
            default: '#ff0000'
        },
        factColor1: {
            type: String,
            default: '#000000'
        },
        factColor2: {
            type: String,
            default: '#000000'
        },
        factColorDirection: {
            type: String,
            default: 'to top'
        },
        indent: {
            type: Boolean,
            default: false
        },
        indentSize: {
            type: Number,
            // eslint-disable-next-line no-magic-numbers
            default: 30
        },
        showFactTitle: {
            type: Boolean,
            default: false
        },
        factTitle: {
            type: String,
            default: 'Факт'
        },
        factTitleColor: {
            type: String,
            default: '#000000'
        },
        factTitleUseBarColor: {
            type: Boolean,
            default: false
        },
        factTitlePosition: {
            type: String,
            default: Position.BOTTOM
        },
        factValueUseBarColor: {
            type: Boolean,
            default: false
        },
        factFontSize: {
            type: String,
            default: DEFAULT_FONT_SIZE
        },
        factValueColor: {
            type: String,
            default: '#000000'
        },
        factValuePosition: {
            type: String,
            default: Position.BOTTOM
        },
        factSignatureAlignments: {
            type: String,
            default: NO_FORMATTING
        },
        showPlanTitle: {
            type: String,
            default: false
        },
        planTitle: {
            type: String,
            default: 'План'
        },
        planTitleColor: {
            type: String,
            default: '#000000'
        },
        planTitleUseBarColor: {
            type: Boolean,
            default: false
        },
        planTitlePosition: {
            type: String,
            default: Position.BOTTOM
        },
        planFontSize: {
            type: String,
            default: DEFAULT_FONT_SIZE
        },
        planValueColor: {
            type: String,
            default: '#000000'
        },
        planValueUseBarColor: {
            type: Boolean,
            default: false
        },
        planValuePosition: {
            type: String,
            default: Position.BOTTOM
        },
        factIndex: {
            type: Number,
            default: 1
        },
        planIndex: {
            type: Number,
            // eslint-disable-next-line no-magic-numbers
            default: 2
        },
        planSignatureAlignments: {
            type: String,
            default: NO_FORMATTING
        },
        factFormatter: {
            type: String,
            default: 'n'
        },
        factDigitCapacity: {
            type: String,
            default: '0'
        },
        planFormatter: {
            type: String,
            default: 'n'
        },
        planDigitCapacity: {
            type: String,
            default: '0'
        },
        showFactValue: {
            type: Boolean,
            default: false
        },
        showPlanValue: {
            type: Boolean,
            default: false
        },
        factValueFontSize: {
            type: String,
            default: DEFAULT_FONT_SIZE
        },
        planValueFontSize: {
            type: String,
            default: DEFAULT_FONT_SIZE
        },
        factType: {
            type: String,
            default: 'n'
        },
        planType: {
            type: String,
            default: 'n'
        },
        gradientExcess: {
            type: Boolean,
            default: false
        },
        excessColor: {
            type: String,
            default: '#000000'
        },
        excessColor1: {
            type: String,
            default: '#000000'
        },
        excessColor2: {
            type: String,
            default: '#000000'
        },
        excessColorDirection: {
            type: String,
            default: 'to top'
        },
        factPrefix: {
            type: String,
            default: ''
        },
        factPostfix: {
            type: String,
            default: ''
        },
        planPrefix: {
            type: String,
            default: ''
        },
        planPostfix: {
            type: String,
            default: ''
        },
        planRadius: {
            type: String,
            default: '2rem'
        },
        factRadius: {
            type: String,
            default: '2rem'
        },
        marginRight: {
            type: String,
            default: '3rem'
        },
        titleAlignment: {
            type: Boolean,
            default: false
        },
        marginTop: {
            type: String,
            default: '0'
        },
        eventUpdate: {
            type: String,
            default: ''
        },
        baseMetricConditions: {
            type: Object,
            default: () => ({})
        },
        extraMetricConditions: {
            type: Object,
            default: () => ({})
        },
        showFactAbovePlan: {
            type: Boolean,
            default: false
        },
        planPrefixSettings: {
            type: Object,
            default: () => ({
                color: '#000000',
                font: 'Roboto',
                fontSize: '0,875rem',
                fontWeight: '',
                margin: '0px',
                icon: '',
                iconSize: '1,875rem',
                iconColor: '#000000'
            })
        },
        planPostfixSettings: {
            type: Object,
            default: () => ({
                color: '#000000',
                font: 'Roboto',
                fontSize: '0,875rem',
                fontWeight: '',
                margin: '0px',
                icon: '',
                iconSize: '1,875rem',
                iconColor: '#000000'
            })
        },
        factPrefixSettings: {
            type: Object,
            default: () => ({
                color: '#000000',
                font: 'Roboto',
                fontSize: '0,875rem',
                fontWeight: '',
                margin: '0px',
                icon: '',
                iconSize: '1,875rem',
                iconColor: '#000000'
            })
        },
        factPostfixSettings: {
            type: Object,
            default: () => ({
                color: '#000000',
                font: 'Roboto',
                fontSize: '0,875rem',
                fontWeight: '',
                margin: '0px',
                icon: '',
                iconSize: '1,875rem',
                iconColor: '#000000'
            })
        },
        heightSignConteiner: {
            type: String,
            default: ''
        },
        hasIgnorIndent: {
            type: Boolean,
            default: true
        },
        awaitVariableModeSettings: {
            type: Object,
            default: () => ({
                isAwaitVariableMode: false,
                variables: []
            })
        }
    },
    events: {
        [Events.UPDATE]: {
            listen: `eventUpdate`
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const createMetricConditionEntry = () => ({
    enabled: true,
    list: []
});
export const createMetricCondition = () => [
    {
        type: ConditionalValueType.METRIC,
        value: '',
        // eslint-disable-next-line id-length
        op: '>'
    },
    {}
];

export const meta = {
    descriptor,
    panels,
    slotNames: ['default'],
    cssVars
};
