import {
    Operation,
    NumberFormattingType,
    ConditionalValueType,
    Position,
    Alignment,
    NO_FORMATTING
} from '../constants';

export const ColorDirectionOptions = [
    { label: '↑', value: 'to top' },
    { label: '←', value: 'to left' },
    { label: '→', value: 'to right' },
    { label: '↓', value: 'to bottom' },
    { label: '↖', value: 'to top left' },
    { label: '↗', value: 'to top right' },
    { label: '↘', value: 'to bottom right' },
    { label: '↙', value: 'to bottom left' }
];

export const FormatterOptions = [
    { label: 'Без форматирования', value: NumberFormattingType.EXACT },
    { label: '1000', value: NumberFormattingType.NUM_INT },
    { label: '1000,1', value: NumberFormattingType.NUM_DECIMAL },
    { label: '1000,12', value: NumberFormattingType.NUM_HUNDRED },
    { label: '12%', value: NumberFormattingType.PERCENT_INT },
    { label: '12,3%', value: NumberFormattingType.PERCENT_DECIMAL },
    { label: '12,34%', value: NumberFormattingType.PERCENT_HUNDRED }
];

export const DigitCapacityOptions = [
    { label: 'Без форматирования', value: 'n' },
    { label: '10 000', value: '0' },
    { label: '10.000', value: '1' },
    { label: '10,000', value: '2' }
];

// eslint-disable-next-line no-restricted-syntax
export const MetricValueNumberType = [
    { label: 'Число', value: NumberFormattingType.EXACT },
    { label: '%', value: NumberFormattingType.EXACT_PERCENT }
];

export const ConditionalValueTypeOptions = [
    { label: 'Значение', value: ConditionalValueType.VALUE },
    { label: 'Метрика/измерение', value: ConditionalValueType.METRIC }
];

export const OperationOptions = Object.values(Operation).map(({ label, value }) => ({
    label,
    value
}));

export const FontUnits = ['rem', 'em', 'px', 'pt'];

export const TitlePositions = [
    { label: Position.TOP, value: Position.TOP },
    { label: Position.BOTTOM, value: Position.BOTTOM }
];

export const TitleAlignments = [
    { label: Alignment.LEFT, value: 'start' },
    { label: Alignment.CENTER, value: 'center' },
    { label: Alignment.RIGHT, value: 'end' }
];

export const SignatureAlignments = [
    { label: '-', value: NO_FORMATTING },
    { label: Alignment.LEFT, value: 'start' },
    { label: Alignment.CENTER, value: 'center' },
    { label: Alignment.RIGHT, value: 'end' }
];
