import { Dremio } from 'goodt-wcore';
const { Query } = Dremio;

export default {
    name: 'MetricsMixin',
    data() {
        return {
            metrics: []
        };
    },
    watch: {
        'props.dremio': {
            immediate: true,
            deep: true,
            handler() {
                const { dremio } = this.props;
                if (!dremio) {
                    return;
                }
                const { query } = dremio;

                const metrics = [...Query.queryMetricNames(query)];
                this.setDefaultValue(metrics);
                this.metrics = metrics;
            }
        }
    },
    methods: {
        setDefaultValue(metrics = []) {
            const { metricPropName } = this;
            if (this.props[metricPropName] !== '') {
                return;
            }

            this.props[metricPropName] = metrics[0];
            this.propChanged(metricPropName);
        }
    }
};
