const AXIS_TEMPLATE = () => ({
    typeAxis: 'x',
    showAxisName: false,
    silent: true,
    triggerEvent: false,
    id: 0,
    type: 'value',
    format: 'value',
    boundaryGap: [0, 0],
    hasGap: true,
    isFullPercentageScale: true,
    min: 0,
    max: null,
    minValue: 0,
    maxValue: 100,
    enableMax: false,
    name: 'name',
    show: true,
    position: 'left',
    axisSplitNum: null,
    inverse: false,
    scale: false,
    offset: 0,
    nameTextStyle: {
        color: 'transparent'
    },
    nameLocation: 'middle',
    nameGap: 20,
    nameRotate: 0,
    valueFontSize: 12,
    axisLabel: {
        show: true,
        breakLongValues: true,
        interval: 0,
        margin: 8,
        fontFamily: 'sans-serif',
        color: '#333333',
        backgroundColor: 'transparent',
        rotate: 0,
        formatter: null
    },
    axisLine: {
        show: true,
        lineStyle: {
            color: '#1f1e1e',
            type: 'solid',
            width: 2
        }
    },
    axisTick: {
        show: true
    },
    axisPointer: {
        show: false
    },
    splitLine: {
        show: true,
        lineStyle: {
            color: '#1f1e1e',
            type: 'dashed'
        }
    }
});

const LEGEND = {
    show: false,
    type: 'scroll',
    position: 'top',
    bottom: null,
    top: 0,
    left: 'center',
    padding: [5, 45, 5, 5],
    textStyle: {
        fontSize: 12,
        fontFamily: 'sans-serif',
        color: '#333'
    }
};

const MAIN_TITLE = {
    show: false,
    position: 'top',
    left: 'center',
    text: 'Widget',
    textStyle: {
        fontSize: 12,
        fontFamily: 'sans-serif',
        color: '#333'
    },
    backgroundColor: 'transparent'
};

const BACKGROUND_COLOR = {
    type: 'linear',
    x: 0,
    y: 0,
    x2: 0,
    y2: 1,
    colorStops: [
        {
            offset: 1,
            color: 'white'
        },
        {
            offset: 1,
            color: 'white'
        }
    ]
};

const STACK_TAG = 'stackSeries';

const DIMENSION_OPTIONS = {
    main: {
        name: '',
        format: 'string',
        sort: ''
    },
    minor: {
        name: '',
        format: 'string',
        sort: ''
    }
};

const AXIS_POINTER = () => ({
    show: false,
    type: 'line',
    value: 0,
    status: 'show',
    snap: true,
    handle: {
        show: true,
        size: 0
    },
    lineStyle: {
        color: '#BD014A',
        width: 1
    },
    label: {
        backgroundColor: '#777'
    },
    triggerTooltip: false,
    triggerOn: 'none'
});

const TEMPLATE_SERIES = {
    metricName: '',
    showDataSet: true,
    nullValues: false,
    dimensions: null,
    name: 'line',
    marker: '',
    customType: 'line',
    type: 'line',
    smooth: false,
    seriesLayoutBy: 'column',
    excess: {
        color: 'black',
        firstColor: '#50f547',
        secondColor: '#ddff45',
        firstOffSet: '0',
        secondOffSet: '1',
        gradPos: '0 0 0 1',
        gradient: false
    },
    lack: {
        color: 'black',
        firstColor: '#50f547',
        secondColor: '#ddff45',
        firstOffSet: '0',
        secondOffSet: '1',
        gradPos: '0 0 0 1',
        gradient: false
    },
    nameExcess: 'Избыток',
    nameLack: 'Недостаток',
    excessLackLabel: {
        show: true,
        color: '#333333',
        backgroundColor: 'transparent',
        fontFamily: 'sans-serif',
        fontSize: 12,
        position: 'top',
        formatter: null
    },
    xAxisIndex: 0,
    yAxisIndex: 0,
    z: 10,
    barWidth: '50',
    barMinHeight: 16,
    colorStep: 10,
    color: ['#FF0000'],
    customColors: [],
    metricFormat: '0',
    metricSeparator: '0',
    metricPrefix: '',
    metricPostfix: '',
    colorForBar: '#FF0000',
    barFirstColor: '#50f547',
    barSecondColor: '#ddff45',
    barFirstOffSet: '0',
    barSecondOffSet: '1',
    barPos: '0 0 0 1',
    gradientForBar: false,
    fillLine: false,
    origin: 'start',
    fillColor: 'red',
    gradient: false,
    firstColor: 'red',
    secondColor: 'red',
    offSetFirstColor: '0',
    offSetSecondColor: '1',
    colorPos: '0 0 0 1',
    colorForLine: '#FF0000',
    lineStyle: {
        type: 'solid',
        width: 2
    },
    areaStyle: null,
    itemStyle: {
        color: 'red'
    },
    stack: '',
    label: {
        show: true,
        color: '#333333',
        backgroundColor: 'transparent',
        fontFamily: 'sans-serif',
        fontSize: 12,
        position: 'top',
        distance: 5,
        formatter: null
    },
    tooltip: {
        formatter: null
    },
    animation: true,
    animationEasing: 'cubicOut',
    animationEasingUpdate: 'cubicOut',
    animationDuration: 1000,
    animationDurationUpdate: 1000,
    animationDelay: 0,
    animationDelayUpdate: 0,
    showSymbol: true,
    symbolSize: 4,
    symbolBdrWidth: 0,
    symbolBdrColor: '#000',
    connectNulls: true,
    data: [],
    uid: ''
};

const TEMPLATE_COMPARED_SERIES = {
    type: 'bar',
    name: '',
    xAxisIndex: 0,
    yAxisIndex: 0,
    z: 10,
    seriesLayoutBy: 'column',
    stack: STACK_TAG,
    metricFormat: '0',
    barMinHeight: 16,
    tooltip: {
        formatter: null
    },
    animation: true,
    animationEasing: 'cubicOut',
    animationEasingUpdate: 'cubicOut',
    animationDuration: 1000,
    animationDurationUpdate: 1000,
    animationDelay: 0,
    animationDelayUpdate: 0,
    showSymbol: true,
    data: []
};

export {
    AXIS_TEMPLATE,
    LEGEND,
    BACKGROUND_COLOR,
    MAIN_TITLE,
    AXIS_POINTER,
    DIMENSION_OPTIONS,
    TEMPLATE_SERIES,
    TEMPLATE_COMPARED_SERIES,
    STACK_TAG
};
