import { ApiClientMethod, BaseApiService, buildRequest } from '@goodt-common/api';

const ServiceAction = {
    POST_NOTIFICATION: {
        url: 'event/basenotification',
        options: { method: ApiClientMethod.POST }
    }
};

/**
 * ApiService class
 */
export class RostalentApiService extends BaseApiService {
    postBaseNotification({ code, parameters }) {
        const request = buildRequest({
            action: ServiceAction.POST_NOTIFICATION,
            params: {
                code,
                parameters
            }
        });

        return this.request(request);
    }
}
