import { useApiServiceMixin } from '@goodt-common/api';
import { RostalentApiService } from './RostalentApiService';

/**
 * Миксин для использования ApiService вместе с компонентом
 * @type {import('@goodt-common/api').IApiServiceMixinInstance}
 */
const RostalentApiServiceMixin = useApiServiceMixin(
    RostalentApiService,
    { apiBaseURL: 'props.rostalentApiUrl' },
    { name: 'rostalentApiService' }
);
/**
 * @type {{ apiService: import('./ApiService').ApiService }}
 */
export const RostalentApiServiceMixinTypeDescriptor = undefined;

export const ApiMixins = [RostalentApiServiceMixin];

export const ApiMixinsTypeDescriptor = {
    ...RostalentApiServiceMixinTypeDescriptor
};
