import { BaseViewModel } from '@goodt-common/layers';
import { NotificationCodes } from '../constants';

export class ViewModelDataBuilder extends BaseViewModel {
    _modelDataService;

    constructor(modelDataService) {
        super();
        this._modelDataService = modelDataService;
    }

    async sendBaseNotification({ code, parameter }) {
        let parameters = null;
        if (NotificationCodes.EVALUATION_EXPERT === Number(code)) {
            parameters = {
                task_id_to_evaluation_event_info: parameter
            };
        }
        if (NotificationCodes.EVALUATION_EMPLOYEE === Number(code)) {
            parameters = {
                evaluation_event_id_to_evaluation_event_info: parameter
            };
        }
        if (parameters == null) {
            return;
        }
        await this._modelDataService.sendBaseNotification({ code, parameters });
    }
}
