export const extractProfileFields = (userProfile) => {
    if (userProfile == null) {
        return {};
    }
    return Object.entries(userProfile).reduce((acc, [key, value]) => {
        if (typeof value === 'object' && !Array.isArray(value)) {
            return { ...acc, ...extractProfileFields(value) };
        }
        return typeof value !== 'object' || Array.isArray(value) ? { ...acc, [key]: value } : { ...acc };
    }, {});
};
