import panels from './panels';
import { DremioLinkPart } from './constants';

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        linkPart: {
            type: Object,
            default: () => new DremioLinkPart(),
            hasConst: true
        },
        appPart: {
            type: Object,
            default: () => new DremioLinkPart(),
            hasConst: true
        },
        queryParams: {
            type: Array,
            default: () => [],
            hasConst: true
        }
    }
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};

export default descriptor;
