import { COLS_AMOUNT_DEFAULT, FORMAT_DIGITS_DEFAULT, TRANSITION_DEFAULT } from './utils/constants';

export const Vars = {
    ORGUNIT_ID: 'orgunitID',
    SELECTED_REGIONS: 'selectedRegions',
    SELECTED_REGION: 'selectedRegion'
};

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default() {
                return null;
            }
        },
        drillDownActive: {
            type: Boolean,
            default: true
        },
        drillDownColsAmount: {
            type: Number,
            default: COLS_AMOUNT_DEFAULT
        },
        cityDimension: {
            type: String,
            default: ''
        },
        regionMetric: {
            type: String,
            default: ''
        },
        contentMetric: {
            type: String,
            default: ''
        },
        valueMetric: {
            type: String,
            default: ''
        },
        tooltipMetric: {
            type: String,
            default: ''
        },
        heatmapActive: {
            type: Boolean,
            default: false
        },
        heatmapActiveDefault: {
            type: Boolean,
            default: false
        },
        waveAnimation: {
            type: Boolean,
            default: true
        },
        noDataShow: {
            type: Boolean,
            default: false
        },
        showNoData: {
            type: Boolean,
            default: false
        },
        legendType: {
            type: Number,
            default: 0
        },
        legendTypes: {
            type: Array,
            default: [
                { value: 0, label: 'Обычная' },
                { value: 1, label: 'С кнопками' },
                // eslint-disable-next-line no-magic-numbers
                { value: 2, label: 'Градиентная' }
            ]
        },
        showLegend: {
            type: Boolean,
            default: true
        },
        advancedTooltip: {
            type: Boolean,
            default: false
        },
        waveAnimationSpeed: {
            type: Number,
            default: TRANSITION_DEFAULT
        },
        transitionSpeed: {
            type: Number,
            default: TRANSITION_DEFAULT
        },
        svgWrapperPaddingY: {
            type: String,
            default: '45px'
        },
        svgWrapperPaddingX: {
            type: String,
            default: '0px'
        },
        heatmapSortType: {
            type: Boolean,
            default: true
        },
        heatmapColsAmount: {
            type: Number,
            default: COLS_AMOUNT_DEFAULT
        },
        heatmapBtnSize: {
            type: String,
            default: '45px'
        },
        heatmapBtnY: {
            type: String,
            default: '0px'
        },
        heatmapBtnX: {
            type: String,
            default: '10px'
        },
        heatmapBtnColor: {
            type: String,
            default: 'rgba(255, 255, 255, 1)'
        },
        heatmapBtnIconColor: {
            type: String,
            default: 'rgba(0, 0, 0, 1)'
        },
        heatmapBtnIconUrlIn: {
            type: String,
            default: 'mdi-map'
        },
        heatmapBtnIconUrlOut: {
            type: String,
            default: 'mdi-periodic-table'
        },
        currentTypeOfMetric: {
            type: String,
            default: null
        },
        typesOfMetrics: {
            type: Array,
            default: []
        },
        selectedRegion: {
            type: String,
            default: null
        },
        selectedRegionStyles: {
            type: String,
            default: ''
        },
        selectedRegions: {
            type: Array,
            default: []
        },
        url: {
            type: String,
            default: '../assets/map.svg'
        },
        navigateUrl: {
            type: String,
            default: ''
        },
        navigateUrlParamName: {
            type: String,
            default: ''
        },
        colorLines: {
            type: String,
            default: 'rgba(75, 0, 255, 1)'
        },
        tooltipBackgroundColor: {
            type: String,
            default: '#000000'
        },
        tooltipTextColor: {
            type: String,
            default: '#FFFFFF'
        },
        tooltipTextSize: {
            type: String,
            default: '0.8rem'
        },
        cellTextSize: {
            type: String,
            default: '0.8rem'
        },
        cellTextColor: {
            type: String,
            default: '#000000'
        },
        defaultFill: {
            type: String,
            default: '#FFFFFF'
        },
        fills: {
            type: Array,
            default: () => [{ from: 0, to: 1, color: '#ffffff', text: '' }]
        },
        fillsTextsSize: {
            type: String,
            default: '1.0rem'
        },
        fillsTextsColor: {
            type: String,
            default: '#000000'
        },
        fillsAmountTextsSize: {
            type: String,
            default: '1.0rem'
        },
        fillsAmountTextsColor: {
            type: String,
            default: '#000000'
        },
        noDataText: {
            type: Array,
            default: () => [{ text: 'н/д' }]
        },
        legendPosition: {
            type: String,
            default: 'top'
        },
        legendWidthGradient: {
            type: String,
            default: '100px'
        },
        legendXGradient: {
            type: String,
            default: '0px'
        },
        legendYGradient: {
            type: String,
            default: '0px'
        },
        legendFormatPrefix: {
            type: String,
            default: ''
        },
        legendFormatPostfix: {
            type: String,
            default: ''
        },
        legendHeader: {
            type: String,
            default: ''
        },
        tooltipFormatUseGrouping: {
            type: Boolean,
            default: true
        },
        tooltipFormatPrefix: {
            type: String,
            default: ''
        },
        tooltipFormatPostfix: {
            type: String,
            default: ''
        },
        tooltipFormatMaxFractionDigits: {
            type: Number,
            default: FORMAT_DIGITS_DEFAULT
        },
        tooltipNoData: {
            type: String,
            default: ''
        },
        gradientColorUse: {
            type: Boolean,
            default: false
        },
        gradientUseConditionViaMetrics: {
            type: Boolean,
            default: false
        },
        gradientColorMax: {
            type: String,
            default: '#FFFFFF'
        },
        gradientColorMin: {
            type: String,
            default: '#FFFFFF'
        },
        gradientValueMax: {
            type: String,
            default: ''
        },
        gradientValueMin: {
            type: String,
            default: ''
        },
        gradientSmoothing: {
            type: String,
            default: '1'
        },
        advancedBackground: {
            type: String,
            default: '#0E1D38'
        },
        advancedHeaderFontSize: {
            type: String,
            default: '12px'
        },
        advancedHeaderFontSizeUnit: {
            type: String,
            default: 'em'
        },
        advancedHeaderBackground: {
            type: String,
            default: '#FFFFFF'
        },
        descriptionFontSize: {
            type: String,
            default: '12px'
        },
        descriptionFontSizeUnit: {
            type: String,
            default: 'em'
        },
        descriptionBackground: {
            type: String,
            default: '#FFFFFF'
        },
        metricFontSize: {
            type: String,
            default: '12px'
        },
        metricFontSizeUnit: {
            type: String,
            default: 'em'
        },
        metricBackground: {
            type: String,
            default: '#FFFFFF'
        },
        mediumTimeMetric: {
            type: Object,
            default() {
                return {
                    value: '',
                    prefix: '',
                    postfix: '',
                    description: 'Метрика среднее время:'
                };
            }
        },
        maxTimeMetric: {
            type: Object,
            default() {
                return {
                    value: '',
                    prefix: '',
                    postfix: '',
                    description: 'Метрика максимально время:'
                };
            }
        },
        mediumTimeCallMetric: {
            type: Object,
            default() {
                return {
                    value: '',
                    prefix: '',
                    postfix: '',
                    description: 'Метрика среднее время разговора:'
                };
            }
        },
        countCallMetric: {
            type: Object,
            default() {
                return {
                    value: '',
                    prefix: '',
                    postfix: '',
                    description: 'Метрика кол-во звонков (день):'
                };
            }
        },
        noCallMetric: {
            type: Object,
            default() {
                return {
                    value: '',
                    prefix: '',
                    postfix: '',
                    description: 'Метрика не отвеченные вызовы (доля):'
                };
            }
        },
        headerTooltipMetric: {
            type: String
        },
        metricAdvancedNoData: {
            type: String
        },
        gradientTitleMax: {
            type: String,
            default: ''
        },
        gradientTitleMin: {
            type: String,
            default: ''
        }
    },
    vars: Object.values(Vars).reduce((acc, val) => {
        acc[val] = { description: val };
        return acc;
    }, {})
});
