/* eslint-disable no-bitwise */
/* eslint-disable id-length */
export default {
    methods: {
        hexToRGB(hex, alpha) {
            const r = parseInt(hex.slice(1, 3), 16);
            const g = parseInt(hex.slice(3, 5), 16);
            const b = parseInt(hex.slice(5, 7), 16);
            let result = null;
            result = alpha ? `rgb(${r}, ${g}, ${b}, ${alpha})` : `rgb(${r}, ${g}, ${b})`;
            return result;
        },
        rgbaToHex(rgb) {
            const rgbMatched = rgb.match(/^rgba?[\s+]?\([\s+]?(\d+)[\s+]?,[\s+]?(\d+)[\s+]?,[\s+]?(\d+)[\s+]?/i);
            return rgbMatched && rgbMatched.length === 4
                ? `#${(parseInt(rgbMatched[1], 10) | (1 << 8)).toString(16).slice(1)}` +
                      `${(parseInt(rgbMatched[2], 10) | (1 << 8)).toString(16).slice(1)}` +
                      `${(parseInt(rgbMatched[3], 10) | (1 << 8)).toString(16).slice(1)}`
                : '';
        },
        generateGradient(min, max, uniques) {
            function hex(c) {
                const str = '0123456789abcdef';
                // eslint-disable-next-line
                let ii = parseInt(c);
                if (ii === 0 || Number.isNaN(c)) {
                    return '00';
                }
                ii = Math.round(Math.min(Math.max(0, ii), 255));
                return str.charAt((ii - (ii % 16)) / 16) + str.charAt(ii % 16);
            }
            function convertToHex(rgb) {
                return hex(rgb[0]) + hex(rgb[1]) + hex(rgb[2]);
            }
            function trim(s) {
                return s.charAt(0) === '#' ? s.substring(1, 7) : s;
            }
            function convertToRGB(hexval) {
                const colors = [];
                colors[0] = parseInt(trim(hexval).substring(0, 2), 16);
                colors[1] = parseInt(trim(hexval).substring(2, 4), 16);
                colors[2] = parseInt(trim(hexval).substring(4, 6), 16);
                return colors;
            }
            function generateColor(colorStart, colorEnd, colorCount) {
                const start = convertToRGB(colorStart);
                const end = convertToRGB(colorEnd);
                const len = colorCount;
                let alpha = 0.0;
                const saidas = [];
                for (let i = 0; i < len; i++) {
                    const cols = [];
                    alpha += 1.0 / len;
                    cols[0] = start[0] * alpha + (1 - alpha) * end[0];
                    cols[1] = start[1] * alpha + (1 - alpha) * end[1];
                    cols[2] = start[2] * alpha + (1 - alpha) * end[2];
                    saidas.push(convertToHex(cols));
                }
                return saidas;
            }
            return generateColor(min, max, uniques);
        },
        isNumber(value) {
            const val = value.replace(/[\s.,%]/g, '');
            // eslint-disable-next-line no-restricted-globals
            return isNaN(val);
        }
    }
};
