/* eslint-disable no-restricted-syntax */
import panels from './panels';
import { cssVars } from './css-vars';

export const Vars = {
    ORGUNIT_ID: 'orgunitID',
    ORGUNIT_SELECT: 'orgunit-select'
};

export const Events = Object.freeze({
    UPDATE: 'update'
});

const descriptor = () => ({
    props: {
        dremio: {
            type: Array,
            default() {
                return [];
            }
        },
        metricDynamicColor: {
            type: Boolean,
            default: true
        },
        benchDynamicColor: {
            type: Boolean,
            default: false
        },
        varForListen: {
            type: String,
            default: ''
        },
        typeDynamicColor: {
            type: String,
            default: 'standard'
        },
        benchTypeDynamicColor: {
            type: String,
            default: 'standard'
        },
        metricDigitCapacity: {
            type: String,
            default: '0'
        },
        benchDigitCapacity: {
            type: String,
            default: '0'
        },
        metricPositiveColor: {
            type: String,
            default: '#000000'
        },
        benchPositiveColor: {
            type: String,
            default: '#000000'
        },
        metricNegativeColor: {
            type: String,
            default: '#000000'
        },
        benchNegativeColor: {
            type: String,
            default: '#000000'
        },
        preFix: {
            type: String,
            default: ''
        },
        postFix: {
            type: String,
            default: ''
        },
        selectedMetric: {
            type: String,
            default: ''
        },
        selectedBench: {
            type: String,
            default: ''
        },
        metrics: {
            type: Array,
            default() {
                return [];
            }
        },
        type: {
            type: String,
            default: 'metric'
        },
        dimensions: {
            type: Array,
            default() {
                return [];
            }
        },
        selectedDimension: {
            type: String,
            default: ''
        },
        showBench: {
            default: false,
            type: Boolean
        },
        colorMetric: {
            default: '#000000',
            type: String
        },
        colorBench: {
            default: '#000000',
            type: String
        },
        fontMetric: {
            default: 'Roboto, sans-serif',
            type: String
        },
        fontBench: {
            default: 'Roboto, sans-serif',
            type: String
        },
        sizeMetric: {
            default: 1.5,
            type: Number
        },
        sizeBench: {
            default: 1.125,
            type: Number
        },
        sizeUnitMetric: {
            default: 'rem',
            type: String
        },
        sizeUnitBench: {
            default: 'rem',
            type: String
        },
        benchmarkFontWeight: {
            type: String
        },
        positionMetric: {
            default: 'left',
            type: String
        },
        showCard: {
            default: false,
            type: Boolean
        },
        showTitle: {
            default: false,
            type: Boolean
        },
        colorTitle: {
            default: '',
            type: String
        },
        fontTitle: {
            default: 'Roboto, sans-serif',
            type: String
        },
        sizeTitle: {
            default: 1,
            type: Number
        },
        sizeUnitTitle: {
            default: 'rem',
            type: String
        },
        textTitle: {
            default: '',
            type: String
        },
        backgroundGrad: {
            type: Boolean,
            default: false
        },
        backgroundSimpleColor: {
            type: String,
            default: '#ffffff'
        },
        backgroundGradColor1: {
            type: String,
            default: '#ffffff'
        },
        backgroundGradColor2: {
            type: String,
            default: '#ffffff'
        },
        backgroundGradPos: {
            type: String,
            default: 'to top'
        },
        showHint: {
            default: false,
            type: Boolean
        },
        textHint: {
            default: '',
            type: String
        },
        colorHint: {
            type: String,
            default: '#000000'
        },
        width: {
            type: String,
            default: ''
        },
        widthUnit: {
            type: String,
            default: ''
        },
        height: {
            type: String,
            default: '100'
        },
        heightUnit: {
            type: String,
            default: '%'
        },
        metricFormatter: {
            type: String,
            default: 'n'
        },
        formatter: {
            type: String,
            default: 'str'
        },
        formatterBench: {
            type: String,
            default: 'n'
        },
        positionBench: {
            type: String,
            default: 'bottom'
        },
        posRelBench: {
            type: String,
            default: 'flex-start'
        },
        posCenterMetric: {
            type: Boolean,
            default: false
        },
        cnpMode: {
            type: Boolean,
            default: false
        },
        colorHintText: {
            type: String,
            default: '#FFFFFF'
        },
        sizeHint: {
            type: Number,
            default: 0.875
        },
        sizeUnitHint: {
            type: String,
            default: 'rem'
        },
        sizeIcon: {
            type: Number,
            default: 0.875
        },
        sizeUnitIcon: {
            type: String,
            default: 'rem'
        },
        sizeWidthHint: {
            type: Number,
            default: 300
        },
        sizeUnitWidthHint: {
            type: String,
            default: 'px'
        },
        sizeMarginLeft: {
            type: Number,
            default: 1
        },
        sizeUnitMarginLeft: {
            type: String,
            default: 'px'
        },
        turnPadding: {
            type: Boolean,
            default: false
        },
        defaultDisabled: {
            type: Boolean,
            default: false
        },
        defaultDisabledPlaceholder: {
            type: String,
            default: ''
        },
        conditionMetricStyle: {
            type: Object,
            default() {
                return { type: null, value: '', style: [] };
            }
        },
        conditionBenchStyle: {
            type: Object,
            default() {
                return { type: null, value: '', style: [] };
            }
        },
        defaultValueFontSize: {
            type: Number,
            default: 0.875
        },
        defaultValueFontSizeUnit: {
            type: String,
            default: 'rem'
        },
        defaultValueColor: {
            type: String,
            default: '#000000'
        },
        prefixColor: {
            type: String,
            default: '#000000'
        },
        prefixFont: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        prefixFontSize: {
            type: Number,
            default: 0.875
        },
        prefixFontSizeUnit: {
            type: String,
            default: 'rem'
        },
        prefixIcon: {
            type: String,
            default: ''
        },
        prefixIconColor: {
            type: String,
            default: '#000000'
        },
        prefixIconFontSize: {
            type: Number,
            default: 0.875
        },
        prefixIconFontSizeUnit: {
            type: String,
            default: 'rem'
        },
        postfixColor: {
            type: String,
            default: '#000000'
        },
        postfixFont: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        postfixFontSize: {
            type: Number,
            default: 0.875
        },
        postfixFontSizeUnit: {
            type: String,
            default: 'rem'
        },
        enablePlaceHolder: {
            type: Boolean,
            default: false
        },
        textPlaceHolder: {
            type: String,
            default: ''
        },
        typeBenchData: {
            type: String,
            default: 'metric'
        },
        selectedBenchDimension: {
            type: String,
            default: ''
        },
        benchPreFix: {
            type: String,
            default: ''
        },
        benchPostFix: {
            type: String,
            default: ''
        },
        benchPrefixColor: {
            type: String,
            default: '#000000'
        },
        benchPrefixFont: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        benchPrefixFontSize: {
            type: String,
            default: '0.875rem'
        },
        benchPostfixColor: {
            type: String,
            default: '#000000'
        },
        benchPostfixFont: {
            type: String,
            default: 'Roboto, sans-serif'
        },
        benchPostfixFontSize: {
            type: String,
            default: '0.875rem'
        },
        benchPrefixIcon: {
            type: String,
            default: ''
        },
        benchPrefixIconColor: {
            type: String,
            default: '#000000'
        },
        benchPrefixIconFontSize: {
            type: String,
            default: '0.875rem'
        },
        prefixFontWeight: {
            type: String,
            default: 'normal'
        },
        postfixFontWeight: {
            type: String,
            default: 'normal'
        },
        benchPrefixFontWeight: {
            type: String,
            default: 'normal'
        },
        benchPostfixFontWeight: {
            type: String,
            default: 'normal'
        },
        isMetricNumber: {
            type: Boolean,
            default: true
        },
        showNumberAnimation: {
            type: Boolean,
            default: false
        },
        numberAnimationDigits: {
            type: String,
            default: '3'
        },
        showEditorNumberAnimation: {
            type: Boolean,
            default: false
        },
        numberAnimationDelay: {
            type: Number,
            default: 100
        },
        conditionPrefixIconStyle: {
            type: Object,
            default() {
                return { enable: false, type: null, value: '', style: [] };
            }
        },
        isViewModeAbsolute: {
            type: Boolean,
            default: true
        },
        prefixRightMargin: {
            type: String,
            default: '0px'
        },
        postfixLeftMargin: {
            type: String,
            default: '0px'
        },
        benchPrefixRightMargin: {
            type: String,
            default: '0px'
        },
        benchPostfixLeftMargin: {
            type: String,
            default: '0px'
        },
        metricFontWeight: {
            type: String,
            default: 'normal'
        },
        titleFontWeight: {
            type: String,
            default: 'normal'
        },
        indicatorMetricIcon: {
            type: Object,
            default: () => ({
                isVisible: false,
                metricValue: null,
                targetSource: null,
                direction: 'row',
                iconDown: {
                    name: 'menu-down',
                    fontSize: '14px',
                    color: '#000'
                },
                iconUp: {
                    name: 'menu-up',
                    fontSize: '14px',
                    color: '#000'
                }
            })
        },
        metricIconRules: {
            type: Object,
            default: () => ({
                shouldUseRules: false,
                fontSize: '14px',
                rules: []
            })
        },
        benchmarkIconRules: {
            type: Object,
            default: () => ({
                shouldUseRules: false,
                fontSize: '14px',
                rules: []
            })
        },
        indicatorBenchmarkIcon: {
            type: Object,
            default: () => ({
                isVisible: false,
                metricValue: null,
                targetSource: null,
                direction: 'row',
                iconDown: {
                    name: 'menu-down',
                    fontSize: '14px',
                    color: '#000'
                },
                iconUp: {
                    name: 'menu-up',
                    fontSize: '14px',
                    color: '#000'
                }
            })
        },
        isRoundValue: {
            type: Boolean,
            default: false
        },
        isAwaitVariableMode: {
            type: Boolean,
            default: false
        },
        awaitVariableModeSettings: {
            type: Object,
            default: () => ({
                variables: []
            })
        }
    },
    events: {
        [Events.UPDATE]: {
            listen: `varForListen`
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    cssVars,
    isChildAllowed: false,
    slotNames: []
};
