import { Dremio } from 'goodt-wcore';

const { Query } = Dremio;

export default {
    methods: {
        /**
         * @param {string} pathSize
         * @param {string} pathUnits
         * @param {string} _
         * @param {{value: string|number, unit: string}} model
         */
        setFontSize(pathSize, pathUnits, _, { value, unit }) {
            this.props[pathSize] = value;
            this.props[pathUnits] = unit;
            this.propChanged([pathSize, pathUnits]);
        },
        updateMetricNames() {
            this.metricNames = this.metrics.map((metric) => Query.getMetricName(metric));
        },
        updateDimensionNames() {
            this.dimensionNames = this.dimensions;
        },
        getQueryName(query) {
            const from = query[Query.KEY.FROM];
            return from[from.length - 1];
        },
        dimensionsMetricsByDataset(index) {
            const { dremio } = this.props;

            if (index == null || dremio.length === 0) {
                return [{ value: null, label: '-' }];
            }

            return [
                { value: null, label: '-' },
                ...Query.queryMetricNames(dremio[index].query).map((value) => ({
                    label: value,
                    value
                })),
                ...Object.keys(dremio[index].dimensionList)
            ];
        }
    }
}
