/* eslint-disable no-restricted-syntax */
/* eslint-disable id-length */
export const MetricRoleTypes = Object.freeze({
    ID: 'id',
    PARENT_ID: 'parentId',
    IMAGE_URL: 'imageUrl',
    IMAGE_TITLE: 'imageTitle',
    TITLE: 'title',
    METRIC: 'metric',
    CHILD_COUNT: 'childCount'
});

export const ControlActionId = Object.freeze({
    ZOOM_IN: 'zoomIn',
    ZOOM_OUT: 'zoomOut',
    SHOW_ALL: 'showAll',
    SHOW_SELF: 'showSelf',
    SHOW_PATH: 'showPath',
    SHOW_PATH_SEARCH: 'showPathSearch',
    ROTATE: 'rotate',
    CLEAN: 'clean',
    CENTER: 'center'
});

export const NodeEvent = Object.freeze({
    TOGGLE: 'node-toggle',
    SELECT: 'node-select'
});

export const Vector = Object.freeze({
    LAST: 'last',
    FIRST: 'first',
    RIGHT: 'right',
    LEFT: 'left',
    CENTER: 'center'
});

export const PanZoomOptions = Object.freeze({
    autocenter: true,
    bounds: false,
    smoothScroll: false,
    maxZoom: 2,
    minZoom: 0.1
});

export const ConnectorOptions = Object.freeze([
    'Flowchart',
    {
        alwaysRespectStubs: true,
        cornerRadius: 20,
        midpoint: 0.2,
        stub: [10, 15]
    }
]);

export const DataTreeNode = Object.freeze({
    ID: 'data-id',
    TREE_ID: 'data-tree-id',
    TREE_SHADOW_ID: 'data-tree-shadow'
});

export const Position = Object.freeze({
    LEFT: 'Left',
    TOP: 'Top',
    RIGHT: 'Right',
    BOTTOM: 'Bottom'
});

export const PositionVector = Object.freeze({
    HORIZONTAL: [Position.LEFT, Position.RIGHT],
    VERTICAL: [Position.BOTTOM, Position.TOP]
});

export const DEFAULT_BALANCE_Y_AXIOS = 100;
export const DEFAULT_ZOOM_CARD = 2;
export const MAX_LENGTH_NAME = 30;
export const MAX_LENGTH_CHILD = 5;
export const DATA_TREE_ID_NAME = 'data-tree-id';
export const MESSAGE_EMPLOYEE_NOT_FOUND = 'Не найдено';
export const ELLIPSIS = '...';
export const ROOT = 'root';
