import { Dremio } from 'goodt-wcore';
import cloneDeep from 'lodash/cloneDeep';

const { Query } = Dremio;

export const mixin = {
    data: () => ({
        addlQueryHelper: null
    }),
    computed: {
        /**
         * @return {?string}
         */
        addlDremioStr() {
            try {
                return JSON.stringify(this.props.additionalDremio);
            } catch {
                return null;
            }
        }
    },
    methods: {
        addlDremioHandler() {
            const { additionalDremio } = this.props;
            if (additionalDremio == null) {
                return;
            }
            const { tree } = this;
            tree.queryHelperAdditional = new Query(cloneDeep(additionalDremio));
        }
    }
};

export default mixin;
