import { MetricRoleTypes } from '../constants';

export const MetricRoleOptions = [
    { label: 'ID карточки', value: MetricRoleTypes.ID },
    { label: 'ID родительской карточки', value: MetricRoleTypes.PARENT_ID },
    { label: 'Аватар', value: MetricRoleTypes.IMAGE_URL },
    { label: 'Подпись аватара', value: MetricRoleTypes.IMAGE_TITLE },
    { label: 'Заголовок', value: MetricRoleTypes.TITLE },
    { label: 'Метрика', value: MetricRoleTypes.METRIC },
    { label: 'Кол-во дочерних элементов', value: MetricRoleTypes.CHILD_COUNT }
];

export const FlexDirectionOptions = [
    { value: '', label: 'Слева' },
    { value: 'row-reverse', label: 'Справа' }
];

export const DigitGroupSeparatorOptions = [
    { value: '0', label: '10000' },
    { value: 'ru-RU', label: '10 000' },
    { value: 'de-DE', label: '10.000' },
    { value: 'en-AU', label: '10,000' }
];

export const DefaultDynamicMetrics = {
    prefix: null,
    postfix: null,
    value: null,
    role: null,
    separator: '0',
    format: null,
    metricLength: null,
    width: '100%',
    icon: {
        name: '',
        color: '#000',
        'font-size': '14px'
    },
    style: {
        'font-size': '16px',
        'font-weight': 'normal',
        'font-style': 'normal',
        color: '#000'
    },
    stylePrefix: {
        'font-size': '16px',
        'font-weight': 'bold',
        'font-style': 'normal',
        color: '#000'
    },
    stylePostfix: {
        'font-size': '16px',
        'font-weight': 'bold',
        'font-style': 'normal',
        color: '#000'
    }
};

export const DigitFractionFormatOptions = [
    { value: '0', label: '1000' },
    { value: '1', label: '1000,1' },
    { value: '2', label: '1000,12' },
    { value: '0%', label: '12%' },
    { value: '1%', label: '12,3%' },
    { value: '2%', label: '12,34%' }
];

export const GradDirectionOptions = [
    { value: '0deg', label: '↑' },
    { value: '270deg', label: '←' },
    { value: '90deg', label: '→' },
    { value: '180deg', label: '↓' },
    { value: '315deg', label: '↖' },
    { value: '45deg', label: '↗' },
    { value: '135deg', label: '↘' },
    { value: '225deg', label: '↙' }
];

export const HintMessages = {
    [MetricRoleTypes.ID]: 'Одна из основных ролей для формирования дерева, использующая ID каждой карточки.',
    [MetricRoleTypes.PARENT_ID]:
        'Одна из основных ролей для формирования дерева, использующая ID каждой карточки, которая является родителем.',
    [MetricRoleTypes.IMAGE_URL]: 'Отображает фото в качестве аватара для каждой карточки.',
    [MetricRoleTypes.IMAGE_TITLE]:
        'При отсутствии аватара отображает на его месте первые буквы выбранного измерения/метрики в качестве инициалов.',
    [MetricRoleTypes.TITLE]: 'Отображает выбранный параметр источника как заголовок карточки.',
    [MetricRoleTypes.METRIC]: 'Вывод дополнительной информации на карточках с помощью метрики.',
    [MetricRoleTypes.CHILD_COUNT]:
        'В соответствии со значениями из источника задает количество уровней раскрытия для карточек и скрывает стрелки раскрытия при отсутствии дальнейших уровней у карточки.'
};
