import { cloneDeep as _cloneDeep } from 'lodash';
import {
    LegendManualSizeTemplate,
    BreakpointsTemplate,
    Background,
    Legend,
    Metrics,
    Tile,
    Tooltip,
    toolboxOptionsFactory
} from './utils/constants';
import { cssVars } from './css-vars';
import panels from './panels';

const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default() {
                return null;
            }
        },
        selectedDimension: {
            type: String,
            default: ''
        },
        dimensionSort: {
            type: String,
            default: ''
        },
        metrics: {
            type: Object,
            default: () => _cloneDeep(Metrics)
        },
        isUsedSumSmartPosition: {
            type: Boolean,
            default: false
        },
        isUsedColorSet: {
            type: Boolean,
            default: true
        },
        isUsedCustomColors: {
            type: Boolean,
            default: true
        },
        indexColors: {
            type: Array,
            default: () => []
        },
        colorSet: {
            type: Array,
            default: () => []
        },
        // Глобальные настройки виджета
        title: {
            type: Object,
            default: () => _cloneDeep(Tile)
        },
        legend: {
            type: Object,
            default: () => _cloneDeep(Legend)
        },
        background: {
            type: Object,
            default: () => _cloneDeep(Background)
        },
        tooltip: {
            type: Object,
            default: () => _cloneDeep(Tooltip)
        },
        toolbox: {
          type: Object,
          default: toolboxOptionsFactory
        },
        legendManualSize: {
            type: Object,
            default: () => LegendManualSizeTemplate()
        },
        width: {
            type: String,
            default: '300'
        },
        widthUnit: {
            type: String,
            default: 'px'
        },
        height: {
            type: String,
            default: '150'
        },
        heightUnit: {
            type: String,
            default: 'px'
        },
        breakpoints: {
            type: Object,
            default: () => BreakpointsTemplate()
        }
    }
});

export const meta = {
    descriptor,
    cssVars,
    panels,
    isChildAllowed: false
};
