export const migrate = ({
    legend: { fontSize: legendFontSize, ...legend },
    metrics: {
        label: {
            value: { fontSize: metricsLabelValueFontSize, ...metricsLabelValue },
            dimension: { fontSize: metricsLabelDimensionFontSize, ...metricsLabelDimension },
            ...metricsLabel
        },
        tooltip: { fontSize: metricsTooltipFontSize, ...metricsTooltip },
        ...metrics
    },
    ...options
}) => ({
    ...options,
    metrics: {
        ...metrics,
        label: {
            ...metricsLabel,
            value: {
                ...metricsLabelValue,
                fontSize: `${metricsLabelValueFontSize}`
            },
            dimension: {
                ...metricsLabelDimension,
                fontSize: `${metricsLabelValueFontSize}`
            }
        },
        tooltip: {
            ...metricsTooltip,
            fontSize: `${metricsTooltipFontSize}`
        }
    },
    legend: {
        ...legend,
        fontSize: `${legendFontSize}`
    }
});
