/* eslint-disable no-magic-numbers */
import { NumberFormat, NumberFormatPattern } from '@goodt-common/utils-number';
export const DRAG_ANIMATION_TIME = 500;
export const FILTER_HEIGHT = 40;
export const FILTER_SCROLLER_ITEMS_COUNT = 5;

export const { DIGITS_MAX: NUMBER_FORMAT_DIGITS_MAX, Modifier: NumberFormatPatternModifierKeys } = NumberFormatPattern;
export const { Type: NumberFormatTypeKeys } = NumberFormat;

export const FieldsPopupDraggableGroupNames = {
    DIMENSIONS: 'dimensions',
    FIELDS: 'fields',
    FILTERS: 'filters',
    METRICS: 'metrics'
};
export const HorizontalAligns = {
    TOP: 'top',
    BOTTOM: 'bottom',
    CENTER: 'center'
};

export const VerticalAligns = {
    RIGHT: 'right',
    LEFT: 'left',
    CENTER: 'center'
};

export const AggregateMethodsKeys = {
    VALUE: 'value',
    AVG: 'avg',
    COUNT: 'count',
    MAX: 'max',
    MIN: 'min',
    SUM: 'sum',
    GROUP_CONCAT: 'group_concat',
    GROUP_CONCAT_UNIQ: 'group_concat_uniq'
};

export const CellsTypes = {
    CELL: 'cell',
    TOTAL_CELL: 'total_cell',
    TOTAL_COLUMN: 'total_title',
    TOTAL_ROW: 'total_row',
    TOTAL_VALUE_TITLE: 'total_value_title',
    ROW: 'row',
    COLUMN: 'column',
    VALUE: 'value',
    TITLE: 'title',
    ROW_TITLE: 'row_title',
    VALUE_TITLE: 'value_title',
    SPACE: 'space',
    TOTAL_SPACE: 'total_space',
    COLUMN_INDEX: 'col_index',
    ROW_INDEX: 'row_index',
    ZERO_INDEX: 'zero_index'
};

export const MdiDropdownClasses = {
    ASC: 'mdi-sort-alphabetical-ascending',
    DESC: 'mdi-sort-alphabetical-descending',
    DOWN: 'mdi-menu-down',
    TOP: 'mdi-menu-right'
};
export const VerticalAlignsOptionsIcons = {
    [VerticalAligns.LEFT]: 'mdi-format-align-left',
    [VerticalAligns.CENTER]: 'mdi-format-align-center',
    [VerticalAligns.RIGHT]: 'mdi-format-align-right'
};
export const TotalPositions = {
    START: 'start',
    END: 'end'
};

export const PopupSettings = {
    modal: false,
    fullscreen: false,
    usePadding: false,
    showCloseButton: false,
    dialog: {
        class: {},
        style: {
            width: '944px'
        }
    }
};
export const FormatPopupSettings = {
    modal: false,
    fullscreen: false,
    usePadding: false,
    showCloseButton: false,
    dialog: {
        class: {},
        style: {
            width: '648px'
        }
    }
};
export const SettingsPopupSettings = {
    modal: false,
    fullscreen: false,
    usePadding: false,
    showCloseButton: false,
    dialog: {
        class: {},
        style: {
            width: '312px'
        }
    }
};
export const createTitleCellSettings = ({
    fontSize = '1rem',
    fontFamily = '',
    fontWeight = '400',
    color = '',
    verticalAlign = VerticalAligns.LEFT,
    horizontalAlign = HorizontalAligns.CENTER
}) => ({
    fontSize,
    fontFamily,
    fontWeight,
    color,
    verticalAlign,
    horizontalAlign
});

export const createCellSettings = ({
    dataAlias = '',
    title = '',
    fontSize = '1rem',
    fontFamily = '',
    fontWeight = '400',
    format = '',
    color = '',
    sortDesc = false,
    height = 48,
    width = '150px',
    titleSettings = {},
    filters = {},
    verticalAlign = VerticalAligns.LEFT,
    horizontalAlign = HorizontalAligns.CENTER,
    aggregate = AggregateMethodsKeys.SUM
} = {}) => ({
    width,
    sortDesc,
    height,
    dataAlias,
    title,
    fontSize,
    fontFamily,
    fontWeight,
    format,
    color,
    filters,
    verticalAlign,
    horizontalAlign,
    titleSettings: createTitleCellSettings(titleSettings),
    aggregate
});
