export const calcArraySum = (values) => values.reduce((acc, val) => Number(acc) + Number(val), 0);
export const calcArrayAvg = (values) => values.reduce((acc, val) => Number(acc) + Number(val), 0) / values.length;
export const findArrayMax = (values) => values.reduce((a, b) => Math.max(a, b), -Infinity);
export const findArrayMin = (values) => values.reduce((a, b) => Math.min(a, b), Infinity);
export const groupConcatUniq = (values, separator = ', ') =>
    values
        .reduce((acc, val) => {
            if (!acc.includes(val)) {
                acc.push(val);
            }
            return acc;
        }, [])
        .join(separator);
export function uniqArray(values) {
    return values.reduce((acc, val) => {
        if (!acc.includes(val)) {
            acc.push(val);
        }
        return acc;
    }, []);
}

export function createMemoization(func) {
    const cache = new Map();
    const oldArgs = [];
    return function (...args) {
        const oldArgsIndex = oldArgs.findIndex((oldArgsData) =>
            oldArgsData.every((oldArg, index) => oldArg === args?.[index])
        );
        if (oldArgsIndex !== -1) {
            return cache.get(oldArgsIndex);
        }
        oldArgs.push(args);
        cache.set(oldArgs.length - 1, func(...args));
        return cache.get(oldArgs.length - 1);
    };
}
