import { runWorker } from './worker';

function generateHtmlTable({ data }) {
    const createTable = (value) => {
        return `<table>${value}</table>`;
    };
    const createRow = (value) => {
        return `<tr>${value}</tr>`;
    };
    const resolveCellValue = ({ type, value }) => {
        if (type === constants.CellsTypes.CELL || type === constants.CellsTypes.TOTAL_CELL) {
            return value.replace(',', '.');
        }
        return value ?? '';
    };
    const createCell = (cell) => {
        return `<td>${resolveCellValue(cell)}</td>`;
    };

    return createTable(
        data.reduce(
            (table, { cells }) => `${table}${createRow(cells.reduce((row, cell) => `${row}${createCell(cell)}`, ''))}`,
            ''
        )
    );
}

export const asyncGenerateHtmlTable = ({ data }) => {
    return runWorker({
        func: generateHtmlTable,
        message: { data }
    });
};
