/* eslint-disable no-undef */
/* eslint-disable no-shadow */
/* eslint-disable no-continue */
/* eslint-disable no-loop-func */
/* eslint-disable better-mutation/no-mutating-functions */
import { runWorker } from './worker';

function generateTableCells({
    columnSortOptions,
    isUsedIndexes,
    isShownColumnsTotal,
    columnsTotalPosition,
    isShownRowTotal,
    rowTotalPosition,
    rowsHeap,
    columnsHeap,
    valuesMap,
    columnsPaths,
    rowsPaths,
    rows,
    rowsHeight,
    titleHeight,
    indexesHeight,
    columns,
    valuesData,
    collapsedRows = [],
    collapsedColumns = []
}) {
    const buildSortedPathsIndexes = (
        paths,
        levelsSorts = [],
        columnOptions = { isUsed: false, index: 0, valueLevel: 0, isDesc: false }
    ) => {
        if (paths.length === 0) {
            return [];
        }
        const pathsEntries = Object.entries(paths);
        if (pathsEntries.length === 0) {
            return [];
        }
        const path = pathsEntries[0][1];
        const levels = path.length;
        for (let level = 0; level < levels; level++) {
            pathsEntries.sort((val1, val2) => {
                if (level === levels - 1 && columnOptions.isUsed) {
                    const { index, valueLevel, isDesc } = columnOptions;
                    const resultTrue = isDesc === true ? -1 : 1;
                    const resultFalse = isDesc === true ? 1 : -1;
                    const { dataAlias, aggregate } = valuesData?.[valueLevel] ?? {};
                    const agrFunc = config.AggregateMethodsFunctions[aggregate];
                    // eslint-disable-next-line more/no-numeric-endings-for-variables
                    const mapVal1 = agrFunc(valuesMap?.[val1[0]]?.[index]?.[dataAlias] ?? []);
                    // eslint-disable-next-line more/no-numeric-endings-for-variables
                    const mapVal2 = agrFunc(valuesMap?.[val2[0]]?.[index]?.[dataAlias] ?? []);

                    // eslint-disable-next-line more/no-numeric-endings-for-variables
                    const path1 = val1[1];
                    // eslint-disable-next-line more/no-numeric-endings-for-variables
                    const path2 = val2[1];
                    for (let i = 0; i < level; i++) {
                        if (path1[i] !== path2[i] || path1?.[i] == null || path2?.[i] == null) {
                            return 0;
                        }
                    }
                    return mapVal1 > mapVal2 ? resultTrue : resultFalse;
                }
                const resultTrue = levelsSorts?.[level] === true ? -1 : 1;
                const resultFalse = levelsSorts?.[level] === true ? 1 : -1;
                // eslint-disable-next-line more/no-numeric-endings-for-variables
                const path1 = val1[1];
                // eslint-disable-next-line more/no-numeric-endings-for-variables
                const path2 = val2[1];
                for (let i = 0; i < level; i++) {
                    if (path1[i] !== path2[i] || path1?.[i] == null || path2?.[i] == null) {
                        return 0;
                    }
                }
                return path1[level] > path2[level] ? resultTrue : resultFalse;
            });
        }
        return pathsEntries.map((val) => val[0]);
    };

    const rebuildValues = ({ target, values }) =>
        utils.uniqArray(valuesData.map(({ dataAlias }) => dataAlias)).reduce((acc, valueName) => {
            if (acc?.[valueName] == null) {
                acc[valueName] = [];
            }
            if (values?.[valueName] == null) {
                return acc;
            }
            values[valueName].forEach((value) => {
                acc[valueName].push(value);
            });
            return acc;
        }, Object.assign(target ?? {}));

    const createCell = ({
        type = constants.CellsTypes.CELL,
        level = 0,
        rowIndex = -1,
        hasBeenCollapsed = false,
        path = [],
        value = null
    }) => ({
        type,
        level,
        rowIndex,
        hasBeenCollapsed,
        path,
        collapsed: false,
        value
    });

    function buildCollapsedPathsIndexes({ paths, collapsedPaths }) {
        const sortedCollapsedPaths = buildSortedPathsIndexes(collapsedPaths.map((path, key) => [key, path])).map(
            (key) => collapsedPaths[key]
        );
        sortedCollapsedPaths.sort((path1, path2) => (path1.length > path2.length ? 1 : -1));
        const { front: pathToCollapse, reverse: collapseToPath } = Object.keys(paths).reduce(
            ({ front, reverse }, key) => {
                const findCollapsedPathIndex = sortedCollapsedPaths.findIndex((path) =>
                    path.every((name, level) => name === paths[key][level])
                );
                if (findCollapsedPathIndex !== -1) {
                    front[key] = findCollapsedPathIndex;
                    if (reverse?.[findCollapsedPathIndex] == null) {
                        reverse[findCollapsedPathIndex] = [];
                    }
                    reverse[findCollapsedPathIndex].push(key);
                }
                return {
                    front,
                    reverse
                };
            },
            { front: {}, reverse: {} }
        );
        return {
            sortedCollapsedPaths,
            pathToCollapse,
            collapseToPath
        };
    }

    function appendHeadTitles({ tableRows }) {
        // Start Title Block
        columns.forEach(({ height }, level) => {
            tableRows.push({
                id: level,
                size: height,
                cells: rows.map((__, index) =>
                    createCell({
                        type: index === 0 ? constants.CellsTypes.TITLE : constants.CellsTypes.SPACE,
                        value: index === 0 ? columns[level].title : null,
                        rowIndex: index,
                        level
                    })
                )
            });
        });
        tableRows.push({
            id: tableRows.length,
            size: titleHeight,
            cells: rows.map(({ title }, level) =>
                createCell({ type: constants.CellsTypes.ROW_TITLE, value: title, level })
            )
        });
    }

    function appendHead({ tableRows, columnsPathsCollapsed, sortedColumnsPathsIndexes }) {
        appendHeadTitles({ tableRows });

        const usedCollapsedColumns = [];

        for (let i = 0; i < columnsHeap.count; i++) {
            const columnIndex = sortedColumnsPathsIndexes[i];
            const collapseIndex = columnsPathsCollapsed.pathToCollapse?.[columnIndex];
            if (collapseIndex == null) {
                for (let level = 0; level < columns.length; level++) {
                    valuesData.forEach((_, valNameIndex) => {
                        tableRows[level].cells.push(
                            createCell({
                                type: constants.CellsTypes.COLUMN,
                                value: columnsPaths[columnIndex][level],
                                path: columnsPaths[columnIndex].slice(0, level + 1),
                                level,
                                hasBeenCollapsed:
                                    valNameIndex === 0 &&
                                    level < columns.length - 1 &&
                                    !columnsPaths[columnIndex]
                                        .slice(0, level + 1)
                                        .every(
                                            (colName, colLevel) =>
                                                columnsPaths?.[sortedColumnsPathsIndexes?.[i - 1]]?.[colLevel] ===
                                                colName
                                        )
                            })
                        );
                    });
                }
                valuesData.forEach(({ title }, level) => {
                    tableRows[tableRows.length - 1].cells.push(
                        createCell({
                            type: constants.CellsTypes.VALUE_TITLE,
                            value: title,
                            path: columnsPaths[columnIndex],
                            level
                        })
                    );
                });
                continue;
            }
            if (usedCollapsedColumns.includes(collapseIndex)) {
                continue;
            }
            usedCollapsedColumns.push(collapseIndex);
            for (let level = 0; level < columns.length; level++) {
                valuesData.forEach((_, valNameIndex) => {
                    tableRows[level].cells.push(
                        createCell({
                            type: constants.CellsTypes.COLUMN,
                            value: columnsPathsCollapsed.sortedCollapsedPaths[collapseIndex]?.[level],
                            path: columnsPaths[columnIndex].slice(0, level + 1),
                            level,
                            columnIndex,
                            hasBeenCollapsed:
                                valNameIndex === 0 &&
                                level < columns.length - 1 &&
                                !columnsPaths[columnIndex]
                                    .slice(0, level + 1)
                                    .every(
                                        (colName, colLevel) =>
                                            columnsPaths?.[sortedColumnsPathsIndexes?.[i - 1]]?.[colLevel] === colName
                                    )
                        })
                    );
                });
            }
            valuesData.forEach(({ title }, level) => {
                tableRows[tableRows.length - 1].cells.push(
                    createCell({
                        type: constants.CellsTypes.VALUE_TITLE,
                        value: title,
                        path: columnsPaths[columnIndex],
                        level
                    })
                );
            });
        }
    }

    function appendBody({
        sortedRowsPathsIndexes,
        rowsPathsCollapsed,
        sortedColumnsPathsIndexes,
        columnsPathsCollapsed,
        tableRows
    }) {
        const reverseSortedColumnsPathsIndexes = Object.fromEntries(
            Object.keys(sortedColumnsPathsIndexes).map((key) => [sortedColumnsPathsIndexes[key], key])
        );
        const uniqValuesNames = utils.uniqArray(valuesData.map(({ dataAlias }) => dataAlias));

        const usedCollapsedRows = [];

        for (let i = 0; i < rowsHeap.count; i++) {
            const rowIndex = sortedRowsPathsIndexes[i];
            const collapseIndex = rowsPathsCollapsed.pathToCollapse?.[rowIndex];
            if (collapseIndex == null) {
                tableRows.push({
                    id: tableRows.length,
                    size: rowsHeight,
                    cells: rowsPaths[rowIndex].map((value, level, cur) =>
                        createCell({
                            type: constants.CellsTypes.ROW,
                            level,
                            rowIndex,
                            hasBeenCollapsed:
                                level < cur.length - 1 &&
                                !cur
                                    .slice(0, level + 1)
                                    .every(
                                        (rowName, rowLevel) =>
                                            rowsPaths?.[sortedRowsPathsIndexes?.[i - 1]]?.[rowLevel] === rowName
                                    ),
                            path: rowsPaths[rowIndex].slice(0, level + 1),
                            value
                        })
                    )
                });
                const usedCollapsedColumns = [];
                for (let j = 0; j < columnsHeap.count; j++) {
                    const columnIndex = sortedColumnsPathsIndexes[j];
                    const collapseColumnIndex = columnsPathsCollapsed.pathToCollapse?.[columnIndex];
                    if (collapseColumnIndex == null) {
                        valuesData.forEach(({ dataAlias: valueName, aggregate }, level) => {
                            const value = valuesMap?.[rowIndex]?.[columnIndex]?.[valueName] ?? null;
                            tableRows[tableRows.length - 1].cells.push(
                                createCell({
                                    type: constants.CellsTypes.CELL,
                                    value: value == null ? value : config.AggregateMethodsFunctions[aggregate](value),
                                    level
                                })
                            );
                        });
                    } else if (!usedCollapsedColumns.includes(collapseColumnIndex)) {
                        usedCollapsedColumns.push(collapseColumnIndex);
                        valuesData.forEach(({ dataAlias: valueName, aggregate }, level) => {
                            const value = columnsPathsCollapsed.collapseToPath[collapseColumnIndex].reduce(
                                (acc, collapsedColumnIndex) => {
                                    const value = valuesMap?.[rowIndex]?.[collapsedColumnIndex]?.[valueName];
                                    if (value == null) {
                                        return acc;
                                    }
                                    return acc == null ? value : (acc ?? []).concat(value);
                                },
                                null
                            );
                            tableRows[tableRows.length - 1].cells.push(
                                createCell({
                                    type: constants.CellsTypes.CELL,
                                    value: value == null ? value : config.AggregateMethodsFunctions[aggregate](value),
                                    level
                                })
                            );
                        });
                    }
                }
                continue;
            }
            if (usedCollapsedRows.includes(collapseIndex)) {
                continue;
            }
            usedCollapsedRows.push(collapseIndex);
            tableRows.push({
                id: tableRows.length,
                size: rowsHeight,
                cells: rowsPaths[rowIndex].map((value, level, cur) =>
                    createCell({
                        type: constants.CellsTypes.ROW,
                        level,
                        rowIndex,
                        hasBeenCollapsed:
                            level < cur.length - 1 &&
                            !cur
                                .slice(0, level + 1)
                                .every(
                                    (rowName, rowLevel) =>
                                        rowsPaths?.[sortedRowsPathsIndexes?.[i - 1]]?.[rowLevel] === rowName
                                ),
                        path: rowsPaths[rowIndex].slice(0, level + 1),
                        value: rowsPathsCollapsed.sortedCollapsedPaths[collapseIndex]?.[level]
                    })
                )
            });
            const values = [];
            for (let j = 0; j < columnsHeap.count; j++) {
                const columnIndex = sortedColumnsPathsIndexes[j];
                values.push(
                    rowsPathsCollapsed.collapseToPath[collapseIndex].reduce((acc, collapseRowIndex) => {
                        const value = valuesMap?.[collapseRowIndex]?.[columnIndex];
                        if (value == null) {
                            return acc;
                        }
                        return acc == null
                            ? value
                            : uniqValuesNames.reduce((newAcc, valueName) => {
                                  if (value?.[valueName] === null) {
                                      return newAcc;
                                  }
                                  newAcc[valueName] = (newAcc[valueName] ?? []).concat(value[valueName]);
                                  return newAcc;
                              }, Object.assign(acc));
                    }, null)
                );
            }

            const usedCollapsedColumns = [];
            values.forEach((value, index) => {
                const columnIndex = sortedColumnsPathsIndexes[index];
                const collapseColumnIndex = columnsPathsCollapsed.pathToCollapse?.[columnIndex];
                if (collapseColumnIndex == null) {
                    valuesData.forEach(({ dataAlias: valueName, aggregate }, level) => {
                        tableRows[tableRows.length - 1].cells.push(
                            createCell({
                                type: constants.CellsTypes.CELL,
                                value:
                                    value?.[valueName] == null
                                        ? value?.[valueName]
                                        : config.AggregateMethodsFunctions[aggregate](value?.[valueName]),
                                level
                            })
                        );
                    });
                    return;
                }
                if (usedCollapsedColumns.includes(collapseColumnIndex)) {
                    return;
                }
                usedCollapsedColumns.push(collapseColumnIndex);
                valuesData.forEach(({ dataAlias: valueName, aggregate }, level) => {
                    const value = columnsPathsCollapsed.collapseToPath[collapseColumnIndex].reduce(
                        (acc, collapsedColumnIndex) => {
                            const result =
                                values?.[reverseSortedColumnsPathsIndexes[collapsedColumnIndex]]?.[valueName];
                            if (result == null) {
                                return acc;
                            }
                            return acc == null ? result : (acc ?? []).concat(result);
                        },
                        null
                    );
                    tableRows[tableRows.length - 1].cells.push(
                        createCell({
                            type: constants.CellsTypes.CELL,
                            value: value == null ? value : config.AggregateMethodsFunctions[aggregate](value),
                            level
                        })
                    );
                });
            });
        }
    }

    function appendIndexes({ tableRows }) {
        if (!isUsedIndexes) {
            return;
        }
        tableRows.unshift({
            id: -1,
            size: indexesHeight,
            cells: tableRows[0].cells.map((_, index) =>
                createCell({
                    type: constants.CellsTypes.COLUMN_INDEX,
                    level: index,
                    value: index + 1
                })
            )
        });
        tableRows.forEach(({ cells }, i) => {
            cells.unshift(
                createCell({
                    type: i === 0 ? constants.CellsTypes.ZERO_INDEX : constants.CellsTypes.ROW_INDEX,
                    value: i === 0 ? null : i
                })
            );
        });
    }

    const getHeapNodeValuesByPath = ({ heap, path }) => {
        let heapLevel = heap;
        path.forEach((key) => {
            heapLevel = heapLevel[key];
        });
        const { values } = heapLevel;
        return values;
    };

    function createTotalCells({
        pathsCollapsed,
        sortedPathsIndexes,
        paths,
        heap,
        isCalcGrandTotal = false,
        isGrandTotalPositionStart = false
    }) {
        const cells = [];
        let grandTotalValues = {};
        const { sortedCollapsedPaths, pathToCollapse } = pathsCollapsed;
        const usedCollapsedIndexes = [];
        sortedPathsIndexes.forEach((sortedIndex) => {
            const collapseIndex = pathToCollapse?.[sortedIndex];
            if (usedCollapsedIndexes.includes(collapseIndex)) {
                return;
            }
            if (collapseIndex != null) {
                usedCollapsedIndexes.push(collapseIndex);
            }
            const values = getHeapNodeValuesByPath({
                heap,
                path: sortedCollapsedPaths[collapseIndex] ?? paths[sortedIndex]
            });
            if (isCalcGrandTotal) {
                grandTotalValues = rebuildValues({
                    target: grandTotalValues,
                    values
                });
            }
            valuesData.forEach(({ aggregate, dataAlias }, level) => {
                const value = values?.[dataAlias] ?? [];
                cells.push(
                    createCell({
                        type: constants.CellsTypes.TOTAL_CELL,
                        value: config.AggregateMethodsFunctions[aggregate](value),
                        level
                    })
                );
            });
        });
        if (isCalcGrandTotal) {
            const startIndex = isGrandTotalPositionStart ? 0 : cells.length;
            valuesData.forEach(({ aggregate, dataAlias }, level) => {
                const value = grandTotalValues?.[dataAlias] ?? [];
                cells.splice(
                    startIndex + level,
                    0,
                    createCell({
                        type: constants.CellsTypes.TOTAL_CELL,
                        value: config.AggregateMethodsFunctions[aggregate](value),
                        level
                    })
                );
            });
        }
        return cells;
    }

    function appendTotalRow({ tableRows, cells }) {
        const resultCells = rows.map((_, level) =>
            createCell({
                type: constants.CellsTypes.TOTAL_ROW,
                value: level === 0 ? 'Итого' : null,
                level
            })
        );
        cells.forEach((cell) => {
            resultCells.push(createCell(cell));
        });

        tableRows.splice(
            columnsTotalPosition === constants.TotalPositions.START ? columns.length + 1 : tableRows.length,
            0,
            {
                id: tableRows.length,
                size: rowsHeight,
                cells: resultCells
            }
        );
    }
    function appendTotalColumn({ tableRows, cells }) {
        tableRows.forEach((row, index) => {
            const startIndex = rowTotalPosition === constants.TotalPositions.START ? rows.length : row.cells.length;
            if (index < columns.length) {
                valuesData.forEach(({ _ }, level) => {
                    row.cells.splice(
                        startIndex + level,
                        0,
                        createCell({
                            type: constants.CellsTypes.TOTAL_COLUMN,
                            value: index === 0 && level === 0 ? 'Итого' : null
                        })
                    );
                });
                return;
            }
            if (index === columns.length) {
                valuesData.forEach(({ title }, level) => {
                    row.cells.splice(
                        startIndex + level,
                        0,
                        createCell({
                            type: constants.CellsTypes.TOTAL_VALUE_TITLE,
                            value: title,
                            level
                        })
                    );
                });
                return;
            }
            if (
                index === columns.length &&
                isShownColumnsTotal &&
                columnsTotalPosition === constants.TotalPositions.START
            ) {
                valuesData.forEach(({ title }, level) => {
                    row.cells.splice(
                        startIndex + level,
                        0,
                        createCell({
                            type: constants.CellsTypes.TOTAL_COLUMN
                        })
                    );
                });
                return;
            }
            valuesData.forEach((_, level) => {
                const cellIndex = (index - columns.length - 1) * valuesData.length + level;
                row.cells.splice(startIndex + level, 0, cells[cellIndex]);
            });
        });
    }

    const rowsPathsCollapsed = buildCollapsedPathsIndexes({
        paths: rowsPaths,
        collapsedPaths: collapsedRows
    });
    const columnsPathsCollapsed = buildCollapsedPathsIndexes({
        paths: columnsPaths,
        collapsedPaths: collapsedColumns
    });

    const rowsPathsColumnSortOptions = columnSortOptions.isUsed
        ? {
              isUsed: columnSortOptions.isUsed,
              index: Object.keys(columnsPaths).find((key) =>
                  columnsPaths[key].every((name, index) => name === columnSortOptions.path[index])
              ),
              valueLevel: columnSortOptions.level,
              isDesc: columnSortOptions.sortDesc
          }
        : { isUsed: columnSortOptions.isUsed };
    const sortedRowsPathsIndexes = buildSortedPathsIndexes(
        rowsPaths,
        rows.map(({ sortDesc }) => sortDesc),
        rowsPathsColumnSortOptions
    );
    const sortedColumnsPathsIndexes = buildSortedPathsIndexes(
        columnsPaths,
        columns.map(({ sortDesc }) => sortDesc)
    );
    const tableRows = [];

    appendHead({ tableRows, columnsPathsCollapsed, sortedColumnsPathsIndexes });

    appendBody({
        tableRows,
        sortedColumnsPathsIndexes,
        rowsPathsCollapsed,
        sortedRowsPathsIndexes,
        columnsPathsCollapsed
    });

    const isAppendTotalColumn = isShownRowTotal || columns.length === 0;
    const isAppendTotalRow = isShownColumnsTotal || rows.length === 0;
    const rowTotalCells = isAppendTotalColumn
        ? createTotalCells({
              pathsCollapsed: rowsPathsCollapsed,
              sortedPathsIndexes: sortedRowsPathsIndexes,
              paths: rowsPaths,
              isCalcGrandTotal: isShownColumnsTotal,
              heap: rowsHeap
          })
        : [];
    if (isAppendTotalColumn) {
        appendTotalColumn({ tableRows, cells: rowTotalCells });
    }

    const columnsTotalCells = isAppendTotalRow
        ? createTotalCells({
              pathsCollapsed: columnsPathsCollapsed,
              sortedPathsIndexes: sortedColumnsPathsIndexes,
              paths: columnsPaths,
              heap: columnsHeap,
              isCalcGrandTotal: isShownRowTotal,
              isGrandTotalPositionStart: rowTotalPosition === constants.TotalPositions.START
          })
        : [];

    if (isAppendTotalRow) {
        appendTotalRow({
            tableRows,
            cells:
                columns.length === 0 && isShownColumnsTotal
                    ? valuesData.map((_, index) => rowTotalCells[rowTotalCells.length - index - 1]).reverse()
                    : columnsTotalCells
        });
    }

    appendIndexes({
        tableRows
    });
    return tableRows;
}

export const asyncGenerateTableCells = ({
    isUsedIndexes,
    isShownColumnsTotal,
    columnsTotalPosition,
    isShownRowTotal,
    rowTotalPosition,
    rowsHeap,
    columnsHeap,
    valuesMap,
    columnsPaths,
    rowsPaths,
    rows,
    rowsHeight,
    titleHeight,
    indexesHeight,
    columns,
    valuesData,
    collapsedRows,
    columnSortOptions,
    collapsedColumns
}) =>
    runWorker({
        func: generateTableCells,
        message: {
            isUsedIndexes,
            isShownColumnsTotal,
            columnsTotalPosition,
            isShownRowTotal,
            rowTotalPosition,
            rowsHeap,
            columnsHeap,
            valuesMap,
            columnsPaths,
            rowsPaths,
            rows,
            rowsHeight,
            titleHeight,
            indexesHeight,
            columns,
            valuesData,
            collapsedRows,
            columnSortOptions,
            collapsedColumns
        }
    });
