import * as DescriptorDefaultValuesEnum from './utils/DescriptorDefaultValuesEnum';

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        shape: {
            type: String,
            default: '',
            handlerMethod: 'configurateOptions'
        },
        radius: {
            type: [Number, String],
            default: DescriptorDefaultValuesEnum.RADIUS,
            handlerMethod: 'configurateOptions'
        },
        radarAreaStyleColor: {
            type: String,
            default: 'rgba(255,255,255,0)',
            handlerMethod: 'configurateOptions'
        },
        radarSplitNumber: {
            type: String,
            default: DescriptorDefaultValuesEnum.SPLIT_NUMBER,
            handlerMethod: 'configurateOptions'
        },
        gradientBackground: {
            type: Boolean,
            default: false,
            handlerMethod: 'configurateOptions'
        },
        gradient: {
            type: Object,
            default: () => ({
                first: 'rgba(255, 145, 124, 0.1)',
                second: 'rgba(255, 15, 124, 0.9)',
                direction: '',
                offSetFirstColor: 0,
                offSetSecondColor: 1
            }),
            handlerMethod: 'configurateOptions'
        },
        showLegend: {
            type: Boolean,
            default: true,
            handlerMethod: 'configurateOptions'
        },
        legendOptions: {
            type: Object,
            default: () => ({
                top: '1',
                left: 'center',
                right: 'auto',
                bottom: 'auto',
                orient: 'horizontal',
                align: 'left',
                itemGap: DescriptorDefaultValuesEnum.LEGEND_GAP,
                textStyle: {
                    color: '#000000',
                    fontSize: DescriptorDefaultValuesEnum.LEGEND_FONT_SIZE,
                    fontWeight: DescriptorDefaultValuesEnum.LEGEND_FONT_WEIGHT,
                    fontFamily: 'sans-serif',
                    backgroundColor: 'rgba(250,250,250,0)',
                    borderColor: 'rgba(79,140,244,0.7)',
                    borderWidth: 0,
                    borderRadius: DescriptorDefaultValuesEnum.LEGEND_BORDER_RADIUS
                }
            }),
            handlerMethod: 'configurateOptions'
        },
        nameOptions: {
            type: Object,
            default: () => ({
                color: 'black',
                fontSize: DescriptorDefaultValuesEnum.NAME_FONT_SIZE,
                rich: {
                    active: {
                        fontWeight: 'bold'
                    }
                },
                fontFamily: 'Roboto'
            }),
            handlerMethod: 'configurateOptions'
        },
        tooltip: {
            type: Object,
            default: () => ({
                show: true,
                textStyle: {
                    color: 'white',
                    fontFamily: ''
                },
                format: '0',
                separator: '0',
                prefix: '',
                postfix: ''
            }),
            handlerMethod: 'configurateOptions'
        },
        dimension: {
            type: String,
            handlerMethod: 'setDremioData',
            default: null
        },
        metrics: {
            type: Object,
            default: () => ({}),
            handlerMethod: 'setMetricsStyles'
        }
    },
    vars: {}
});
