/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 */
export const descriptor = () => ({
    props: {
        dremio: { type: Object, default: null },
        showPlaceInRating: { type: Boolean, default: false },
        gap: { type: String, default: '0.5rem' },
        rowNumberColumn: {
            type: Object,
            default: () => ({
                show: true,
                width: '4%',
                fontFamily: 'Roboto',
                fontSize: '0.75rem',
                fontStyle: 'normal',
                fontWeight: 'normal',
                color: '#222'
            })
        },

        // >> Изменение рейтинга
        diffRatingLabel: { type: String, default: 'Метрика 2' },
        diffRatingIndicationType: { type: String, default: 'standard' },
        diffRatingIndicationByColor: { type: Boolean, default: true },
        diffRatingColorMin: { type: String, default: '#222' },
        diffRatingColorPlus: { type: String, default: '#222' },
        diffRatingSize: { type: String, default: '0.75rem' },
        diffRatingFont: { type: String, default: 'Roboto' },
        diffRatingDischarge: { type: String, default: 'ru-RU' },
        diffRatingFormat: { type: String, default: '2%' },
        diffRatingPrefix: { type: String, default: '' },
        diffRatingPostfix: { type: String, default: '' },
        diffRatingColumn: {
            type: Object,
            default: () => ({ show: true, width: '5%', fontStyle: 'normal', fontWeight: 'normal' })
        },
        // << Изменение рейтинга

        // >> Показатель
        indexKeyLabel: { type: String, default: 'Метрика 3' },
        indexKeyIndicationType: { type: String, default: 'standard' },
        indexKeyIndicationByColor: { type: Boolean, default: false },
        indexKeyColorMin: { type: String, default: '#222' },
        indexKeyColorPlus: { type: String, default: '#222' },
        indexKeySize: { type: String, default: '0.75rem' },
        indexKeyFont: { type: String, default: 'Roboto' },
        indexKeyDischarge: { type: String, default: 'ru-RU' },
        indexKeyFormat: { type: String, default: '2%' },
        indexKeyPrefix: { type: String, default: '' },
        indexKeyPostfix: { type: String, default: '' },
        indexKeyColumn: {
            type: Object,
            default: () => ({ show: true, width: '9%', fontStyle: 'normal', fontWeight: 'normal' })
        },
        // << Показатель

        // >> Изменение показателя
        diffIndexLabel: { type: String, default: 'Метрика 1' },
        diffIndexIndicationType: { type: String, default: 'standard' },
        diffIndexIndicationByColor: { type: Boolean, default: false },
        diffIndexColorMin: { type: String, default: '#222' },
        diffIndexColorPlus: { type: String, default: '#222' },
        diffIndexSize: { type: String, default: '0.75rem' },
        diffIndexFont: { type: String, default: 'Roboto' },
        diffIndexDischarge: { type: String, default: 'ru-RU' },
        diffIndexFormat: { type: String, default: '2%' },
        diffIndexPrefix: { type: String, default: '' },
        diffIndexPostfix: { type: String, default: '' },
        diffIndexColumn: {
            type: Object,
            default: () => ({ show: true, width: '10%', fontStyle: 'normal', fontWeight: 'normal' })
        },
        // <<< Изменение показателя

        // >> Измерение
        nameLabel: { type: String, default: '' },
        nameLabelColumn: {
            type: Object,
            default: () => ({ show: true, width: '51%', fontStyle: 'normal', fontWeight: 'normal' })
        },
        colorDimension: { type: String, default: '#222' },
        dimensionSize: { type: String, default: '0.75rem' },
        dimensionFont: { type: String, default: 'Roboto' },
        // << Измерение

        showAll: { type: Boolean, default: true },
        textHint: { type: String, default: '' },
        showTitle: { type: Boolean, default: true },
        textTitle: { type: String, default: 'Заголовок таблицы' },
        showHint: { type: Boolean, default: true },
        ratingRange: { type: Object, default: () => ({ show: true, width: '4%', items: [] }) },

        ratingMetricName: { type: String, default: 'Выберите метрику' },
        ratingMetricValue: { type: Number, default: 0 },
        ratingMetricNameTypeTwo: { type: String, default: 'Выберите метрику' },
        ratingIconSize: { type: String, default: '1rem' },
        ratingIconColor: { type: String, default: '#ccc' },
        ratingIconColorActive: { type: String, default: '#f7c844' },
        ratingIcon: { type: String, default: 'star' },
        ratingIconRight: { type: Boolean, default: true },
        ratingIconSemiRight: { type: Boolean, default: false },
        ratingIconAfterNumber: { type: Boolean, default: false },
        ratingIconPosition: { type: String, default: '' },

        isCustomSelectedRow: { type: Boolean, default: false },
        customSelectedRowStyles: {
            type: Object,
            default: () => ({
                backgroundColor: 'rgba(255, 255, 255, 0)',
                fontColor: '#222',
                fontSize: '0.75rem',
                fontWeight: '500'
            })
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {}),
    cssVars: {
        'cell-gap': 'gap',
        'template-columns': (props) =>
            [
                'rowNumberColumn',
                'diffRatingColumn',
                'nameLabelColumn',
                'indexKeyColumn',
                'diffIndexColumn',
                'ratingRange'
            ]
                .map((column) => (props[`${column}`].show ? props[`${column}`].width : ''))
                .join(' '),

        'row-number_font-family': 'rowNumberColumn.fontFamily',
        'row-number_font-size': 'rowNumberColumn.fontSize',
        'row-number_font-style': 'rowNumberColumn.fontStyle',
        'row-number_font-weight': 'rowNumberColumn.fontWeight',
        'row-number_color': 'rowNumberColumn.color',
        'row-number_width': 'rowNumberColumn.width',

        'diff-rating_font-family': 'diffRatingFont',
        'diff-rating_font-size': 'diffRatingSize',
        'diff-rating_font-style': 'diffRatingColumn.fontStyle',
        'diff-rating_font-weight': 'diffRatingColumn.fontWeight',
        'diff-rating_width': 'diffRatingColumn.width',
        'diff-rating--plus_color': 'diffRatingColorPlus',
        'diff-rating--minus_color': 'diffRatingColorMin',

        'name-label_font-family': 'dimensionFont',
        'name-label_font-size': 'dimensionSize',
        'name-label_font-style': 'nameLabelColumn.fontStyle',
        'name-label_font-weight': 'nameLabelColumn.fontWeight',
        'name-label_color': 'colorDimension',
        'name-label_width': 'nameLabelColumn.width',

        'index-key_font-family': 'indexKeyFont',
        'index-key_font-size': 'indexKeySize',
        'index-key_font-style': 'indexKeyColumn.fontStyle',
        'index-key_font-weight': 'indexKeyColumn.fontWeight',
        'index-key_width': 'indexKeyColumn.width',
        'index-key--plus_color': 'indexKeyColorPlus',
        'index-key--minus_color': 'indexKeyColorMin',

        'diff-index_font-family': 'diffIndexFont',
        'diff-index_font-size': 'diffIndexSize',
        'diff-index_font-style': 'diffIndexColumn.fontStyle',
        'diff-index_font-weight': 'diffIndexColumn.fontWeight',
        'diff-index_width': 'diffIndexColumn.width',
        'diff-index--plus_color': 'diffIndexColorPlus',
        'diff-index--minus_color': 'diffIndexColorMin',

        'rating-icon_font-size': 'ratingIconSize',
        'rating-icon_color': 'ratingIconColor',
        'rating-icon_color-active': 'ratingIconColorActive',
        'rating-range_width': 'ratingRange.width',

        'custom-selected-row_bkg-color': 'customSelectedRowStyles.backgroundColor',
        'custom-selected-row_color': 'customSelectedRowStyles.fontColor',
        'custom-selected-row_font-size': 'customSelectedRowStyles.fontSize',
        'custom-selected-row_font-weight': 'customSelectedRowStyles.fontWeight'
    }
});

export default descriptor;
