const CommonUnits = ['%', 'px', 'em', 'rem', 'vh'];

const FontStyleOptions = [
    { label: 'Обычный', value: 'normal' },
    { label: 'Курсив', value: 'italic' },
    { label: 'Наклонный', value: 'oblique' }
];

const FontWeightOptions = [
    { label: 'Лёгкий', value: 'lighter' },
    { label: 'Обычный', value: 'normal' },
    { label: 'Полужирный', value: 'bold' },
    { label: 'Жирный', value: 'bolder' }
];

const Indications = [
    { value: 'standard', label: 'Стандарт' },
    { value: 'reverse', label: 'Реверс' }
];

const Separators = [
    { value: '0', label: '10000' },
    { value: 'ru-RU', label: '10 000' },
    { value: 'de-DE', label: '10.000' },
    { value: 'en-AU', label: '10,000' }
];

const Formats = [
    { value: '0', label: '1000' },
    { value: '1', label: '1000,1' },
    { value: '2', label: '1000,12' },
    { value: '0%', label: '12%' },
    { value: '1%', label: '12,3%' },
    { value: '2%', label: '12,34%' }
];

const RatingRangeFactory = () => ({
    caption: 'Новый диапазон',
    metricName: null,
    defaultColor: '#ddd',
    activeColor: '#fc0',
    minValue: 0.2,
    maxValue: 0.5,
    mdi: {
        class: 'star',
        style: { fontSize: '1rem' }
    }
});

const FlexDirections = [
    { value: '', label: 'Справа' },
    { value: 'flex-row-reverse', label: 'Слева' }
];

export {
    CommonUnits,
    FontStyleOptions,
    FontWeightOptions,
    Indications,
    Separators,
    Formats,
    RatingRangeFactory,
    FlexDirections
};
