function numberFormatting(val, format, separator) {
    if (!format || !separator) {
        return val;
    }
    let value = val;
    const fraction = parseInt(format, 10);
    let percentSymbol = '';
    if (format.length > 1) {
        value *= 100;
        percentSymbol = '%';
    }
    value = Number(value.toFixed(fraction));
    if (separator !== '0') {
        value = value.toLocaleString(separator, { minimumFractionDigits: fraction });
    } else {
        value = value.toLocaleString('ru-RU', { minimumFractionDigits: fraction });
        value = value.replace(/\s/g, '');
    }

    return `${value}${percentSymbol}`;
}

export { numberFormatting };
