import panels from './panels';
import { DefaultOffset } from './constans';
import cssVars from './styles/css-vars';

export const Vars = Object.freeze({});

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default() {
                return null;
            }
        },
        url: {
            type: String,
            default: '../assets/map.svg'
        },
        height: {
            type: String,
            default: '100'
        },
        heightUnit: {
            type: String,
            default: '%'
        },
        dimensions: {
            type: Array,
            default() {
                return [];
            }
        },
        metrics: {
            type: Array,
            default() {
                return [];
            }
        },
        selectedRegionsID: {
            type: String,
            default: ''
        },
        selectedHint: {
            type: String,
            default: ''
        },
        selectedID: {
            type: String,
            default: ''
        },
        colorMap: {
            type: String,
            default: '#ffffff'
        },
        colorDarkerMap: {
            type: String,
            default: '#c3c3c3'
        },
        colorLines: {
            type: String,
            default: '#000000'
        },
        conditionColor: {
            type: Boolean,
            default: true
        },
        gradientColor: {
            type: Boolean,
            default: false
        },
        firstColor: {
            type: String,
            default: '#ffffff'
        },
        secondColor: {
            type: String,
            default: '#ffffff'
        },
        sizeStroke: {
            type: Number,
            default: 1
        },
        sizeStrokeUnit: {
            type: String,
            default: 'px'
        },
        gradientDirection: {
            type: String,
            default: '0 1 0 0'
        },
        showHint: {
            type: Boolean,
            default: true
        },
        legendPosition: {
            type: String,
            default: 'top'
        },
        legendX: {
            type: String,
            default: '0%'
        },
        legendY: {
            type: String,
            default: '0%'
        },
        colorHoverMap: {
            type: String,
            default: '#6bff62'
        },
        colorNotHoverMap: {
            type: String,
            default: '#a7a4a4'
        },
        sizeConditionStroke: {
            type: Number,
            default: 1
        },
        sizeConditionStrokeUnit: {
            type: String,
            default: 'px'
        },
        sizeHoverConditionStroke: {
            type: Number,
            default: 1
        },
        sizeHoverConditionStrokeUnit: {
            type: String,
            default: 'px'
        },
        conditionGradient: {
            type: Boolean,
            default: false
        },
        conditionsColors: {
            type: Array,
            default() {
                return [];
            }
        },
        conditionsGradientColors: {
            type: Array,
            default() {
                return [];
            }
        },
        conditionMetric: {
            type: String,
            default: ''
        },
        conditionValueMore: {
            type: Number,
            default: 1
        },
        conditionColorMore: {
            type: String,
            default: '#ffffff'
        },
        conditionValueLess: {
            type: Number,
            default: 1
        },
        conditionColorLess: {
            type: String,
            default: '#ffffff'
        },
        conditionGradientValueMore: {
            type: Number,
            default: 1
        },
        conditionGradientFirstColorMore: {
            type: String,
            default: '#ffffff'
        },
        conditionGradientSecondColorMore: {
            type: String,
            default: '#ffffff'
        },
        conditionGradientValueLess: {
            type: Number,
            default: 1
        },
        conditionGradientFirstColorLess: {
            type: String,
            default: '#ffffff'
        },
        conditionGradientSecondColorLess: {
            type: String,
            default: '#ffffff'
        },
        offset1: {
            type: Number,
            default: DefaultOffset
        },
        offset2: {
            type: Number,
            default: DefaultOffset
        },
        gradientConditionDirection: {
            type: String,
            default: '0 1 0 0'
        },
        offsetCondition1: {
            type: Number,
            default: DefaultOffset
        },
        offsetCondition2: {
            type: Number,
            default: DefaultOffset
        },
        offsetCondition3: {
            type: Number,
            default: DefaultOffset
        },
        offsetCondition4: {
            type: Number,
            default: DefaultOffset
        },
        nameEvent: {
            type: String,
            default: ''
        },
        triggerEvent: {
            type: Boolean,
            default: false
        },
        textHint: {
            type: String,
            default: ''
        },
        metricFormat: {
            type: String,
            default: '0'
        },
        metricSeparator: {
            type: String,
            default: '1'
        },
        conditionDefaultColor: {
            type: String,
            default: '#ffffff'
        },
        conditionColorOutRange: {
            type: String,
            default: '#ffffff'
        },
        conditionDefaultGradientFirstColor: {
            type: String,
            default: '#ffffff'
        },
        conditionDefaultGradientSecondColor: {
            type: String,
            default: '#ffffff'
        },
        offsetDefaultCondition1: {
            type: Number,
            default: DefaultOffset
        },
        offsetDefaultCondition2: {
            type: Number,
            default: DefaultOffset
        },
        conditionRangeGradientFirstColor: {
            type: String,
            default: '#ffffff'
        },
        conditionRangeGradientSecondColor: {
            type: String,
            default: '#ffffff'
        },
        offsetRangeCondition1: {
            type: Number,
            default: DefaultOffset
        },
        offsetRangeCondition2: {
            type: Number,
            default: DefaultOffset
        },
        fills: {
            type: Array,
            default: () => [{ from: 0, to: 1, color: '#ffffff', text: 'От 0 до 1', value: 0, regionNames: [] }]
        },
        defaultFill: {
            type: String,
            default: '#FFFFFF'
        },
        defaultFillValue: {
            type: Number,
            default: 0
        },
        enableLegend: {
            type: Boolean,
            default: true
        },
        enableLegendBtn: {
            type: Boolean,
            default: false
        },
        enableEmptySegment: {
            type: Boolean,
            default: false
        },
        emptySegmentName: {
            type: String,
            default: 'NULL'
        },
        legendShowValue: {
            type: Boolean,
            default: false
        },
        legendNamesFontSize: {
            type: String,
            default: '0.8rem'
        },
        legendNamesColor: {
            type: String,
            default: '#000000'
        },
        legendValuesFontSize: {
            type: String,
            default: '0.8rem'
        },
        legendValuesColor: {
            type: String,
            default: '#cccccc'
        },
        popupUrl: {
            type: String,
            default: ''
        },
        isPopupAvailable: {
            type: Boolean,
            default: false
        },
        isShowedAcquiredRegions: {
            type: Boolean,
            default: false
        },
        isBackgroundEnabled: {
            type: Boolean,
            default: false
        },
        backgroundColor: {
            type: String,
            default: '#0f0'
        },
        isBackgroundGradientEnabled: {
            type: Boolean,
            default: false
        },
        backgroundDirection: {
            type: String,
            default: '0'
        },
        backgroundFirstColor: {
            type: String,
            default: '#f00'
        },
        backgroundSecondColor: {
            type: String,
            default: '#00f'
        },
        backgroundFirstColorOffset: {
            type: Number,
            default: 0
        },
        backgroundSecondColorOffset: {
            type: Number,
            default: 100
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false,
    cssVars
};

export default descriptor;
