const resolveColorValue = (color) => {
    const maxColorValue = 255;
    if (color > maxColorValue) {
        return maxColorValue;
    }
    return color < 0 ? 0 : color;
};

const createColor = (color, diffirence) => {
    let usePound = false;
    let inputColor = color;

    if (inputColor[0] === '#') {
        inputColor = inputColor.slice(1);
        usePound = true;
    }

    const num = parseInt(inputColor, 16);

    // eslint-disable-next-line no-bitwise,no-magic-numbers
    let red = (num >> 16) + diffirence;
    red = resolveColorValue(red);

    // eslint-disable-next-line no-bitwise,no-magic-numbers
    let blue = ((num >> 8) & 0x00ff) + diffirence;
    blue = resolveColorValue(blue);

    // eslint-disable-next-line no-bitwise,no-magic-numbers
    let green = (num & 0x0000ff) + diffirence;
    green = resolveColorValue(green);

    // eslint-disable-next-line no-bitwise,no-magic-numbers
    return (usePound ? '#' : '') + (green | (blue << 8) | (red << 16)).toString(16);
};

export { createColor, resolveColorValue };
