import panels from './panels';
import {
    DEFAULT_NODE_GAP,
    LevelsOptions,
    SankeyOptions,
    TruncateOptions,
    StyleOptions,
    EmphasisOptions
} from './config';
/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        sankey: {
            type: Object,
            default: () => SankeyOptions
        },
        nodeGap: {
            type: [String, Number],
            default: DEFAULT_NODE_GAP
        },
        height: {
            type: String,
            default: '100'
        },
        heightUnit: {
            type: String,
            default: '%'
        },
        truncate: {
            type: Object,
            default: () => TruncateOptions
        },
        nodeAlign: {
            type: String,
            default: 'justify'
        },
        levels: {
            type: Array,
            default: () => LevelsOptions
        },
        valueFormat: {
            type: String,
            default: ''
        },
        orient: {
            type: String,
            default: 'horizontal'
        },
        itemStyle: {
            type: Object,
            default: () => StyleOptions
        },
        lineStyle: {
            type: Object,
            default: () => StyleOptions
        },
        animationEasing: {
            type: String,
            default: 'linear'
        },
        emphasis: {
            type: Object,
            default: () => EmphasisOptions
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};
