import { PercentCalculationType } from '../utils/constants';

export const NodeAlignOptions = [
    { value: 'left', label: 'Слева' },
    { value: 'justify', label: 'По ширине' },
    { value: 'right', label: 'Справа' }
];

export const EdgeDirectionOptions = [
    { label: 'От источника', value: 'source' },
    { label: 'От цели', value: 'target' },
    { label: 'Градиент', value: 'gradient' }
];

export const FontWeights = [
    { label: 'Лёгкий', value: 'lighter' },
    { label: 'Обычный', value: 'normal' },
    { label: 'Полужирный', value: 'bold' },
    { label: 'Жирный', value: 'bolder' }
];

export const ShowTooltipEvents = [
    { label: 'По щелчку', value: 'click' },
    { label: 'При наведении', value: 'mousemove' }
];

export const Formats = [
    { value: '0', label: '1000' },
    { value: '1', label: '1000,1' },
    { value: '2', label: '1000,12' },
    { value: '0%', label: '12%' },
    { value: '1%', label: '12,3%' },
    { value: '2%', label: '12,34%' }
];

export const PercentFormats = [
    { value: '0%', label: '12%' },
    { value: '1%', label: '12,3%' },
    { value: '2%', label: '12,34%' }
];

export const Separators = [
    { value: '0', label: '10000' },
    { value: 'ru-RU', label: '10 000' },
    { value: 'de-DE', label: '10.000' },
    { value: 'en-AU', label: '10,000' }
];

export const PercentCalculationTypeOptions = [
    { label: '-', value: null },
    { label: 'От наибольшего родительского блока', value: PercentCalculationType.GREATEST_PARENT },
    { label: 'От суммы родительских блоков', value: PercentCalculationType.SUM_OF_PARENTS },
    { label: 'От первого в ряду блока/суммы блоков', value: PercentCalculationType.FOREFATHER }
];

export const Positions = [
    { label: 'Сверху', value: 'top' },
    { label: 'Слева', value: 'left' },
    { label: 'Справа', value: 'right' },
    { label: 'Внизу', value: 'bottom' },
    { label: 'Внутри', value: 'inside' },
    { label: 'Слева внутри', value: 'insideLeft' },
    { label: 'Справа внутри', value: 'insideRight' },
    { label: 'Сверху внутри', value: 'insideTop' },
    { label: 'Снизу внутри', value: 'insideBottom' },
    { label: 'Внутри левый-верхний', value: 'insideTopLeft' },
    { label: 'Внутри левый-нижний', value: 'insideBottomLeft' },
    { label: 'Внутри правый-верхний', value: 'insideTopRight' },
    { label: 'Внутри правый-нижний', value: 'insideBottomRight' }
];

export const OrientationOptions = [
    { label: 'Горизонтально', value: 'horizontal' },
    { label: 'Вертикально', value: 'vertical' }
];

export const AnimationEasingOptions = [
    { label: 'linear', value: 'linear' },
    { label: 'quadraticIn', value: 'quadraticIn' },
    { label: 'quadraticOut', value: 'quadraticOut' },
    { label: 'quadraticInOut', value: 'quadraticInOut' },
    { label: 'cubicIn', value: 'cubicIn' },
    { label: 'cubicOut', value: 'cubicOut' },
    { label: 'cubicInOut', value: 'cubicInOut' },
    { label: 'quarticIn', value: 'quarticIn' },
    { label: 'quarticOut', value: 'quarticOut' },
    { label: 'quarticInOut', value: 'quarticInOut' },
    { label: 'quinticIn', value: 'quinticIn' },
    { label: 'quinticOut', value: 'quinticOut' },
    { label: 'quinticInOut', value: 'quinticInOut' },
    { label: 'sinusoidalIn', value: 'sinusoidalIn' },
    { label: 'sinusoidalOut', value: 'sinusoidalOut' },
    { label: 'sinusoidalInOut', value: 'sinusoidalInOut' },
    { label: 'exponentialIn', value: 'exponentialIn' },
    { label: 'exponentialOut', value: 'exponentialOut' },
    { label: 'exponentialInOut', value: 'exponentialInOut' },
    { label: 'circularIn', value: 'circularIn' },
    { label: 'circularOut', value: 'circularOut' },
    { label: 'circularInOut', value: 'circularInOut' },
    { label: 'elasticIn', value: 'elasticIn' },
    { label: 'elasticOut', value: 'elasticOut' },
    { label: 'elasticInOut', value: 'elasticInOut' },
    { label: 'backIn', value: 'backIn' },
    { label: 'backOut', value: 'backOut' },
    { label: 'backInOut', value: 'backInOut' },
    { label: 'bounceIn', value: 'bounceIn' },
    { label: 'bounceOut', value: 'bounceOut' },
    { label: 'bounceInOut', value: 'bounceInOut' }
];

export const FocusOptions = [
    { label: 'Отключен', value: 'none' },
    { label: 'Только на себе', value: 'self' },
    { label: 'Соседние узлы', value: 'adjacency' }
];
