/**
 * @typedef {Object} DTextStyle
 * @property {string} color
 * @property {string} fontStyle
 * @property {string} fontWeight
 * @property {string} fontFamily
 * @property {number} fontSize
 */

/**
 * @typedef {Object} DTooltip
 * @property {boolean} show
 * @property {string} trigger
 * @property {string} triggerOn
 * @property {DTextStyle} textStyle
 * @property {string} backgroundColor
 * @property {string} borderColor
 * @property {number} borderWidth
 * @property {function(*): string} formatter
 */

/**
 * @typedef {Object} DChartOptions
 * @property {string} type
 * @property {Object[]} data
 * @property {Object[]} links
 * @property {string} focusNodeAdjacency
 * @property {number} fontSize
 * @property {number} left
 * @property {number} top
 * @property {number} nodeWidth
 * @property {number|string} width
 * @property {number|string} height
 * @property {{formatter(*): string}} label
 * @property {boolean} animation
 * @property {number} animationDuration
 * @property {{focus: string}} emphasis
 * @property {{color: string, curveness: number }} lineStyle
 */

/**
 * @typedef {Object} DTitle
 * @property {boolean} show
 * @property {string} text
 * @property {DTextStyle} textStyle
 */
