import { HorizontalScalePosition, VerticalScalePosition } from './constants';
import {
    resolveTooltipPosition,
    resolveTooltipLeft,
    resolveTooltipTop,
    resolveTooltipOffset,
    resolveSizeUnits
} from './utils';

export const cssVars = {
    'bar_bg-color--default': 'widgetOptions.bar.color1',
    'bar_bg-color--active': 'widgetOptions.bar.color2',
    'bar-notch_color': ['widgetOptions.bar.notchColor', 'var(--color-white)'],
    grade_color: 'widgetOptions.scale.color',
    'grade_font-size': ({ widgetOptions: { scale } }) => resolveSizeUnits(scale.fontSize),
    'grade_font-family': 'widgetOptions.scale.fontFamily',
    'dot_border-color': 'widgetOptions.bar.dot.borderColor',
    'dot_background-color': 'widgetOptions.bar.dot.backgroundColor',
    tooltip_color: 'widgetOptions.tooltip.color',
    'tooltip_font-size': ({ widgetOptions: { tooltip } }) => resolveSizeUnits(tooltip.fontSize),
    'tooltip_font-family': 'widgetOptions.tooltip.fontFamily',
    'tooltip_background-color': 'widgetOptions.tooltip.backgroundColor',
    tooltip_position: resolveTooltipPosition,
    tooltip_left: resolveTooltipLeft,
    tooltip_top: resolveTooltipTop,
    tooltip_offset: resolveTooltipOffset,
    'scale_horizontal-position': ({ horizontalScalePosition }) =>
        horizontalScalePosition === HorizontalScalePosition.TOP ? 'column' : 'column-reverse',
    'scale_vertical-position': ({ verticalScalePosition }) =>
        verticalScalePosition === VerticalScalePosition.LEFT ? 'row' : 'row-reverse',
    scale_gap: 'scaleOffset'
};
