import panels from './panels';
import { cssVars } from './css-vars';
import { MetricsOptions, WidgetOptions } from './config';
import { HorizontalScalePosition, SliderOrientation, VerticalScalePosition } from './constants';

export const Vars = Object.freeze({
    SCALE_VALUE_1: 'scale-value-1',
    SCALE_VALUE_2: 'scale-value-2',
    SCALE_RANGE: 'scale-value-range'
});

export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: () => null
        },
        metrics: {
            type: Object,
            default: () => MetricsOptions
        },
        widgetOptions: {
            type: Object,
            default: () => WidgetOptions
        },
        hasRangeMode: {
            type: Boolean,
            default: true
        },
        sliderOrientation: {
            type: String,
            default: SliderOrientation.VERTICAL
        },
        verticalScalePosition: {
            type: String,
            default: VerticalScalePosition.LEFT
        },
        horizontalScalePosition: {
            type: String,
            default: HorizontalScalePosition.BOTTOM
        },
        tooltipOffset: {
            type: String,
            default: '3.25rem'
        },
        tooltipPosition: {
            type: String,
            default: 'left'
        },
        scaleOffset: {
            type: String,
            default: '1rem'
        },
        width: {
            type: String,
            default: '150'
        },
        widthUnit: {
            type: String,
            default: 'px'
        },
        height: {
            type: String,
            default: '300'
        },
        heightUnit: {
            type: String,
            default: 'px'
        },
        position: {
            type: String,
            default: 'pos-rel'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    cssVars,
    isChildAllowed: false
};
