/* eslint-disable no-restricted-syntax */
import { MetricDimensionEnum } from '../constants';

export const CollapseName = {
    [MetricDimensionEnum.LEGEND]: 'Легенда',
    [MetricDimensionEnum.DIMENSION]: 'Измерение',
    [MetricDimensionEnum.Y_AXIS]: 'Метрика для оси Y',
    [MetricDimensionEnum.X_AXIS]: 'Метрика для оси X'
};

export const DataZoomTopPositions = [
    { label: 'Авто', value: 'auto' },
    { label: 'Сверху', value: 'top' },
    { label: 'Посередине', value: 'middle' },
    { label: 'Снизу', value: 'bottom' }
];

export const DataZoomLeftPositions = [
    { label: 'Авто', value: 'auto' },
    { label: 'Слева', value: 'left' },
    { label: 'Посередине', value: 'center' },
    { label: 'Справа', value: 'right' }
];

export const LabelPositions = [
    { label: 'Слева', value: 'left' },
    { label: 'Справа', value: 'right' },
    { label: 'Сверху', value: 'top' },
    { label: 'Снизу', value: 'bottom' },
    { label: 'Внутри', value: 'inside' }
];

export const FontUnits = ['px', 'rem', '%', 'em'];

export const FontStyles = [
    { label: 'Обычный', value: 'normal' },
    { label: 'Курсив', value: 'italic' },
    { label: 'Наклонный', value: 'oblique' }
];

export const FontWeights = [
    { label: 'Лёгкий', value: 'lighter' },
    { label: 'Обычный', value: 'normal' },
    { label: 'Полужирный', value: 'bold' },
    { label: 'Жирный', value: 'bolder' }
];

export const AxisTypes = [
    { value: 'category', label: 'Категория' },
    { value: 'value', label: 'Значение' }
];

export const GradDirections = [
    { value: '0 1 0 0', label: '↑' },
    { value: '1 0 0 0', label: '←' },
    { value: '0 0 1 0', label: '→' },
    { value: '0 0 0 1', label: '↓' },
    { value: '1 1 0 0', label: '↖' },
    { value: '0 1 1 0', label: '↗' },
    { value: '0 0 1 1', label: '↘' },
    { value: '1 0 0 1', label: '↙' }
];

export const Positions = [
    { label: 'Сверху', value: 'top' },
    { label: 'Слева', value: 'left' },
    { label: 'Справа', value: 'right' },
    { label: 'Внизу', value: 'bottom' },
    { label: 'Внутри', value: 'inside' }
];

export const Formats = [
    { value: '0', label: '1000' },
    { value: '1', label: '1000,1' },
    { value: '2', label: '1000,12' },
    { value: '0%', label: '12%' },
    { value: '1%', label: '12,3%' },
    { value: '2%', label: '12,34%' }
];

export const Separators = [
    { value: '0', label: '10000' },
    { value: 'ru-RU', label: '10 000' },
    { value: 'de-DE', label: '10.000' },
    { value: 'en-AU', label: '10,000' }
];

// Metric Dimension Items
export const MetricDimensionItems = [
    { label: 'Метрика для оси X', value: 0 },
    { label: 'Метрика для оси Y', value: 1 },
    { label: 'Измерение', value: 2 },
    { label: 'Легенда', value: 3 },
    { label: 'Произвольный текст', value: 99 }
];

export const AlignOptions = [
    { value: 'start', label: 'Начало' },
    { value: 'middle', label: 'Середина' },
    { value: 'end', label: 'Конец' }
];

export const HorizontalAlignOptions = [
    { value: 'left', label: 'Слева' },
    { value: 'center', label: 'По центру' },
    { value: 'right', label: 'Справа' }
];

export const splitLineTypes = [
    { value: 'solid', label: 'Сплошная' },
    { value: 'dashed', label: 'Пунктир' },
    { value: 'dotted', label: 'Точки' }
];

export const AxisPosition = {
    x: [
        { value: 'top', label: 'Наверху' },
        { value: 'bottom', label: 'Внизу' }
    ],
    y: [
        { value: 'left', label: 'Слева' },
        { value: 'right', label: 'Справа' }
    ]
};

export const OrientationOptions = [
    { value: 'horizontal', label: 'Горизонтальная' },
    { value: 'vertical', label: 'Вертикальная' }
];

export const MarkerAlignOptions = [
    { value: 'auto', label: 'Автоматически' },
    { value: 'left', label: 'Слева' },
    { value: 'right', label: 'Справа' }
];

export const PaddingOptions = [
    { val: 'fullPaddingTop', name: 'Сверху' },
    { val: 'fullPaddingRight', name: 'Справа' },
    { val: 'fullPaddingDown', name: 'Снизу' },
    { val: 'fullPaddingLeft', name: 'Слева' }
];

export const TooltipEvents = [
    { label: 'Щелчке', value: 'click' },
    { label: 'Наведении', value: 'mousemove' }
];

export const TypeLimitOptions = [
    { label: 'В процентах', value: 'percent' },
    { label: 'В числах', value: 'numeric' }
];

export const EchartsRippleBrushTypeOptions = [
    {
        label: 'С заливкой',
        value: 'fill'
    },
    {
        label: 'Без заливки',
        value: 'stroke'
    }
];
