/* eslint-disable no-restricted-syntax */
import panels from './panels';
import { cssVars } from './css-vars';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Events = Object.freeze({
    UPDATE_WIDGET: 'updateWidget'
});

export const descriptor = () => ({
    props: {
        filters: {
            type: Array,
            default: []
        },
        keyValueFilters: {
            type: Array,
            default() {
                return [];
            },
            /** @return {FilterItem[]} */
            factory() {
                return { name: '', data: null };
            }
        },
        extraFormats: {
            type: Array,
            default: []
        },
        debounce: {
            type: Number,
            default: 3000
        },
        placeholder: {
            type: Object,
            default() {
                return {
                    color: 'rgba(0, 0, 0)',
                    size: '1rem',
                    text: 'Поиск',
                    fontWeight: ''
                };
            }
        },
        inputStyles: {
            type: Object,
            default() {
                return {
                    height: '2rem',
                    shadow: '0px 8px 8px #00000029',
                    color: 'black',
                    fontSize: '1rem',
                    fontFamily: '',
                    fontWeight: '',
                    marginLeft: '10px',
                    prefixMarginLeft: '4px',
                    postfixMarginRight: '4px',
                    prefixFontSize: '1rem',
                    prefixColor: 'rgba(0, 0, 0, 0.7)',
                    postfixColor: 'rgba(0, 0, 0, 0.8)',
                    postfixFontSize: '1rem',
                    borderWidth: '0px',
                    borderColor: 'rgb(0, 0, 0)',
                    borderRadius: '4px',
                    backgroundColor: 'rgba(255, 255, 255, 1)'
                };
            }
        },
        isHideSlot: {
            type: Boolean,
            default: false
        },
        events: {
            type: Object,
            default: () => ({
                [Events.UPDATE_WIDGET]: ''
            })
        }
    },
    events: {
        [Events.UPDATE_WIDGET]: ['listen']
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {}),
    cssVars: {}
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: true,
    cssVars,
    slotNames: ['default']
};

export default descriptor;
