import {
    DefaultChartOptions,
    BackChartOptionsSeriesItem,
    ChartOptionsSeriesItem,
    DefaultItemStyle,
    ChartOptionsDataTooltip,
    ChartOptionsSeriesItemLabel,
    DefaultChartOptionsSeriesItems
} from './utils/constants';
import panels from './panels';

export const Events = Object.freeze({
    UPDATE: 'updateEvent'
});
/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        selectedDimension: {
            type: String,
            default: ''
        },
        selectedMetric: {
            type: String,
            default: ''
        },
        metricName: {
            type: String,
            default: 'Метрика'
        },
        updateEvent: {
            type: String,
            default: 'updateElemSegmentPie'
        },
        tooltip: {
            type: Object,
            default: ChartOptionsDataTooltip()
        },
        backChartOptionsSeriesItem: {
            type: Object,
            default: BackChartOptionsSeriesItem()
        },
        defaultChartOptionsSeriesItems: {
            type: Object,
            default: DefaultChartOptionsSeriesItems()
        },
        chartOptionsSeriesItem: {
            type: Object,
            default: ChartOptionsSeriesItem()
        },
        chartOptionsSeriesItemStyle: {
            type: Object,
            default: DefaultItemStyle()
        },
        chartOptions: {
            type: Object,
            default: DefaultChartOptions()
        },
        chartOptionsSeriesItemLabel: {
            type: Object,
            default: ChartOptionsSeriesItemLabel()
        },
        customDimensionsColors: {
            type: Object,
            default: () => ({})
        },
        customDimensionsGradients: {
            type: Object,
            default: () => ({})
        },
        mayResetStoreVariables: {
            type: Boolean,
            default: false
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {}),
    events: {
        [Events.UPDATE]: { listen: 'updateEvent' }
    }
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};

export default descriptor;
