/* eslint-disable no-magic-numbers */
import { GradientPositionOptions, LegendPositionsIds } from '../config';

export const RESIZE_WAIT_TIME = 500;
export const DRAG_ANIMATION_TIME = 500;

export const legendPositions = {
    top: {
        orient: 'horizontal',
        top: '0',
        bottom: 'auto',
        left: 'center',
        right: 'auto'
    },
    bottom: {
        orient: 'horizontal',
        top: 'auto',
        bottom: '0',
        left: 'center',
        right: 'auto'
    },
    left: {
        orient: 'vertical',
        top: 'center',
        bottom: 'auto',
        left: '0',
        right: 'auto'
    },
    right: {
        orient: 'vertical',
        top: 'center',
        bottom: 'auto',
        left: 'auto',
        right: '0'
    }
};

export const ChartOptionsDataTooltip = () => ({
    isCustomize: false,
    bgColor: '',
    baseStyle: {
        backgroundColor: 'rgba(50,50,50,0.7)',
        borderColor: 'rgba(0,0,0,0)',
        borderWidth: '0'
    },
    textStyle: {
        color: '#ffffff',
        fontSize: '14'
    },
    maxWidth: '100%',
    metrics: []
});

export const TooltipMetric = () => ({
    name: '',
    text: '',
    color: '#ffffff',
    textAlign: 'left',
    fontSize: '1em',
    isString: false,
    separator: ';<br>',
    format: ''
});

export const ChartOptionsSeriesItemLabel = () => ({
    show: false,
    position: 'outside',
    formatter: '',
    isPercent: false,
    rich: {
        name: {
            show: true,
            color: '',
            fontSize: '12',
            fontFamily: 'sans-serif'
        },
        value: {
            show: true,
            color: '',
            fontSize: '12',
            fontFamily: 'sans-serif'
        }
    }
});

export const DefaultChartOptionsData = () => ({
    value: 100,
    name: ''
});

export const DefaultChartOptionsDataValues = [DefaultChartOptionsData];

export const DefaultItemStyle = () => ({
    color: '#f0f0f0',
    borderWidth: 4,
    borderColor: '#ffffff'
});

export const createGradient = ({
    isUsed = false,
    firstOffset = 0,
    secondOffset = 1,
    firstColor = '#000000',
    secondColor = '#ff0000',
    position = GradientPositionOptions[3].value
} = {}) => ({
    isUsed,
    firstOffset,
    secondOffset,
    firstColor,
    secondColor,
    position
});

export const DefaultChartOptionsSeriesItems = () => ({
    type: 'pie',
    radius: ['0', '70%'],
    // eslint-disable-next-line no-restricted-syntax
    center: ['50%', '50%'],

    roseType: 'area',
    // eslint-disable-next-line no-restricted-syntax
    data: []
});

export const ChartOptionsSeriesItem = () => ({
    animation: false,
    animationEasingUpdate: '',
    animationType: '',
    animationDurationUpdate: 0,
    animationDelayUpdate: 0,
    minShowLabelAngle: 0,
    isUsedBorderRadius: false,
    borderRadiusInnerStart: 0,
    borderRadiusInnerEnd: 0,
    borderRadiusOuterStart: 0,
    borderRadiusOuterEnd: 0,
    zlevel: 1,
    itemStyle: {
        color: '#f0f0f0',
        colorStep: 15
    }
});

export const BackChartOptionsSeriesItem = () => ({
    label: {
        show: false
    },
    zlevel: 0,
    legendHoverLink: false,
    hoverAnimation: false,
    cursor: 'default',
    silent: true
});

export const DefaultTooltip = () => ({
    backgroundColor: 'rgba(50,50,50,0.7)',
    borderColor: 'rgba(0,0,0,0)',
    borderWidth: '0',
    textStyle: {
        color: '#ffffff',
        fontSize: '14'
    }
});

export const DefaultChartOptions = () => ({
    numberFormat: '',
    legend: {
        show: false,
        textStyle: {
            color: 'inherit',
            fontFamily: 'sans-serif',
            fontSize: 12
        },
        position: LegendPositionsIds.TOP
    },
    series: []
});
