export const migrate = ({
    chartOptions: {
        legend: {
            textStyle: { fontSize: legendFontSize, ...textStyleOpts },
            ...legendOpts
        },
        ...chartOpts
    },
    tooltip: {
        textStyle: { fontSize: tooltipTextStyleFontSize, ...tooltipTextStyle },
        metrics,
        ...tooltipOpts
    },
    chartOptionsSeriesItemLabel: {
        rich: {
            value: { fontSize: richValueFontSize, ...richValue },
            name: { fontSize: richNameFontSize, ...richName },
            ...richOpts
        },
        ...labelOpts
    },
    ...options
}) => ({
    ...options,
    chartOptions: {
        ...chartOpts,
        legend: {
            ...legendOpts,
            textStyle: {
                ...textStyleOpts,
                fontSize: `${legendFontSize}`
            }
        }
    },
    tooltip: {
        ...tooltipOpts,
        textStyle: {
            ...tooltipTextStyle,
            fontSize: `${tooltipTextStyleFontSize}`
        },
        metrics: metrics.map(({ fontSize: tooltipMetricsFontSize, ...tooltipMetricsOptions }) => ({
            ...tooltipMetricsOptions,
            fontSize: `${tooltipMetricsFontSize}`
        }))
    },
    chartOptionsSeriesItemLabel: {
        ...labelOpts,
        rich: {
            ...richOpts,
            value: {
                ...richValue,
                fontSize: `${richValueFontSize}`
            },
            name: {
                ...richName,
                fontSize: `${richNameFontSize}`
            }
        }
    }
});
