export const Fields = {
    metricId: null,
    metricColor: null,
    metricByClick: null
};

export const ColorSettings = {
    defaultColor: 'inherit',
    defaultStroke: 'inherit',
    nodes: [],
    shouldUseRules: false,
    rules: []
};

export const HoverSettings = {
    shouldHoverAllElements: false,
    shouldUseSettings: false,
    fill: 'rgba(107,255,98,1)',
    stroke: '#000',
    strokeWidth: '1px',
    additionalFill: 'rgba(167,164,164,1)',
    additionalStroke: 'rgba(167,164,164,1)'
};

export const GeneralSettings = {
    stroke: '#c0c0c0',
    strokeWidth: '1px',
    boxShadow: '0px 4px 8px #00000029'
};

export const SelectSettings = {
    isEnabled: false,
    shouldSelectAllElements: false,
    blockOpacity: '0.3',
    textOpacity: '0.3'
};

export const createNode = (id) => ({
    id,
    newId: id,
    isVisible: true,
    shouldChangeId: false
});

export const createLabelsSettings = (id) => ({
    id,
    useCustomLabelSettings: false,
    labelOffsetY: 0,
    labelOffsetX: 0,
    labelOffsetRight: 0,
    offsetBetweenLabels: 40
});

export const createLimitSettings = (id) => ({
    id,
    isEnabled: false,
    countRows: 3
});

export const SVG_STYLES = `
    tspan {filter: none; stroke-width: 0}
    text {filter: none; stroke-width: 0}
    path {transition: 0.5s all}
    p {margin: 0}
    .labels {
        display: -webkit-box;
        cursor: pointer;
        overflow: hidden;
        text-overflow: ellipsis;
        box-sizing: border-box;
        -webkit-box-orient: vertical;
    }`;
