/* eslint-disable id-length */
import isNumber from 'lodash/isNumber';

/**
 * @return {DColumnParamStyle}
 */
export const MetricParamStyleFactory = () => ({
    color: '',
    fontFamily: '',
    fontSize: '',
    styleConditions: []
});

export const MetricParamStyleConditionFactory = () => ({
    type: null,
    value: ''
});

export const ParamStyleTypes = {
    EQ: {
        name: '=',
        handler: (paramValue, styleValue) =>
            isNumber(paramValue) && isNumber(styleValue)
                ? Number(paramValue) === Number(styleValue)
                : paramValue === styleValue
    },
    GT: {
        name: '>',
        handler: (paramValue, styleValue) => Number(paramValue) > Number(styleValue)
    },
    LT: {
        name: '<',
        handler: (paramValue, styleValue) => Number(paramValue) < Number(styleValue)
    },
    GT_EG: {
        name: '>=',
        handler: (paramValue, styleValue) => Number(paramValue) >= Number(styleValue)
    },
    LT_EQ: {
        name: '<=',
        handler: (paramValue, styleValue) => Number(paramValue) <= Number(styleValue)
    }
};

export const TruncateOptions = {
    isTruncate: false,
    value: 10,
    separator: '...'
};
