/* eslint-disable ban/ban */
import panels from './panel';
/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

export const Events = Object.freeze({
    RELOAD: 'reload'
});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        columns: {
            type: Array,
            default() {
                return [];
            }
        },
        pagination: {
            type: Object,
            default() {
                return {
                    enable: false,
                    rowCount: 10,
                    fontSize: '',
                    fontFamily: '',
                    color: '',
                    activeColor: '',
                    background: ''
                };
            }
        },
        downloadXLSX: {
            type: Object,
            default() {
                return {
                    enable: false,
                    bookName: 'Goodt table data',
                    style: '',
                    iconLeft: '',
                    iconRight: '',
                    buttonText: 'Выгрузить'
                };
            }
        },
        hoverColor: {
            type: String,
            default: '#ffffaa'
        },
        trStyling: {
            type: String,
            default: ''
        },
        events: {
            type: Object,
            default: () => ({
                [Events.RELOAD]: ''
            })
        }
    },
    events: {
        [Events.RELOAD]: ['listen']
    },
    vars: {}
});

export const meta = {
    descriptor,
    panels
};
