export const TreeMapOptions = Object.freeze({
    parentField: 'Location',
    childField: 'Shop',
    valueField: 'SumRevenue',
    // eslint-disable-next-line no-restricted-syntax
    title: { show: false, text: 'Заголовок', left: 'center', textStyle: { color: 'orange' }, padding: [] },
    series: [
        {
            type: 'treemap',
            name: '',
            left: 50,
            top: 50,
            width: '80%',
            height: '80%',
            label: { position: '' }
        }
    ]
});

export const SunburstDiagramOptions = () => ({
    isVisible: false,
    intervalTimeOut: 4000,
    shouldUseButton: true,
    button: {
        text: 'Изменить тип диаграммы',
        styles: [],
        align: 'left',
        position: 'column',
        classes: 'btn btn-primary mar-bot-2'
    }
});

export const LevelsOptions = () => ({
    useMetric: false,
    mainColorField: null,
    colorField: null,
    minSaturation: 0,
    maxSaturation: 0,
    outsideBorderWidth: 0,
    outsideBorderColor: '#fff',
    insideBorderWidth: 0,
    insideBorderColor: '#fff',
    splitInsideBorderColorBySections: false,
    // eslint-disable-next-line no-restricted-syntax
    color: ['#c23531', '#2f4554', '#61a0a8', '#d48265', '#91c7ae', '#749f83'],
    borderColors: []
});

export const BreadcrumbsOptions = () => ({
    show: false,
    top: 97,
    height: '20px',
    itemStyle: {
        textStyle: {
            color: 'rgba(255, 255, 255, 1)',
            fontSize: '12px'
        },
        color: 'rgba(0, 0, 0, 0.7)',
        borderWidth: 0,
        borderColor: 'rgba(255, 255, 255, 0)'
    }
});

export const UpperLabelOptions = () => ({
    show: false,
    align: 'left',
    position: 'insideLeft',
    color: '#000',
    fontSize: '14px',
    height: 20,
    fontFamily: '',
    fontWeight: 400
});

export const UpperLabelIconOptions = () => ({
    field: null,
    color: '#000',
    fontSize: '14px',
    fontWeight: 400,
    position: 'row'
});

export const DrilldownOptions = () => ({
    isActive: false,
    shouldShowMainLabelOnlyFirstLevel: false,
    icon: '►',
    borderWidth: 0,
    borderColor: '#fff',
    fontSize: '14px',
    color: '#fff'
});

export const EmphasisOptions = () => ({
    isActive: false,
    upperLabel: {
        color: '#000'
    },
    itemStyle: {
        color: '#000',
        borderColor: '#000'
    },
    label: {
        rich: { color: 'rgba(155, 0, 255, 1)' }
    }
});

export const MainLabelOptions = () => ({
    isShow: true,
    shouldShowOnlyFirstLevel: false,
    field: null,
    position: 'inside',
    align: '',
    style: { fullFontSize: '0.75rem', color: '#fff', lineHeight: 14, format: '' },
    prefix: { text: '', style: { fullFontSize: '0.75rem', color: '#fff' } },
    postfix: { text: '', style: { fullFontSize: '0.75rem', color: '#fff' } }
});

export const ColorsByRules = () => ({
    isEnabled: false,
    field: null,
    isActiveLabelStyles: false,
    rules: []
});

export const SeriesTypes = Object.freeze({
    TREEMAP: 'treemap',
    SUNBURST: 'sunburst'
});

export const REQUEST_ANIMATION_TIMEOUT = 16;
export const OTHER_NAME = 'Другое';

export const OtherDimensionLabelStyles = () => ({
    align: 'center',
    color: '#000',
    fullFontSize: '1rem',
    fontWeight: '400',
    fontStyle: 'normal'
});
