/* eslint-disable no-restricted-syntax */
import panels from './panels';
import {
    MetricOptionsTemplate,
    DimensionOptionsTemplate,
    LegendTemplate,
    LegendManualSizeTemplate,
    DataZoomOptionsTemplate,
    DataZoomInsideOptionsTemplate,
    Axes
} from './constants';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dremio: {
            type: Object,
            default: null
        },
        dimension: {
            type: String,
            default: ''
        },
        metric: {
            type: String,
            default: ''
        },
        dimensionOptions: {
            type: Object,
            default: DimensionOptionsTemplate()
        },
        metricOptions: {
            type: Object,
            default: MetricOptionsTemplate()
        },
        axes: {
            type: Array,
            default: () => Axes
        },
        legend: {
            type: Object,
            default: LegendTemplate()
        },
        legendManualSize: {
            type: Object,
            default: LegendManualSizeTemplate()
        },
        dataZoom: {
            type: Object,
            default: DataZoomOptionsTemplate()
        },
        dataZoomInside: {
            type: Object,
            default: DataZoomInsideOptionsTemplate()
        },
        width: {
            type: String,
            default: ''
        },
        widthUnit: {
            type: String,
            default: ''
        },
        height: {
            type: String,
            default: '100'
        },
        heightUnit: {
            type: String,
            default: '%'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false
};

export default descriptor;
