import {
    ColName,
    WorkMode,
    ManagementPremiumType,
    PharmacyCoefficient,
    IndividualPremiumType,
    PremiumRetentionType
} from './constants';

export const getAvailableWorkModes = (
    colName,
    { workMode, pharmacyCoefficient, managementPremiumType, individualPremiumType, premiumRetentionType }
) => {
    const workModes = [];

    switch (colName) {
        case ColName.BRAND: {
            switch (workMode) {

                case WorkMode.PHARMACY_COEFFICIENT_ENTITY: {
                    workModes.push(WorkMode.PHARMACY_COEFFICIENT_ENTITY)

                    break;
                }

                case WorkMode.PRIVATE_LABEL_COEFFICIENT: {
                    workModes.push(WorkMode.PHARMACY_COEFFICIENT_ENTITY)

                    break;
                }

                case WorkMode.FIXED_PREMIUM_RETENTION: {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION)

                    break;
                }

                case WorkMode.ADDWORK_RULES: {
                    workModes.push(WorkMode.ADDWORK_RULES)

                    break;
                }

                case WorkMode.STANDARD_ORDERS_COMPLETED: {
                    workModes.push(WorkMode.STANDARD_ORDERS_COMPLETED)

                    break;
                }

                case WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION: {
                    workModes.push(WorkMode.STANDARD_ORDERS_COMPLETED)

                    break;
                }

                case WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT: {
                    workModes.push(WorkMode.STANDARD_ORDERS_COMPLETED)

                    break;
                }

                default: {
                    break;
                }

            }
            break;
        }
        case ColName.PHARMACY: {
            switch (workMode) {

                case WorkMode.STANDARD_ORDERS_COMPLETED: {
                    workModes.push(WorkMode.STANDARD_ORDERS_COMPLETED);

                    break;
                }

                case WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION: {
                    workModes.push(WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION);

                    break;
                }

                case WorkMode.FIXED_PREMIUM_RETENTION: {
                    if (
                        [
                            ManagementPremiumType.BONUS_FOR_ADMINISTRATIVE_WORK,
                            ManagementPremiumType.FIXED_BONUS_FOR_PROBATIONARY_PERIOD,
                            ManagementPremiumType.BONUS_FOR_ROLES_IN_PHARMACIES_WITH_A_FIXED_PAYMENT_PLAN
                        ].includes(managementPremiumType)
                    ) {
                        workModes.push(WorkMode.FIXED_PREMIUM_RETENTION);
                    }

                    break;
                }

                case WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT: {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);

                    break;
                }

                default: {
                    break;
                }
            }

            break;
        }

        case ColName.MOTIVATION_SCHEMA: {
            switch (workMode) {
                case WorkMode.PRIVATE_LABEL_COEFFICIENT: {
                    workModes.push(WorkMode.PRIVATE_LABEL_COEFFICIENT);

                    break;
                }

                case WorkMode.STANDARD_ORDERS_COMPLETED: {
                    workModes.push(WorkMode.STANDARD_ORDERS_COMPLETED);

                    break;
                }

                case WorkMode.FIXED_PREMIUM_RETENTION: {
                    if (
                        [
                            ManagementPremiumType.BONUS_FOR_ADMINISTRATIVE_WORK,
                            ManagementPremiumType.FIXED_BONUS_FOR_PROBATIONARY_PERIOD,
                            ManagementPremiumType.BONUS_FOR_ROLES_IN_PHARMACIES_WITH_A_FIXED_PAYMENT_PLAN
                        ].includes(managementPremiumType)
                    ) {
                        workModes.push(WorkMode.FIXED_PREMIUM_RETENTION);
                    }

                    break;
                }

                case WorkMode.ADDWORK_RULES: {
                    workModes.push(WorkMode.ADDWORK_RULES);

                    break;
                }

                default: {
                    break;
                }
            }

            break;
        }

        case ColName.REV_MIN: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION) {
                if (
                    [
                        ManagementPremiumType.BASE_PREMIUM_ON_TURNOVER,
                        ManagementPremiumType.BASE_PREMIUM_ON_STM_TURNOVER
                    ].includes(managementPremiumType)
                ) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION);
                }
            }

            break;
        }

        case ColName.REV_MAX: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION) {
                if (
                    [
                        ManagementPremiumType.BASE_PREMIUM_ON_TURNOVER,
                        ManagementPremiumType.BASE_PREMIUM_ON_STM_TURNOVER
                    ].includes(managementPremiumType)
                ) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION);
                }
            }

            break;
        }

        case ColName.UNIT_CATEGORY: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION) {
                if (
                    [
                        ManagementPremiumType.BASE_PREMIUM_ON_TURNOVER,
                        ManagementPremiumType.BASE_PREMIUM_ON_STM_TURNOVER
                    ].includes(managementPremiumType)
                ) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION);
                }
            }

            break;
        }

        case ColName.ROLE: {
            switch (workMode) {
                case WorkMode.FIXED_PREMIUM_RETENTION: {
                    if (
                        [
                            ManagementPremiumType.BASE_PREMIUM_ON_TURNOVER,
                            ManagementPremiumType.BASE_PREMIUM_ON_STM_TURNOVER,
                            ManagementPremiumType.DISTRIBUTION_OF_PREMIUMS_FOR_INTERNET_ORDER_FULFILLMENT_SERVICE,
                            ManagementPremiumType.FIXED_BONUS_FOR_PROBATIONARY_PERIOD,
                            ManagementPremiumType.BONUS_FOR_ROLES_IN_PHARMACIES_WITH_A_FIXED_PAYMENT_PLAN
                        ].includes(managementPremiumType)
                    ) {
                        workModes.push(WorkMode.FIXED_PREMIUM_RETENTION);
                    }

                    break;
                }

                case WorkMode.STANDARD_ORDERS_COMPLETED: {
                    workModes.push(WorkMode.STANDARD_ORDERS_COMPLETED);

                    break;
                }

                case WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION: {
                    workModes.push(WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION);

                    break;
                }

                case WorkMode.ADDWORK_RULES: {
                    workModes.push(WorkMode.ADDWORK_RULES);

                    break;
                }

                case WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT: {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);

                    break;
                }

                default: {
                    break;
                }
            }

            break;
        }

        case ColName.MIN_PLAN:
        case ColName.MAX_PLAN: {
            if (workMode === WorkMode.PHARMACY_COEFFICIENT_ENTITY) {
                if (
                    [
                        PharmacyCoefficient.PLAN_IMPLEMENTATION_COEFFICIENT,
                        PharmacyCoefficient.PLAN_IMPLEMENTATION_COEFFICIENT_BY_STM,
                        PharmacyCoefficient.WEIGHTED_AVERAGE_PHARMACY_EFFICIENCY_COEFFICIENT
                    ].includes(pharmacyCoefficient)
                ) {
                    workModes.push(WorkMode.PHARMACY_COEFFICIENT_ENTITY);
                }
            }

            break;
        }

        case ColName.CITY: {
            if (workMode === WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION) {
                if (
                    [
                        IndividualPremiumType.INDIVIDUAL_FIXED_PREMIUM_BY_SURNAME,
                        IndividualPremiumType.INDIVIDUAL_FOT_AND_PAYMENT_FOR_PHARMACIES_WORKERS
                    ].includes(individualPremiumType)
                ) {
                    workModes.push(WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION);
                }
            }

            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION) {
                workModes.push(WorkMode.FIXED_PREMIUM_RETENTION);
            }

            break;
        }

        case ColName.EMPLOYEE: {
            switch (workMode) {
                case WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION: {
                    if (
                        [
                            IndividualPremiumType.INDIVIDUAL_FIXED_PREMIUM_BY_SURNAME,
                            IndividualPremiumType.PERSONAL_ADDITIONAL_PAYMENT,
                            IndividualPremiumType.INDIVIDUAL_FOT_AND_PAYMENT_FOR_DA
                        ].includes(individualPremiumType)
                    ) {
                        workModes.push(WorkMode.INDIVIDUAL_FIXED_PREMIUM_RETENTION);
                    }

                    break;
                }

                case WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT: {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);

                    break;
                }

                default: {
                    break;
                }
            }

            break;
        }

        case ColName.FUND_BALANCE:
        case ColName.MANAGERS_FUND: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT) {
                if (
                    [
                        PremiumRetentionType.MONTHLY_BONUS_FOR_EMPLOYEE_FROM_AO_MANAGER,
                        PremiumRetentionType.MONTHLY_EMPLOYEES_BONUSES_FROM_UW_DEPARTMENT
                    ].includes(premiumRetentionType)
                ) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);
                }
            }

            break;
        }

        case ColName.CLUSTER: {

            if (workMode === WorkMode.PHARMACY) {
                workModes.push(WorkMode.PHARMACY)
            }

                break;
        }

        case ColName.DATE_START: {
            if(workMode === WorkMode.PHARMACY) {
                workModes.push(WorkMode.PHARMACY)
            }

            if(workMode === WorkMode.PRIVATE_LABEL_COEFFICIENT) {
                workModes.push(WorkMode.PRIVATE_LABEL_COEFFICIENT)
            }

            if(workMode === WorkMode.PHARMACY_COEFFICIENT_ENTITY) {
                workModes.push(WorkMode.PHARMACY_COEFFICIENT_ENTITY)
            }

            break;
        }

        case ColName.DATE_END: {
            if(workMode === WorkMode.PHARMACY) {
                workModes.push(WorkMode.PHARMACY)
            }

            if(workMode === WorkMode.PHARMACY_COEFFICIENT_ENTITY) {
                workModes.push(WorkMode.PHARMACY_COEFFICIENT_ENTITY)
            }

            break;
        }

        case ColName.CLUSTER_MANAGER_FIO: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT) {
                if (
                    [
                        PremiumRetentionType.MONTHLY_BONUS_FOR_EMPLOYEE_FROM_AO_MANAGER,
                        PremiumRetentionType.MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_AO_MANAGER
                    ].includes(premiumRetentionType)
                ) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);
                }
            }

            break;
        }

        case ColName.REGION_DUP_EMPLOYEE: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT) {
                if (premiumRetentionType === PremiumRetentionType.MONTHLY_EMPLOYEES_BONUSES_FROM_UW_DEPARTMENT) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);
                }
            }

            break;
        }

        case ColName.PREMIUM_NAME: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT) {
                if (
                    [
                        PremiumRetentionType.MONTHLY_BONUS_FOR_EMPLOYEE_FROM_AO_MANAGER,
                        PremiumRetentionType.MONTHLY_EMPLOYEES_BONUSES_FROM_UW_DEPARTMENT
                    ].includes(premiumRetentionType)
                ) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);
                }
            }

            break;
        }

        case ColName.PENALTY_NAME: {
            if (workMode === WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT) {
                if (
                    [
                        PremiumRetentionType.MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_AO_MANAGER,
                        PremiumRetentionType.MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_UW_DEPARTMENT
                    ].includes(premiumRetentionType)
                ) {
                    workModes.push(WorkMode.FIXED_PREMIUM_RETENTION_MANAGEMENT);
                }
            }

            break;
        }

        default: {
            break;
        }
    }

    return workModes;
};
