export const INPUT_DATE_FORMAT = 'DD.MM.YYYY';
export const API_DATE_FORMAT = 'YYYY-MM-DD';

export const ColName = Object.freeze({
    BRAND: 'brand',
    LEVEL: 'level',
    VALID_PERIOD: 'validPeriod',
    DATE_START: 'date_start',
    DATE_END: 'date_end',
    ELEMENT: 'element',
    REGION: 'region',
    REGION_DUP_EMPLOYEE: 'regionDupEmployee',
    CITY: 'city',
    PHARMACY: 'pharmacy',
    STORE: 'store', // список аптек с api org-unit
    MOTIVATION_SCHEMA: 'motivation_schema',
    COEFFICIENT: 'coefficient',
    SHIFT: 'shift',
    ORDER_ORIGIN: 'orderOrigin',
    VALUE: 'value',
    MIN_PLAN: 'minPlan',
    MAX_PLAN: 'maxPlan',
    COEFFICIENT_VALUE: 'coefficientValue',
    REV_MIN: 'revMin',
    REV_MAX: 'revMax',
    UNIT_CATEGORY: 'unitCategory',
    ROLE: 'role',
    EMPLOYEE_ID: 'employeeId',
    BASIC_BONUS: 'basicBonus',
    STANDARD: 'standard',
    ADDWORK_BRAND: 'addworkBrand',
    ADDWORK_PHARMACY_CODE: 'addworkPharmacyCode',
    ADDWORK_MOTIVATION_SCHEMA: 'addworkMotivationSchema',
    PHARMACY_CODE: 'pharmacyCode',
    ADDWORK_ROLE: 'addworkRole',
    ADDWORK_RATE: 'addworkRate',
    ADDWORK_REGION: 'addworkRegion', // Для отображения пока не нужен
    PREMIUM_FORMAT: 'premiumFormat',
    CLUSTER: 'cluster',
    CLUSTER_MANAGER_FIO: 'clusterManagerFIO',
    EMPLOYEE: 'employee',
    COMMENT: 'comment',
    FUND_BALANCE: 'fundBalance',
    MANAGERS_FUND: 'managersFund',
    PREMIUM_NAME: 'premiumName', // TODO: Бэк не поддерживает, пока для внешнего вида
    PENALTY_NAME: 'penaltyName' // TODO: Бэк не поддерживает, пока для внешнего вида
});

export const ColumnTypes = Object.freeze({
    LABEL: 'label',
    INPUT: 'input',
    AUTOCOMPLETE: 'autocomplete',
    SELECT: 'select',
    SELECT_PERIOD: 'select_period'
});

export const RowCRUDAction = Object.freeze({
    CREATE: 'create',
    READ: 'read',
    UPDATE: 'update',
    DELETE: 'delete'
});

export const NotificationType = Object.freeze({
    SUCCESS: 'success',
    WARN: 'warn',
    ERROR: 'error'
});

export const NotificationCategory = Object.freeze({
    NONE: 'none',
    UNSAVED_CHANGES: 'unsavedChanges',
    PHARMACY_NOT_FOUND_FOR_REGION: 'pharmacyNotFoundForRegion'
});

export const WorkMode = Object.freeze({
    PHARMACY: 'Pharmacy',
    PRIVATE_LABEL_COEFFICIENT: 'PrivateLabelCoefficient',
    PHARMACY_COEFFICIENT_ENTITY: 'PharmacyCoefficientEntity',
    FIXED_PREMIUM_RETENTION: 'FixedPremiumRetention',
    STANDARD_ORDERS_COMPLETED: 'StandardOrdersCompleted',
    FIXED_PREMIUM_RETENTION_MANAGEMENT: 'FixedPremiumRetentionManagement',
    INDIVIDUAL_FIXED_PREMIUM_RETENTION: 'IndividualFixedPremiumRetention',
    ADDWORK_RULES: 'AddworkRules'
});

export const PharmacyCoefficient = Object.freeze({
    PLAN_IMPLEMENTATION_COEFFICIENT: 1,
    WEIGHTED_AVERAGE_PHARMACY_EFFICIENCY_COEFFICIENT: 2,
    PLAN_IMPLEMENTATION_COEFFICIENT_BY_STM: 3,
    SCALING: 4
});

export const ManagementPremiumType = Object.freeze({
    BASE_PREMIUM_ON_TURNOVER: 21,
    BASE_PREMIUM_ON_STM_TURNOVER: 22,
    DISTRIBUTION_OF_PREMIUMS_FOR_INTERNET_ORDER_FULFILLMENT_SERVICE: 23,
    BONUS_FOR_ADMINISTRATIVE_WORK: 24,
    FIXED_BONUS_FOR_PROBATIONARY_PERIOD: 25,
    BONUS_FOR_ROLES_IN_PHARMACIES_WITH_A_FIXED_PAYMENT_PLAN: 26
});

export const IndividualPremiumType = Object.freeze({
    INDIVIDUAL_FIXED_PREMIUM_BY_SURNAME: 27, // Индивидуальная фиксированная премия пофамильно
    INDIVIDUAL_FOT_AND_PAYMENT_FOR_DA: 28, // Индивидуальный ФОТ и доплата для ДА
    INDIVIDUAL_FOT_AND_PAYMENT_FOR_PHARMACIES_WORKERS: 29, // Индивидуальный ФОТ и доплата для сотрудников аптек
    PERSONAL_ADDITIONAL_PAYMENT: 30 // Персональная надбавка
});

export const PremiumRetentionType = Object.freeze({
    MONTHLY_BONUS_FOR_EMPLOYEE_FROM_AO_MANAGER: 31, // Ежемесячная премия сотрудников от Управляющего АО
    MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_AO_MANAGER: 32, // Ежемесячное удержание у сотрудников от Управляющего АО
    MONTHLY_EMPLOYEES_BONUSES_FROM_UW_DEPARTMENT: 33, // Ежемесячная премия сотрудников от Департамента УП
    MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_UW_DEPARTMENT: 34 // Ежемесячное удержание у сотрудников от Департамента УП
});

export const CoefficientValueColNameByPharmacyCoefficient = Object.freeze({
    [PharmacyCoefficient.SCALING]: 'Масштабирующий коэффициент',
    [PharmacyCoefficient.PLAN_IMPLEMENTATION_COEFFICIENT]: 'Коэффициент выполнения плана (Kvp)',
    [PharmacyCoefficient.WEIGHTED_AVERAGE_PHARMACY_EFFICIENCY_COEFFICIENT]:
        'Средневзвешенный коэффициент эффективности аптеки',
    [PharmacyCoefficient.PLAN_IMPLEMENTATION_COEFFICIENT_BY_STM]: 'Коэффициент выполнения плана по СТМ'
});

export const RevMinColNameByManagementPremiumType = Object.freeze({
    [ManagementPremiumType.BASE_PREMIUM_ON_TURNOVER]: 'Нижняя граница ТО, млн. руб./мес.',
    [ManagementPremiumType.BASE_PREMIUM_ON_STM_TURNOVER]: 'Нижняя граница ТО СТМ, млн. руб./мес.'
});

export const RevMaxCOlNameByManagementPremiumType = Object.freeze({
    [ManagementPremiumType.BASE_PREMIUM_ON_TURNOVER]: 'Верхняя граница ТО, млн. руб./мес.',
    [ManagementPremiumType.BASE_PREMIUM_ON_STM_TURNOVER]: 'Верхняя граница ТО СТМ, млн. руб./мес.'
});

export const BasisBonusColNameByManagementPremiumType = Object.freeze({
    [ManagementPremiumType.BASE_PREMIUM_ON_TURNOVER]: 'Базовая премия ТО',
    [ManagementPremiumType.BASE_PREMIUM_ON_STM_TURNOVER]: 'Базовая премия СТМ',
    [ManagementPremiumType.DISTRIBUTION_OF_PREMIUMS_FOR_INTERNET_ORDER_FULFILLMENT_SERVICE]: 'Премия за интернет-заказ',
    [ManagementPremiumType.BONUS_FOR_ADMINISTRATIVE_WORK]: 'Премия за административную работу',
    [ManagementPremiumType.FIXED_BONUS_FOR_PROBATIONARY_PERIOD]: 'Фиксированная премия на ИС',
    [ManagementPremiumType.BONUS_FOR_ROLES_IN_PHARMACIES_WITH_A_FIXED_PAYMENT_PLAN]: 'Фиксированная заработная плата',
    [IndividualPremiumType.INDIVIDUAL_FIXED_PREMIUM_BY_SURNAME]: 'Индивидуальная фиксированная премия пофамильно',
    [IndividualPremiumType.INDIVIDUAL_FOT_AND_PAYMENT_FOR_DA]: 'Индивидуальный ФОТ и доплата для ДА',
    [IndividualPremiumType.INDIVIDUAL_FOT_AND_PAYMENT_FOR_PHARMACIES_WORKERS]:
        'Индивидуальный ФОТ и доплата для сотрудников аптек',
    [IndividualPremiumType.PERSONAL_ADDITIONAL_PAYMENT]: 'Персональная надбавка'
});

export const PremiumRetentionValueColNameByPremiumRetentionType = Object.freeze({
    [PremiumRetentionType.MONTHLY_BONUS_FOR_EMPLOYEE_FROM_AO_MANAGER]: 'Размер премии',
    [PremiumRetentionType.MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_AO_MANAGER]: 'Размер удержания',
    [PremiumRetentionType.MONTHLY_EMPLOYEES_BONUSES_FROM_UW_DEPARTMENT]: 'Размер премии',
    [PremiumRetentionType.MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_UW_DEPARTMENT]: 'Размер удержания'
});

export const PremiumNameColNameByPremiumRetentionType = Object.freeze({
    [PremiumRetentionType.MONTHLY_BONUS_FOR_EMPLOYEE_FROM_AO_MANAGER]: 'Наименование премии УАО',
    [PremiumRetentionType.MONTHLY_EMPLOYEES_BONUSES_FROM_UW_DEPARTMENT]: 'Наименование премии ДУП'
});

export const PenaltyNameColNameByPremiumRetentionType = Object.freeze({
    [PremiumRetentionType.MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_AO_MANAGER]: 'Наименование удержания УА',
    [PremiumRetentionType.MONTHLY_RETENTION_FROM_EMPLOYEES_FROM_UW_DEPARTMENT]: 'Наименование удержания ДУП'
});

export const ManagersFundColNameByPremiumRetentionType = Object.freeze({
    [PremiumRetentionType.MONTHLY_BONUS_FOR_EMPLOYEE_FROM_AO_MANAGER]: 'Фонд управляющего',
    [PremiumRetentionType.MONTHLY_EMPLOYEES_BONUSES_FROM_UW_DEPARTMENT]: 'Фонд премии'
});
