import Color from 'color';

const STARTED_LIGHTNESS = 20;

export const buildBadgeColors = (badges, color, step, colorConditions) => {
    const colorData = Color(color).hsl().lightness(STARTED_LIGHTNESS).object();

    return badges.reduce((acc, badge, idx) => {
        const foundColor = colorConditions.find(([name]) => name === badge);

        return {
            ...acc,
            [badge]:
                foundColor == null
                    ? Color(colorData)
                          .lightness(STARTED_LIGHTNESS + step * idx)
                          .string()
                    : foundColor[1]
        };
    }, {});
};

export const parseJson = (input) => {
    try {
        return JSON.parse(input);
    } catch {
        return {};
    }
};
