/* eslint-disable no-restricted-syntax */
import { TooltipDefaultFactory } from '@goodt-wcore/components';
import { useActionsDescriptor } from '../shared';
import panels from './panels';
import { cssVars } from './css-vars';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        shouldShowNumeration: {
            type: Boolean,
            default: false
        },
        style: {
            type: Object,
            default: () => ({
                fontFamily: '',
                fontSize: null,
                fontWeight: null,
                color: null,
                verticalAlign: 'center'
            })
        },
        drilldown: {
            type: String,
            default: null
        },
        tooltip: {
            type: Object,
            default: TooltipDefaultFactory
        },
        height: {
            type: String,
            default: '100'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor: useActionsDescriptor(descriptor),
    panels,
    isChildAllowed: true,
    slotNames: ({ slotDefault }) => [slotDefault, 'tooltip'],
    cssVars
};

export default descriptor;
