/* eslint-disable no-restricted-syntax */
import panels from './panels';
import { cssVars } from './css-vars';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Events = Object.freeze({
    /*
    OPEN: 'open',
    CLOSE: 'close'
    */
});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        dataField: {
            type: String,
            default: null
        },
        header: {
            type: Object,
            default: () => ({
                text: '',
                fontFamily: '',
                fontSize: null,
                fontWeight: null,
                color: null,
                sort: {
                    field: null,
                    button: {
                        position: 'left',
                        offset: '0.25rem'
                    },
                    icon: {
                        mdiClassAsc: 'sort-reverse-variant',
                        mdiClassDesc: 'sort-variant',
                        size: null,
                        color: null
                    }
                },
                hint: {
                    isEnabled: false,
                    text: '',
                    position: 'top',
                    offset: [0, 0],
                    style: {},
                    icon: {
                        isDisplayed: false,
                        position: 'left',
                        offset: '0.5rem',
                        mdiClass: 'information-outline',
                        size: null,
                        color: null,
                        colorHover: null
                    }
                }
            })
        },
        shouldTruncateHeader: {
            type: Boolean,
            default: true
        },
        linesToDisplay: {
            type: Number,
            default: 1
        },
        filters: {
            type: Object,
            default: () => ({
                isEnabled: true,
                limit: 5
            })
        },
        height: {
            type: String,
            default: '100'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false,
    cssVars
};

export default descriptor;
