import { Query } from '@goodt-common/dremio';

const { KEY, FILTER_TYPE } = Query;
/**
 * @param {string} value
 * @param {string} fieldName
 * @param {Record<string, any>} query
 * @param {string[]} filters
 * @return {boolean}
 */
export const isSelectedOption = (value, fieldName, query, filters) => {
    if (filters.includes(value)) {
        return true;
    }

    const dremioFilter = query[KEY.FILTERS].find((filter) => Object.keys(filter).includes(fieldName));

    if (dremioFilter == null) {
        return false;
    }

    const [filterType, filterValue] = [Query.getFilterType(dremioFilter), Query.getFilterValue(dremioFilter)];
    const filterTypeHandlersMap = {
        [FILTER_TYPE.EQ]: () => filterValue.includes(value),
        [FILTER_TYPE.IN]: () => filterValue.includes(value)
    };

    return filterTypeHandlersMap[filterType]() ?? false;
};
