/* eslint-disable no-restricted-syntax */
import panels from './panels';
import { cssVars } from './css-vars';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Events = Object.freeze({
    /*
    OPEN: 'open',
    CLOSE: 'close'
    */
});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        style: {
            type: Object,
            default: () => ({
                fontFamily: '',
                fontSize: null,
                fontWeight: null,
                color: null,
                colorActive: null,
                bgColor: null,
                bgColorActive: null,
                borderRadius: [null, null, null, null],
                padding: [null, null, null, null],
                height: null,
                width: null,
                gap: null
            })
        },
        pagesCount: {
            type: Number,
            default: 0
        },
        digitSeparator: {
            type: String,
            default: 'ru-RU'
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor,
    panels,
    isChildAllowed: false,
    cssVars
};

export default descriptor;
