/* eslint-disable no-restricted-syntax */
import { useActionsDescriptor } from '../shared';
import panels from './panels';
import { cssVars } from './css-vars';
import { StyleFactory } from './constants';

/**
 * @enum {string}
 * @type {Readonly<Record<string, string>>}
 */
export const Vars = Object.freeze({});

/**
 * @description Don't change `descriptor` exported name
 * @return {ElemDescriptor}
 */
export const descriptor = () => ({
    props: {
        style: {
            type: Object,
            default: () => ({
                hover: StyleFactory(),
                select: StyleFactory()
            })
        },
        border: {
            type: Object,
            default: () => ({
                isDisplayed: false,
                width: null,
                color: null
            })
        }
    },
    vars: Object.values(Vars).reduce((acc, varName) => ({ ...acc, [varName]: { description: varName } }), {})
});

export const meta = {
    descriptor: useActionsDescriptor(descriptor),
    panels,
    isChildAllowed: true,
    slotNames: ['default', 'sub-row'],
    cssVars
};

export default descriptor;
