import { formatNumber } from '@goodt-common/utils-number';
import { dayjs } from '@goodt-common/utils';
import { ValueFormat } from './constants';

/**
 * @param {any} value
 * @param {object} valueFormat
 * @return any
 */
export const formatValue = (value, valueFormat) => {
    const { type, numberFormat, dateFormat } = valueFormat;

    if (type === ValueFormat.NUMBER) {
        return numberFormat == null ? value : formatNumber(value, numberFormat);
    }

    if (type === ValueFormat.DATE) {
        const date = dayjs(value);
        return date.isValid() ? date.format(dateFormat) : value;
    }

    return value;
};
