import { ConditionValueFormat, ConditionTypes, ValueTypes } from './constants';

export const ConditionValueFormatOptions = [
    { label: 'число', value: ConditionValueFormat.NUMBER },
    { label: 'дата', value: ConditionValueFormat.DATE }
];

export const ConditionTypesOptions = Object.entries(ConditionTypes).reduce(
    (acc, [key, { name }]) => [...acc, { label: name, value: key }],
    []
);

export const ValueTypesOptions = Object.entries(ValueTypes).reduce(
    (acc, [key, { name }]) => [...acc, { label: name, value: key }],
    []
);

export const GradientPositionOptions = [
    { value: 'to top', label: '↑' },
    { value: 'to left', label: '←' },
    { value: 'to right', label: '→' },
    { value: 'to bottom', label: '↓' },
    { value: 'to top left', label: '↖' },
    { value: 'to top right', label: '↗' },
    { value: 'to bottom right', label: '↘' },
    { value: 'to bottom left', label: '↙' }
];

export const BorderRadiusOptions = [
    { value: 'var(--border-radius1)', label: 'Радиус-1' },
    { value: 'var(--border-radius2)', label: 'Радиус-2' },
    { value: 'var(--border-radius3)', label: 'Радиус-3' },
    { value: 'var(--border-radius4)', label: 'Радиус-4' },
    { value: 'var(--border-radius5)', label: 'Радиус-5' }
];

export const VerticalAlignmentOptions = [
    { value: 'top', label: 'Сверху' },
    { value: 'middle', label: 'По центру' },
    { value: 'bottom', label: 'Снизу' }
];

export const HorizontalAlignmentOptions = [
    { value: 'start', label: 'По левому краю' },
    { value: 'center', label: 'По центру' },
    { value: 'end', label: 'По правому краю' }
];
