import { Query } from 'goodt-dremio-sdk';

/**
 * Table column mixin, used for table column widgets
 * @return {Record<string, any>}
 */
export const useTableColumn = () => ({
    inject: {
        table: {
            default: null
        },
        row: {
            default: null
        },
        data: {
            default: null
        }
    },
    computed: {
        /**
         * @return {Record<string, any>|null}
         */
        rowData() {
            return this.data?.rowData ?? null;
        },
        /**
         * @return {Query|null}
         */
        queryHelper() {
            return this.table?.queryHelper ?? null;
        },
        /**
         * @return {number}
         */
        rowIndex() {
            return this.row?.rowIndex ?? 0;
        }
    }
});
