import { Query } from 'goodt-dremio-sdk';

/**
 * Table header mixin, used for table header widgets
 * @depends useTableHeaderDescriptor()
 * @return {Record<string, any>}
 */
export const useTableHeader = () => ({
    inject: {
        table: {
            default: null
        },
        header: {
            default: null
        }
    },
    computed: {
        /**
         * @return {Query|null}
         */
        queryHelper() {
            return this.table?.queryHelper ?? null;
        },
        /**
         * @return {number}
         */
        page() {
            return this.table?.page ?? 1;
        },
        /**
         * @return {string[]}
         */
        dimensionMetricNames() {
            return this.table?.dimensionMetricNames ?? [];
        },
        /**
         * @return {string}
         */
        selectedField() {
            return this.dimensionMetricNames.find((field) => field === this.props.dataField);
        }
    }
});
