/**
 * Table paginator mixin, used for table paginator widgets
 * @return {Record<string, any>}
 */
export const usePaginator = () => ({
    inject: {
        table: {
            default: null
        }
    },
    computed: {
        /**
         * @return {number}
         */
        page() {
            return this.table?.page ?? 1;
        },
        /**
         * @return {number}
         */
        pages() {
            return this.table?.pages ?? 1;
        },
        /**
         * @return {function(number?)}
         */
        loadPage() {
            return this.table?.loadPage;
        }
    }
});
