/**
 * Table row mixin, used for table row widgets
 * @return {Record<string, any>}
 */
export const useTableRow = () => ({
    inject: {
        row: {
            default: null
        },
        data: {
            default: null
        }
    },
    computed: {
        rowData() {
            return this.data?.rowData ?? null;
        },
        /**
         * @return {function(Record<string, any>)}
         */
        setSelectedRow() {
            return this.row?.setSelectedRow;
        },
        /**
         * @return {function(Record<string, any>)}
         */
        runActions() {
            return this.row?.runActions;
        }
    }
});
