/**
 * Table mixin, used for table widgets
 * @return {Record<string, any>}
 */
export const useTable = () => ({
    provide(vm = this) {
        return {
            get table() {
                return {
                    get queryHelper() {
                        return vm.queryHelper;
                    },
                    get dimensionMetricNames() {
                        return vm.dimensionMetricNames;
                    },
                    get page() {
                        return vm.page;
                    },
                    get pages() {
                        return vm.pages;
                    },
                    loadPage: vm.loadDataPage
                };
            },
            get header() {
                return {
                    fetchFilterData: vm.fetchHeaderFilterData,
                    applyFilter: vm.commitHeaderFilter
                };
            },
            get row() {
                return {
                    get selectedRows() {
                        return vm.selectedRows;
                    },
                    setSelectedRow: vm.setSelectedRow,
                    runActions: vm.runActions
                };
            },
            get formControl() {
                return {
                    get checked() {
                        return vm.checkedFormControls;
                    },
                    toggleFormControl: vm.toggleFormControl
                };
            }
        };
    }
});
