package com.goodt.drive.report.application.asm;

import com.goodt.drive.report.application.dto.ReportDto;
import com.goodt.drive.report.application.entities.ReportEntity;
import me.goodt.micro.core.asm.AbstractAsm;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class ReportAsm extends AbstractAsm<ReportEntity, ReportDto> {

    @Override
    public ReportDto toRes(ReportEntity entity) {
        return new ReportDto()
                .setId(entity.getId())
                .setName(entity.getName())
                .setTemplateId(entity.getTemplateId())
                .setData(entity.getData());
    }

    @Override
    public void create(ReportEntity entity, ReportDto res) {
        update(entity, res);
        entity.setDateFrom(new Date());
    }

    @Override
    public void update(ReportEntity entity, ReportDto res) {
        entity
            .setName(res.getName())
            .setTemplateId(res.getTemplateId())
            .setData(res.getData());
    }
}
