package com.goodt.drive.report.application.configuration;

import com.goodt.drive.report.application.entity.permissions.EmployeePermissions;
import com.goodt.drive.report.application.entity.permissions.TablePermissions;
import com.goodt.drive.report.application.system.ExpiredConcurrentHashMap;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.List;

@Configuration
public class CacheConfig {

    @Value("${cache.permission.expiry.period}")
    private long permExpiry;

    @Value("${cache.permission.cleaner.period}")
    private long permCleanerPeriod;

    @Value("${cache.tablepermission.expiry.period}")
    private long tabPermExpiry;

    @Value("${cache.tablepermission.cleaner.period}")
    private long tabPermCleanerPeriod;

    final private int SECOND = 1000;

    final private int MINUTE = 60 * SECOND;

    @Bean("permission")
    public ExpiredConcurrentHashMap<String, EmployeePermissions> getEmployeePermissionsCache() {
        return new ExpiredConcurrentHashMap("Permission_tab", MINUTE * permExpiry, MINUTE * permCleanerPeriod);
    }

    @Bean("table-permission")
    public ExpiredConcurrentHashMap<String, List<TablePermissions>> getTablePermissionsCache() {
        return new ExpiredConcurrentHashMap("Table-permission_tab", MINUTE * tabPermExpiry, MINUTE * tabPermCleanerPeriod);
    }
}
