package com.goodt.drive.report.application.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;


@Configuration
public class KeyCloakConfig {
    
    public KeyCloakConfig(){
        
    }
    
    public KeyCloakConfig(String baseUrl, String tokenUrl, String clientId, String clientSecret, String username,
                          String password, String keyCloakDatabaseUrl, String dbUsername, String dbPassword) {
        this.baseUrl = baseUrl;
        this.tokenUrl = tokenUrl;
        this.clientId = clientId;
        this.clientSecret = clientSecret;
        this.username = username;
        this.password = password;
        this.keyCloakDatabaseUrl = keyCloakDatabaseUrl;
        this.dbUsername = dbUsername;
        this.dbPassword = dbPassword;
    }
    
    public String getBaseUrl(){
        return baseUrl;
    }
    
    public void setBaseUrl(String baseUrl){
        this.baseUrl = baseUrl;
    }
    
    public String getTokenUrl(){
        return tokenUrl;
    }
    
    public void setTokenUrl(String tokenUrl){
        this.tokenUrl = tokenUrl;
    }
    
    public String getClientId(){
        return clientId;
    }
    
    public void setClientId(String clientId){
        this.clientId = clientId;
    }
    
    public String getClientSecret(){
        return clientSecret;
    }
    
    public void setClientSecret(String clientSecret){
        this.clientSecret = clientSecret;
    }
    
    public String getUsername(){
        return username;
    }
    
    public void setUsername(String username){
        this.username = username;
    }
    
    public String getPassword(){
        return password;
    }
    
    public void setPassword(String password){
        this.password = password;
    }

    public String getKeyCloakDatabaseUrl() {
        return keyCloakDatabaseUrl;
    }

    public void setKeyCloakDatabaseUrl(String keyCloakDatabaseUrl) {
        this.keyCloakDatabaseUrl = keyCloakDatabaseUrl;
    }

    public String getDbUsername() {
        return dbUsername;
    }

    public void setDbUsername(String dbUsername) {
        this.dbUsername = dbUsername;
    }

    public String getDbPassword() {
        return dbPassword;
    }

    public void setDbPassword(String dbPassword) {
        this.dbPassword = dbPassword;
    }

    @Value("${appConfig.keyCloak.using.baseUrl}")
    private String baseUrl;
    
    @Value("${appConfig.keyCloak.openidAccessTokenUrl}")
    private String tokenUrl;
    
    @Value("${appConfig.keyCloak.using.clientId}")
    private String clientId;
    
    @Value("${appConfig.keyCloak.using.clientSecret}")
    private String clientSecret;
    
    @Value("${appConfig.keyCloak.using.serviceUsername}")
    private String username;
    
    @Value("${appConfig.keyCloak.using.servicePassword}")
    private String password;

    @Value("${appConfig.keyCloak.using.dbUrl}")
    private String keyCloakDatabaseUrl;

    @Value("${appConfig.keyCloak.using.dbUsername}")
    private String dbUsername;

    @Value("${appConfig.keyCloak.using.dbPassword}")
    private String dbPassword;
    
}
