package com.goodt.drive.report.application.entities;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import me.goodt.micro.core.entity.DomainObject;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Getter
@Setter
@Entity
@Accessors(chain = true)
@Table(name = "report")
public class ReportEntity extends DomainObject {

    @Column(name = "name", nullable = false, length = 256)
    private String name;

    @Column(name = "template_id", nullable = false, length = 1024)
    private String templateId;

    @Column(name = "data", nullable = false)
    private String data;

    @Column(name = "date_from", nullable = false, columnDefinition = "TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP")
    private Date dateFrom;

    @Column(name = "date_to", columnDefinition = "TIMESTAMP DEFAULT NULL")
    private Date dateTo;
}
