package com.goodt.drive.report.application.entity.query;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@NoArgsConstructor
public class QueryResult implements Serializable {

    @JsonInclude(JsonInclude.Include.NON_NULL)
    Long rowCount;

    @JsonProperty("rows")
    @JsonInclude(JsonInclude.Include.NON_NULL)
    List<Map<String, String>> row;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    List<Map<String, String>> schema;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    String error;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    String sql;

    public void addSchema(String name, String type) {
        if (schema == null)
            schema = new ArrayList<>();

        HashMap schemaRow = new HashMap<String, String>();
        schemaRow.put("name", name);
        schemaRow.put("type", type);

        schema.add(schemaRow);
    }

    public void addRow(Map<String, String> values) {
        if (row == null)
            row = new ArrayList<>();

        row.add(values);
    }

    public void fillEmptyData() {
        schema = new ArrayList<>();
        row = new ArrayList<>();
    }

    public Long getRowCount() {
        return rowCount;
    }

    public List<Map<String, String>> getRow() {
        return row;
    }

    public List<Map<String, String>> getSchema() {
        return schema;
    }

    public void setRowCount(Long rowCount) {
        this.rowCount = rowCount;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public String getSql() {
        return sql;
    }
}
