package com.goodt.drive.report.application.entity.query;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.goodt.drive.report.application.enums.EFilterType;
import com.goodt.drive.report.application.enums.EMetricType;
import com.goodt.drive.report.application.enums.ESortType;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;
import java.util.Map;

@Getter
@Setter
@ToString
public class QuerySchema {
    @JsonProperty("$from")
    List<String> from;

    @JsonProperty("$fields")
    Map<String, String> fields;

    @JsonProperty("$metrics")
    List<Map<String, Map<EMetricType, String>>> metrics;

    @JsonProperty("$dimensions")
    List<Map<String, String>> dimensions;

    @JsonProperty("$filters")
    List<Map<String, Map<EFilterType, List<String>>>> filters;

    @JsonProperty("$sort")
    List<Map<String, ESortType>> sort;

    @JsonProperty("$diff")
    Diff diff;
}
