package com.goodt.drive.report.application.enums;

import java.util.Arrays;

public enum EClientDataType {
    INTEGER(4),
    DOUBLE(8),
    FLOAT(7),
    BIGINT(5),
    VARCHAR(12),
    TIMESTAMP(93),
    TIME(92),
    DATE(91),
    TYPE_NOT_RECOGNIZED(100500);

    int code;

    EClientDataType(int code) {
        this.code = code;
    }

    public static String getByCode(int code) {
        EClientDataType value = Arrays.stream(values()).filter(clientDataType -> clientDataType.code == code).findFirst().orElse(null);
        if (value != null)
            return value.name();
        if (code == -5)
            return INTEGER.name();
        if (code == 3)
            return DOUBLE.name();
        return TYPE_NOT_RECOGNIZED.name();
    }
}
