package com.goodt.drive.report.application.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import com.goodt.drive.report.application.enums.contracts.IMetricSqlOperation;

public enum EMetricType implements IMetricSqlOperation {

    VALUE("$v") {
        @Override
        public String sql(String colName) {
            return _column(colName);
        }
    },
    AVG("$avg") {
        @Override
        public String sql(String colName) {
            return "AVG(" + _column(colName) + ")";
        }
    },
    COUNT("$count") {
        @Override
        public String sql(String colName) {
            return "COUNT(" + _column(colName) + ")";
        }
    },
    MAX("$max") {
        @Override
        public String sql(String colName) {
            return "MAX(" + _column(colName) + ")";
        }
    },
    MIN("$min") {
        @Override
        public String sql(String colName) {
            return "MIN(" + _column(colName) + ")";
        }
    },
    SUM("$sum") {
        @Override
        public String sql(String colName) {
            return "SUM(" + _column(colName) + ")";
        }
    },
    GROUP_CONCAT("$gc") {
        @Override
        public String sql(String colName) {
            return "GROUP_CONCAT(CAST(" + _column(colName) + " AS VARCHAR))";
        }
    },
    GROUP_UCONCAT("$gcu") {
        @Override
        public String sql(String colName) {
            return "GROUP_UCONCAT(CAST(" + _column(colName) + " AS VARCHAR))";
        }
    },
    EXPRESSION("$exp"){
        @Override
        public String sql(String expression) {
            return "(" + expression + ")";
        }
    };

    EMetricType(String definition) {
        this.definition = definition;
    }

    @JsonValue
    public String getDefinition() {
        return definition;
    }

    String definition;
}
