package com.goodt.drive.report.application.enums.contracts;

import java.util.List;
import java.util.regex.Pattern;
import java.util.stream.Collectors;

public interface IStrOperation {

    default String _column(String _val) {
        if (_val == null)
            return null;

        return "\"" + _val.replaceAll("\"", "\"\"") + "\"";
    }

    default String _value(Object _val) {
        return _value(_val, true);
    }

    default String _value(Object _val, boolean convertToNumber) {

        if (_val instanceof Double) {
            if (convertToNumber && isNumber((String) _val))
                return ((String)_val).replaceAll("\'", "\'\'");
        }
        if (_val instanceof String) {
            return "\'" + ((String) _val).replaceAll("\'", "\'\'") + "\'";
        }
        if (_val instanceof List) {
            if (_val == null || ((List<String>)_val).size() == 0)
                return null;

            return _list(((List<String>) _val).stream().map(x -> _value(x)).collect(Collectors.toList()));
        }

        return _val.toString();
    }

    default String _list(List<String> _val) {
        if (_val == null || _val.size() == 0)
            return null;

        return _val.stream().reduce((str1, str2) -> str1 + ", " + str2).get();
    }

    default String _conditions(List<String> _val) {
        if (_val == null || _val.size() == 0)
            return null;

        return _val.stream().reduce((str1, str2) -> str1 + " AND " + str2).get();
    }

    default boolean isNumber(String _val) {
        Pattern pattern = Pattern.compile("-?\\d+([\\.]\\d+)?");

        if (_val == null) {
            return false;
        }

        return pattern.matcher(_val).matches();
    }
}
