package com.goodt.drive.report.application.repository;

import com.goodt.drive.report.application.entity.permissions.EmployeePermissions;
import com.goodt.drive.report.application.entity.permissions.TablePermissions;
import com.goodt.drive.report.application.entity.query.QueryResult;

import java.util.List;
import java.util.UUID;
import java.util.concurrent.CompletableFuture;

public interface IDremioQuery {

    CompletableFuture<QueryResult> execute(String sql, UUID logId);

    CompletableFuture<Long> getRowCount(String sql);


    CompletableFuture<EmployeePermissions> getEmployeePermissions(String employeeId, List<String> path, UUID logId);

    CompletableFuture<List<TablePermissions>> getTablePermissions(List<String> path, UUID logId);

    CompletableFuture<Boolean> getDatasetTablePermissions(String employeeId, List<String> path,
                                                                               UUID logId);
}
