package com.goodt.drive.report.application.utils;

import java.time.format.DateTimeFormatter;
import java.time.temporal.Temporal;

public final class DateUtils {

    private final static String DATE_TIME = "dd.MM.yyyy HH:mm";
    private final static String DATE = "dd.MM.yyyy";

    public static String formatDateTime(Temporal val) {
        return formatWithPattern(val, DATE_TIME);
    }

    public static String formatDate(Temporal val) {
        return formatWithPattern(val, DATE);
    }

    private static String formatWithPattern(Temporal val, String pattern) {
        if (val == null) {
            return "";
        }
        return DateTimeFormatter.ofPattern(pattern).format(val);
    }
}
