package com.goodt.drive.report.application.dao;

import com.goodt.drive.report.application.entities.ReportEntity;
import com.goodt.drive.report.utils.FunctionalTestBase;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

class TestReportDao extends FunctionalTestBase {

    @Autowired
    private ReportDao reportDao;

    @Test
    void testGetAll() {
        Assertions.assertTrue(reportDao.findAll().size() > 0);
    }

    @Test
    void testGetById() {
        Assertions.assertEquals("global/template_11.xls", reportDao.findById(1L).get().getTemplateId());
    }

    @Test
    void testCreate() {
        ReportEntity reportEntity = new ReportEntity();
        reportEntity.setName("name global 15 xlsx");
        reportEntity.setTemplateId("global/template_15.xlsx");
        reportEntity.setData("{}");
        reportEntity.setDateFrom(new Date());
        ReportEntity newReportEntity = reportDao.save(reportEntity);
        Assertions.assertEquals("global/template_15.xlsx", newReportEntity.getTemplateId());
        Assertions.assertNotNull(newReportEntity.getId());
    }
}
