package com.goodt.drive.report.utils;

import liquibase.exception.LiquibaseException;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import java.io.FileNotFoundException;
import java.sql.SQLException;

@SpringBootTest
@ActiveProfiles("functests")
public abstract class FunctionalTestBase extends DatabaseRelatedTestBase {

    @BeforeEach
    public void setUp() throws LiquibaseException, SQLException, FileNotFoundException {
        setUp("jdbc:postgresql://localhost:5432/report_functests", "developer", "123",
              "liquibase/changelog.xml", "src/test/resources/db/data.sql");
    }

    @AfterEach
    @Override
    public void tearDown() throws SQLException {
        super.tearDown();
    }
}
